/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Calendar;
import java.util.GregorianCalendar;
import org.apache.batik.anim.timing.AccesskeyTimingSpecifier;
import org.apache.batik.anim.timing.InstanceTime;
import org.apache.batik.anim.timing.Interval;
import org.apache.batik.anim.timing.OffsetTimingSpecifier;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.anim.timing.TimingSpecifier;
import org.apache.batik.anim.timing.WallclockTimingSpecifier;
import org.apache.batik.bridge.SVGAnimateElementBridge;
import org.junit.BeforeClass;

public class IntervalEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.getEnd()F: root-Branch
   * 2 org.apache.batik.anim.timing.Interval.<init>(FFLorg/apache/batik/anim/timing/InstanceTime;Lorg/apache/batik/anim/timing/InstanceTime;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GregorianCalendar gregorianCalendar0 = new GregorianCalendar((-948), (-948), (-948));
      WallclockTimingSpecifier wallclockTimingSpecifier0 = new WallclockTimingSpecifier((TimedElement) null, true, (Calendar) gregorianCalendar0);
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) wallclockTimingSpecifier0, (-1621.7203F), true);
      Interval interval0 = new Interval((-1621.7203F), (-1621.7203F), instanceTime0, instanceTime0);
      float float0 = interval0.getEnd();
      assertEquals("-1621.7203..-1621.7203", interval0.toString());
      assertEquals((-1621.7203F), float0, 0.01F);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.getBegin()F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Interval interval0 = new Interval(0.0F, 0.0F, (InstanceTime) null, (InstanceTime) null);
      float float0 = interval0.getBegin();
      assertEquals(0.0F, float0, 0.01F);
      assertEquals("0.0..0.0", interval0.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.getEndInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Interval interval0 = new Interval(0.0F, 0.0F, (InstanceTime) null, (InstanceTime) null);
      interval0.getEndInstanceTime();
      assertEquals("0.0..0.0", interval0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Interval interval0 = new Interval(614.4388F, 614.4388F, (InstanceTime) null, (InstanceTime) null);
      String string0 = interval0.toString();
      assertNotNull(string0);
      assertEquals("614.4388..614.4388", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.setEnd(FLorg/apache/batik/anim/timing/InstanceTime;)F: I15 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVGAnimateElementBridge sVGAnimateElementBridge0 = new SVGAnimateElementBridge();
      sVGAnimateElementBridge0.getTimedElement();
      OffsetTimingSpecifier offsetTimingSpecifier0 = new OffsetTimingSpecifier((TimedElement) null, true, 0.0F);
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) offsetTimingSpecifier0, 0.0F, true);
      Interval interval0 = new Interval(0.0F, 0.0F, instanceTime0, instanceTime0);
      float float0 = interval0.setEnd(0.0F, instanceTime0);
      assertEquals(Float.POSITIVE_INFINITY, float0, 0.01F);
      assertEquals("0.0..0.0", interval0.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.setBegin(F)F: I12 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      AccesskeyTimingSpecifier accesskeyTimingSpecifier0 = new AccesskeyTimingSpecifier((TimedElement) null, false, 177.42549F, 'S');
      InstanceTime instanceTime0 = new InstanceTime((TimingSpecifier) accesskeyTimingSpecifier0, (float) 'S', false);
      Interval interval0 = new Interval(177.42549F, 177.42549F, instanceTime0, instanceTime0);
      float float0 = interval0.setBegin('S');
      assertEquals(83.0F, interval0.getBegin(), 0.01F);
      assertEquals(Float.POSITIVE_INFINITY, float0, 0.01F);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.setBegin(F)F: I12 Branch 3 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.addDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Interval interval0 = new Interval(3.1415927F, 3.1415927F, (InstanceTime) null, (InstanceTime) null);
      interval0.addDependent((InstanceTime) null, true);
      // Undeclared exception!
      try {
        interval0.setBegin(3.1415927F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.addDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.Interval.getBeginInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Interval interval0 = new Interval(0.0F, 0.0F, (InstanceTime) null, (InstanceTime) null);
      interval0.getBeginInstanceTime();
      interval0.addDependent((InstanceTime) null, false);
      assertEquals("0.0..0.0", interval0.toString());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.removeDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      Interval interval0 = new Interval(0.0F, 0.0F, (InstanceTime) null, (InstanceTime) null);
      interval0.removeDependent((InstanceTime) null, false);
      assertEquals("0.0..0.0", interval0.toString());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.removeDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 2 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.<init>(FFLorg/apache/batik/anim/timing/InstanceTime;Lorg/apache/batik/anim/timing/InstanceTime;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      Interval interval0 = new Interval(923.9581F, 923.9581F, (InstanceTime) null, (InstanceTime) null);
      interval0.removeDependent((InstanceTime) null, true);
      assertEquals("923.9581..923.9581", interval0.toString());
      assertEquals(923.9581F, interval0.getEnd(), 0.01F);
  }
}
