/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.SimpleTimeZone;
import java.util.TimeZone;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.AnimationSupport;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.events.EventTarget;

public class AnimationSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getEventTargetById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/events/EventTarget;: root-Branch
   * 2 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("f8bxPu*-qmYF3G", "f8bxPu*-qmYF3G", "f8bxPu*-qmYF3G");
      EventTarget eventTarget0 = AnimationSupport.getEventTargetById("f8bxPu*-qmYF3G", (Node) genericDocumentType0);
      assertNull(eventTarget0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AnimationSupport.fireTimeEvent(Lorg/w3c/dom/events/EventTarget;Ljava/lang/String;Ljava/util/Calendar;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SimpleTimeZone simpleTimeZone0 = new SimpleTimeZone(0, "y2v_|cM':H%!hr,");
      GregorianCalendar gregorianCalendar0 = new GregorianCalendar((TimeZone) simpleTimeZone0);
      // Undeclared exception!
      try {
        AnimationSupport.fireTimeEvent((EventTarget) null, "y2v_|cM':H%!hr,", (Calendar) gregorianCalendar0, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - false
   * 2 org.apache.batik.bridge.AnimationSupport.getTimedElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/apache/batik/anim/timing/TimedElement;: I6 Branch 1 IFEQ L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("#oz5sbdi[", "#oz5sbdi[", "#oz5sbdi[");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      TimedElement timedElement0 = AnimationSupport.getTimedElementById("#oz5sbdi[", (Node) sVG12OMDocument0);
      assertNull(timedElement0);
  }
}
