/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMException;
import org.apache.batik.dom.svg.SVGOMFEMorphologyElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class BridgeExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/String;)V: I9 Branch 11 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      BridgeException bridgeException0 = new BridgeException((BridgeContext) null, (Element) null, "attribute.missing");
      assertEquals("attribute.missing", bridgeException0.getLocalizedMessage());
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I2 Branch 13 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I13 Branch 14 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I25 Branch 15 IFNONNULL L-1 - false
   * 4 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/String;[Ljava/lang/Object;)V: I12 Branch 7 IFNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Object[] objectArray0 = new Object[2];
      BridgeException bridgeException0 = new BridgeException((BridgeContext) null, (Element) null, "attribute.missing", objectArray0);
      bridgeException0.printStackTrace();
      assertEquals("org.apache.batik.bridge.BridgeException: <Unknown Document>:0\nThe attribute \"null\" of the element <<Unknown Element>> is required", bridgeException0.toString());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I2 Branch 13 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/Exception;Ljava/lang/String;[Ljava/lang/Object;)V: I16 Branch 9 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEMorphologyElement sVGOMFEMorphologyElement0 = new SVGOMFEMorphologyElement("attribute.missing", (AbstractDocument) sVGOMDocument0);
      Object[] objectArray0 = new Object[3];
      SVGOMException sVGOMException0 = (SVGOMException)sVGOMFEMorphologyElement0.createSVGException((short) (-278), "attribute.missing", objectArray0);
      BridgeException bridgeException0 = new BridgeException((BridgeContext) null, (Element) null, (Exception) sVGOMException0, "attribute.missing", objectArray0);
      String string0 = bridgeException0.getMessage();
      assertEquals("org.apache.batik.bridge.BridgeException: The \"null\" attribute was not found.", bridgeException0.toString());
      assertEquals("The \"null\" attribute was not found.", string0);
  }
}
