/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.SVGAnimateColorElementBridge;
import org.apache.batik.bridge.SVGAnimateMotionElementBridge;
import org.apache.batik.bridge.SVGAnimateTransformElementBridge;
import org.apache.batik.bridge.SVGPolygonElementBridge;
import org.apache.batik.bridge.SVGSetElementBridge;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.anim.AnimationTargetListener;
import org.apache.batik.dom.events.DOMMutationNameEvent;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVGOMFlowRegionBreakElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.events.MutationEvent;
import org.w3c.dom.svg.SVGElement;

public class SVGAnimationElementBridgeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.getPixelToMM()F: root-Branch
   * 3 org.apache.batik.bridge.SVGAnimationElementBridge.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      // Undeclared exception!
      try {
        sVGSetElementBridge0.getPixelToMM();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getTargetElement()Lorg/w3c/dom/svg/SVGElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      SVGElement sVGElement0 = sVGSetElementBridge0.getTargetElement();
      assertNull(sVGElement0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMNodeInsertedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.handleDOMNodeInsertedEvent((MutationEvent) null);
      assertEquals("http://www.w3.org/2000/svg", sVGAnimateTransformElementBridge0.getNamespaceURI());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getCurrentTime()F: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateColorElementBridge0.getCurrentTime();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getSimpleDuration()F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateMotionElementBridge0.getSimpleDuration();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMAttrModifiedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      sVGAnimateMotionElementBridge0.handleDOMAttrModifiedEvent((MutationEvent) dOMMutationNameEvent0);
      assertEquals(0, dOMMutationNameEvent0.getEventPhase());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleOtherAnimationChanged(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.handleOtherAnimationChanged("Z?y K v`&'Wa");
      assertEquals("http://www.w3.org/2000/svg", sVGAnimateTransformElementBridge0.getNamespaceURI());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.setScreenTransform(Ljava/awt/geom/AffineTransform;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      SVGPolygonElementBridge sVGPolygonElementBridge0 = new SVGPolygonElementBridge();
      AffineTransform affineTransform0 = sVGPolygonElementBridge0.getCTM();
      // Undeclared exception!
      try {
        sVGAnimateMotionElementBridge0.setScreenTransform(affineTransform0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMCharacterDataModified(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      sVGAnimateTransformElementBridge0.handleDOMCharacterDataModified((MutationEvent) null);
      assertEquals("http://www.w3.org/2000/svg", sVGAnimateTransformElementBridge0.getNamespaceURI());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getHyperlinkBeginTime()F: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateColorElementBridge0.getHyperlinkBeginTime();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getBBox()Ljava/awt/geom/Rectangle2D;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      Rectangle2D rectangle2D0 = sVGAnimateTransformElementBridge0.getBBox();
      assertNull(rectangle2D0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getViewportWidth()F: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateColorElementBridge0.getViewportWidth();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.addTargetListener(Ljava/lang/String;Lorg/apache/batik/dom/anim/AnimationTargetListener;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      sVGAnimateColorElementBridge0.addTargetListener("Z?y K v`&'Wa", (AnimationTargetListener) null);
      assertEquals("animateColor", sVGAnimateColorElementBridge0.getLocalName());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.beginElement()Z: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      // Undeclared exception!
      try {
        sVGSetElementBridge0.beginElement();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getTimedElement()Lorg/apache/batik/anim/timing/TimedElement;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      TimedElement timedElement0 = sVGAnimateColorElementBridge0.getTimedElement();
      assertNull(timedElement0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.beginElementAt(F)Z: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      // Undeclared exception!
      try {
        sVGSetElementBridge0.beginElementAt(1881.3518F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getCTM()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      AffineTransform affineTransform0 = sVGSetElementBridge0.getCTM();
      assertNull(affineTransform0);
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getGlobalTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      AffineTransform affineTransform0 = sVGAnimateTransformElementBridge0.getGlobalTransform();
      assertNull(affineTransform0);
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleElement(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: I2 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("min", "min", "min");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFlowRegionBreakElement sVGOMFlowRegionBreakElement0 = new SVGOMFlowRegionBreakElement("min", (AbstractDocument) sVGOMDocument0);
      sVGSetElementBridge0.handleElement(bridgeContext0, (Element) sVGOMFlowRegionBreakElement0);
      assertEquals(0, sVGOMFlowRegionBreakElement0.getChildElementCount());
  }

  //Test case number: 19
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getUnderlyingValue()Lorg/apache/batik/anim/values/AnimatableValue;: I2 Branch 4 IFNE L-1 - false
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.<init>()V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.getUnderlyingValue();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
