/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.CursorManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.svg.ColorManager;
import org.apache.batik.css.engine.value.svg.GlyphOrientationHorizontalManager;
import org.apache.batik.css.engine.value.svg.StrokeWidthManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowRootElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractValueManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ColorManager colorManager0 = new ColorManager();
      try {
        colorManager0.createFloatValue((short)20, (short)20);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"color\" property.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StrokeWidthManager strokeWidthManager0 = new StrokeWidthManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("CePMe[)8RYdV[{a", "CePMe[)8RYdV[{a", "CePMe[)8RYdV[{a");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      Parser parser0 = new Parser();
      ValueManager[] valueManagerArray0 = new ValueManager[2];
      valueManagerArray0[0] = (ValueManager) strokeWidthManager0;
      valueManagerArray0[1] = (ValueManager) strokeWidthManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[3];
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[1] = (ShorthandManager) fontShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) marginShorthandManager0;
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) parser0, valueManagerArray0, shorthandManagerArray0);
      try {
        strokeWidthManager0.createStringValue((short)1551, "CePMe[)8RYdV[{a", (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"stroke-width\" property.
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.AbstractValueManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I7 Branch 2 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.AbstractValueManager.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GlyphOrientationHorizontalManager glyphOrientationHorizontalManager0 = new GlyphOrientationHorizontalManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("in", "in", "in");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      SVGOMFlowRootElement sVGOMFlowRootElement0 = new SVGOMFlowRootElement("in", (AbstractDocument) sVG12OMDocument0);
      sVGOMFlowRootElement0.getComputedStyleMap("in");
      CursorManager cursorManager0 = new CursorManager();
      StringValue stringValue0 = (StringValue)cursorManager0.getDefaultValue();
      StringValue stringValue1 = (StringValue)glyphOrientationHorizontalManager0.computeValue((CSSStylableElement) null, "in", (CSSEngine) null, 769, (StyleMap) null, (Value) stringValue0);
      assertEquals(1, stringValue1.getCssValueType());
  }
}
