/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.OverflowManager;
import org.apache.batik.css.engine.value.svg.AlignmentBaselineManager;
import org.apache.batik.css.engine.value.svg.DominantBaselineManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.TextRenderingManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.engine.value.svg12.TextAlignManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class IdentifierManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.IdentifierManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.css.engine.value.IdentifierManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I16 Branch 6 IFNONNULL L-1 - false
   * 3 org.apache.batik.css.engine.value.IdentifierManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      OverflowManager overflowManager0 = new OverflowManager();
      overflowManager0.getPropertyName();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("overflow", "overflow", "overflow");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVGOMDocument0.getCSSEngine();
      DominantBaselineManager dominantBaselineManager0 = new DominantBaselineManager();
      try {
        dominantBaselineManager0.createStringValue((short)21, "overflow", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"overflow\" identifier is not a valid value for the \"dominant-baseline\" property. 
         //
      }
  }

  //Test case number: 1
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.IdentifierManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.css.engine.value.IdentifierManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 4 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 5 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 6 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I18 Branch 4 IFNONNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      TextAlignManager textAlignManager0 = new TextAlignManager();
      AlignmentBaselineManager alignmentBaselineManager0 = new AlignmentBaselineManager();
      TextRenderingManager textRenderingManager0 = new TextRenderingManager();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      Parser parser0 = new Parser();
      ValueManager[] valueManagerArray0 = new ValueManager[8];
      valueManagerArray0[0] = (ValueManager) textRenderingManager0;
      valueManagerArray0[1] = (ValueManager) textAlignManager0;
      valueManagerArray0[2] = (ValueManager) textAlignManager0;
      valueManagerArray0[3] = (ValueManager) textRenderingManager0;
      valueManagerArray0[4] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[5] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[6] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[7] = (ValueManager) textRenderingManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[6];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[2] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) marginShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[5] = (ShorthandManager) fontShorthandManager0;
      SVGCSSEngine sVGCSSEngine0 = (SVGCSSEngine)sVGDOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) parser0, valueManagerArray0, shorthandManagerArray0);
      try {
        textRenderingManager0.createStringValue((short)522, "", (CSSEngine) sVGCSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (522) is invalid for the \"text-rendering\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
