/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.events;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.events.DOMCustomEvent;
import org.apache.batik.dom.events.DOMEvent;
import org.apache.batik.dom.events.DOMKeyEvent;
import org.apache.batik.dom.events.DOMKeyboardEvent;
import org.apache.batik.dom.events.DOMMouseEvent;
import org.apache.batik.dom.events.DOMTextEvent;
import org.apache.batik.dom.events.DOMTimeEvent;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.util.CSSConstants;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.events.EventTarget;

public class AbstractEventEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopImmediatePropagation()V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      dOMMouseEvent0.stopImmediatePropagation();
      assertEquals(1397505789238L, dOMMouseEvent0.getTimeStamp());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getEventPhase()S: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getEventPhase();
      assertEquals(1397505789256L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopImmediatePropagation(Z)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getBubbles()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      dOMTextEvent0.getBubbles();
      dOMTextEvent0.stopImmediatePropagation(false);
      assertEquals(1397505789273L, dOMTextEvent0.getTimeStamp());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.initEvent(Ljava/lang/String;ZZ)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getNamespaceURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getNamespaceURI();
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      dOMTimeEvent0.initEvent((String) null, false, false);
      assertEquals(1397505789296L, dOMTimeEvent0.getTimeStamp());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getStopImmediatePropagation()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      boolean boolean0 = dOMCustomEvent0.getStopImmediatePropagation();
      assertEquals(1397505789327L, dOMCustomEvent0.getTimeStamp());
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getDefaultPrevented()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      boolean boolean0 = dOMKeyboardEvent0.getDefaultPrevented();
      assertEquals(1397505789341L, dOMKeyboardEvent0.getTimeStamp());
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getType()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getType();
      assertEquals(1397505789361L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.setCurrentTarget(Lorg/w3c/dom/events/EventTarget;)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getCurrentTarget()Lorg/w3c/dom/events/EventTarget;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      dOMMouseEvent0.getCurrentTarget();
      dOMCustomEvent0.setCurrentTarget((EventTarget) null);
      assertEquals(1397505789373L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.preventDefault()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      dOMKeyboardEvent0.preventDefault();
      assertEquals(1397505789392L, dOMKeyboardEvent0.getTimeStamp());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getOriginalEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      dOMKeyboardEvent0.getOriginalEvent();
      assertEquals(1397505789405L, dOMKeyboardEvent0.getTimeStamp());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.cloneEvent()Lorg/apache/batik/dom/events/AbstractEvent;: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.clone()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      DOMCustomEvent dOMCustomEvent1 = (DOMCustomEvent)dOMCustomEvent0.cloneEvent();
      assertEquals(1397505789417L, dOMCustomEvent0.getTimeStamp());
      assertEquals(1397505789417L, dOMCustomEvent1.getTimeStamp());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getTimeStamp()J: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      long long0 = dOMTextEvent0.getTimeStamp();
      assertEquals(1397505789432L, long0);
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopPropagation(Z)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getBubbles()Z: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      DOMEvent dOMEvent0 = new DOMEvent();
      dOMTextEvent0.getBubbles();
      dOMEvent0.stopPropagation(false);
      assertEquals(1397505789446L, dOMEvent0.getTimeStamp());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getDefaultActions()Ljava/util/List;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getDefaultActions();
      assertEquals(1397505789469L, dOMCustomEvent0.getTimeStamp());
      assertEquals(false, dOMCustomEvent0.getDefaultPrevented());
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.preventDefault(Z)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getStopPropagation()Z: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getStopPropagation();
      dOMCustomEvent0.preventDefault(false);
      assertEquals(1397505789480L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopPropagation()V: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      dOMMouseEvent0.stopPropagation();
      assertEquals(1397505789501L, dOMMouseEvent0.getTimeStamp());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setEventPhase(S)V: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      dOMTextEvent0.setEventPhase((short)0);
      assertEquals(1397505789513L, dOMTextEvent0.getTimeStamp());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getCancelable()Z: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getCancelable();
      assertEquals(1397505789528L, dOMCustomEvent0.getTimeStamp());
      assertEquals(0, dOMCustomEvent0.getBubbleLimit());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setTarget(Lorg/w3c/dom/events/EventTarget;)V: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      dOMCustomEvent0.setTarget(sVG12OMDocument0);
      assertEquals(1397505789542L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setBubbleLimit(I)V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      dOMMouseEvent0.setBubbleLimit(394);
      assertEquals(394, dOMMouseEvent0.getBubbleLimit());
      assertEquals(1397505789590L, dOMMouseEvent0.getTimeStamp());
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getBubbleLimit()I: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      int int0 = dOMKeyEvent0.getBubbleLimit();
      assertEquals(1397505789605L, dOMKeyEvent0.getTimeStamp());
      assertEquals(0, int0);
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getTarget()Lorg/w3c/dom/events/EventTarget;: root-Branch
   */

  @Test
  public void test21()  throws Throwable  {
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getTarget();
      assertEquals(1397505789626L, dOMKeyEvent0.getTimeStamp());
      assertEquals(false, dOMKeyEvent0.getDefaultPrevented());
  }

  //Test case number: 22
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I2 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I6 Branch 3 IFNE L-1 - true
   * 3 org.apache.batik.dom.events.AbstractEvent.getStopPropagation()Z: root-Branch
   * 4 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I2 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test22()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getStopPropagation();
      dOMCustomEvent0.initEventNS("<z)I\"8xc]^Gy|P", "<z)I\"8xc]^Gy|P", false, false);
      String string0 = CSSConstants.CSS_FONT_WEIGHT_PROPERTY;
      dOMCustomEvent0.initCustomEventNS("<z)I\"8xc]^Gy|P", "<z)I\"8xc]^Gy|P", false, false, (Object) "font-weight");
      assertEquals(1397505789640L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 23
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.addDefaultAction(Ljava/lang/Runnable;)V: I2 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.events.AbstractEvent.<init>()V: root-Branch
   */

  @Test
  public void test23()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      dOMKeyboardEvent0.addDefaultAction((Runnable) null);
      assertEquals(1397505789743L, dOMKeyboardEvent0.getTimeStamp());
  }
}
