/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.values.AnimatableNumberValue;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.anim.AnimationTarget;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAnimatedNumber;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEMergeElement;
import org.apache.batik.dom.svg.SVGOMFontElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowRegionExcludeElement;
import org.junit.BeforeClass;
import org.w3c.dom.Attr;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMAnimatedNumberEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedNumber.setBaseVal(F)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedNumber.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;FZ)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMAnimatedNumber.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;F)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGOMAnimatedNumber sVGOMAnimatedNumber0 = new SVGOMAnimatedNumber((AbstractElement) null, "}+[G", "}+[G", 0.0F);
      // Undeclared exception!
      try {
        sVGOMAnimatedNumber0.setBaseVal(0.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedNumber.getUnderlyingValue(Lorg/apache/batik/dom/anim/AnimationTarget;)Lorg/apache/batik/anim/values/AnimatableValue;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedNumber.getBaseVal()F: I2 Branch 1 IFNE L-1 - false
   * 3 org.apache.batik.dom.svg.SVGOMAnimatedNumber.update()V: I9 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEMergeElement sVGOMFEMergeElement0 = new SVGOMFEMergeElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumber sVGOMAnimatedNumber0 = new SVGOMAnimatedNumber((AbstractElement) sVGOMFEMergeElement0, "", "", 1201.2361F, true);
      AnimatableNumberValue animatableNumberValue0 = (AnimatableNumberValue)sVGOMAnimatedNumber0.getUnderlyingValue((AnimationTarget) sVGOMFEMergeElement0);
      assertEquals(1201.2361F, sVGOMAnimatedNumber0.getBaseVal(), 0.01F);
      assertEquals(1201.2361F, animatableNumberValue0.getValue(), 0.01F);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedNumber.getAnimVal()F: I2 Branch 6 IFEQ L-1 - true
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedNumber.getAnimVal()F: I9 Branch 7 IFNE L-1 - false
   * 3 org.apache.batik.dom.svg.SVGOMAnimatedNumber.update()V: I9 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEMergeElement sVGOMFEMergeElement0 = new SVGOMFEMergeElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumber sVGOMAnimatedNumber0 = new SVGOMAnimatedNumber((AbstractElement) sVGOMFEMergeElement0, "", "", 1201.2361F, true);
      float float0 = sVGOMAnimatedNumber0.getAnimVal();
      assertEquals(1201.2361F, float0, 0.01F);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedNumber.attrAdded(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I2 Branch 9 IFNE L-1 - false
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedNumber.attrAdded(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I11 Branch 10 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEMergeElement sVGOMFEMergeElement0 = new SVGOMFEMergeElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumber sVGOMAnimatedNumber0 = new SVGOMAnimatedNumber((AbstractElement) sVGOMFEMergeElement0, "", "", 1201.2361F, true);
      SVGOMFlowRegionExcludeElement sVGOMFlowRegionExcludeElement0 = new SVGOMFlowRegionExcludeElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMFlowRegionExcludeElement0.getAttributeNodeNS("", "");
      sVGOMAnimatedNumber0.attrAdded((Attr) null, "");
      assertEquals(1201.2361F, sVGOMAnimatedNumber0.getAnimVal(), 0.01F);
      assertEquals(1201.2361F, sVGOMAnimatedNumber0.getBaseVal(), 0.01F);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedNumber.attrModified(Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 11 IFNE L-1 - false
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedNumber.attrModified(Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;)V: I11 Branch 12 IFNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMFontElement sVGOMFontElement0 = new SVGOMFontElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumber sVGOMAnimatedNumber0 = new SVGOMAnimatedNumber((AbstractElement) sVGOMFontElement0, "", "", (-728.6153F), true);
      sVGOMFontElement0.getAttributeNodeNS("", "");
      sVGOMAnimatedNumber0.attrModified((Attr) null, "", "");
      assertEquals((-728.6153F), sVGOMAnimatedNumber0.getBaseVal(), 0.01F);
      assertEquals((-728.6153F), sVGOMAnimatedNumber0.getAnimVal(), 0.01F);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedNumber.attrRemoved(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I2 Branch 13 IFNE L-1 - false
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedNumber.attrRemoved(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I11 Branch 14 IFNE L-1 - false
   * 3 org.apache.batik.dom.svg.SVGOMAnimatedNumber.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;FZ)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEMergeElement sVGOMFEMergeElement0 = new SVGOMFEMergeElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumber sVGOMAnimatedNumber0 = new SVGOMAnimatedNumber((AbstractElement) sVGOMFEMergeElement0, "", "", 1201.2361F, true);
      SVGOMFlowRegionExcludeElement sVGOMFlowRegionExcludeElement0 = new SVGOMFlowRegionExcludeElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMFlowRegionExcludeElement0.getAttributeNodeNS("", "");
      sVGOMAnimatedNumber0.attrRemoved((Attr) null, "");
      assertEquals(1201.2361F, sVGOMAnimatedNumber0.getAnimVal(), 0.01F);
      assertEquals(1201.2361F, sVGOMAnimatedNumber0.getBaseVal(), 0.01F);
  }
}
