/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAltGlyphItemElement;
import org.apache.batik.dom.svg.SVGOMAnimatedString;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEColorMatrixElement;
import org.apache.batik.dom.svg.SVGOMTextElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.extension.svg.FlowDivElement;
import org.apache.batik.extension.svg.FlowSpanElement;
import org.junit.BeforeClass;
import org.w3c.dom.Attr;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMAnimatedStringEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.setBaseVal(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedString.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEColorMatrixElement sVGOMFEColorMatrixElement0 = new SVGOMFEColorMatrixElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) sVGOMFEColorMatrixElement0, "", "");
      try {
        sVGOMAnimatedString0.setBaseVal("");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"\") is an invalid XML name.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.getBaseVal()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) null, "&nK", "&nK");
      // Undeclared exception!
      try {
        sVGOMAnimatedString0.getBaseVal();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.attrAdded(Lorg/w3c/dom/Attr;Ljava/lang/String;)V: I4 Branch 3 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("tb", "tb", "tb");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowSpanElement flowSpanElement0 = new FlowSpanElement("tb", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) flowSpanElement0, "tb", "tb");
      SVGOMAltGlyphItemElement sVGOMAltGlyphItemElement0 = new SVGOMAltGlyphItemElement("tb", (AbstractDocument) sVG12OMDocument0);
      sVGOMAltGlyphItemElement0.getAttributeNodeNS("tb", "tb");
      sVGOMAnimatedString0.attrAdded((Attr) null, "tb");
      assertEquals("", sVGOMAnimatedString0.getAnimVal());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.attrModified(Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 4 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      FlowDivElement flowDivElement0 = new FlowDivElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) flowDivElement0, "", "");
      SVGOMTextElement sVGOMTextElement0 = new SVGOMTextElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMTextElement0.getAttributeNodeNS("", "");
      sVGOMAnimatedString0.attrModified((Attr) null, "", "");
      assertEquals("", sVGOMAnimatedString0.getNamespaceURI());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMAnimatedString.getAnimVal()Ljava/lang/String;: I2 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.dom.svg.SVGOMAnimatedString.<init>(Lorg/apache/batik/dom/svg/AbstractElement;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGOMAnimatedString sVGOMAnimatedString0 = new SVGOMAnimatedString((AbstractElement) null, ",.3j97|}o}(f", ",.3j97|}o}(f");
      // Undeclared exception!
      try {
        sVGOMAnimatedString0.getAnimVal();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
