/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAltGlyphDefElement;
import org.apache.batik.dom.svg.SVGOMColorProfileElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEImageElement;
import org.apache.batik.dom.svg.SVGOMFontFaceNameElement;
import org.apache.batik.dom.svg.SVGOMSwitchElement;
import org.apache.batik.dom.svg.SVGTextContentSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowParaElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class SVGTextContentSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.setX(F)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.<init>(Lorg/apache/batik/dom/svg/SVGOMElement;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFontFaceNameElement sVGOMFontFaceNameElement0 = new SVGOMFontFaceNameElement("", (AbstractDocument) sVG12OMDocument0);
      SVGTextContentSupport.SVGTextPoint sVGTextContentSupport_SVGTextPoint0 = new SVGTextContentSupport.SVGTextPoint(sVGOMFontFaceNameElement0);
      try {
        sVGTextContentSupport_SVGTextPoint0.setX((-1139.7759F));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // This SVGPoint is readonly.
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.setY(F)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport$SVGTextPoint.<init>(Lorg/apache/batik/dom/svg/SVGOMElement;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("LaunchMail", "LaunchMail", "LaunchMail");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFlowParaElement sVGOMFlowParaElement0 = new SVGOMFlowParaElement("LaunchMail", (AbstractDocument) sVG12OMDocument0);
      SVGTextContentSupport.SVGTextPoint sVGTextContentSupport_SVGTextPoint0 = new SVGTextContentSupport.SVGTextPoint(sVGOMFlowParaElement0);
      try {
        sVGTextContentSupport_SVGTextPoint0.setY(1.0F);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // This SVGPoint is readonly.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGTextContentSupport sVGTextContentSupport0 = new SVGTextContentSupport();
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getSubStringLength(Lorg/w3c/dom/Element;II)F: I4 Branch 14 IFLT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getSubStringLength((Element) null, 714, 714);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getStartPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 4 IFLT L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMColorProfileElement sVGOMColorProfileElement0 = new SVGOMColorProfileElement("readonly.rect", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getStartPositionOfChar((Element) sVGOMColorProfileElement0, 1940);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getEndPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 7 IFLT L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.getEndPositionOfChar((Element) null, (-299));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getEndPositionOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGPoint;: I4 Branch 7 IFLT L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMFlowParaElement sVGOMFlowParaElement0 = new SVGOMFlowParaElement("", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMFlowParaElement0.getEndPositionOfChar(1369);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.selectSubString(Lorg/w3c/dom/Element;II)V: I4 Branch 10 IFLT L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGTextContentSupport.selectSubString((Element) null, (-1429), (-1429));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.selectSubString(Lorg/w3c/dom/Element;II)V: I4 Branch 10 IFLT L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSwitchElement sVGOMSwitchElement0 = new SVGOMSwitchElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMSwitchElement0.getOwnerSVGElement();
      // Undeclared exception!
      try {
        SVGTextContentSupport.selectSubString((Element) null, 0, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getExtentOfChar(Lorg/w3c/dom/Element;I)Lorg/w3c/dom/svg/SVGRect;: I4 Branch 1 IFLT L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEImageElement sVGOMFEImageElement0 = new SVGOMFEImageElement("Execute", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getExtentOfChar((Element) sVGOMFEImageElement0, (-667));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // 
         //
      }
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGTextContentSupport.getRotationOfChar(Lorg/w3c/dom/Element;I)F: I4 Branch 12 IFLT L-1 - false
   * 2 org.apache.batik.dom.svg.SVGTextContentSupport.getNumberOfChars(Lorg/w3c/dom/Element;)I: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("K3", "K3", "K3");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      SVGOMAltGlyphDefElement sVGOMAltGlyphDefElement0 = new SVGOMAltGlyphDefElement("K3", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        SVGTextContentSupport.getRotationOfChar((Element) sVGOMAltGlyphDefElement0, 27);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
