/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAltGlyphItemElement;
import org.apache.batik.dom.svg.SVGOMClipPathElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEColorMatrixElement;
import org.apache.batik.dom.svg.SVGOMFEComponentTransferElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.util.XLinkSupport;
import org.apache.batik.dom.xbl.GenericXBLManager;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class XLinkSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkRole(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("MtS", "MtS", "MtS");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMAltGlyphItemElement sVGOMAltGlyphItemElement0 = new SVGOMAltGlyphItemElement("MtS", (AbstractDocument) sVG12OMDocument0);
      String string0 = XLinkSupport.getXLinkRole((Element) sVGOMAltGlyphItemElement0);
      assertEquals("", string0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      XLinkSupport xLinkSupport0 = new XLinkSupport();
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkTitle(Lorg/w3c/dom/Element;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("'", "'", "'");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericXBLManager genericXBLManager0 = new GenericXBLManager();
      genericXBLManager0.getXblShadowTree((Node) sVGOMDocument0);
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkTitle((Element) null, "'");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.getXLinkHref(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("replace", "y!-?Au5lA@m(", "y!-?Au5lA@m(");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFEComponentTransferElement sVGOMFEComponentTransferElement0 = new SVGOMFEComponentTransferElement("replace", (AbstractDocument) sVG12OMDocument0);
      String string0 = XLinkSupport.getXLinkHref((Element) sVGOMFEComponentTransferElement0);
      assertEquals("", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkArcRole(Lorg/w3c/dom/Element;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMClipPathElement sVGOMClipPathElement0 = new SVGOMClipPathElement("", (AbstractDocument) sVGOMDocument0);
      XLinkSupport.setXLinkArcRole((Element) sVGOMClipPathElement0, "");
      assertEquals(true, sVGOMClipPathElement0.hasAttributes());
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I3 Branch 1 IFGT L-1 - false
   * 2 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I7 Branch 2 IFGT L-1 - false
   * 3 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I11 Branch 3 IFGT L-1 - false
   * 4 org.apache.batik.dom.util.XLinkSupport.setXLinkType(Lorg/w3c/dom/Element;Ljava/lang/String;)V: I15 Branch 4 IFGT L-1 - false
   * 5 org.apache.batik.dom.util.XLinkSupport.getXLinkArcRole(Lorg/w3c/dom/Element;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEColorMatrixElement sVGOMFEColorMatrixElement0 = new SVGOMFEColorMatrixElement("", (AbstractDocument) sVGOMDocument0);
      String string0 = XLinkSupport.getXLinkArcRole((Element) sVGOMFEColorMatrixElement0);
      assertNotNull(string0);
      
      // Undeclared exception!
      try {
        XLinkSupport.setXLinkType((Element) sVGOMFEColorMatrixElement0, "");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // xlink:type=''
         //
      }
  }
}
