/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Polygon;
import java.awt.Rectangle;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.util.Collection;
import java.util.LinkedList;
import java.util.ListIterator;
import org.apache.batik.ext.awt.geom.RectListManager;
import org.junit.BeforeClass;

public class RectListManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/lang/Object;)Z: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;II)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I12 Branch 74 IF_ICMPGT L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      Rectangle[] rectangleArray0 = new Rectangle[1];
      Rectangle rectangle0 = new Rectangle();
      RectListManager rectListManager0 = new RectListManager(rectangleArray0, 0, 0);
      // Undeclared exception!
      try {
        rectListManager0.remove((Object) rectangle0);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 0
         //
      }
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.clear()V: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/awt/Rectangle;)V: root-Branch
   * 4 org.apache.batik.ext.awt.geom.RectListManager.<init>()V: root-Branch
   * 5 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      Rectangle rectangle0 = line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      assertEquals(false, rectListManager0.isEmpty());
      
      rectListManager0.clear();
      assertEquals(true, rectListManager0.isEmpty());
      assertEquals(0, rectListManager0.size());
  }

  //Test case number: 2
  /*
   * 10 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.iterator()Ljava/util/Iterator;: root-Branch
   * 4 org.apache.batik.ext.awt.geom.RectListManager.size()I: root-Branch
   * 5 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   * 8 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.next()Ljava/lang/Object;: I5 Branch 2 IF_ICMPLT L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float(0.0F, 0.0F, 0.0F, 0.0F);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      RectListManager rectListManager1 = new RectListManager((Collection) rectListManager0);
      RectListManager rectListManager2 = new RectListManager(rectListManager1);
      assertEquals(1, rectListManager0.size());
      assertEquals(1, rectListManager2.size());
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.clone()Ljava/lang/Object;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.RectListManager.copy()Lorg/apache/batik/ext/awt/geom/RectListManager;: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>([Ljava/awt/Rectangle;II)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      Rectangle rectangle0 = line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      // Undeclared exception!
      try {
        rectListManager0.clone();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.listIterator()Ljava/util/ListIterator;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      Rectangle rectangle0 = line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      ListIterator<?> listIterator0 = rectListManager0.listIterator();
      assertEquals(false, rectListManager0.isEmpty());
      assertEquals(true, listIterator0.hasNext());
  }

  //Test case number: 5
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Ljava/util/Collection;)Z: I2 Branch 102 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 103 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 103 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I26 Branch 104 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I37 Branch 106 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I78 Branch 108 IFEQ L-1 - false
   * 7 org.apache.batik.ext.awt.geom.RectListManager.retainAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I107 Branch 111 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      int[] intArray0 = new int[3];
      Line2D.Float line2D_Float0 = new Line2D.Float((float) (-1074), (float) 0, (float) (-1074), (float) 0);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager0.retainAll((Collection) rectListManager0);
      assertEquals(false, boolean0);
      assertEquals(false, rectListManager0.isEmpty());
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.dump()V: I32 Branch 19 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.dump()V: I32 Branch 19 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I2 Branch 21 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I9 Branch 22 IFNE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I28 Branch 23 IF_ICMPGE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      int[] intArray0 = new int[3];
      Line2D.Float line2D_Float0 = new Line2D.Float((float) (-1074), (float) (-1074), (float) (-1074), (float) 0);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.dump();
      assertEquals(false, rectListManager0.isEmpty());
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I18 Branch 52 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I2 Branch 51 IFEQ L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      boolean boolean0 = rectListManager0.addAll((Collection) rectListManager0);
      assertEquals(true, rectListManager0.isEmpty());
      assertEquals(false, boolean0);
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I6 Branch 29 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I15 Branch 30 IF_ACMPEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I38 Branch 33 IF_ICMPGE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      Rectangle rectangle0 = line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      Object[] objectArray0 = new Object[6];
      Object[] objectArray1 = rectListManager0.toArray(objectArray0);
      assertSame(objectArray0, objectArray1);
      assertEquals(false, rectListManager0.isEmpty());
      assertNotNull(objectArray1);
  }

  //Test case number: 9
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I15 Branch 30 IF_ACMPEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I18 Branch 31 IFNONNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I27 Branch 32 IF_ACMPEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I6 Branch 29 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.toArray([Ljava/lang/Object;)[Ljava/lang/Object;: I38 Branch 33 IF_ICMPGE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float(0.0F, 0.0F, 0.0F, 0.0F);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      Rectangle[] rectangleArray0 = new Rectangle[10];
      Object[] objectArray0 = rectListManager0.toArray((Object[]) rectangleArray0);
      assertNotNull(objectArray0);
      assertSame(rectangleArray0, objectArray0);
      assertEquals(false, rectListManager0.isEmpty());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I10 Branch 68 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Ljava/util/Collection;)Z: I2 Branch 67 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      LinkedList<Integer> linkedList0 = new LinkedList<Integer>();
      boolean boolean0 = rectListManager0.containsAll((Collection) linkedList0);
      assertEquals(true, boolean0);
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 11
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I10 Branch 68 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I24 Branch 69 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I51 Branch 71 IFNE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Ljava/util/Collection;)Z: I2 Branch 67 IFEQ L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.containsAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I10 Branch 68 IF_ICMPGE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float(0.0F, 0.0F, 0.0F, 0.0F);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager0.containsAll((Collection) rectListManager0);
      assertEquals(true, boolean0);
      assertEquals(1, rectListManager0.size());
  }

  //Test case number: 12
  /*
   * 10 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I11 Branch 143 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I11 Branch 143 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I36 Branch 144 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I36 Branch 144 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I49 Branch 145 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I63 Branch 147 IF_ICMPLE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I69 Branch 148 IFNE L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I229 Branch 158 IF_ICMPGE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I229 Branch 158 IF_ICMPGE L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I235 Branch 159 IFNE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double();
      Rectangle rectangle0 = line2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      assertEquals(false, rectListManager0.isEmpty());
      
      rectListManager0.subtract(rectListManager0, 0, 0);
      assertEquals(0, rectListManager0.size());
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 13
  /*
   * 24 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I69 Branch 148 IFNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I84 Branch 149 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I84 Branch 149 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I90 Branch 150 IFNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I112 Branch 151 IF_ICMPLT L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I122 Branch 152 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I122 Branch 152 IF_ICMPGE L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I126 Branch 153 IFNULL L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I139 Branch 154 IFNE L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I149 Branch 155 IFNULL L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I42 Branch 160 IF_ICMPGE L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I70 Branch 162 IF_ICMPGT L-1 - false
   * 13 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I73 Branch 163 IF_ICMPLE L-1 - true
   * 14 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I100 Branch 164 IF_ICMPGE L-1 - true
   * 15 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I129 Branch 166 IF_ICMPGT L-1 - false
   * 16 org.apache.batik.ext.awt.geom.RectListManager.splitRect(Ljava/awt/Rectangle;Ljava/awt/Rectangle;[Ljava/awt/Rectangle;)V: I132 Branch 167 IF_ICMPLE L-1 - true
   * 17 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I11 Branch 143 IF_ICMPGE L-1 - true
   * 18 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I11 Branch 143 IF_ICMPGE L-1 - false
   * 19 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I36 Branch 144 IF_ICMPGE L-1 - false
   * 20 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I49 Branch 145 IF_ICMPGE L-1 - true
   * 21 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I63 Branch 147 IF_ICMPLE L-1 - true
   * 22 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I229 Branch 158 IF_ICMPGE L-1 - true
   * 23 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I229 Branch 158 IF_ICMPGE L-1 - false
   * 24 org.apache.batik.ext.awt.geom.RectListManager.subtract(Lorg/apache/batik/ext/awt/geom/RectListManager;II)V: I235 Branch 159 IFNE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      int[] intArray0 = new int[3];
      Line2D.Float line2D_Float0 = new Line2D.Float(461.3091F, (float) (-1074), 461.3091F, (float) 0);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.subtract(rectListManager0, (-1074), 0);
      assertEquals(1, rectListManager0.size());
      assertEquals(false, rectListManager0.isEmpty());
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.mergeRects(II)V: I2 Branch 121 IFNE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager();
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((-1299.6759553607737), (-1299.6759553607737), (-1299.6759553607737), (-1299.6759553607737));
      rectangle2D_Double0.getBounds();
      rectListManager0.mergeRects(0, 0);
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 15
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I15 Branch 53 IF_ICMPGT L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I29 Branch 54 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I97 Branch 60 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I105 Branch 61 IFLT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I112 Branch 62 IFEQ L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      rectListManager0.contains((Object) rectangle0);
      assertEquals(1, rectListManager0.size());
      assertEquals(false, rectListManager0.isEmpty());
  }

  //Test case number: 16
  /*
   * 18 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I137 Branch 64 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I144 Branch 65 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I155 Branch 66 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I15 Branch 53 IF_ICMPGT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I29 Branch 54 IF_ICMPNE L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I97 Branch 60 IF_ICMPEQ L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I105 Branch 61 IFLT L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I105 Branch 61 IFLT L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I112 Branch 62 IFEQ L-1 - true
   * 10 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I123 Branch 63 IF_ICMPEQ L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.contains(Ljava/lang/Object;)Z: I137 Branch 64 IF_ICMPGE L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - true
   * 13 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - true
   * 14 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I27 Branch 116 IFNE L-1 - true
   * 15 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I86 Branch 117 IFLT L-1 - false
   * 16 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I89 Branch 118 IF_ICMPGT L-1 - false
   * 17 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I97 Branch 119 IFNE L-1 - false
   * 18 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I18 Branch 52 IFEQ L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float((float) 0, 1.0F, (float) 0, 0.0F);
      Rectangle rectangle1 = rectangle2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle1);
      boolean boolean0 = rectListManager0.addAll((Collection) rectListManager0);
      boolean boolean1 = rectListManager0.contains((Object) rectangle0);
      assertEquals(2, rectListManager0.size());
      assertFalse(boolean1 == boolean0);
  }

  //Test case number: 17
  /*
   * 12 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I31 Branch 91 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I43 Branch 93 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I59 Branch 94 IFNONNULL L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I76 Branch 96 IFEQ L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I89 Branch 97 IF_ICMPNE L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I105 Branch 99 IFEQ L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - false
   * 12 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I119 Branch 101 IFNULL L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float(0.0F, 0.0F, 0.0F, 0.0F);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager0.removeAll(rectListManager0);
      assertEquals(true, rectListManager0.isEmpty());
      assertEquals(true, boolean0);
  }

  //Test case number: 18
  /*
   * 22 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I37 Branch 92 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I43 Branch 93 IF_ICMPNE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.RectListManager.iterator()Ljava/util/Iterator;: root-Branch
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/util/Collection;)V: I24 Branch 20 IFEQ L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I12 Branch 89 IF_ICMPGE L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I20 Branch 90 IFNULL L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I31 Branch 91 IF_ICMPGE L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I43 Branch 93 IF_ICMPNE L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I59 Branch 94 IFNONNULL L-1 - true
   * 13 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I76 Branch 96 IFEQ L-1 - false
   * 14 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I89 Branch 97 IF_ICMPNE L-1 - false
   * 15 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I105 Branch 99 IFEQ L-1 - false
   * 16 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - true
   * 17 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I114 Branch 100 IF_ICMPGE L-1 - false
   * 18 org.apache.batik.ext.awt.geom.RectListManager.removeAll(Lorg/apache/batik/ext/awt/geom/RectListManager;)Z: I119 Branch 101 IFNULL L-1 - true
   * 19 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.<init>(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: root-Branch
   * 20 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - true
   * 21 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.hasNext()Z: I5 Branch 1 IF_ICMPGE L-1 - false
   * 22 org.apache.batik.ext.awt.geom.RectListManager$RLMIterator.next()Ljava/lang/Object;: I5 Branch 2 IF_ICMPLT L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      RectListManager rectListManager1 = new RectListManager((Collection) rectListManager0);
      rectListManager1.addAll((Collection) rectListManager1);
      boolean boolean0 = rectListManager0.removeAll(rectListManager1);
      assertEquals(2, rectListManager1.size());
      assertEquals(0, rectListManager0.size());
      assertEquals(true, boolean0);
  }

  //Test case number: 19
  /*
   * 22 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I128 Branch 47 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I138 Branch 48 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I148 Branch 49 IF_ICMPGT L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/lang/Object;)Z: root-Branch
   * 5 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I22 Branch 171 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - false
   * 8 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I23 Branch 35 IFNONNULL L-1 - true
   * 9 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I23 Branch 35 IFNONNULL L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I26 Branch 36 IF_ICMPGE L-1 - true
   * 11 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I34 Branch 37 IFNONNULL L-1 - true
   * 12 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I34 Branch 37 IFNONNULL L-1 - false
   * 13 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I49 Branch 38 IF_ICMPLE L-1 - true
   * 14 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I57 Branch 39 IFNONNULL L-1 - false
   * 15 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I60 Branch 40 IF_ICMPLE L-1 - true
   * 16 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I68 Branch 41 IFNONNULL L-1 - false
   * 17 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I83 Branch 42 IF_ICMPNE L-1 - true
   * 18 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I83 Branch 42 IF_ICMPNE L-1 - false
   * 19 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I93 Branch 43 IF_ICMPGE L-1 - true
   * 20 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I128 Branch 47 IF_ICMPNE L-1 - false
   * 21 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - false
   * 22 org.apache.batik.ext.awt.geom.RectListManager.<init>(I)V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(0);
      rectListManager0.add((Object) null);
      Rectangle rectangle0 = new Rectangle(0, 0, (-442), (-442));
      rectListManager0.bounds = rectangle0;
      rectListManager0.add((Object) rectangle0);
      rectangle0.setFrame((double) (-442), (double) 0, (double) (-442), (double) (-442));
      // Undeclared exception!
      try {
        rectListManager0.add((Rectangle) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 20
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I12 Branch 74 IF_ICMPGT L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I26 Branch 75 IF_ICMPNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I94 Branch 81 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I102 Branch 82 IFLT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I109 Branch 83 IFEQ L-1 - false
   */

  @Test
  public void test20()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double((-1299.6759553607737), (-1299.6759553607737), (-1299.6759553607737), (-1299.6759553607737));
      Rectangle rectangle0 = rectangle2D_Double0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      assertEquals(false, rectListManager0.isEmpty());
      
      rectListManager0.remove(rectangle0);
      assertEquals(0, rectListManager0.size());
      assertEquals(true, rectListManager0.isEmpty());
  }

  //Test case number: 21
  /*
   * 20 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I156 Branch 85 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I163 Branch 86 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I196 Branch 87 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.ext.awt.geom.RectListManager.size()I: root-Branch
   * 5 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I2 Branch 114 IFNE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I16 Branch 115 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I27 Branch 116 IFNE L-1 - true
   * 8 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I86 Branch 117 IFLT L-1 - false
   * 9 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I89 Branch 118 IF_ICMPGT L-1 - false
   * 10 org.apache.batik.ext.awt.geom.RectListManager.add(Lorg/apache/batik/ext/awt/geom/RectListManager;)V: I97 Branch 119 IFNE L-1 - false
   * 11 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I2 Branch 51 IFEQ L-1 - false
   * 12 org.apache.batik.ext.awt.geom.RectListManager.addAll(Ljava/util/Collection;)Z: I18 Branch 52 IFEQ L-1 - false
   * 13 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I12 Branch 74 IF_ICMPGT L-1 - false
   * 14 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I26 Branch 75 IF_ICMPNE L-1 - false
   * 15 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I94 Branch 81 IF_ICMPEQ L-1 - true
   * 16 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I102 Branch 82 IFLT L-1 - true
   * 17 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I102 Branch 82 IFLT L-1 - false
   * 18 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I109 Branch 83 IFEQ L-1 - true
   * 19 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I142 Branch 84 IF_ICMPEQ L-1 - true
   * 20 org.apache.batik.ext.awt.geom.RectListManager.remove(Ljava/awt/Rectangle;)Z: I156 Branch 85 IF_ICMPGE L-1 - true
   */

  @Test
  public void test21()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float((float) 0, (-3.2647388F), (float) 0, (float) 0);
      Rectangle rectangle1 = rectangle2D_Float0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle1);
      rectListManager0.addAll((Collection) rectListManager0);
      rectListManager0.remove(rectangle0);
      assertEquals(2, rectListManager0.size());
  }

  //Test case number: 22
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.isEmpty()Z: I2 Branch 28 IFNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.<init>(Ljava/awt/Rectangle;)V: root-Branch
   * 4 org.apache.batik.ext.awt.geom.RectListManager.<init>()V: root-Branch
   * 5 org.apache.batik.ext.awt.geom.RectListManager.ensureCapacity(I)V: I4 Branch 170 IF_ICMPGT L-1 - false
   * 6 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I11 Branch 34 IF_ICMPGT L-1 - true
   * 7 org.apache.batik.ext.awt.geom.RectListManager.add(Ljava/awt/Rectangle;II)V: I161 Branch 50 IF_ICMPGE L-1 - true
   */

  @Test
  public void test22()  throws Throwable  {
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = polygon0.getBounds();
      RectListManager rectListManager0 = new RectListManager(rectangle0);
      boolean boolean0 = rectListManager0.isEmpty();
      assertEquals(false, boolean0);
  }

  //Test case number: 23
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I9 Branch 22 IFNE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.RectListManager.<init>(I)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.RectListManager.getBounds()Ljava/awt/Rectangle;: I2 Branch 21 IFNULL L-1 - true
   */

  @Test
  public void test23()  throws Throwable  {
      RectListManager rectListManager0 = new RectListManager(518);
      rectListManager0.getBounds();
      assertEquals(0, rectListManager0.size());
      assertEquals(true, rectListManager0.isEmpty());
  }
}
