/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedOutputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.io.PrintStream;
import java.util.Locale;
import org.apache.batik.util.Base64EncoderStream;
import org.junit.BeforeClass;

public class Base64EncoderStreamEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.Base64EncoderStream.write([BII)V: root-Branch
   * 2 org.apache.batik.util.Base64EncoderStream.<init>(Ljava/io/OutputStream;)V: root-Branch
   * 3 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I1 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) byteArrayOutputStream0);
      byte[] byteArray0 = new byte[7];
      base64EncoderStream0.write(byteArray0, 0, (int) (byte)0);
      assertArrayEquals(new byte[] {(byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0, (byte)0}, byteArray0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.Base64EncoderStream.flush()V: root-Branch
   * 2 org.apache.batik.util.Base64EncoderStream.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DataOutputStream dataOutputStream0 = new DataOutputStream((OutputStream) null);
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) dataOutputStream0, false);
      // Undeclared exception!
      try {
        base64EncoderStream0.flush();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.Base64EncoderStream.write(I)V: I15 Branch 3 IF_ICMPNE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) byteArrayOutputStream0, true);
      base64EncoderStream0.write((int) (byte)47);
      assertEquals("", byteArrayOutputStream0.toString());
      assertEquals(0, byteArrayOutputStream0.size());
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 org.apache.batik.util.Base64EncoderStream.close()V: I2 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.util.Base64EncoderStream.close()V: I2 Branch 1 IFNULL L-1 - false
   * 3 org.apache.batik.util.Base64EncoderStream.close()V: I10 Branch 2 IFEQ L-1 - false
   * 4 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 4 TABLESWITCH L-1 Case 0 - true
   * 5 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 5 TABLESWITCH L-1 Case 1 - false
   * 6 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 6 TABLESWITCH L-1 Case 2 - false
   * 7 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 7 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test3()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) pipedOutputStream0);
      base64EncoderStream0.close();
      base64EncoderStream0.close();
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.Base64EncoderStream.close()V: I10 Branch 2 IFEQ L-1 - true
   * 2 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 4 TABLESWITCH L-1 Case 0 - true
   */

  @Test
  public void test4()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream(1399);
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) pipedOutputStream0, false);
      base64EncoderStream0.close();
  }

  //Test case number: 5
  /*
   * 9 covered goals:
   * 1 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I6 Branch 10 IFEQ L-1 - false
   * 2 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I9 Branch 11 LOOKUPSWITCH L-1 Case 1 - false
   * 3 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I9 Branch 12 LOOKUPSWITCH L-1 Case 2 - false
   * 4 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I9 Branch 13 LOOKUPSWITCH L-1 Default-Case - true
   * 5 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 4 TABLESWITCH L-1 Case 0 - false
   * 6 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 7 TABLESWITCH L-1 Default-Case - true
   * 7 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I174 Branch 8 IF_ICMPNE L-1 - true
   * 8 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I1 Branch 9 IFNE L-1 - true
   * 9 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I69 Branch 15 IF_ICMPLT L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) byteArrayOutputStream0);
      base64EncoderStream0.atomLen = 534;
      byte[] byteArray0 = new byte[7];
      // Undeclared exception!
      try {
        base64EncoderStream0.write(byteArray0, 0, (int) (byte)49);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // 7
         //
      }
  }

  //Test case number: 6
  /*
   * 7 covered goals:
   * 1 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I153 Branch 16 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I6 Branch 10 IFEQ L-1 - true
   * 3 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I69 Branch 15 IF_ICMPLT L-1 - true
   * 4 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I153 Branch 16 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 17 LOOKUPSWITCH L-1 Case 1 - false
   * 6 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 18 LOOKUPSWITCH L-1 Case 2 - false
   * 7 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 19 LOOKUPSWITCH L-1 Default-Case - true
   */

  @Test
  public void test6()  throws Throwable  {
      BufferedOutputStream bufferedOutputStream0 = new BufferedOutputStream((OutputStream) null);
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) bufferedOutputStream0, false);
      PrintStream printStream0 = new PrintStream((OutputStream) base64EncoderStream0);
      Locale locale0 = Locale.getDefault();
      Object[] objectArray0 = new Object[6];
      PrintStream printStream1 = printStream0.printf(locale0, "SVGConverter.error.output.not.writeable", objectArray0);
      PrintStream printStream2 = printStream1.format(locale0, "SVGConverter.error.output.not.writeable", objectArray0);
      assertSame(printStream2, printStream1);
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 5 TABLESWITCH L-1 Case 1 - true
   * 2 org.apache.batik.util.Base64EncoderStream.write([B)V: root-Branch
   * 3 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 17 LOOKUPSWITCH L-1 Case 1 - true
   * 4 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 19 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test7()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) byteArrayOutputStream0, true);
      byte[] byteArray0 = new byte[7];
      base64EncoderStream0.write(byteArray0);
      base64EncoderStream0.close();
      assertEquals(12, byteArrayOutputStream0.size());
      assertEquals("AAAAAAAAAA==", byteArrayOutputStream0.toString());
  }

  //Test case number: 8
  /*
   * 31 covered goals:
   * 1 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 6 TABLESWITCH L-1 Case 2 - true
   * 2 org.apache.batik.util.Base64EncoderStream.write([BII)V: root-Branch
   * 3 org.apache.batik.util.Base64EncoderStream.write([B)V: root-Branch
   * 4 org.apache.batik.util.Base64EncoderStream.<init>(Ljava/io/OutputStream;)V: root-Branch
   * 5 org.apache.batik.util.Base64EncoderStream.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   * 6 org.apache.batik.util.Base64EncoderStream.close()V: I2 Branch 1 IFNULL L-1 - false
   * 7 org.apache.batik.util.Base64EncoderStream.close()V: I10 Branch 2 IFEQ L-1 - false
   * 8 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I1 Branch 9 IFNE L-1 - true
   * 9 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I6 Branch 10 IFEQ L-1 - true
   * 10 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I6 Branch 10 IFEQ L-1 - false
   * 11 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I9 Branch 11 LOOKUPSWITCH L-1 Case 1 - true
   * 12 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I9 Branch 11 LOOKUPSWITCH L-1 Case 1 - false
   * 13 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I9 Branch 12 LOOKUPSWITCH L-1 Case 2 - true
   * 14 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I9 Branch 12 LOOKUPSWITCH L-1 Case 2 - false
   * 15 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I9 Branch 13 LOOKUPSWITCH L-1 Default-Case - false
   * 16 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I27 Branch 14 IFNE L-1 - true
   * 17 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I69 Branch 15 IF_ICMPLT L-1 - true
   * 18 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I69 Branch 15 IF_ICMPLT L-1 - false
   * 19 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I153 Branch 16 IF_ICMPNE L-1 - true
   * 20 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 17 LOOKUPSWITCH L-1 Case 1 - true
   * 21 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 17 LOOKUPSWITCH L-1 Case 1 - false
   * 22 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 18 LOOKUPSWITCH L-1 Case 2 - true
   * 23 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 18 LOOKUPSWITCH L-1 Case 2 - false
   * 24 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 19 LOOKUPSWITCH L-1 Default-Case - true
   * 25 org.apache.batik.util.Base64EncoderStream.encodeFromArray([BII)V: I165 Branch 19 LOOKUPSWITCH L-1 Default-Case - false
   * 26 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 4 TABLESWITCH L-1 Case 0 - false
   * 27 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 5 TABLESWITCH L-1 Case 1 - false
   * 28 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 6 TABLESWITCH L-1 Case 2 - false
   * 29 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 7 TABLESWITCH L-1 Default-Case - true
   * 30 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I2 Branch 7 TABLESWITCH L-1 Default-Case - false
   * 31 org.apache.batik.util.Base64EncoderStream.encodeAtom()V: I174 Branch 8 IF_ICMPNE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Base64EncoderStream base64EncoderStream0 = new Base64EncoderStream((OutputStream) byteArrayOutputStream0, true);
      byte[] byteArray0 = new byte[7];
      base64EncoderStream0.write(byteArray0);
      byte[] byteArray1 = new byte[14];
      Base64EncoderStream base64EncoderStream1 = new Base64EncoderStream((OutputStream) base64EncoderStream0);
      base64EncoderStream1.write(byteArray1);
      base64EncoderStream0.close();
      assertEquals(32, byteArrayOutputStream0.size());
      assertEquals("AAAAAAAAAEFBQUFBQUFBQUFBQUFBQUE=", byteArrayOutputStream0.toString());
  }
}
