/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.EOFException;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.LinkedHashSet;
import java.util.Set;
import java.util.TreeSet;
import org.apache.batik.util.ClassFileUtilities;
import org.junit.BeforeClass;

public class ClassFileUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ClassFileUtilities.getClassDependencies(Ljava/lang/String;Ljava/util/Set;Z)Ljava/util/Set;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      LinkedHashSet<Object> linkedHashSet0 = new LinkedHashSet<Object>();
      try {
        ClassFileUtilities.getClassDependencies("SVGConverter.error.cannot.read.source", (Set) linkedHashSet0, false);
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // SVGConverter.error.cannot.read.source (No such file or directory)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ClassFileUtilities.getClassDependencies(Ljava/io/InputStream;Ljava/util/Set;Z)Ljava/util/Set;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)0, (int) (byte)0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) byteArrayInputStream0);
      TreeSet<Object> treeSet0 = new TreeSet<Object>();
      try {
        ClassFileUtilities.getClassDependencies((InputStream) bufferedInputStream0, (Set) treeSet0, false);
        fail("Expecting exception: EOFException");
      
      } catch(EOFException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ClassFileUtilities.getClassDependencies(Ljava/io/InputStream;)Ljava/util/Set;: I8 Branch 15 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      byte[] byteArray0 = new byte[7];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      try {
        ClassFileUtilities.getClassDependencies((InputStream) byteArrayInputStream0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Invalid classfile
         //
      }
  }
}
