/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util.gui.xmleditor;

import org.junit.Test;
import static org.junit.Assert.*;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import org.apache.batik.util.gui.xmleditor.XMLContext;
import org.apache.batik.util.gui.xmleditor.XMLDocument;
import org.apache.batik.util.gui.xmleditor.XMLToken;
import org.junit.BeforeClass;

public class XMLDocumentEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.gui.xmleditor.XMLDocument.remove(II)V: I6 Branch 7 IFNULL L-1 - true
   * 2 org.apache.batik.util.gui.xmleditor.XMLDocument.<init>(Lorg/apache/batik/util/gui/xmleditor/XMLContext;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XMLDocument xMLDocument0 = new XMLDocument((XMLContext) null);
      xMLDocument0.remove(0, 0);
      assertEquals(-1, xMLDocument0.getAsynchronousLoadPriority());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.gui.xmleditor.XMLDocument.getScannerStart(I)Lorg/apache/batik/util/gui/xmleditor/XMLToken;: I8 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.util.gui.xmleditor.XMLDocument.getScannerStart(I)Lorg/apache/batik/util/gui/xmleditor/XMLToken;: I70 Branch 4 IF_ICMPGE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      XMLContext xMLContext0 = new XMLContext();
      XMLDocument xMLDocument0 = new XMLDocument(xMLContext0);
      XMLToken xMLToken0 = xMLDocument0.getScannerStart(0);
      assertEquals("{default=AttributeSet,}\n{name=default,}\n", xMLContext0.toString());
      assertEquals(0, xMLToken0.getEndOffset());
      assertEquals(0, xMLToken0.getStartOffset());
      assertEquals(3, xMLToken0.getContext());
      assertNotNull(xMLToken0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.gui.xmleditor.XMLDocument.insertString(ILjava/lang/String;Ljavax/swing/text/AttributeSet;)V: I7 Branch 5 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      XMLDocument xMLDocument0 = new XMLDocument((XMLContext) null);
      XMLContext xMLContext0 = new XMLContext();
      AttributeSet attributeSet0 = xMLContext0.getEmptySet();
      xMLDocument0.insertString(0, "N[{", attributeSet0);
      assertEquals(3, xMLDocument0.getLength());
      assertEquals("{name=default,}\n{default=AttributeSet,}\n", xMLContext0.toString());
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I16 Branch 9 IFGE L-1 - true
   * 2 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I33 Branch 10 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I33 Branch 10 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I45 Branch 11 IF_ICMPLE L-1 - false
   * 5 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I65 Branch 12 IFNE L-1 - false
   * 6 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I80 Branch 13 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      XMLDocument xMLDocument0 = new XMLDocument((XMLContext) null);
      int int0 = xMLDocument0.find("N[{", 0, false);
      assertEquals((-1), int0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I65 Branch 12 IFNE L-1 - true
   * 2 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I33 Branch 10 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I80 Branch 13 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.util.gui.xmleditor.XMLDocument.<init>()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XMLDocument xMLDocument0 = new XMLDocument();
      int int0 = xMLDocument0.find("FrGIzz?=X#h%", 1973, true);
      assertEquals((-1), int0);
  }

  //Test case number: 5
  /*
   * 7 covered goals:
   * 1 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I80 Branch 13 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.util.gui.xmleditor.XMLDocument.<init>(Lorg/apache/batik/util/gui/xmleditor/XMLContext;)V: root-Branch
   * 3 org.apache.batik.util.gui.xmleditor.XMLDocument.<init>()V: root-Branch
   * 4 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I16 Branch 9 IFGE L-1 - true
   * 5 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I33 Branch 10 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I45 Branch 11 IF_ICMPLE L-1 - false
   * 7 org.apache.batik.util.gui.xmleditor.XMLDocument.find(Ljava/lang/String;IZ)I: I65 Branch 12 IFNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      XMLDocument xMLDocument0 = new XMLDocument();
      int int0 = xMLDocument0.find("", 1973, true);
      assertEquals(0, int0);
  }
}
