/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util.io;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.PipedReader;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import org.apache.batik.util.io.StreamNormalizingReader;
import org.junit.BeforeClass;

public class StreamNormalizingReaderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/Reader;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      PipedReader pipedReader0 = new PipedReader();
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((Reader) pipedReader0);
      assertEquals(1, streamNormalizingReader0.getLine());
      assertEquals(0, streamNormalizingReader0.getColumn());
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I7 Branch 8 IFNULL L-1 - true
   * 2 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I17 Branch 9 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      StreamNormalizingReader streamNormalizingReader0 = null;
      try {
        streamNormalizingReader0 = new StreamNormalizingReader((InputStream) pipedInputStream0, "");
        fail("Expecting exception: UnsupportedEncodingException");
      
      } catch(UnsupportedEncodingException e) {
         //
         // 
         //
      }
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.io.StreamNormalizingReader.read()I: I5 Branch 2 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.util.io.StreamNormalizingReader$ISO_8859_1DecoderFactory.createCharDecoder(Ljava/io/InputStream;)Lorg/apache/batik/util/io/CharDecoder;: root-Branch
   * 3 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;)V: root-Branch
   * 4 org.apache.batik.util.io.StreamNormalizingReader.createCharDecoder(Ljava/io/InputStream;Ljava/lang/String;)Lorg/apache/batik/util/io/CharDecoder;: I7 Branch 8 IFNULL L-1 - false
   * 5 org.apache.batik.util.io.StreamNormalizingReader.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I9 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) null);
      StreamNormalizingReader streamNormalizingReader0 = new StreamNormalizingReader((InputStream) bufferedInputStream0);
      char[] charArray0 = new char[8];
      charArray0[3] = '}';
      try {
        streamNormalizingReader0.read(charArray0, (int) '\u0000', (int) '}');
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Stream closed
         //
      }
  }
}
