/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.apps.svgbrowser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.net.URL;
import org.apache.batik.apps.svgbrowser.JSVGViewerFrame;
import org.apache.batik.apps.svgbrowser.SVGInputHandler;
import org.apache.batik.apps.svgbrowser.WindowsAltFileSystemView;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMPatternElement;
import org.apache.batik.dom.svg.SVGOMSwitchElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGInputHandlerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.SVGInputHandler.handle(Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/apps/svgbrowser/JSVGViewerFrame;)V: root-Branch
   * 2 org.apache.batik.apps.svgbrowser.SVGInputHandler.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGInputHandler sVGInputHandler0 = new SVGInputHandler();
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMSwitchElement sVGOMSwitchElement0 = new SVGOMSwitchElement("", (AbstractDocument) sVG12OMDocument0);
      sVGOMSwitchElement0.getCSSBase();
      // Undeclared exception!
      try {
        sVGInputHandler0.handle((ParsedURL) null, (JSVGViewerFrame) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.SVGInputHandler.getHandledExtensions()[Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGInputHandler sVGInputHandler0 = new SVGInputHandler();
      String[] stringArray0 = sVGInputHandler0.getHandledExtensions();
      assertNotNull(stringArray0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.SVGInputHandler.getHandledMimeTypes()[Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGInputHandler sVGInputHandler0 = new SVGInputHandler();
      String[] stringArray0 = sVGInputHandler0.getHandledMimeTypes();
      assertNotNull(stringArray0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/io/File;)Z: I1 Branch 1 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVGInputHandler sVGInputHandler0 = new SVGInputHandler();
      boolean boolean0 = sVGInputHandler0.accept((File) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/io/File;)Z: I1 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/io/File;)Z: I4 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SVGInputHandler sVGInputHandler0 = new SVGInputHandler();
      WindowsAltFileSystemView windowsAltFileSystemView0 = new WindowsAltFileSystemView();
      File file0 = windowsAltFileSystemView0.createFileObject("");
      boolean boolean0 = sVGInputHandler0.accept(file0);
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 6 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Lorg/apache/batik/util/ParsedURL;)Z: I1 Branch 4 IFNONNULL L-1 - true
   * 2 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Lorg/apache/batik/util/ParsedURL;)Z: I9 Branch 5 IFNONNULL L-1 - true
   * 3 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/lang/String;)Z: I1 Branch 6 IFNONNULL L-1 - true
   * 4 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/lang/String;)Z: I11 Branch 7 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/lang/String;)Z: I11 Branch 7 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/lang/String;)Z: I17 Branch 8 IFLE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVGInputHandler sVGInputHandler0 = new SVGInputHandler();
      ParsedURL parsedURL0 = new ParsedURL((URL) null, "|");
      boolean boolean0 = sVGInputHandler0.accept(parsedURL0);
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Lorg/apache/batik/util/ParsedURL;)Z: I1 Branch 4 IFNONNULL L-1 - false
   * 2 org.apache.batik.apps.svgbrowser.SVGInputHandler.getDescription()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGInputHandler sVGInputHandler0 = new SVGInputHandler();
      sVGInputHandler0.getDescription();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMPatternElement0.getCSSBase();
      boolean boolean0 = sVGInputHandler0.accept((ParsedURL) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/lang/String;)Z: I17 Branch 8 IFLE L-1 - false
   * 2 org.apache.batik.apps.svgbrowser.SVGInputHandler.<init>()V: root-Branch
   * 3 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/lang/String;)Z: I1 Branch 6 IFNONNULL L-1 - true
   * 4 org.apache.batik.apps.svgbrowser.SVGInputHandler.accept(Ljava/lang/String;)Z: I11 Branch 7 IF_ICMPGE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      SVGInputHandler sVGInputHandler0 = new SVGInputHandler();
      boolean boolean0 = sVGInputHandler0.accept(".svg");
      assertEquals(true, boolean0);
  }
}
