/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Calendar;
import java.util.GregorianCalendar;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.AnimationSupport;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentFragment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMImageElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.events.EventTarget;

public class AnimationSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AnimationSupport.fireTimeEvent(Lorg/w3c/dom/events/EventTarget;Ljava/lang/String;Ljava/util/Calendar;I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMImageElement sVGOMImageElement0 = new SVGOMImageElement("M", (AbstractDocument) sVG12OMDocument0);
      sVGOMImageElement0.getOwnerSVGElement();
      GregorianCalendar gregorianCalendar0 = new GregorianCalendar((-1), (-1), (-1), (-1), (-1));
      // Undeclared exception!
      try {
        AnimationSupport.fireTimeEvent((EventTarget) null, "M", (Calendar) gregorianCalendar0, (-1));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I10 Branch 3 IFEQ L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - false
   * 4 org.apache.batik.bridge.AnimationSupport.getEventTargetById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/events/EventTarget;: root-Branch
   * 5 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("UC svpt|w ^kG", "UC svpt|w ^kG", "UC svpt|w ^kG");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      EventTarget eventTarget0 = AnimationSupport.getEventTargetById("UC svpt|w ^kG", (Node) genericDocumentType0);
      assertNull(eventTarget0);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getTimedElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/apache/batik/anim/timing/TimedElement;: I6 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("UC svpt|w ^kG", "UC svpt|w ^kG", "UC svpt|w ^kG");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      GenericDocumentFragment genericDocumentFragment0 = new GenericDocumentFragment((AbstractDocument) sVG12OMDocument0);
      TimedElement timedElement0 = AnimationSupport.getTimedElementById("UC svpt|w ^kG", (Node) genericDocumentFragment0);
      assertNull(timedElement0);
  }
}
