/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontWeightManager;
import org.apache.batik.css.engine.value.svg.KerningManager;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMUseElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class FontWeightManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.FontWeightManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 12 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      try {
        fontWeightManager0.createFloatValue((short)1416, (float) (-924));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The number '-924' represents an invalid value for the 'font-weight' property.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      int int0 = fontWeightManager0.getPropertyType();
      assertEquals(28, int0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      StringValue stringValue0 = (StringValue)fontWeightManager0.getDefaultValue();
      assertEquals("normal", stringValue0.getStringValue());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isAdditiveProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontWeightManager.getIdentifiers()Lorg/apache/batik/css/engine/value/StringMap;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.MEDIUM_LU;
      try {
        fontWeightManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"medium\" identifier is not a valid value for the \"font-weight\" property. 
         //
      }
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 24 IF_ACMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I38 Branch 26 IF_ACMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I74 Branch 28 IF_ACMPNE L-1 - true
   * 4 org.apache.batik.css.engine.value.css2.FontWeightManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I80 Branch 29 IF_ACMPNE L-1 - true
   * 5 org.apache.batik.css.engine.value.css2.FontWeightManager.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      SVGOMUseElement sVGOMUseElement0 = new SVGOMUseElement("", (AbstractDocument) sVGOMDocument0);
      sVGOMUseElement0.getComputedStyleMap("");
      KerningManager kerningManager0 = new KerningManager();
      StringValue stringValue0 = (StringValue)kerningManager0.getDefaultValue();
      StringValue stringValue1 = (StringValue)fontWeightManager0.computeValue((CSSStylableElement) sVGOMUseElement0, "", (CSSEngine) null, (-924), (StyleMap) null, (Value) stringValue0);
      assertEquals("auto", stringValue1.toString());
  }
}
