/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.parser.DefaultAndCondition;
import org.apache.batik.css.parser.DefaultChildSelector;
import org.apache.batik.css.parser.DefaultConditionalSelector;
import org.apache.batik.css.parser.DefaultDescendantSelector;
import org.apache.batik.css.parser.DefaultDirectAdjacentSelector;
import org.apache.batik.css.parser.DefaultElementSelector;
import org.apache.batik.css.parser.DefaultLangCondition;
import org.apache.batik.css.parser.DefaultPseudoElementSelector;
import org.apache.batik.css.parser.DefaultSelectorFactory;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.Condition;
import org.w3c.css.sac.Selector;
import org.w3c.css.sac.SimpleSelector;

public class DefaultSelectorFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createTextNodeSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      try {
        defaultSelectorFactory0.createTextNodeSelector("LN0~i)GtcDM");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createProcessingInstructionSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ProcessingInstructionSelector;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      try {
        defaultSelectorFactory0.createProcessingInstructionSelector("Not implemented in CSS2", "Not implemented in CSS2");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createConditionalSelector(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)Lorg/w3c/css/sac/ConditionalSelector;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      DefaultLangCondition defaultLangCondition0 = new DefaultLangCondition("*:Qt*~7jT_hioO");
      DefaultAndCondition defaultAndCondition0 = new DefaultAndCondition((Condition) defaultLangCondition0, (Condition) defaultLangCondition0);
      DefaultConditionalSelector defaultConditionalSelector0 = new DefaultConditionalSelector((SimpleSelector) null, (Condition) defaultAndCondition0);
      DefaultConditionalSelector defaultConditionalSelector1 = (DefaultConditionalSelector)defaultSelectorFactory0.createConditionalSelector((SimpleSelector) defaultConditionalSelector0, (Condition) defaultLangCondition0);
      assertFalse(defaultConditionalSelector0.equals(defaultConditionalSelector1));
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createNegativeSelector(Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/NegativeSelector;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      DefaultLangCondition defaultLangCondition0 = new DefaultLangCondition("*:Qt*~7jT_hioO");
      DefaultAndCondition defaultAndCondition0 = new DefaultAndCondition((Condition) defaultLangCondition0, (Condition) defaultLangCondition0);
      DefaultConditionalSelector defaultConditionalSelector0 = new DefaultConditionalSelector((SimpleSelector) null, (Condition) defaultAndCondition0);
      try {
        defaultSelectorFactory0.createNegativeSelector((SimpleSelector) defaultConditionalSelector0);
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createChildSelector(Lorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/DescendantSelector;: root-Branch
   * 2 org.apache.batik.css.parser.DefaultSelectorFactory.createElementSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ElementSelector;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      DefaultElementSelector defaultElementSelector0 = (DefaultElementSelector)defaultSelectorFactory0.createElementSelector("LN0~i)GtcDM", "LN0~i)GtcDM");
      DefaultChildSelector defaultChildSelector0 = new DefaultChildSelector((Selector) defaultElementSelector0, (SimpleSelector) defaultElementSelector0);
      DefaultChildSelector defaultChildSelector1 = (DefaultChildSelector)defaultSelectorFactory0.createChildSelector((Selector) defaultChildSelector0, (SimpleSelector) defaultElementSelector0);
      assertEquals(11, defaultChildSelector1.getSelectorType());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createAnyNodeSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      try {
        defaultSelectorFactory0.createAnyNodeSelector();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createCommentSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      try {
        defaultSelectorFactory0.createCommentSelector("cl*;s");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createRootNodeSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      try {
        defaultSelectorFactory0.createRootNodeSelector();
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createDirectAdjacentSelector(SLorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/SiblingSelector;: root-Branch
   * 2 org.apache.batik.css.parser.DefaultSelectorFactory.createElementSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ElementSelector;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      DefaultElementSelector defaultElementSelector0 = (DefaultElementSelector)defaultSelectorFactory0.createElementSelector("cl*;s", "cl*;s");
      DefaultDirectAdjacentSelector defaultDirectAdjacentSelector0 = (DefaultDirectAdjacentSelector)defaultSelectorFactory0.createDirectAdjacentSelector((short) (-1313), (Selector) defaultElementSelector0, (SimpleSelector) defaultElementSelector0);
      assertEquals(-1313, defaultDirectAdjacentSelector0.getNodeType());
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createDescendantSelector(Lorg/w3c/css/sac/Selector;Lorg/w3c/css/sac/SimpleSelector;)Lorg/w3c/css/sac/DescendantSelector;: root-Branch
   * 2 org.apache.batik.css.parser.DefaultSelectorFactory.createPseudoElementSelector(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/css/sac/ElementSelector;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      DefaultPseudoElementSelector defaultPseudoElementSelector0 = (DefaultPseudoElementSelector)defaultSelectorFactory0.createPseudoElementSelector("7;1CJBALe:", "7;1CJBALe:");
      DefaultDescendantSelector defaultDescendantSelector0 = (DefaultDescendantSelector)defaultSelectorFactory0.createDescendantSelector((Selector) defaultPseudoElementSelector0, (SimpleSelector) defaultPseudoElementSelector0);
      assertEquals(10, defaultDescendantSelector0.getSelectorType());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.parser.DefaultSelectorFactory.createCDataSectionSelector(Ljava/lang/String;)Lorg/w3c/css/sac/CharacterDataSelector;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      DefaultSelectorFactory defaultSelectorFactory0 = (DefaultSelectorFactory)DefaultSelectorFactory.INSTANCE;
      try {
        defaultSelectorFactory0.createCDataSectionSelector("");
        fail("Expecting exception: CSSException");
      
      } catch(CSSException e) {
         //
         // Not implemented in CSS2
         //
      }
  }
}
