/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericElement;
import org.apache.batik.dom.GenericElementNS;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEFuncGElement;
import org.apache.batik.dom.svg.SVGOMGlyphRefElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowRootElement;
import org.junit.BeforeClass;
import org.w3c.dom.Attr;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.AbstractElement.getNodeType()S: root-Branch
   * 2 org.apache.batik.dom.AbstractElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I7 Branch 39 IFEQ L-1 - false
   * 3 org.apache.batik.dom.AbstractElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I10 Branch 40 IFNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("l7S", "l7S", "l7S");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      GenericElement genericElement0 = new GenericElement("l7S", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        genericElement0.setSpecified(true);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // An attempt as been made to invoke an invalid method for the current node (type: 1, name: l7S).
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractElement.getAttributeNode(Ljava/lang/String;)Lorg/w3c/dom/Attr;: I2 Branch 51 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("l7S", "l7S", "l7S");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      GenericElementNS genericElementNS0 = new GenericElementNS("l7S", "l7S", (AbstractDocument) sVGOMDocument0);
      Attr attr0 = genericElementNS0.getAttributeNode("l7S");
      assertNull(attr0);
  }

  //Test case number: 2
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.AbstractElement.removeAttributeNS(Ljava/lang/String;Ljava/lang/String;)V: I1 Branch 71 IFNULL L-1 - false
   * 2 org.apache.batik.dom.AbstractElement.removeAttributeNS(Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 72 IFNE L-1 - true
   * 3 org.apache.batik.dom.AbstractElement.removeAttributeNS(Ljava/lang/String;Ljava/lang/String;)V: I12 Branch 73 IFNE L-1 - false
   * 4 org.apache.batik.dom.AbstractElement.hasAttributeNS(Ljava/lang/String;Ljava/lang/String;)Z: I1 Branch 59 IFNULL L-1 - false
   * 5 org.apache.batik.dom.AbstractElement.hasAttributeNS(Ljava/lang/String;Ljava/lang/String;)Z: I4 Branch 60 IFNE L-1 - true
   * 6 org.apache.batik.dom.AbstractElement.hasAttributeNS(Ljava/lang/String;Ljava/lang/String;)Z: I10 Branch 61 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("inuse.attribute", "inuse.attribute", "inuse.attribute");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericElement genericElement0 = new GenericElement("inuse.attribute", (AbstractDocument) sVGOMDocument0);
      genericElement0.removeAttributeNS("inuse.attribute", "inuse.attribute");
      assertEquals("inuse.attribute", genericElement0.getTagName());
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.AbstractElement.setAttributeNodeNS(Lorg/w3c/dom/Attr;)Lorg/w3c/dom/Attr;: I1 Branch 77 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.AbstractElement.getAttributeNodeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I1 Branch 74 IFNULL L-1 - false
   * 3 org.apache.batik.dom.AbstractElement.getAttributeNodeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I4 Branch 75 IFNE L-1 - true
   * 4 org.apache.batik.dom.AbstractElement.getAttributeNodeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I10 Branch 76 IFNONNULL L-1 - false
   * 5 org.apache.batik.dom.AbstractElement.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("attribute.missing", "attribute.missing", "attribute.missing");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFlowRootElement sVGOMFlowRootElement0 = new SVGOMFlowRootElement("attribute.missing", (AbstractDocument) sVG12OMDocument0);
      SVGOMFEFuncGElement sVGOMFEFuncGElement0 = new SVGOMFEFuncGElement("attribute.missing", (AbstractDocument) sVG12OMDocument0);
      sVGOMFEFuncGElement0.getAttributeNodeNS("attribute.missing", "attribute.missing");
      Attr attr0 = sVGOMFlowRootElement0.setAttributeNodeNS((Attr) null);
      assertNull(attr0);
  }

  //Test case number: 4
  /*
   * 23 covered goals:
   * 1 org.apache.batik.dom.AbstractElement.removeAttributeNode(Lorg/w3c/dom/Attr;)Lorg/w3c/dom/Attr;: I1 Branch 54 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.<init>(Lorg/apache/batik/dom/AbstractElement;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.rehash()V: I19 Branch 36 IFLT L-1 - true
   * 4 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.rehash()V: I19 Branch 36 IFLT L-1 - false
   * 5 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.rehash()V: I26 Branch 37 IFNULL L-1 - true
   * 6 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.rehash()V: I26 Branch 37 IFNULL L-1 - false
   * 7 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.setNamedItem(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I1 Branch 18 IFNULL L-1 - false
   * 8 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.setNamedItem(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I4 Branch 19 IFNE L-1 - true
   * 9 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.setNamedItem(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I21 Branch 20 IFNULL L-1 - true
   * 10 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.hashCode(Ljava/lang/String;Ljava/lang/String;)I: I1 Branch 38 IFNONNULL L-1 - true
   * 11 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.setNamedItemNS(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I1 Branch 11 IFNONNULL L-1 - true
   * 12 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.setNamedItemNS(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I11 Branch 12 IFNONNULL L-1 - true
   * 13 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.put(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I20 Branch 28 IFNULL L-1 - true
   * 14 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.put(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I20 Branch 28 IFNULL L-1 - false
   * 15 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.put(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I24 Branch 29 IF_ICMPNE L-1 - true
   * 16 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.put(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I60 Branch 31 IF_ICMPLT L-1 - true
   * 17 org.apache.batik.dom.AbstractElement$NamedNodeHashMap.put(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: I60 Branch 31 IF_ICMPLT L-1 - false
   * 18 org.apache.batik.dom.AbstractElement$Entry.<init>(ILjava/lang/String;Ljava/lang/String;Lorg/w3c/dom/Node;Lorg/apache/batik/dom/AbstractElement$Entry;)V: root-Branch
   * 19 org.apache.batik.dom.AbstractElement.fireDOMAttrModifiedEvent(Ljava/lang/String;Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;S)V: I1 Branch 131 LOOKUPSWITCH L-1 Case 1 - false
   * 20 org.apache.batik.dom.AbstractElement.fireDOMAttrModifiedEvent(Ljava/lang/String;Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;S)V: I1 Branch 132 LOOKUPSWITCH L-1 Case 2 - true
   * 21 org.apache.batik.dom.AbstractElement.fireDOMAttrModifiedEvent(Ljava/lang/String;Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;S)V: I1 Branch 133 LOOKUPSWITCH L-1 Default-Case - false
   * 22 org.apache.batik.dom.AbstractElement.fireDOMAttrModifiedEvent(Ljava/lang/String;Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;S)V: I6 Branch 134 IFEQ L-1 - true
   * 23 org.apache.batik.dom.AbstractElement.fireDOMAttrModifiedEvent(Ljava/lang/String;Lorg/w3c/dom/Attr;Ljava/lang/String;Ljava/lang/String;S)V: I57 Branch 137 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("attribute.missing", "attribute.missing", "attribute.missing");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMGlyphRefElement sVGOMGlyphRefElement0 = new SVGOMGlyphRefElement("attribute.missing", (AbstractDocument) sVG12OMDocument0);
      SVGOMFEFuncGElement sVGOMFEFuncGElement0 = new SVGOMFEFuncGElement("attribute.missing", (AbstractDocument) sVG12OMDocument0);
      sVGOMFEFuncGElement0.getAttributeNodeNS("attribute.missing", "attribute.missing");
      sVGOMGlyphRefElement0.removeAttributeNode((Attr) null);
      assertEquals(false, sVG12OMDocument0.getEventsEnabled());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I10 Branch 40 IFNE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      GenericElementNS genericElementNS0 = null;
      try {
        genericElementNS0 = new GenericElementNS("#Kk^V:GvC;~i;(", "#Kk^V:GvC;~i;(", (AbstractDocument) sVGOMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"#Kk^V:GvC;~i;(\") is an invalid XML name.
         //
      }
  }

  //Test case number: 6
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.AbstractElement.setAttributeNode(Lorg/w3c/dom/Attr;)Lorg/w3c/dom/Attr;: I1 Branch 52 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.AbstractElement.<init>()V: root-Branch
   * 3 org.apache.batik.dom.AbstractElement.getAttributeNodeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I1 Branch 74 IFNULL L-1 - false
   * 4 org.apache.batik.dom.AbstractElement.getAttributeNodeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I4 Branch 75 IFNE L-1 - true
   * 5 org.apache.batik.dom.AbstractElement.getAttributeNodeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I10 Branch 76 IFNONNULL L-1 - false
   * 6 org.apache.batik.dom.AbstractElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I7 Branch 39 IFEQ L-1 - false
   * 7 org.apache.batik.dom.AbstractElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: I10 Branch 40 IFNE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("attribute.missing", "attribute.missing", "attribute.missing");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericElementNS genericElementNS0 = new GenericElementNS("attribute.missing", "attribute.missing", (AbstractDocument) sVG12OMDocument0);
      SVGOMFEFuncGElement sVGOMFEFuncGElement0 = new SVGOMFEFuncGElement("attribute.missing", (AbstractDocument) sVG12OMDocument0);
      sVGOMFEFuncGElement0.getAttributeNodeNS("attribute.missing", "attribute.missing");
      Attr attr0 = genericElementNS0.setAttributeNode((Attr) null);
      assertNull(attr0);
  }
}
