/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.events;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.events.DOMCustomEvent;
import org.apache.batik.dom.events.DOMEvent;
import org.apache.batik.dom.events.DOMKeyEvent;
import org.apache.batik.dom.events.DOMKeyboardEvent;
import org.apache.batik.dom.events.DOMMouseEvent;
import org.apache.batik.dom.events.DOMMutationEvent;
import org.apache.batik.dom.events.DOMMutationNameEvent;
import org.apache.batik.dom.events.DOMTimeEvent;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.XBLOMXBLElement;
import org.apache.batik.util.SVGConstants;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.events.EventTarget;

public class AbstractEventEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopImmediatePropagation()V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      dOMMouseEvent0.stopImmediatePropagation();
      assertEquals(1397570023427L, dOMMouseEvent0.getTimeStamp());
      assertEquals(0, dOMMouseEvent0.getBubbleLimit());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getEventPhase()S: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getEventPhase();
      assertEquals(1397570023447L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getCurrentTarget()Lorg/w3c/dom/events/EventTarget;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      dOMKeyboardEvent0.getCurrentTarget();
      assertEquals(1397570023464L, dOMKeyboardEvent0.getTimeStamp());
      assertEquals(0, dOMKeyboardEvent0.getBubbleLimit());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopImmediatePropagation(Z)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getDefaultPrevented()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getDefaultPrevented();
      dOMMutationNameEvent0.stopImmediatePropagation(false);
      assertEquals(1397570023479L, dOMMutationNameEvent0.getTimeStamp());
      assertEquals(false, dOMMutationNameEvent0.getDefaultPrevented());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.initEvent(Ljava/lang/String;ZZ)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getNamespaceURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DOMEvent dOMEvent0 = new DOMEvent();
      dOMEvent0.getNamespaceURI();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getDefaultPrevented();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      XBLOMXBLElement xBLOMXBLElement0 = new XBLOMXBLElement((String) null, (AbstractDocument) sVGOMDocument0);
      dOMMutationNameEvent0.initMutationEvent((String) null, false, false, (Node) xBLOMXBLElement0, (String) null, (String) null, (String) null, (short)0);
      assertEquals(1397570023514L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getStopImmediatePropagation()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      boolean boolean0 = dOMKeyboardEvent0.getStopImmediatePropagation();
      assertEquals(1397570023822L, dOMKeyboardEvent0.getTimeStamp());
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getStopPropagation()Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      boolean boolean0 = dOMMutationNameEvent0.getStopPropagation();
      assertEquals(1397570023850L, dOMMutationNameEvent0.getTimeStamp());
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getType()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.getType();
      assertEquals(1397570023865L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setCurrentTarget(Lorg/w3c/dom/events/EventTarget;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      DOMEvent dOMEvent0 = new DOMEvent();
      dOMEvent0.getNamespaceURI();
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      XBLOMXBLElement xBLOMXBLElement0 = new XBLOMXBLElement((String) null, (AbstractDocument) sVGOMDocument0);
      xBLOMXBLElement0.getOwnerSVGElement();
      dOMTimeEvent0.setCurrentTarget((EventTarget) null);
      assertEquals(1397570023878L, dOMTimeEvent0.getTimeStamp());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.preventDefault()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.preventDefault();
      assertEquals(1397570023913L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getOriginalEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.getOriginalEvent();
      assertEquals(1397570023925L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.cloneEvent()Lorg/apache/batik/dom/events/AbstractEvent;: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.clone()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.cloneEvent();
      assertEquals(1397570023937L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getTimeStamp()J: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      long long0 = dOMKeyEvent0.getTimeStamp();
      assertEquals(1397570023953L, long0);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopPropagation(Z)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getDefaultPrevented();
      dOMMutationNameEvent0.stopPropagation(false);
      assertEquals(1397570023968L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getDefaultActions()Ljava/util/List;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.getDefaultActions();
      assertEquals(1397570024000L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 15
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.preventDefault(Z)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getBubbles()Z: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getBubbles();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.preventDefault(false);
      assertEquals(1397570024013L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopPropagation()V: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      dOMKeyboardEvent0.stopPropagation();
      assertEquals(1397570024036L, dOMKeyboardEvent0.getTimeStamp());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setEventPhase(S)V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.setEventPhase((short)0);
      assertEquals(1397570024049L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setTarget(Lorg/w3c/dom/events/EventTarget;)V: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      DOMEvent dOMEvent0 = new DOMEvent();
      dOMEvent0.getNamespaceURI();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      XBLOMXBLElement xBLOMXBLElement0 = new XBLOMXBLElement((String) null, (AbstractDocument) sVGOMDocument0);
      xBLOMXBLElement0.getOwnerSVGElement();
      dOMEvent0.setTarget((EventTarget) null);
      assertEquals(1397570024064L, dOMEvent0.getTimeStamp());
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setBubbleLimit(I)V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      dOMKeyboardEvent0.getDetail();
      dOMKeyboardEvent0.setBubbleLimit(0);
      assertEquals(1397570024086L, dOMKeyboardEvent0.getTimeStamp());
      assertEquals(0, dOMKeyboardEvent0.getBubbleLimit());
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getBubbleLimit()I: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      DOMMutationEvent dOMMutationEvent0 = new DOMMutationEvent();
      int int0 = dOMMutationEvent0.getBubbleLimit();
      assertEquals(1397570024102L, dOMMutationEvent0.getTimeStamp());
      assertEquals(0, int0);
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getTarget()Lorg/w3c/dom/events/EventTarget;: root-Branch
   */

  @Test
  public void test21()  throws Throwable  {
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getTarget();
      assertEquals(1397570024120L, dOMKeyEvent0.getTimeStamp());
  }

  //Test case number: 22
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I2 Branch 2 IFNULL L-1 - true
   * 2 org.apache.batik.dom.events.AbstractEvent.getNamespaceURI()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.dom.events.AbstractEvent.getDefaultPrevented()Z: root-Branch
   */

  @Test
  public void test22()  throws Throwable  {
      DOMEvent dOMEvent0 = new DOMEvent();
      dOMEvent0.getNamespaceURI();
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getDefaultPrevented();
      dOMKeyEvent0.initEventNS((String) null, (String) null, false, false);
      assertEquals(1397570024132L, dOMKeyEvent0.getTimeStamp());
  }

  //Test case number: 23
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I2 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I6 Branch 3 IFNE L-1 - true
   * 3 org.apache.batik.dom.events.AbstractEvent.getCancelable()Z: root-Branch
   * 4 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I2 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test23()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      dOMTimeEvent0.getCancelable();
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      String string0 = SVGConstants.SVG_LENGTH_ADJUST_ATTRIBUTE;
      dOMCustomEvent0.initCustomEventNS("iRRBu|@1+", "iRRBu|@1+", false, false, (Object) "lengthAdjust");
      dOMCustomEvent0.initCustomEventNS("iRRBu|@1+", "iRRBu|@1+", false, false, (Object) "lengthAdjust");
      assertEquals(1397570024171L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 24
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.addDefaultAction(Ljava/lang/Runnable;)V: I2 Branch 1 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.events.AbstractEvent.addDefaultAction(Ljava/lang/Runnable;)V: I2 Branch 1 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.events.AbstractEvent.<init>()V: root-Branch
   */

  @Test
  public void test24()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.addDefaultAction((Runnable) null);
      dOMMutationNameEvent0.addDefaultAction((Runnable) null);
      assertEquals(1397570024231L, dOMMutationNameEvent0.getTimeStamp());
  }
}
