/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.events;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.events.DOMCustomEvent;
import org.apache.batik.dom.events.DOMEvent;
import org.apache.batik.dom.events.DOMKeyEvent;
import org.apache.batik.dom.events.DOMKeyboardEvent;
import org.apache.batik.dom.events.DOMMouseEvent;
import org.apache.batik.dom.events.DOMMutationEvent;
import org.apache.batik.dom.events.DOMMutationNameEvent;
import org.apache.batik.dom.events.DOMTextEvent;
import org.apache.batik.dom.events.DOMUIEvent;
import org.apache.batik.dom.events.DocumentEventSupport;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;

public class DocumentEventSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 12 covered goals:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$CustomEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   * 2 org.apache.batik.dom.events.DocumentEventSupport$CustomEventFactory.<init>()V: root-Branch
   * 3 org.apache.batik.dom.events.DocumentEventSupport.<init>()V: root-Branch
   * 4 org.apache.batik.dom.events.DocumentEventSupport.createEvent(Ljava/lang/String;)Lorg/w3c/dom/events/Event;: I8 Branch 1 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.events.DocumentEventSupport$SimpleEventFactory.<init>()V: root-Branch
   * 6 org.apache.batik.dom.events.DocumentEventSupport$KeyboardEventFactory.<init>()V: root-Branch
   * 7 org.apache.batik.dom.events.DocumentEventSupport$TextEventFactory.<init>()V: root-Branch
   * 8 org.apache.batik.dom.events.DocumentEventSupport$KeyEventFactory.<init>()V: root-Branch
   * 9 org.apache.batik.dom.events.DocumentEventSupport$MutationEventFactory.<init>()V: root-Branch
   * 10 org.apache.batik.dom.events.DocumentEventSupport$MouseEventFactory.<init>()V: root-Branch
   * 11 org.apache.batik.dom.events.DocumentEventSupport$MutationNameEventFactory.<init>()V: root-Branch
   * 12 org.apache.batik.dom.events.DocumentEventSupport$UIEventFactory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMCustomEvent dOMCustomEvent0 = (DOMCustomEvent)documentEventSupport0.createEvent("CustomEvent");
      assertNotNull(dOMCustomEvent0);
      assertEquals(1397533944035L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.DocumentEventSupport.createEvent(Ljava/lang/String;)Lorg/w3c/dom/events/Event;: I8 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.events.DocumentEventSupport.registerEventFactory(Ljava/lang/String;Lorg/apache/batik/dom/events/DocumentEventSupport$EventFactory;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      documentEventSupport0.registerEventFactory("MutationEvents", (DocumentEventSupport.EventFactory) null);
      try {
        documentEventSupport0.createEvent("MutationEvents");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Bad event type: MutationEvents
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$SimpleEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMEvent dOMEvent0 = (DOMEvent)documentEventSupport0.createEvent("Events");
      assertNotNull(dOMEvent0);
      assertEquals(1397533944192L, dOMEvent0.getTimeStamp());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$KeyboardEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMKeyboardEvent dOMKeyboardEvent0 = (DOMKeyboardEvent)documentEventSupport0.createEvent("KeyboardEvent");
      assertNotNull(dOMKeyboardEvent0);
      assertEquals(1397533944252L, dOMKeyboardEvent0.getTimeStamp());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$TextEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMTextEvent dOMTextEvent0 = (DOMTextEvent)documentEventSupport0.createEvent("TextEvent");
      assertEquals(1397533944321L, dOMTextEvent0.getTimeStamp());
      assertNotNull(dOMTextEvent0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$KeyEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMKeyEvent dOMKeyEvent0 = (DOMKeyEvent)documentEventSupport0.createEvent("KeyEvents");
      assertEquals(1397533944363L, dOMKeyEvent0.getTimeStamp());
      assertNotNull(dOMKeyEvent0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$MutationEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMMutationEvent dOMMutationEvent0 = (DOMMutationEvent)documentEventSupport0.createEvent("MutationEvents");
      assertEquals(1397533944413L, dOMMutationEvent0.getTimeStamp());
      assertNotNull(dOMMutationEvent0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$MouseEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMMouseEvent dOMMouseEvent0 = (DOMMouseEvent)documentEventSupport0.createEvent("MouseEvents");
      assertEquals(1397533944460L, dOMMouseEvent0.getTimeStamp());
      assertNotNull(dOMMouseEvent0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$MutationNameEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMMutationNameEvent dOMMutationNameEvent0 = (DOMMutationNameEvent)documentEventSupport0.createEvent("MutationNameEvent");
      assertNotNull(dOMMutationNameEvent0);
      assertEquals(1397533944504L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 9
  /*
   * 12 covered goals:
   * 1 org.apache.batik.dom.events.DocumentEventSupport$UIEventFactory.createEvent()Lorg/w3c/dom/events/Event;: root-Branch
   * 2 org.apache.batik.dom.events.DocumentEventSupport$CustomEventFactory.<init>()V: root-Branch
   * 3 org.apache.batik.dom.events.DocumentEventSupport.<init>()V: root-Branch
   * 4 org.apache.batik.dom.events.DocumentEventSupport.createEvent(Ljava/lang/String;)Lorg/w3c/dom/events/Event;: I8 Branch 1 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.events.DocumentEventSupport$SimpleEventFactory.<init>()V: root-Branch
   * 6 org.apache.batik.dom.events.DocumentEventSupport$KeyboardEventFactory.<init>()V: root-Branch
   * 7 org.apache.batik.dom.events.DocumentEventSupport$TextEventFactory.<init>()V: root-Branch
   * 8 org.apache.batik.dom.events.DocumentEventSupport$KeyEventFactory.<init>()V: root-Branch
   * 9 org.apache.batik.dom.events.DocumentEventSupport$MutationEventFactory.<init>()V: root-Branch
   * 10 org.apache.batik.dom.events.DocumentEventSupport$MouseEventFactory.<init>()V: root-Branch
   * 11 org.apache.batik.dom.events.DocumentEventSupport$MutationNameEventFactory.<init>()V: root-Branch
   * 12 org.apache.batik.dom.events.DocumentEventSupport$UIEventFactory.<init>()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      DocumentEventSupport documentEventSupport0 = new DocumentEventSupport();
      DOMUIEvent dOMUIEvent0 = (DOMUIEvent)documentEventSupport0.createEvent("UIEvents");
      assertEquals(1397533944545L, dOMUIEvent0.getTimeStamp());
      assertNotNull(dOMUIEvent0);
  }
}
