/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericText;
import org.apache.batik.dom.svg.SVGOMDefsElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.util.DOMUtilities;
import org.apache.batik.dom.util.HashTable;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class DOMUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.getPrefix(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 81 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 83 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      DOMUtilities.getLocalName("Meta");
      String string0 = DOMUtilities.getPrefix("Meta");
      assertNull(string0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      HashTable hashTable0 = new HashTable();
      DOMUtilities.parseStyleSheetPIData("", hashTable0);
      assertEquals(0, hashTable0.size());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I6 Branch 85 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I13 Branch 86 IFNE L-1 - false
   * 3 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I22 Branch 87 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.parseStyleSheetPIData(Ljava/lang/String;Lorg/apache/batik/dom/util/HashTable;)V: I42 Branch 88 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      HashTable hashTable0 = new HashTable((int) ')');
      // Undeclared exception!
      try {
        DOMUtilities.parseStyleSheetPIData("-\"e4ggkvhe", hashTable0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Wrong name initial:  -
         //
      }
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.canAppend(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Z: I1 Branch 40 IFNULL L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   * 7 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 83 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      String string0 = DOMUtilities.getLocalName("Meta");
      assertNotNull(string0);
      assertEquals("Meta", string0);
      
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("Meta", "Meta", "Meta");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMDefsElement sVGOMDefsElement0 = new SVGOMDefsElement("Meta", (AbstractDocument) sVG12OMDocument0);
      sVGOMDefsElement0.getCSSPreviousSibling();
      boolean boolean0 = DOMUtilities.canAppend((Node) null, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.canAppendAny(Ljava/util/ArrayList;Lorg/w3c/dom/Node;)Z: I2 Branch 44 IFNE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I1 Branch 47 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      boolean boolean0 = DOMUtilities.canAppendAny((ArrayList) null, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I4 Branch 76 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I27 Branch 77 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I36 Branch 78 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I56 Branch 79 IFNE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I56 Branch 79 IFNE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName11("|LXo9h\"SKGfk;9h");
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I4 Branch 76 IFNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName11("");
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isAnyNodeAncestorOf(Ljava/util/ArrayList;Lorg/w3c/dom/Node;)Z: I8 Branch 31 IF_ICMPGE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      ArrayList<GenericText> arrayList0 = new ArrayList<GenericText>();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      boolean boolean0 = DOMUtilities.isAnyNodeAncestorOf((ArrayList) arrayList0, (Node) genericDocumentType0);
      assertEquals(false, boolean0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidPrefix(Ljava/lang/String;)Z: I4 Branch 80 IF_ICMPNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidPrefix("djjk|$?f&m7=dVu");
      assertEquals(true, boolean0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isAncestorOf(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Z: I1 Branch 33 IFNULL L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isAncestorOf((Node) null, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName("-\"e4ggkvhe");
      assertEquals(false, boolean0);
  }

  //Test case number: 11
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - false
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("djjk|$?f&m7=dVu", "djjk|$?f&m7=dVu", "djjk|$?f&m7=dVu");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMDefsElement sVGOMDefsElement0 = null;
      try {
        sVGOMDefsElement0 = new SVGOMDefsElement("djjk|$?f&m7=dVu", (AbstractDocument) sVG12OMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"djjk|$?f&m7=dVu\" is invalid. Current node type: 1, name: defs.
         //
      }
  }
}
