/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.net.Inet4Address;
import java.net.InetAddress;
import java.net.MalformedURLException;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.net.URI;
import java.net.URL;
import java.net.UnknownHostException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.util.ParsedURL;
import org.apache.batik.util.ParsedURLData;
import org.apache.batik.util.ParsedURLDefaultProtocolHandler;
import org.apache.batik.util.ParsedURLProtocolHandler;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;

public class ParsedURLEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 22 covered goals:
   * 1 org.apache.batik.util.ParsedURL.getContentType()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.util.ParsedURL.getPortStr()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.util.ParsedURL.getHandlersMap()Ljava/util/Map;: I1 Branch 1 IFNULL L-1 - false
   * 4 org.apache.batik.util.ParsedURL.getHandler(Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLProtocolHandler;: I1 Branch 4 IFNONNULL L-1 - true
   * 5 org.apache.batik.util.ParsedURL.getHandler(Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLProtocolHandler;: I13 Branch 5 IFNONNULL L-1 - false
   * 6 org.apache.batik.util.ParsedURL.getProtocol()Ljava/lang/String;: I3 Branch 12 IFNONNULL L-1 - true
   * 7 org.apache.batik.util.ParsedURL.parseURL(Lorg/apache/batik/util/ParsedURL;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I1 Branch 30 IFNONNULL L-1 - true
   * 8 org.apache.batik.util.ParsedURL.parseURL(Lorg/apache/batik/util/ParsedURL;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I10 Branch 31 IFNONNULL L-1 - true
   * 9 org.apache.batik.util.ParsedURL.getPath()Ljava/lang/String;: I3 Branch 14 IFNONNULL L-1 - true
   * 10 org.apache.batik.util.ParsedURL.<init>(Ljava/lang/String;Ljava/lang/String;)V: I6 Branch 7 IFNULL L-1 - false
   * 11 org.apache.batik.util.ParsedURL.parseURL(Ljava/lang/String;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I1 Branch 29 IFNONNULL L-1 - true
   * 12 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I59 Branch 28 IF_ICMPNE L-1 - false
   * 13 org.apache.batik.util.ParsedURL.parseURL(Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: root-Branch
   * 14 org.apache.batik.util.ParsedURL.getGlobalUserAgent()Ljava/lang/String;: root-Branch
   * 15 org.apache.batik.util.ParsedURL.<init>(Ljava/lang/String;)V: root-Branch
   * 16 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I1 Branch 18 IFNONNULL L-1 - true
   * 17 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 19 IFNE L-1 - true
   * 18 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I22 Branch 20 IF_ICMPEQ L-1 - false
   * 19 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I25 Branch 21 IF_ICMPEQ L-1 - false
   * 20 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I28 Branch 22 IF_ICMPEQ L-1 - false
   * 21 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I31 Branch 23 IF_ICMPLT L-1 - true
   * 22 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I38 Branch 25 IF_ICMPLT L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL(":XAl'aqJZs#?Qa,|l~", ":XAl'aqJZs#?Qa,|l~");
      String string0 = parsedURL0.getContentType();
      assertNull(string0);
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.ParsedURL.setUserAgent(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.util.ParsedURL.getRef()Ljava/lang/String;: I3 Branch 15 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 19 IFNE L-1 - false
   * 4 org.apache.batik.util.ParsedURL.getHandler(Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLProtocolHandler;: I1 Branch 4 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("");
      parsedURL0.getRef();
      parsedURL0.setUserAgent((String) null);
      assertEquals("Batik/1.7", parsedURL0.getGlobalUserAgent());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.openStreamRaw(Ljava/lang/String;)Ljava/io/InputStream;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("");
      try {
        parsedURL0.openStreamRaw("");
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.ParsedURL.toString()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I38 Branch 25 IF_ICMPLT L-1 - false
   * 3 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I41 Branch 26 IF_ICMPGT L-1 - false
   * 4 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I46 Branch 27 IF_ICMPNE L-1 - true
   * 5 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I59 Branch 28 IF_ICMPNE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("Q?IB@F");
      String string0 = parsedURL0.toString();
      assertEquals("Q?IB@F", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.hasContentTypeParameter(Ljava/lang/String;)Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          ParsedURL parsedURL0 = new ParsedURL("");
          Inet4Address inet4Address0 = (Inet4Address)InetAddress.getLocalHost();
          NetworkInterface networkInterface0 = NetworkInterface.getByInetAddress((InetAddress) inet4Address0);
          networkInterface0.getName();
          boolean boolean0 = parsedURL0.hasContentTypeParameter("lo");
          assertEquals(false, boolean0);
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.complete()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("");
      boolean boolean0 = parsedURL0.complete();
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.ParsedURL.getContentEncoding()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.util.ParsedURL.getProtocol()Ljava/lang/String;: I3 Branch 12 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.ParsedURL.parseURL(Lorg/apache/batik/util/ParsedURL;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I10 Branch 31 IFNONNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("", "");
      String string0 = parsedURL0.getContentEncoding();
      assertNull(string0);
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.ParsedURL.getContentTypeMediaType()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I31 Branch 23 IF_ICMPLT L-1 - false
   * 3 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I34 Branch 24 IF_ICMPLE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("l1");
      String string0 = parsedURL0.getContentTypeMediaType();
      assertNull(string0);
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 org.apache.batik.util.ParsedURL.openStream()Ljava/io/InputStream;: root-Branch
   * 2 org.apache.batik.util.ParsedURL.<init>(Ljava/net/URL;Ljava/lang/String;)V: I6 Branch 8 IFNULL L-1 - true
   * 3 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I22 Branch 20 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL((URL) null, "VSCY-lj%kr>_");
      try {
        parsedURL0.openStream();
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.getPort()I: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("");
      int int0 = parsedURL0.getPort();
      assertEquals((-1), int0);
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.apache.batik.util.ParsedURL.<init>(Ljava/net/URL;)V: root-Branch
   * 2 org.apache.batik.util.ParsedURL.<init>(Ljava/net/URL;Ljava/lang/String;)V: I6 Branch 8 IFNULL L-1 - false
   * 3 org.apache.batik.util.ParsedURL.getProtocol()Ljava/lang/String;: I3 Branch 12 IFNONNULL L-1 - true
   * 4 org.apache.batik.util.ParsedURL.parseURL(Lorg/apache/batik/util/ParsedURL;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I10 Branch 31 IFNONNULL L-1 - true
   * 5 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I59 Branch 28 IF_ICMPNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      File file0 = new File(":XAl'aqJZs#?Qa,|l~");
      URI uRI0 = file0.toURI();
      URL uRL0 = uRI0.toURL();
      ParsedURL parsedURL0 = new ParsedURL(uRL0, ":XAl'aqJZs#?Qa,|l~");
      assertNull(parsedURL0.getContentTypeCharset());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.hashCode()I: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("");
      int int0 = parsedURL0.hashCode();
      assertEquals((-1), int0);
  }

  //Test case number: 12
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.ParsedURL.getUserAgent()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.util.ParsedURL.getPath()Ljava/lang/String;: I3 Branch 14 IFNONNULL L-1 - false
   * 3 org.apache.batik.util.ParsedURL.<init>(Lorg/apache/batik/util/ParsedURL;Ljava/lang/String;)V: I3 Branch 9 IFNULL L-1 - false
   * 4 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I46 Branch 27 IF_ICMPNE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          ParsedURL parsedURL0 = new ParsedURL("");
          Inet4Address inet4Address0 = (Inet4Address)InetAddress.getLocalHost();
          NetworkInterface networkInterface0 = NetworkInterface.getByInetAddress((InetAddress) inet4Address0);
          networkInterface0.getName();
          ParsedURL parsedURL1 = new ParsedURL(parsedURL0, "lo");
          assertEquals("lo", parsedURL1.getPath());
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.sameFile(Lorg/apache/batik/util/ParsedURL;)Z: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("", "");
      boolean boolean0 = parsedURL0.sameFile(parsedURL0);
      assertEquals(true, boolean0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.getContentTypeCharset()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("4Ba)E^)o.|");
      String string0 = parsedURL0.getContentTypeCharset();
      assertNull(string0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.setGlobalUserAgent(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      ParsedURL.setGlobalUserAgent("");
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.openStream(Ljava/lang/String;)Ljava/io/InputStream;: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("", "");
      ParsedURL.parseURL("");
      try {
        parsedURL0.openStream((String) null);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.checkGZIP(Ljava/io/InputStream;)Ljava/io/InputStream;: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      BufferedInputStream bufferedInputStream0 = (BufferedInputStream)ParsedURL.checkGZIP((InputStream) pipedInputStream0);
      assertEquals(0, bufferedInputStream0.available());
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.ParsedURL.openStream([Ljava/lang/String;)Ljava/io/InputStream;: I12 Branch 16 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.util.ParsedURL.openStream([Ljava/lang/String;)Ljava/io/InputStream;: I12 Branch 16 IF_ICMPGE L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("");
      String[] stringArray0 = new String[5];
      try {
        parsedURL0.openStream(stringArray0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 19
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.ParsedURL.registerHandler(Lorg/apache/batik/util/ParsedURLProtocolHandler;)V: I2 Branch 6 IFNONNULL L-1 - false
   * 2 org.apache.batik.util.ParsedURL.getHandlersMap()Ljava/util/Map;: I1 Branch 1 IFNULL L-1 - false
   * 3 org.apache.batik.util.ParsedURL.getHandler(Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLProtocolHandler;: I1 Branch 4 IFNONNULL L-1 - true
   * 4 org.apache.batik.util.ParsedURL.getHandler(Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLProtocolHandler;: I13 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test19()  throws Throwable  {
      ParsedURLDefaultProtocolHandler parsedURLDefaultProtocolHandler0 = (ParsedURLDefaultProtocolHandler)ParsedURL.getHandler("");
      ParsedURL.registerHandler((ParsedURLProtocolHandler) parsedURLDefaultProtocolHandler0);
      assertNull(parsedURLDefaultProtocolHandler0.getProtocolHandled());
  }

  //Test case number: 20
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.ParsedURL.equals(Ljava/lang/Object;)Z: I1 Branch 10 IFNONNULL L-1 - true
   * 2 org.apache.batik.util.ParsedURL.equals(Ljava/lang/Object;)Z: I7 Branch 11 IFNE L-1 - false
   */

  @Test
  public void test20()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          ParsedURL parsedURL0 = new ParsedURL("");
          Inet4Address inet4Address0 = (Inet4Address)InetAddress.getLocalHost();
          NetworkInterface networkInterface0 = NetworkInterface.getByInetAddress((InetAddress) inet4Address0);
          networkInterface0.getName();
          boolean boolean0 = parsedURL0.equals((Object) "lo");
          assertEquals(false, boolean0);
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.equals(Ljava/lang/Object;)Z: I1 Branch 10 IFNONNULL L-1 - false
   */

  @Test
  public void test21()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("");
      boolean boolean0 = parsedURL0.equals((Object) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 22
  /*
   * 4 covered goals:
   * 1 org.apache.batik.util.ParsedURL.openStreamRaw([Ljava/lang/String;)Ljava/io/InputStream;: I12 Branch 17 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.util.ParsedURL.openStreamRaw([Ljava/lang/String;)Ljava/io/InputStream;: I12 Branch 17 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I28 Branch 22 IF_ICMPEQ L-1 - true
   * 4 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I46 Branch 27 IF_ICMPNE L-1 - false
   */

  @Test
  public void test22()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("SVGConverter.error.cannot.open.output.file", "SVGConverter.error.cannot.open.output.file");
      String[] stringArray0 = new String[2];
      try {
        parsedURL0.openStreamRaw(stringArray0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 23
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.ParsedURL.<init>(Ljava/lang/String;Ljava/lang/String;)V: I6 Branch 7 IFNULL L-1 - true
   * 2 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I1 Branch 18 IFNONNULL L-1 - false
   */

  @Test
  public void test23()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("4Ba)E^)o.|");
      parsedURL0.getPath();
      ParsedURL parsedURL1 = new ParsedURL((String) null, (String) null);
      assertNull(parsedURL1.getContentTypeMediaType());
  }

  //Test case number: 24
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.ParsedURL.parseURL(Ljava/lang/String;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I1 Branch 29 IFNONNULL L-1 - false
   * 2 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I1 Branch 18 IFNONNULL L-1 - false
   */

  @Test
  public void test24()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("4Ba)E^)o.|");
      parsedURL0.getPath();
      ParsedURLData parsedURLData0 = ParsedURL.parseURL((String) null, (String) null);
      assertEquals("", parsedURLData0.getPortStr());
  }

  //Test case number: 25
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.<init>(Lorg/apache/batik/util/ParsedURL;Ljava/lang/String;)V: I3 Branch 9 IFNULL L-1 - true
   */

  @Test
  public void test25()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL((ParsedURL) null, "4Ba)E^)o.|");
      assertNull(parsedURL0.getProtocol());
  }

  //Test case number: 26
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.ParsedURL.getHost()Ljava/lang/String;: I3 Branch 13 IFNONNULL L-1 - false
   */

  @Test
  public void test26()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("");
      String string0 = parsedURL0.getHost();
      assertNull(string0);
  }

  //Test case number: 27
  /*
   * 12 covered goals:
   * 1 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I25 Branch 21 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.util.ParsedURL.getGlobalUserAgent()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.util.ParsedURL.getPortStr()Ljava/lang/String;: root-Branch
   * 4 org.apache.batik.util.ParsedURL.<init>(Ljava/lang/String;)V: root-Branch
   * 5 org.apache.batik.util.ParsedURL.getProtocol()Ljava/lang/String;: I3 Branch 12 IFNONNULL L-1 - false
   * 6 org.apache.batik.util.ParsedURL.parseURL(Lorg/apache/batik/util/ParsedURL;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I1 Branch 30 IFNONNULL L-1 - true
   * 7 org.apache.batik.util.ParsedURL.parseURL(Lorg/apache/batik/util/ParsedURL;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I10 Branch 31 IFNONNULL L-1 - false
   * 8 org.apache.batik.util.ParsedURL.getPath()Ljava/lang/String;: I3 Branch 14 IFNONNULL L-1 - false
   * 9 org.apache.batik.util.ParsedURL.<init>(Ljava/lang/String;Ljava/lang/String;)V: I6 Branch 7 IFNULL L-1 - false
   * 10 org.apache.batik.util.ParsedURL.parseURL(Ljava/lang/String;Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: I1 Branch 29 IFNONNULL L-1 - true
   * 11 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 19 IFNE L-1 - false
   * 12 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I38 Branch 25 IF_ICMPLT L-1 - true
   */

  @Test
  public void test27()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("", "dmZp+'Mw9PY2");
      assertEquals("dmZp+'Mw9PY2", parsedURL0.toString());
  }

  //Test case number: 28
  /*
   * 16 covered goals:
   * 1 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I34 Branch 24 IF_ICMPLE L-1 - false
   * 2 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I41 Branch 26 IF_ICMPGT L-1 - true
   * 3 org.apache.batik.util.ParsedURL.parseURL(Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLData;: root-Branch
   * 4 org.apache.batik.util.ParsedURL.getHandler(Ljava/lang/String;)Lorg/apache/batik/util/ParsedURLProtocolHandler;: I1 Branch 4 IFNONNULL L-1 - false
   * 5 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I1 Branch 18 IFNONNULL L-1 - true
   * 6 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 19 IFNE L-1 - true
   * 7 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I22 Branch 20 IF_ICMPEQ L-1 - false
   * 8 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I25 Branch 21 IF_ICMPEQ L-1 - false
   * 9 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I28 Branch 22 IF_ICMPEQ L-1 - false
   * 10 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I31 Branch 23 IF_ICMPLT L-1 - true
   * 11 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I31 Branch 23 IF_ICMPLT L-1 - false
   * 12 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I34 Branch 24 IF_ICMPLE L-1 - true
   * 13 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I38 Branch 25 IF_ICMPLT L-1 - false
   * 14 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I41 Branch 26 IF_ICMPGT L-1 - false
   * 15 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I46 Branch 27 IF_ICMPNE L-1 - true
   * 16 org.apache.batik.util.ParsedURL.getProtocol(Ljava/lang/String;)Ljava/lang/String;: I59 Branch 28 IF_ICMPNE L-1 - true
   */

  @Test
  public void test28()  throws Throwable  {
      ParsedURLData parsedURLData0 = ParsedURL.parseURL("Qj~Qzz@ji`gU?,lFSG");
      assertEquals(false, parsedURLData0.hasBeenOpened);
  }
}
