/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.xml;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.SequenceInputStream;
import java.util.Locale;
import java.util.MissingResourceException;
import org.apache.batik.xml.XMLException;
import org.apache.batik.xml.XMLScanner;
import org.junit.BeforeClass;

public class XMLScannerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.xml.XMLScanner.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.xml.XMLScanner.nextChar()I: I8 Branch 566 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.xml.XMLScanner.nextChar()I: I18 Branch 567 IF_ICMPNE L-1 - true
   * 4 org.apache.batik.xml.XMLScanner.<init>(Ljava/lang/String;)V: I7 Branch 3 IFNONNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("r=QXY1=zO|ec");
      Object[] objectArray0 = new Object[10];
      try {
        xMLScanner0.formatMessage("r=QXY1=zO|ec", objectArray0);
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: r=QXY1=zO|ec
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.xml.XMLScanner.getContext()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("org.apache.batik.xml.XMLScanner");
      int int0 = xMLScanner0.getContext();
      assertEquals(0, int0);
      assertEquals(0, xMLScanner0.getStart());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.xml.XMLScanner.getStart()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner(")J%G`e:+iHB:");
      int int0 = xMLScanner0.getStart();
      assertEquals(0, xMLScanner0.getContext());
      assertEquals(0, int0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.xml.XMLScanner.setDepth(I)V: root-Branch
   * 2 org.apache.batik.xml.XMLScanner.getColumn()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("gHI4%?+xL)5");
      xMLScanner0.getColumn();
      xMLScanner0.setDepth(0);
      assertEquals(0, xMLScanner0.getContext());
      assertEquals(0, xMLScanner0.getStart());
      assertEquals(0, xMLScanner0.getEnd());
  }

  //Test case number: 4
  /*
   * 29 covered goals:
   * 1 org.apache.batik.xml.XMLScanner.createXMLException(Ljava/lang/String;)Lorg/apache/batik/xml/XMLException;: root-Branch
   * 2 org.apache.batik.xml.XMLScanner.next()I: root-Branch
   * 3 org.apache.batik.xml.XMLScanner.nextInDocumentStart()I: I2 Branch 67 LOOKUPSWITCH L-1 Case -1 - false
   * 4 org.apache.batik.xml.XMLScanner.nextInDocumentStart()I: I2 Branch 68 LOOKUPSWITCH L-1 Case 9 - false
   * 5 org.apache.batik.xml.XMLScanner.nextInDocumentStart()I: I2 Branch 69 LOOKUPSWITCH L-1 Case 10 - false
   * 6 org.apache.batik.xml.XMLScanner.nextInDocumentStart()I: I2 Branch 70 LOOKUPSWITCH L-1 Case 13 - false
   * 7 org.apache.batik.xml.XMLScanner.nextInDocumentStart()I: I2 Branch 71 LOOKUPSWITCH L-1 Case 32 - false
   * 8 org.apache.batik.xml.XMLScanner.nextInDocumentStart()I: I2 Branch 72 LOOKUPSWITCH L-1 Case 60 - false
   * 9 org.apache.batik.xml.XMLScanner.nextInDocumentStart()I: I2 Branch 73 LOOKUPSWITCH L-1 Default-Case - true
   * 10 org.apache.batik.xml.XMLScanner.nextInDocumentStart()I: I194 Branch 102 IFNE L-1 - false
   * 11 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 47 TABLESWITCH L-1 Case 0 - true
   * 12 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 48 TABLESWITCH L-1 Case 1 - false
   * 13 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 49 TABLESWITCH L-1 Case 2 - false
   * 14 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 50 TABLESWITCH L-1 Case 3 - false
   * 15 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 51 TABLESWITCH L-1 Case 4 - false
   * 16 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 52 TABLESWITCH L-1 Case 5 - false
   * 17 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 53 TABLESWITCH L-1 Case 6 - false
   * 18 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 54 TABLESWITCH L-1 Case 7 - false
   * 19 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 55 TABLESWITCH L-1 Case 8 - false
   * 20 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 56 TABLESWITCH L-1 Case 9 - false
   * 21 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 57 TABLESWITCH L-1 Case 10 - false
   * 22 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 58 TABLESWITCH L-1 Case 11 - false
   * 23 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 59 TABLESWITCH L-1 Case 12 - false
   * 24 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 60 TABLESWITCH L-1 Case 13 - false
   * 25 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 61 TABLESWITCH L-1 Case 14 - false
   * 26 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 62 TABLESWITCH L-1 Case 15 - false
   * 27 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 63 TABLESWITCH L-1 Case 16 - false
   * 28 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 64 TABLESWITCH L-1 Case 17 - false
   * 29 org.apache.batik.xml.XMLScanner.next(I)I: I8 Branch 65 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test4()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("gHI4%?+xL)5");
      try {
        xMLScanner0.next();
        fail("Expecting exception: XMLException");
      
      } catch(XMLException e) {
         //
         // invalid.character
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.xml.XMLScanner.setContext(I)V: root-Branch
   * 2 org.apache.batik.xml.XMLScanner.getColumn()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("gHI4%?+xL)5");
      xMLScanner0.getColumn();
      xMLScanner0.setContext(0);
      assertEquals(0, xMLScanner0.getContext());
      assertEquals(0, xMLScanner0.getStart());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.xml.XMLScanner.getStringDelimiter()C: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("org.apache.batik.xml.XMLScanner");
      xMLScanner0.getStringDelimiter();
      assertEquals(0, xMLScanner0.getContext());
      assertEquals(0, xMLScanner0.getStart());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.xml.XMLScanner.getDepth()I: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("gHI4%?+xL)5");
      int int0 = xMLScanner0.getDepth();
      assertEquals(0, xMLScanner0.getStart());
      assertEquals(0, int0);
      assertEquals(0, xMLScanner0.getContext());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.xml.XMLScanner.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner(")J%G`e:+iHB:");
      Locale locale0 = Locale.SIMPLIFIED_CHINESE;
      xMLScanner0.setLocale(locale0);
      assertEquals(0, xMLScanner0.getContext());
      assertEquals(0, xMLScanner0.getStart());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.xml.XMLScanner.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: I7 Branch 2 IFNONNULL L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream(497);
      SequenceInputStream sequenceInputStream0 = new SequenceInputStream((InputStream) pipedInputStream0, (InputStream) pipedInputStream0);
      XMLScanner xMLScanner0 = null;
      try {
        xMLScanner0 = new XMLScanner((InputStream) sequenceInputStream0, "");
        fail("Expecting exception: XMLException");
      
      } catch(XMLException e) {
         //
         // 
         //
      }
  }

  //Test case number: 10
  /*
   * 32 covered goals:
   * 1 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 4 TABLESWITCH L-1 Case 4 - false
   * 2 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 5 TABLESWITCH L-1 Case 5 - false
   * 3 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 6 TABLESWITCH L-1 Case 6 - false
   * 4 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 7 TABLESWITCH L-1 Case 7 - false
   * 5 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 8 TABLESWITCH L-1 Case 8 - false
   * 6 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 9 TABLESWITCH L-1 Case 9 - false
   * 7 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 10 TABLESWITCH L-1 Case 10 - false
   * 8 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 11 TABLESWITCH L-1 Case 11 - false
   * 9 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 12 TABLESWITCH L-1 Case 12 - false
   * 10 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 13 TABLESWITCH L-1 Case 13 - false
   * 11 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 14 TABLESWITCH L-1 Case 14 - false
   * 12 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 15 TABLESWITCH L-1 Case 15 - false
   * 13 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 16 TABLESWITCH L-1 Case 16 - false
   * 14 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 17 TABLESWITCH L-1 Case 17 - false
   * 15 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 18 TABLESWITCH L-1 Case 18 - false
   * 16 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 19 TABLESWITCH L-1 Case 19 - false
   * 17 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 20 TABLESWITCH L-1 Case 20 - false
   * 18 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 21 TABLESWITCH L-1 Case 21 - false
   * 19 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 22 TABLESWITCH L-1 Case 22 - false
   * 20 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 23 TABLESWITCH L-1 Case 23 - false
   * 21 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 24 TABLESWITCH L-1 Case 24 - false
   * 22 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 25 TABLESWITCH L-1 Case 25 - false
   * 23 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 26 TABLESWITCH L-1 Case 26 - false
   * 24 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 27 TABLESWITCH L-1 Case 27 - false
   * 25 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 28 TABLESWITCH L-1 Case 28 - false
   * 26 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 29 TABLESWITCH L-1 Case 29 - false
   * 27 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 30 TABLESWITCH L-1 Case 30 - false
   * 28 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 31 TABLESWITCH L-1 Case 31 - false
   * 29 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 32 TABLESWITCH L-1 Case 32 - false
   * 30 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 33 TABLESWITCH L-1 Case 33 - false
   * 31 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 34 TABLESWITCH L-1 Case 34 - false
   * 32 org.apache.batik.xml.XMLScanner.getStartOffset()I: I2 Branch 35 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test10()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("gHI4%?+xL)5");
      int int0 = xMLScanner0.getStartOffset();
      assertEquals(0, xMLScanner0.getContext());
      assertEquals(0, int0);
      assertEquals(0, xMLScanner0.getStart());
  }

  //Test case number: 11
  /*
   * 12 covered goals:
   * 1 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 36 LOOKUPSWITCH L-1 Case 4 - false
   * 2 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 37 LOOKUPSWITCH L-1 Case 6 - false
   * 3 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 38 LOOKUPSWITCH L-1 Case 8 - false
   * 4 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 39 LOOKUPSWITCH L-1 Case 12 - false
   * 5 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 40 LOOKUPSWITCH L-1 Case 13 - false
   * 6 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 41 LOOKUPSWITCH L-1 Case 18 - false
   * 7 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 42 LOOKUPSWITCH L-1 Case 25 - false
   * 8 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 43 LOOKUPSWITCH L-1 Case 34 - false
   * 9 org.apache.batik.xml.XMLScanner.getEndOffset()I: I2 Branch 44 LOOKUPSWITCH L-1 Default-Case - true
   * 10 org.apache.batik.xml.XMLScanner.nextChar()I: I8 Branch 566 IF_ICMPNE L-1 - true
   * 11 org.apache.batik.xml.XMLScanner.nextChar()I: I18 Branch 567 IF_ICMPNE L-1 - true
   * 12 org.apache.batik.xml.XMLScanner.<init>(Ljava/lang/String;)V: I7 Branch 3 IFNONNULL L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      XMLScanner xMLScanner0 = new XMLScanner("gHI4%?+xL)5");
      int int0 = xMLScanner0.getEndOffset();
      assertEquals(0, int0);
      assertEquals(0, xMLScanner0.getContext());
      assertEquals(0, xMLScanner0.getStart());
  }
}
