/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.HashSet;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.SVGFeGaussianBlurElementBridge;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.script.InterpreterPool;
import org.apache.batik.util.CSSConstants;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class BridgeContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.BridgeContext$SoftReferenceMememto.<init>(Ljava/lang/Object;Ljava/lang/Object;Ljava/util/Set;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      String string0 = CSSConstants.CSS_ITALIC_VALUE;
      HashSet<SVGFeGaussianBlurElementBridge> hashSet0 = new HashSet<SVGFeGaussianBlurElementBridge>();
      BridgeContext.SoftReferenceMememto bridgeContext_SoftReferenceMememto0 = new BridgeContext.SoftReferenceMememto("italic", "italic", hashSet0);
      assertEquals(true, bridgeContext_SoftReferenceMememto0.enqueue());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.BridgeContext$CSSEngineUserAgentWrapper.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext.CSSEngineUserAgentWrapper bridgeContext_CSSEngineUserAgentWrapper0 = new BridgeContext.CSSEngineUserAgentWrapper(userAgentAdapter0);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.BridgeContext.getInterpreterPool()Lorg/apache/batik/script/InterpreterPool;: root-Branch
   * 2 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   * 3 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/script/InterpreterPool;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      InterpreterPool interpreterPool0 = bridgeContext0.getInterpreterPool();
      assertNotNull(interpreterPool0);
      assertEquals(false, bridgeContext0.isInteractive());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.BridgeContext.getUserAgent()Lorg/apache/batik/bridge/UserAgent;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      UserAgentAdapter userAgentAdapter1 = (UserAgentAdapter)bridgeContext0.getUserAgent();
      assertNotNull(userAgentAdapter1);
      assertEquals(false, bridgeContext0.isInteractive());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.BridgeContext.removeUIEventListeners(Lorg/w3c/dom/Document;)V: I17 Branch 99 IFEQ L-1 - true
   * 2 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      bridgeContext0.removeUIEventListeners((Document) sVG12OMDocument0);
      assertEquals(false, bridgeContext0.isInteractive());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.BridgeContext.getPrimaryBridgeContext()Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 47 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/script/InterpreterPool;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      InterpreterPool interpreterPool0 = new InterpreterPool();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      BridgeContext bridgeContext1 = bridgeContext0.getPrimaryBridgeContext();
      assertNotNull(bridgeContext1);
      assertEquals(false, bridgeContext0.isInteractive());
      assertEquals(false, bridgeContext1.isInteractive());
  }
}
