/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.junit.BeforeClass;

public class DocumentLoaderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.getUserAgent()Lorg/apache/batik/bridge/UserAgent;: root-Branch
   * 2 org.apache.batik.bridge.DocumentLoader.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      UserAgentAdapter userAgentAdapter1 = (UserAgentAdapter)documentLoader0.getUserAgent();
      assertEquals("Arial, Helvetica, sans-serif", userAgentAdapter1.getDefaultFontFamily());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.DocumentLoader.dispose()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      documentLoader0.dispose();
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I6 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I17 Branch 2 IF_ICMPEQ L-1 - true
   * 3 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I49 Branch 3 IFNULL L-1 - true
   * 4 org.apache.batik.bridge.DocumentLoader.loadDocument(Ljava/lang/String;Ljava/io/InputStream;)Lorg/w3c/dom/Document;: I5 Branch 5 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      try {
        documentLoader0.loadDocument("g~j$z{GFIK", (InputStream) null);
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // /data/havrikov/evosuite/subjects/batik/report2/g~j$z{GFIK (No such file or directory)
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.DocumentLoader.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: I5 Branch 4 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.DocumentLoader.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   * 3 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I6 Branch 1 IF_ICMPNE L-1 - false
   * 4 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I17 Branch 2 IF_ICMPEQ L-1 - true
   * 5 org.apache.batik.bridge.DocumentLoader.checkCache(Ljava/lang/String;)Lorg/w3c/dom/Document;: I49 Branch 3 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      try {
        documentLoader0.loadDocument("");
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }
}
