/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.UnitProcessor;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMFontFaceElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowRegionBreakElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class UnitProcessorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.getPixelToMM()F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor.createContext(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)Lorg/apache/batik/parser/UnitProcessor$Context;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = (UnitProcessor.DefaultContext)UnitProcessor.createContext(bridgeContext0, (Element) null);
      float float0 = unitProcessor_DefaultContext0.getPixelToMM();
      assertEquals(0.26458332F, float0, 0.01F);
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgHorizontalLengthToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("A", "A", "A");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFontFaceElement sVGOMFontFaceElement0 = new SVGOMFontFaceElement("A", (AbstractDocument) genericDocument0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) sVGOMFontFaceElement0);
      // Undeclared exception!
      try {
        UnitProcessor.svgHorizontalLengthToObjectBoundingBox("A", "A", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: 65).
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getFontSize()F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.createContext(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)Lorg/apache/batik/parser/UnitProcessor$Context;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = (UnitProcessor.DefaultContext)UnitProcessor.createContext(bridgeContext0, (Element) null);
      // Undeclared exception!
      try {
        unitProcessor_DefaultContext0.getFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgToUserSpace(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgOtherLengthToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   * 5 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMFlowRegionBreakElement sVGOMFlowRegionBreakElement0 = new SVGOMFlowRegionBreakElement("", (AbstractDocument) sVG12OMDocument0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) sVGOMFlowRegionBreakElement0);
      // Undeclared exception!
      try {
        UnitProcessor.svgOtherLengthToUserSpace("", "", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: -1).
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - true
   * 2 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      // Undeclared exception!
      try {
        UnitProcessor.svgToObjectBoundingBox("attribute.malformed", "attribute.malformed", (short) (-1), (UnitProcessor.Context) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
