/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.sac;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Set;
import org.apache.batik.css.engine.sac.CSSAndCondition;
import org.apache.batik.css.engine.sac.CSSBeginHyphenAttributeCondition;
import org.apache.batik.css.engine.sac.CSSConditionalSelector;
import org.apache.batik.css.engine.sac.CSSPseudoElementSelector;
import org.apache.batik.css.parser.DefaultOneOfAttributeCondition;
import org.apache.batik.css.parser.DefaultPseudoClassCondition;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.svg.SVGOMTSpanElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.util.CSSConstants;
import org.junit.BeforeClass;
import org.w3c.css.sac.Condition;
import org.w3c.css.sac.SimpleSelector;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class CSSConditionalSelectorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.fillAttributeSet(Ljava/util/Set;)V: root-Branch
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   * 3 org.apache.batik.css.engine.sac.CSSConditionalSelector.<init>(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) null);
      // Undeclared exception!
      try {
        cSSConditionalSelector0.fillAttributeSet((Set) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSpecificity()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DefaultOneOfAttributeCondition defaultOneOfAttributeCondition0 = new DefaultOneOfAttributeCondition("", "", false, "");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) defaultOneOfAttributeCondition0);
      // Undeclared exception!
      try {
        cSSConditionalSelector0.getSpecificity();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) null);
      String string0 = cSSConditionalSelector0.toString();
      assertEquals("nullnull", string0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSelectorType()S: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) null);
      short short0 = cSSConditionalSelector0.getSelectorType();
      assertEquals((short)0, short0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.match(Lorg/w3c/dom/Element;Ljava/lang/String;)Z: I6 Branch 5 IFEQ L-1 - false
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.match(Lorg/w3c/dom/Element;Ljava/lang/String;)Z: I13 Branch 6 IFEQ L-1 - false
   * 3 org.apache.batik.css.engine.sac.CSSConditionalSelector.getCondition()Lorg/w3c/css/sac/Condition;: root-Branch
   * 4 org.apache.batik.css.engine.sac.CSSConditionalSelector.getSimpleSelector()Lorg/w3c/css/sac/SimpleSelector;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CSSPseudoElementSelector cSSPseudoElementSelector0 = new CSSPseudoElementSelector("yq*#/w7}U)\u0001zH", "yq*#/w7}U)\u0001zH");
      CSSBeginHyphenAttributeCondition cSSBeginHyphenAttributeCondition0 = new CSSBeginHyphenAttributeCondition("", "", true, "");
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) cSSPseudoElementSelector0, (Condition) cSSBeginHyphenAttributeCondition0);
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMTSpanElement sVGOMTSpanElement0 = new SVGOMTSpanElement("", (AbstractDocument) sVG12OMDocument0);
      boolean boolean0 = cSSConditionalSelector0.match((Element) sVGOMTSpanElement0, "yq*#/w7}U)\u0001zH");
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.sac.CSSConditionalSelector.equals(Ljava/lang/Object;)Z: I1 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.css.engine.sac.CSSConditionalSelector.equals(Ljava/lang/Object;)Z: I6 Branch 2 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.css.engine.sac.CSSConditionalSelector.<init>(Lorg/w3c/css/sac/SimpleSelector;Lorg/w3c/css/sac/Condition;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DefaultPseudoClassCondition defaultPseudoClassCondition0 = new DefaultPseudoClassCondition("BK7[#e6", "BK7[#e6");
      CSSAndCondition cSSAndCondition0 = new CSSAndCondition((Condition) defaultPseudoClassCondition0, (Condition) defaultPseudoClassCondition0);
      CSSConditionalSelector cSSConditionalSelector0 = new CSSConditionalSelector((SimpleSelector) null, (Condition) cSSAndCondition0);
      String string0 = CSSConstants.CSS_PALETURQUOISE_VALUE;
      boolean boolean0 = cSSConditionalSelector0.equals((Object) "paleturquoise");
      assertEquals(false, boolean0);
  }
}
