/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.UnicodeBidiManager;
import org.apache.batik.css.engine.value.css2.VisibilityManager;
import org.apache.batik.css.engine.value.svg.ColorInterpolationFiltersManager;
import org.apache.batik.css.engine.value.svg.FillRuleManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.TextRenderingManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.svg.SVGOMLinearGradientElement;
import org.apache.batik.dom.svg.SVGOMTextElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.Parser;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractValueManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UnicodeBidiManager unicodeBidiManager0 = new UnicodeBidiManager();
      unicodeBidiManager0.getPropertyType();
      try {
        unicodeBidiManager0.createFloatValue((short)0, (float) 15);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"unicode-bidi\" property.
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.AbstractValueManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I7 Branch 2 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.AbstractValueManager.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      TextRenderingManager textRenderingManager0 = new TextRenderingManager();
      VisibilityManager visibilityManager0 = new VisibilityManager();
      FillRuleManager fillRuleManager0 = new FillRuleManager();
      fillRuleManager0.getPropertyName();
      StringValue stringValue0 = (StringValue)textRenderingManager0.getDefaultValue();
      ColorInterpolationFiltersManager colorInterpolationFiltersManager0 = new ColorInterpolationFiltersManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMTextElement sVGOMTextElement0 = new SVGOMTextElement("fill-rule", (AbstractDocument) sVG12OMDocument0);
      SVG12DOMImplementation sVG12DOMImplementation1 = new SVG12DOMImplementation();
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((Parser) null);
      ValueManager[] valueManagerArray0 = new ValueManager[5];
      valueManagerArray0[0] = (ValueManager) visibilityManager0;
      valueManagerArray0[1] = (ValueManager) visibilityManager0;
      valueManagerArray0[2] = (ValueManager) visibilityManager0;
      valueManagerArray0[3] = (ValueManager) fillRuleManager0;
      valueManagerArray0[4] = (ValueManager) fillRuleManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[9];
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[1] = (ShorthandManager) marginShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[6] = (ShorthandManager) marginShorthandManager0;
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[7] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[8] = (ShorthandManager) fontShorthandManager0;
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation1.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) extendedParserWrapper0, valueManagerArray0, shorthandManagerArray0);
      SVGOMLinearGradientElement sVGOMLinearGradientElement0 = new SVGOMLinearGradientElement("fill-rule", (AbstractDocument) sVG12OMDocument0);
      sVGOMLinearGradientElement0.getComputedStyleMap("fill-rule");
      StringValue stringValue1 = (StringValue)colorInterpolationFiltersManager0.computeValue((CSSStylableElement) sVGOMTextElement0, "fill-rule", (CSSEngine) sVG12CSSEngine0, 0, (StyleMap) null, (Value) stringValue0);
      assertEquals("auto", stringValue1.getCssText());
  }
}
