/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.FloatValue;
import org.apache.batik.css.engine.value.StringMap;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontSizeManager;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMFEDisplacementMapElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.extension.svg.FlowRegionElement;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class FontSizeManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        fontSizeManager0.createStringValue((short)0, "1wiK", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (0) is invalid for the \"font-size\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      StringValue stringValue0 = (StringValue)fontSizeManager0.getDefaultValue();
      assertEquals(21, stringValue0.getPrimitiveType());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      boolean boolean0 = fontSizeManager0.isAdditiveProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      boolean boolean0 = fontSizeManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      int int0 = fontSizeManager0.getPropertyType();
      assertEquals(39, int0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      boolean boolean0 = fontSizeManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.getIdentifiers()Lorg/apache/batik/css/engine/value/StringMap;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      StringMap stringMap0 = fontSizeManager0.getIdentifiers();
      assertNotNull(stringMap0);
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 4 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I17 Branch 4 IFNONNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.MEDIUM_LU;
      StringValue stringValue0 = (StringValue)fontSizeManager0.createValue(lexicalUnit0, (CSSEngine) null);
      assertEquals(21, stringValue0.getPrimitiveType());
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - true
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   */

  @Test
  public void test8()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.SZ_10PT_LU;
      FloatValue floatValue0 = (FloatValue)fontSizeManager0.createValue(lexicalUnit0, (CSSEngine) null);
      assertEquals("10pt", floatValue0.getCssText());
  }

  //Test case number: 9
  /*
   * 15 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 7 TABLESWITCH L-1 Case 1 - false
   * 2 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 8 TABLESWITCH L-1 Case 2 - false
   * 3 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 9 TABLESWITCH L-1 Case 3 - false
   * 4 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 10 TABLESWITCH L-1 Case 4 - false
   * 5 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 11 TABLESWITCH L-1 Case 5 - false
   * 6 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 12 TABLESWITCH L-1 Case 6 - false
   * 7 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 13 TABLESWITCH L-1 Case 7 - false
   * 8 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 14 TABLESWITCH L-1 Case 8 - false
   * 9 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 15 TABLESWITCH L-1 Case 9 - false
   * 10 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 16 TABLESWITCH L-1 Case 10 - false
   * 11 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I6 Branch 17 TABLESWITCH L-1 Default-Case - true
   * 12 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I130 Branch 18 IF_ACMPNE L-1 - true
   * 13 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I139 Branch 19 IF_ACMPNE L-1 - true
   * 14 org.apache.batik.css.engine.value.css2.FontSizeManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I146 Branch 20 IFEQ L-1 - true
   * 15 org.apache.batik.css.engine.value.css2.FontSizeManager.<init>()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("onrepeat", "onrepeat", "onrepeat");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      FlowRegionElement flowRegionElement0 = new FlowRegionElement("onrepeat", (AbstractDocument) sVG12OMDocument0);
      SVGOMFEDisplacementMapElement sVGOMFEDisplacementMapElement0 = new SVGOMFEDisplacementMapElement("onrepeat", (AbstractDocument) sVG12OMDocument0);
      sVGOMFEDisplacementMapElement0.getComputedStyleMap("onrepeat");
      StringValue stringValue0 = new StringValue((short)0, "onrepeat");
      // Undeclared exception!
      try {
        fontSizeManager0.computeValue((CSSStylableElement) flowRegionElement0, "onrepeat", (CSSEngine) null, 0, (StyleMap) null, (Value) stringValue0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
