/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontWeightManager;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;

public class FontWeightManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.FontWeightManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.FontWeightManager.getIdentifiers()Lorg/apache/batik/css/engine/value/StringMap;: root-Branch
   * 4 org.apache.batik.css.engine.value.css2.FontWeightManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.MEDIUM_LU;
      try {
        fontWeightManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"medium\" identifier is not a valid value for the \"font-weight\" property. 
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      StringValue stringValue0 = (StringValue)fontWeightManager0.getDefaultValue();
      assertEquals("normal", stringValue0.getStringValue());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isAdditiveProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      boolean boolean0 = fontWeightManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 12 IF_ICMPNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      try {
        fontWeightManager0.createFloatValue((short) (-549), (short) (-549));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The number '-549' represents an invalid value for the 'font-weight' property.
         //
      }
  }

  //Test case number: 6
  /*
   * 15 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 12 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I10 Branch 13 IFNE L-1 - false
   * 3 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 14 LOOKUPSWITCH L-1 Case 100 - false
   * 4 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 15 LOOKUPSWITCH L-1 Case 200 - false
   * 5 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 16 LOOKUPSWITCH L-1 Case 300 - false
   * 6 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 17 LOOKUPSWITCH L-1 Case 400 - false
   * 7 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 18 LOOKUPSWITCH L-1 Case 500 - false
   * 8 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 19 LOOKUPSWITCH L-1 Case 600 - false
   * 9 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 20 LOOKUPSWITCH L-1 Case 700 - false
   * 10 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 21 LOOKUPSWITCH L-1 Case 800 - false
   * 11 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 22 LOOKUPSWITCH L-1 Case 900 - false
   * 12 org.apache.batik.css.engine.value.css2.FontWeightManager.createFloatValue(SF)Lorg/apache/batik/css/engine/value/Value;: I12 Branch 23 LOOKUPSWITCH L-1 Default-Case - true
   * 13 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 14 org.apache.batik.css.engine.value.css2.FontWeightManager.getPropertyType()I: root-Branch
   * 15 org.apache.batik.css.engine.value.css2.FontWeightManager.<init>()V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      FontWeightManager fontWeightManager0 = new FontWeightManager();
      int int0 = fontWeightManager0.getPropertyType();
      assertEquals(28, int0);
      
      try {
        fontWeightManager0.createFloatValue((short)1, (float) 28);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The number '28' represents an invalid value for the 'font-weight' property.
         //
      }
  }
}
