/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.CSSStylableElement;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.StyleMap;
import org.apache.batik.css.engine.value.RGBColorValue;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.Value;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.svg.DominantBaselineManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.SVGColorManager;
import org.apache.batik.css.engine.value.svg.SVGPaintManager;
import org.apache.batik.css.engine.value.svg.TextRenderingManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEGaussianBlurElement;
import org.apache.batik.dom.svg12.BindableElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGColorManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.SVGColorManager.isAdditiveProperty()Z: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.SVGColorManager.<init>(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.css.engine.value.svg.SVGColorManager.<init>(Ljava/lang/String;Lorg/apache/batik/css/engine/value/Value;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGColorManager sVGColorManager0 = new SVGColorManager("N 4X");
      boolean boolean0 = sVGColorManager0.isAdditiveProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.SVGColorManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      TextRenderingManager textRenderingManager0 = new TextRenderingManager();
      StringValue stringValue0 = (StringValue)textRenderingManager0.getDefaultValue();
      SVGColorManager sVGColorManager0 = new SVGColorManager("", (Value) stringValue0);
      int int0 = sVGColorManager0.getPropertyType();
      assertEquals(6, int0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.SVGColorManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGColorManager sVGColorManager0 = new SVGColorManager("N 4X");
      boolean boolean0 = sVGColorManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.SVGColorManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGColorManager sVGColorManager0 = new SVGColorManager("fjmgf");
      boolean boolean0 = sVGColorManager0.isInheritedProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.SVGColorManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("fjMGf");
      RGBColorValue rGBColorValue0 = (RGBColorValue)sVGPaintManager0.getDefaultValue();
      assertEquals("rgb(0, 0, 0)", rGBColorValue0.getCssText());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.SVGColorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.svg.SVGColorManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I8 Branch 2 IFLE L-1 - true
   * 3 org.apache.batik.css.engine.value.svg.SVGColorManager.getPropertyName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("fjMGf");
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper0.parsePropertyValue("fjMGf");
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("fjMGf", "fjMGf", "fjMGf");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        sVGPaintManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"fjMGf\" identifier is not a valid value for the \"fjMGf\" property. 
         //
      }
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.SVGColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 10 IF_ACMPNE L-1 - true
   * 2 org.apache.batik.css.engine.value.svg.SVGColorManager.computeValue(Lorg/apache/batik/css/engine/CSSStylableElement;Ljava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;ILorg/apache/batik/css/engine/StyleMap;Lorg/apache/batik/css/engine/value/Value;)Lorg/apache/batik/css/engine/value/Value;: I20 Branch 11 IF_ICMPNE L-1 - true
   * 3 org.apache.batik.css.engine.value.svg.SVGColorManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 4 org.apache.batik.css.engine.value.svg.SVGColorManager.<init>(Ljava/lang/String;)V: root-Branch
   * 5 org.apache.batik.css.engine.value.svg.SVGColorManager.<init>(Ljava/lang/String;Lorg/apache/batik/css/engine/value/Value;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGPaintManager sVGPaintManager0 = new SVGPaintManager("");
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      SVGOMFEGaussianBlurElement sVGOMFEGaussianBlurElement0 = new SVGOMFEGaussianBlurElement("", (AbstractDocument) sVGOMDocument0);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      ValueManager[] valueManagerArray0 = new ValueManager[2];
      valueManagerArray0[0] = (ValueManager) sVGPaintManager0;
      valueManagerArray0[1] = (ValueManager) sVGPaintManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[6];
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) markerShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) fontShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) fontShorthandManager0;
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVGOMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) extendedParserWrapper0, valueManagerArray0, shorthandManagerArray0);
      BindableElement bindableElement0 = new BindableElement("", (AbstractDocument) sVGOMDocument0, "", "");
      bindableElement0.getComputedStyleMap("");
      DominantBaselineManager dominantBaselineManager0 = new DominantBaselineManager();
      StringValue stringValue0 = (StringValue)dominantBaselineManager0.getDefaultValue();
      // Undeclared exception!
      try {
        sVGPaintManager0.computeValue((CSSStylableElement) sVGOMFEGaussianBlurElement0, "", (CSSEngine) sVG12CSSEngine0, (int) (short)0, (StyleMap) null, (Value) stringValue0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Not a system-color:auto
         //
      }
  }
}
