/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.dom.CSSOMSVGViewCSS;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.events.DocumentEventSupport;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGDOMImplementationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.getUserAgentStyleSheet()Lorg/w3c/dom/css/CSSStyleSheet;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.<init>()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation.initLocalizable()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      // Undeclared exception!
      try {
        sVGDOMImplementation0.getUserAgentStyleSheet();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // StyleSheetFactory.getUserAgentStyleSheet is not implemented
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createDocumentEventSupport()Lorg/apache/batik/dom/events/DocumentEventSupport;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation$1.<init>(Lorg/apache/batik/dom/svg/SVGDOMImplementation;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation$2.<init>(Lorg/apache/batik/dom/svg/SVGDOMImplementation;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      DocumentEventSupport documentEventSupport0 = sVG12DOMImplementation0.createDocumentEventSupport();
      assertNotNull(documentEventSupport0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createDocumentType(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/DocumentType;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      assertNull(genericDocumentType0.getTextContent());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createCSSStyleDeclaration()Lorg/w3c/dom/css/CSSStyleDeclaration;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      // Undeclared exception!
      try {
        sVG12DOMImplementation0.createCSSStyleDeclaration();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // CSSStyleDeclarationFactory.createCSSStyleDeclaration is not implemented
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createViewCSS(Lorg/apache/batik/dom/AbstractStylableDocument;)Lorg/w3c/dom/css/ViewCSS;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      CSSOMSVGViewCSS cSSOMSVGViewCSS0 = (CSSOMSVGViewCSS)sVG12DOMImplementation0.createViewCSS((AbstractStylableDocument) sVG12OMDocument0);
      assertNotNull(cSSOMSVGViewCSS0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createCSSStyleSheet(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/css/CSSStyleSheet;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      // Undeclared exception!
      try {
        sVG12DOMImplementation0.createCSSStyleSheet("a", "a");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // DOMImplementationCSS.createCSSStyleSheet is not implemented
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createDocument(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/DocumentType;)Lorg/w3c/dom/Document;: I7 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I3 Branch 3 IFLE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      genericDocument0.getDoctype();
      try {
        sVGDOMImplementation0.createDocument("", "", (DocumentType) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"\") is an invalid XML name.
         //
      }
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createCSSEngine(Lorg/apache/batik/dom/AbstractStylableDocument;Lorg/apache/batik/css/engine/CSSContext;Lorg/apache/batik/css/parser/ExtendedParser;[Lorg/apache/batik/css/engine/value/ValueManager;[Lorg/apache/batik/css/engine/value/ShorthandManager;)Lorg/apache/batik/css/engine/CSSEngine;: I20 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.<init>()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation.initLocalizable()V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGDOMImplementation.getDOMImplementation()Lorg/w3c/dom/DOMImplementation;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      genericDocument0.getDoctype();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      SVGCSSEngine sVGCSSEngine0 = (SVGCSSEngine)sVGDOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0);
      assertEquals(5, sVGCSSEngine0.getColorIndex());
  }
}
