/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import org.apache.batik.anim.values.AnimatableLengthOrIdentValue;
import org.apache.batik.anim.values.AnimatableValue;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.anim.AnimationTarget;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMTextElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.svg.SVGElement;
import org.w3c.dom.svg.SVGRect;

public class SVGOMTextElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMTextElement.getFarthestViewportElement()Lorg/w3c/dom/svg/SVGElement;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMTextElement.getDefaultYValue()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMTextElement.initializeLiveAttributes()V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMTextElement.getDefaultXValue()Ljava/lang/String;: root-Branch
   * 5 org.apache.batik.dom.svg.SVGOMTextElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMTextElement sVGOMTextElement0 = new SVGOMTextElement("", (AbstractDocument) sVG12OMDocument0);
      SVGElement sVGElement0 = sVGOMTextElement0.getFarthestViewportElement();
      assertNull(sVGElement0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMTextElement.getLocalName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMTextElement sVGOMTextElement0 = null;
      try {
        sVGOMTextElement0 = new SVGOMTextElement("27z-#2[35:`I:Hoi5t", (AbstractDocument) sVGOMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"27z-#2[35:`I:Hoi5t\" is invalid. Current node type: 1, name: text.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMTextElement.getBBox()Lorg/w3c/dom/svg/SVGRect;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMTextElement sVGOMTextElement0 = new SVGOMTextElement("NS", (AbstractDocument) sVGOMDocument0);
      SVGRect sVGRect0 = sVGOMTextElement0.getBBox();
      assertNull(sVGRect0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMTextElement.getMotionTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMTextElement sVGOMTextElement0 = new SVGOMTextElement("NS", (AbstractDocument) sVGOMDocument0);
      AffineTransform affineTransform0 = sVGOMTextElement0.getMotionTransform();
      assertNull(affineTransform0);
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMTextElement.updateOtherValue(Ljava/lang/String;Lorg/apache/batik/anim/values/AnimatableValue;)V: I3 Branch 1 IFLE L-1 - true
   * 2 org.apache.batik.dom.svg.SVGOMTextElement.getDefaultYValue()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMTextElement.initializeLiveAttributes()V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMTextElement.getDefaultXValue()Ljava/lang/String;: root-Branch
   * 5 org.apache.batik.dom.svg.SVGOMTextElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("attribute.missing", "attribute.missing", "attribute.missing");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMTextElement sVGOMTextElement0 = new SVGOMTextElement("attribute.missing", (AbstractDocument) sVGOMDocument0);
      AnimatableLengthOrIdentValue animatableLengthOrIdentValue0 = new AnimatableLengthOrIdentValue((AnimationTarget) sVGOMTextElement0, (short)1, (float) (short)1, (short)1);
      sVGOMTextElement0.updateOtherValue("attribute.missing", (AnimatableValue) animatableLengthOrIdentValue0);
      assertEquals(false, sVGOMTextElement0.hasChildNodes());
  }
}
