/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Point;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import org.apache.batik.ext.awt.geom.AbstractSegment;
import org.apache.batik.ext.awt.geom.Cubic;
import org.apache.batik.ext.awt.geom.Linear;
import org.apache.batik.ext.awt.geom.Quadradic;
import org.apache.batik.ext.awt.geom.Segment;
import org.junit.BeforeClass;

public class QuadradicEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.reverse()Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Quadradic quadradic1 = (Quadradic)quadradic0.reverse();
      assertNotNull(quadradic1);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.findRoots(D[D)I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      // Undeclared exception!
      try {
        quadradic0.split(0.0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // fromIndex(0) > toIndex(-1)
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getSegment(DD)Lorg/apache/batik/ext/awt/geom/Segment;: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Quadradic quadradic1 = (Quadradic)quadradic0.splitAfter(0.0);
      assertNotNull(quadradic1);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic1.toString());
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.<init>(DDDDDD)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic((-473.2436073044834), (-473.2436073044834), (-473.2436073044834), (-473.2436073044834), (-473.2436073044834), (-473.2436073044834));
      Rectangle2D.Double rectangle2D_Double0 = (Rectangle2D.Double)quadradic0.getBounds2D();
      assertNotNull(rectangle2D_Double0);
      assertEquals("java.awt.geom.Rectangle2D$Double[x=-473.2436073044834,y=-473.2436073044834,w=0.0,h=0.0]", rectangle2D_Double0.toString());
      assertEquals("M-473.2436073044834,-473.2436073044834Q-473.2436073044834,-473.2436073044834 -473.2436073044834,-473.2436073044834", quadradic0.toString());
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.maxY()D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Point point0 = new Point();
      Quadradic quadradic0 = new Quadradic((-219.0405874176513), (-219.0405874176513), 0.0, (double) 0, 0.0, 0.0);
      double double0 = quadradic0.maxY();
      assertEquals((-219.0405874176513), quadradic0.minX(), 0.01D);
      assertEquals("M-219.0405874176513,-219.0405874176513Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.clone()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Point2D.Double point2D_Double0 = new Point2D.Double(1.0E-6, 1.0E-6);
      Quadradic quadradic0 = new Quadradic(point2D_Double0, point2D_Double0, point2D_Double0);
      Quadradic quadradic1 = (Quadradic)quadradic0.clone();
      assertEquals("M1.0E-6,1.0E-6Q1.0E-6,1.0E-6 1.0E-6,1.0E-6", quadradic1.toString());
      assertNotNull(quadradic1);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.minY()D: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      int int0 = Quadradic.count;
      assertEquals(3696199, int0);
      
      Quadradic quadradic0 = new Quadradic((double) 790501, (double) 790501, (double) 790501, (double) 790501, (double) 790501, (double) 790501);
      double double0 = quadradic0.minY();
      assertEquals(790501.0, double0, 0.01D);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Point2D.Double point2D_Double0 = new Point2D.Double(1.0E-6, 1.0E-6);
      Quadradic quadradic0 = new Quadradic(point2D_Double0, point2D_Double0, point2D_Double0);
      String string0 = quadradic0.toString();
      assertEquals("M1.0E-6,1.0E-6Q1.0E-6,1.0E-6 1.0E-6,1.0E-6", string0);
      assertNotNull(string0);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.minX()D: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Linear linear0 = new Linear(447.0401635859105, 447.0401635859105, 447.0401635859105, 447.0401635859105);
      Quadradic quadradic0 = new Quadradic(linear0.p2, linear0.p2, linear0.p1);
      double double0 = quadradic0.minX();
      assertEquals(447.0401635859105, double0, 0.01D);
      assertEquals(447.0401635859105, quadradic0.maxX(), 0.01D);
  }

  //Test case number: 9
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I52 Branch 4 IFLT L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I81 Branch 5 IFGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I93 Branch 6 IFLE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.maxY()D: root-Branch
   * 6 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Quadradic quadradic0 = new Quadradic(0.0, 1499.6428669599911, 0.0, 1419.9055726970917, (-219.0405874176513), (-219.0405874176513));
      double double0 = quadradic0.maxY();
      assertEquals(1499.6428669599911, double0, 0.01D);
      assertEquals(0.0, quadradic0.maxX(), 0.01D);
      assertEquals((-219.0405874176513), quadradic0.minY(), 0.01D);
      assertEquals("M0.0,1499.6428669599911Q0.0,1419.9055726970917 -219.0405874176513,-219.0405874176513", quadradic0.toString());
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I52 Branch 4 IFLT L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.maxX()D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I3 Branch 1 IFLE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I38 Branch 2 IFNE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.getMinMax(DDD[D)V: I48 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic((-1257.312033450175), (-1257.312033450175), 0.0, 0.0, 1701.1459422207608, (-1257.312033450175));
      double double0 = quadradic0.maxX();
      assertEquals(1701.1459422207608, double0, 0.01D);
      assertEquals("M-1257.312033450175,-1257.312033450175Q0.0,0.0 1701.1459422207608,-1257.312033450175", quadradic0.toString());
      assertEquals((-1257.312033450175), quadradic0.maxY(), 0.01D);
      assertEquals((-1257.312033450175), quadradic0.minX(), 0.01D);
      assertEquals((-1257.312033450175), quadradic0.minY(), 0.01D);
  }

  //Test case number: 11
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 15 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 16 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I9 Branch 11 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I58 Branch 12 IFNULL L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Cubic cubic0 = new Cubic();
      quadradic0.subdivide(0.0, (Segment) cubic0, (Segment) cubic0);
      assertEquals(0.0, cubic0.minY(), 0.01D);
  }

  //Test case number: 12
  /*
   * 6 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 15 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 16 IFEQ L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I9 Branch 11 IFNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(DLorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I58 Branch 12 IFNULL L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Quadradic.evalDt(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   * 6 org.apache.batik.ext.awt.geom.Quadradic.eval(D)Ljava/awt/geom/Point2D$Double;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      quadradic0.subdivide(0.0, (Segment) quadradic0, (Segment) quadradic0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(0.0, quadradic0.minX(), 0.01D);
  }

  //Test case number: 13
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I3 Branch 8 IFNONNULL L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      double[] doubleArray0 = new double[3];
      AbstractSegment.solveQuad((-219.0405874176513), (-219.0405874176513), (-219.0405874176513), doubleArray0);
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      Point point0 = new Point();
      Quadradic quadradic0 = new Quadradic(0.0, 0.0, 0.0, (double) 0, 0.0, 0.0);
      Cubic cubic0 = new Cubic(0.0, (double) 0, 0.0, 0.0, (-219.0405874176513), (double) 0, (double) 0, (double) 0);
      quadradic0.subdivide((Segment) cubic0, (Segment) cubic0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(0.0, quadradic0.minY(), 0.01D);
  }

  //Test case number: 14
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I115 Branch 9 IFNULL L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I150 Branch 10 IFNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      Cubic cubic0 = new Cubic(quadradic0.p2, quadradic0.p2, quadradic0.p2, quadradic0.p2);
      quadradic0.subdivide((Segment) quadradic0, (Segment) cubic0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(0.0, cubic0.maxX(), 0.01D);
  }

  //Test case number: 15
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I150 Branch 10 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I115 Branch 9 IFNULL L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      Quadradic quadradic0 = new Quadradic();
      quadradic0.subdivide((Segment) quadradic0, (Segment) quadradic0);
      assertEquals("M0.0,0.0Q0.0,0.0 0.0,0.0", quadradic0.toString());
      assertEquals(0.0, quadradic0.maxX(), 0.01D);
  }

  //Test case number: 16
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.getLength(D)D: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I51 Branch 18 IFGE L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double(1.0, 1.0, 0.0, 1.0);
      Quadradic quadradic0 = new Quadradic(1.0, 0.0, 0.0, 0.0, 1.0, 0.0);
      double double0 = quadradic0.getLength(1.0);
      assertEquals("M1.0,0.0Q0.0,0.0 1.0,0.0", quadradic0.toString());
      assertEquals(1.0, double0, 0.01D);
  }

  //Test case number: 17
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I51 Branch 18 IFGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Quadradic.<init>()V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Quadradic.getLength(D)D: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Quadradic.getLength()D: root-Branch
   * 5 org.apache.batik.ext.awt.geom.Quadradic.<init>(DDDDDD)V: root-Branch
   * 6 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I36 Branch 17 IFGE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.Quadradic.subLength(DDD)D: I51 Branch 18 IFGE L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      int int0 = Quadradic.count;
      assertEquals((-11304281), int0);
      
      Quadradic quadradic0 = new Quadradic((double) 790504, (double) 790504, 0.0, 0.0, 0.0, (double) 790504);
      double double0 = quadradic0.getLength();
      assertEquals(1217611.604484701, double0, 0.01D);
  }

  //Test case number: 18
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I3 Branch 8 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I115 Branch 9 IFNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Quadradic.<init>(Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;Ljava/awt/geom/Point2D$Double;)V: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I6 Branch 13 IFEQ L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Segment;Lorg/apache/batik/ext/awt/geom/Segment;)V: I13 Branch 14 IFEQ L-1 - false
   * 6 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I1 Branch 7 IFNONNULL L-1 - false
   * 7 org.apache.batik.ext.awt.geom.Quadradic.subdivide(Lorg/apache/batik/ext/awt/geom/Quadradic;Lorg/apache/batik/ext/awt/geom/Quadradic;)V: I150 Branch 10 IFNULL L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      Point2D.Double point2D_Double0 = new Point2D.Double(1.0E-6, 1.0E-6);
      Quadradic quadradic0 = new Quadradic(point2D_Double0, point2D_Double0, point2D_Double0);
      Cubic cubic0 = new Cubic(quadradic0.p1, quadradic0.p3, quadradic0.p3, quadradic0.p3);
      quadradic0.subdivide((Segment) cubic0, (Segment) quadradic0);
      assertEquals("M1.0E-6,1.0E-6C1.0E-6,1.0E-6 1.0E-6,1.0E-6 1.0E-6,1.0E-6", cubic0.toString());
      assertEquals("Point2D.Double[1.0E-6, 1.0E-6]", point2D_Double0.toString());
  }
}
