/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.tiff;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.image.IndexColorModel;
import java.awt.image.RenderedImage;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.Iterator;
import java.util.TreeSet;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFEncodeParam;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder;
import org.apache.batik.ext.awt.image.codec.util.ImageEncodeParam;
import org.junit.BeforeClass;

public class TIFFImageEncoderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.writeFileHeader()V: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.writeLong(J)V: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.encode(Ljava/awt/image/RenderedImage;)V: I10 Branch 2 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.<init>(Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: I6 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      TIFFEncodeParam tIFFEncodeParam0 = new TIFFEncodeParam();
      TIFFImageEncoder tIFFImageEncoder0 = new TIFFImageEncoder((OutputStream) byteArrayOutputStream0, (ImageEncodeParam) tIFFEncodeParam0);
      // Undeclared exception!
      try {
        tIFFImageEncoder0.encode((RenderedImage) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.encode(Ljava/awt/image/RenderedImage;)V: I10 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.encode(Ljava/awt/image/RenderedImage;)V: I26 Branch 3 IFNE L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.writeFileHeader()V: root-Branch
   * 4 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.writeLong(J)V: root-Branch
   * 5 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.<init>(Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: I6 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      TIFFEncodeParam tIFFEncodeParam0 = new TIFFEncodeParam();
      TIFFImageEncoder tIFFImageEncoder0 = new TIFFImageEncoder((OutputStream) byteArrayOutputStream0, (ImageEncodeParam) tIFFEncodeParam0);
      TreeSet<IndexColorModel> treeSet0 = new TreeSet<IndexColorModel>();
      Iterator<IndexColorModel> iterator0 = treeSet0.iterator();
      tIFFEncodeParam0.setExtraImages(iterator0);
      // Undeclared exception!
      try {
        tIFFImageEncoder0.encode((RenderedImage) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.tiff.TIFFImageEncoder.<init>(Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageEncodeParam;)V: I6 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      TIFFImageEncoder tIFFImageEncoder0 = new TIFFImageEncoder((OutputStream) null, (ImageEncodeParam) null);
  }
}
