/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.AlphaComposite;
import java.awt.Composite;
import java.awt.geom.AffineTransform;
import java.lang.ref.WeakReference;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.SVGDocumentBridge;
import org.apache.batik.bridge.SVGFeColorMatrixElementBridge;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.gvt.CanvasGraphicsNode;
import org.apache.batik.gvt.RasterImageNode;
import org.apache.batik.gvt.RootGraphicsNode;
import org.apache.batik.gvt.ShapeNode;
import org.apache.batik.gvt.TextNode;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class AbstractGraphicsNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getFilter()Lorg/apache/batik/ext/awt/image/renderable/Filter;: root-Branch
   * 2 org.apache.batik.gvt.AbstractGraphicsNode.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      RasterImageNode rasterImageNode0 = new RasterImageNode();
      rasterImageNode0.getFilter();
      assertEquals(true, rasterImageNode0.isVisible());
      assertEquals(0, rasterImageNode0.getPointerEventType());
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getRoot()Lorg/apache/batik/gvt/RootGraphicsNode;: root-Branch
   * 2 org.apache.batik.gvt.AbstractGraphicsNode.setComposite(Ljava/awt/Composite;)V: root-Branch
   * 3 org.apache.batik.gvt.AbstractGraphicsNode.fireGraphicsNodeChangeStarted()V: I2 Branch 61 IFNONNULL L-1 - false
   * 4 org.apache.batik.gvt.AbstractGraphicsNode.fireGraphicsNodeChangeCompleted()V: I2 Branch 65 IFNONNULL L-1 - false
   * 5 org.apache.batik.gvt.AbstractGraphicsNode.fireGraphicsNodeChangeCompleted()V: I15 Branch 66 IFNONNULL L-1 - false
   * 6 org.apache.batik.gvt.AbstractGraphicsNode.fireGraphicsNodeChangeStarted(Lorg/apache/batik/gvt/event/GraphicsNodeChangeEvent;)V: I4 Branch 62 IFNONNULL L-1 - false
   * 7 org.apache.batik.gvt.AbstractGraphicsNode.invalidateGeometryCache()V: I2 Branch 69 IFNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      RasterImageNode rasterImageNode0 = new RasterImageNode();
      AlphaComposite alphaComposite0 = AlphaComposite.Xor;
      rasterImageNode0.setComposite((Composite) alphaComposite0);
      assertEquals(0, rasterImageNode0.getPointerEventType());
      assertEquals(true, rasterImageNode0.isVisible());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getParent()Lorg/apache/batik/gvt/CompositeGraphicsNode;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      RasterImageNode rasterImageNode0 = new RasterImageNode();
      rasterImageNode0.getParent();
      assertEquals(true, rasterImageNode0.isVisible());
      assertEquals(0, rasterImageNode0.getPointerEventType());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.isVisible()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      sVGDocumentBridge0.getNamespaceURI();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType((String) null, (String) null, (String) null);
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      RootGraphicsNode rootGraphicsNode0 = sVGDocumentBridge0.createGraphicsNode((BridgeContext) null, (Document) sVG12OMDocument0);
      boolean boolean0 = rootGraphicsNode0.isVisible();
      assertEquals(0, rootGraphicsNode0.getPointerEventType());
      assertEquals(true, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getRenderingHints()Ljava/awt/RenderingHints;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDocumentBridge sVGDocumentBridge0 = new SVGDocumentBridge();
      sVGDocumentBridge0.getNamespaceURI();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType((String) null, (String) null, (String) null);
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      RootGraphicsNode rootGraphicsNode0 = sVGDocumentBridge0.createGraphicsNode((BridgeContext) null, (Document) sVG12OMDocument0);
      rootGraphicsNode0.getRenderingHints();
      assertEquals(0, rootGraphicsNode0.getPointerEventType());
      assertEquals(true, rootGraphicsNode0.isVisible());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getInverseTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ShapeNode shapeNode0 = new ShapeNode();
      shapeNode0.getInverseTransform();
      assertEquals(0, shapeNode0.getPointerEventType());
      assertEquals(true, shapeNode0.isVisible());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getPointerEventType()I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CanvasGraphicsNode canvasGraphicsNode0 = new CanvasGraphicsNode();
      int int0 = canvasGraphicsNode0.getPointerEventType();
      assertEquals(0, int0);
      assertEquals(true, canvasGraphicsNode0.isVisible());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getClip()Lorg/apache/batik/ext/awt/image/renderable/ClipRable;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      TextNode textNode0 = new TextNode();
      textNode0.getClip();
      assertEquals(0, textNode0.getPointerEventType());
      assertEquals(true, textNode0.isVisible());
  }

  //Test case number: 8
  /*
   * 4 covered goals:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getTransformedBounds(Ljava/awt/geom/AffineTransform;)Ljava/awt/geom/Rectangle2D;: I4 Branch 78 IFNULL L-1 - true
   * 2 org.apache.batik.gvt.AbstractGraphicsNode.getTransformedBounds(Ljava/awt/geom/AffineTransform;)Ljava/awt/geom/Rectangle2D;: I19 Branch 79 IFNONNULL L-1 - false
   * 3 org.apache.batik.gvt.AbstractGraphicsNode.getTransformedBounds(Ljava/awt/geom/AffineTransform;)Ljava/awt/geom/Rectangle2D;: I35 Branch 80 IFNULL L-1 - true
   * 4 org.apache.batik.gvt.AbstractGraphicsNode.getTransformedPrimitiveBounds(Ljava/awt/geom/AffineTransform;)Ljava/awt/geom/Rectangle2D;: I4 Branch 83 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      ShapeNode shapeNode0 = new ShapeNode();
      SVGFeColorMatrixElementBridge sVGFeColorMatrixElementBridge0 = new SVGFeColorMatrixElementBridge();
      sVGFeColorMatrixElementBridge0.getCTM();
      shapeNode0.getTransformedBounds((AffineTransform) null);
      assertEquals(true, shapeNode0.isVisible());
      assertEquals(0, shapeNode0.getPointerEventType());
  }

  //Test case number: 9
  /*
   * 5 covered goals:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.normalizeRectangle(Ljava/awt/geom/Rectangle2D;)Ljava/awt/geom/Rectangle2D;: I1 Branch 103 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.AbstractGraphicsNode.getBounds()Ljava/awt/geom/Rectangle2D;: I2 Branch 70 IFNONNULL L-1 - false
   * 3 org.apache.batik.gvt.AbstractGraphicsNode.getBounds()Ljava/awt/geom/Rectangle2D;: I5 Branch 71 IFNONNULL L-1 - false
   * 4 org.apache.batik.gvt.AbstractGraphicsNode.getBounds()Ljava/awt/geom/Rectangle2D;: I20 Branch 72 IFNULL L-1 - true
   * 5 org.apache.batik.gvt.AbstractGraphicsNode.getBounds()Ljava/awt/geom/Rectangle2D;: I67 Branch 77 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      CanvasGraphicsNode canvasGraphicsNode0 = new CanvasGraphicsNode();
      canvasGraphicsNode0.getBounds();
      assertEquals(0, canvasGraphicsNode0.getPointerEventType());
      assertEquals(true, canvasGraphicsNode0.isVisible());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.AbstractGraphicsNode.getWeakReference()Ljava/lang/ref/WeakReference;: I2 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.AbstractGraphicsNode.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      ShapeNode shapeNode0 = new ShapeNode();
      WeakReference<?> weakReference0 = shapeNode0.getWeakReference();
      assertEquals(0, shapeNode0.getPointerEventType());
      assertEquals(true, shapeNode0.isVisible());
      assertNotNull(weakReference0);
  }
}
