/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.renderer;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.util.Collection;
import javax.swing.CellRendererPane;
import org.apache.batik.bridge.SVGFeBlendElementBridge;
import org.apache.batik.gvt.CanvasGraphicsNode;
import org.apache.batik.gvt.renderer.StaticRenderer;
import org.junit.BeforeClass;

public class StaticRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.getTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.gvt.renderer.StaticRenderer.<init>()V: root-Branch
   * 3 org.apache.batik.gvt.renderer.StaticRenderer.flush(Ljava/util/Collection;)V: I9 Branch 20 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      CanvasGraphicsNode canvasGraphicsNode0 = new CanvasGraphicsNode();
      staticRenderer0.flush((Collection) canvasGraphicsNode0);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.dispose()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      staticRenderer0.dispose();
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.isDoubleBuffered()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      boolean boolean0 = staticRenderer0.isDoubleBuffered();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.getRenderingHints()Ljava/awt/RenderingHints;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      RenderingHints renderingHints0 = staticRenderer0.getRenderingHints();
      assertNotNull(renderingHints0);
      assertEquals("{Global antialiasing enable key=Antialiased rendering mode, Image interpolation method key=Bilinear image interpolation mode}", renderingHints0.toString());
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.updateOffScreen(II)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      staticRenderer0.updateOffScreen(0, 0);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.<init>(Ljava/awt/RenderingHints;Ljava/awt/geom/AffineTransform;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGFeBlendElementBridge sVGFeBlendElementBridge0 = new SVGFeBlendElementBridge();
      sVGFeBlendElementBridge0.getGlobalTransform();
      StaticRenderer staticRenderer0 = null;
      try {
        staticRenderer0 = new StaticRenderer((RenderingHints) null, (AffineTransform) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.setDoubleBuffered(Z)V: I3 Branch 3 IF_ICMPNE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      staticRenderer0.setDoubleBuffered(false);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.flush(Ljava/awt/Rectangle;)V: I2 Branch 21 IFNONNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      CellRendererPane cellRendererPane0 = new CellRendererPane();
      Rectangle rectangle0 = cellRendererPane0.getBounds();
      staticRenderer0.flush(rectangle0);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.getOffScreen()Ljava/awt/image/BufferedImage;: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      staticRenderer0.getOffScreen();
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.repaint(Ljava/awt/Shape;)V: I1 Branch 9 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      staticRenderer0.repaint((Shape) null);
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.StaticRenderer.flush()V: I2 Branch 18 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.renderer.StaticRenderer.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      StaticRenderer staticRenderer0 = new StaticRenderer();
      staticRenderer0.flush();
      assertEquals(false, staticRenderer0.isDoubleBuffered());
  }
}
