/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.swing.gvt;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import javax.swing.DefaultListCellRenderer;
import org.apache.batik.bridge.SVGPatternElementBridge;
import org.apache.batik.gvt.renderer.DynamicRenderer;
import org.apache.batik.gvt.renderer.ImageRenderer;
import org.apache.batik.gvt.renderer.MacRenderer;
import org.apache.batik.swing.gvt.GVTTreeRenderer;
import org.apache.batik.swing.gvt.GVTTreeRendererListener;
import org.apache.batik.util.CSSConstants;
import org.apache.batik.util.EventDispatcher;
import org.junit.BeforeClass;

public class GVTTreeRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.swing.gvt.GVTTreeRenderer$1.dispatch(Ljava/lang/Object;Ljava/lang/Object;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      EventDispatcher.Dispatcher eventDispatcher_Dispatcher0 = GVTTreeRenderer.failedDispatcher;
      String string0 = CSSConstants.CSS_PEACHPUFF_VALUE;
      // Undeclared exception!
      try {
        eventDispatcher_Dispatcher0.dispatch((Object) "peachpuff", (Object) "peachpuff");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.apache.batik.swing.gvt.GVTTreeRendererListener
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.swing.gvt.GVTTreeRenderer.addGVTTreeRendererListener(Lorg/apache/batik/swing/gvt/GVTTreeRendererListener;)V: root-Branch
   * 2 org.apache.batik.swing.gvt.GVTTreeRenderer.<init>(Lorg/apache/batik/gvt/renderer/ImageRenderer;Ljava/awt/geom/AffineTransform;ZLjava/awt/Shape;II)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      AffineTransform affineTransform0 = AffineTransform.getScaleInstance((double) 3, (double) 3);
      DefaultListCellRenderer defaultListCellRenderer0 = new DefaultListCellRenderer();
      Rectangle rectangle0 = defaultListCellRenderer0.getBounds();
      GVTTreeRenderer gVTTreeRenderer0 = new GVTTreeRenderer((ImageRenderer) macRenderer0, affineTransform0, false, (Shape) rectangle0, 0, 3);
      gVTTreeRenderer0.addGVTTreeRendererListener((GVTTreeRendererListener) null);
      assertEquals("Thread-116", gVTTreeRenderer0.getName());
      assertEquals(260L, gVTTreeRenderer0.getId());
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.swing.gvt.GVTTreeRenderer.run()V: I33 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.swing.gvt.GVTTreeRenderer.run()V: I55 Branch 2 IFEQ L-1 - true
   * 3 org.apache.batik.swing.gvt.GVTTreeRenderer.run()V: I70 Branch 3 IFEQ L-1 - true
   * 4 org.apache.batik.swing.gvt.GVTTreeRenderer.fireEvent(Lorg/apache/batik/util/EventDispatcher$Dispatcher;Ljava/lang/Object;)V: root-Branch
   * 5 org.apache.batik.swing.gvt.GVTTreeRenderer.<init>(Lorg/apache/batik/gvt/renderer/ImageRenderer;Ljava/awt/geom/AffineTransform;ZLjava/awt/Shape;II)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DynamicRenderer dynamicRenderer0 = new DynamicRenderer();
      SVGPatternElementBridge sVGPatternElementBridge0 = new SVGPatternElementBridge();
      sVGPatternElementBridge0.getGlobalTransform();
      char[] charArray0 = new char[5];
      GVTTreeRenderer gVTTreeRenderer0 = new GVTTreeRenderer((ImageRenderer) dynamicRenderer0, (AffineTransform) null, true, (Shape) null, (int) '\u0000', (int) '\u0000');
      gVTTreeRenderer0.run();
      assertEquals(2, gVTTreeRenderer0.activeCount());
      assertEquals("Thread-129", gVTTreeRenderer0.getName());
  }
}
