/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Locale;
import java.util.MissingResourceException;
import org.apache.batik.util.Messages;
import org.junit.BeforeClass;

public class MessagesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.Messages.getInteger(Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      try {
        Messages.getInteger("tp");
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Can't find resource for bundle java.util.PropertyResourceBundle, key tp
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.Messages.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Object[] objectArray0 = new Object[8];
      try {
        Messages.formatMessage("oKwyWy\"<N", objectArray0);
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: oKwyWy\"<N
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.Messages.getString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      try {
        Messages.getString(">L{@Kz<N0knNcnY[t\"");
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Can't find resource for bundle java.util.PropertyResourceBundle, key >L{@Kz<N0knNcnY[t\"
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.Messages.getLocale()Ljava/util/Locale;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Locale locale0 = Messages.getLocale();
      assertNull(locale0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.Messages.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Locale locale0 = Locale.US;
      Messages.setLocale(locale0);
      assertEquals("USA", locale0.getISO3Country());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.Messages.getCharacter(Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      try {
        Messages.getCharacter("");
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Can't find resource for bundle java.util.PropertyResourceBundle, key 
         //
      }
  }
}
