/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.TimeZone;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.AnimationSupport;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.XBLOMShadowTreeEvent;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.events.EventTarget;

public class AnimationSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.AnimationSupport.fireTimeEvent(Lorg/w3c/dom/events/EventTarget;Ljava/lang/String;Ljava/util/Calendar;I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XBLOMShadowTreeEvent xBLOMShadowTreeEvent0 = new XBLOMShadowTreeEvent();
      xBLOMShadowTreeEvent0.getCurrentTarget();
      TimeZone timeZone0 = TimeZone.getDefault();
      GregorianCalendar gregorianCalendar0 = new GregorianCalendar(timeZone0);
      // Undeclared exception!
      try {
        AnimationSupport.fireTimeEvent((EventTarget) null, "", (Calendar) gregorianCalendar0, 1343);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I10 Branch 3 IFEQ L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - false
   * 4 org.apache.batik.bridge.AnimationSupport.getEventTargetById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/events/EventTarget;: root-Branch
   * 5 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("slateblue", "slateblue", "slateblue");
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      EventTarget eventTarget0 = AnimationSupport.getEventTargetById("slateblue", (Node) genericDocumentType0);
      assertNull(eventTarget0);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.AnimationSupport.getTimedElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/apache/batik/anim/timing/TimedElement;: I6 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I5 Branch 2 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.AnimationSupport.getElementById(Ljava/lang/String;Lorg/w3c/dom/Node;)Lorg/w3c/dom/Element;: I24 Branch 4 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("slateblue", "slateblue", "slateblue");
      TimedElement timedElement0 = AnimationSupport.getTimedElementById("slateblue", (Node) genericDocumentType0);
      assertNull(timedElement0);
  }
}
