/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class BridgeContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.BridgeContext.getFocusManager()Lorg/apache/batik/bridge/FocusManager;: root-Branch
   * 2 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   * 3 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/script/InterpreterPool;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      bridgeContext0.getFocusManager();
      assertEquals(false, bridgeContext0.isInteractive());
  }

  //Test case number: 1
  /*
   * 11 covered goals:
   * 1 org.apache.batik.bridge.BridgeContext.getTextPainter()Lorg/apache/batik/gvt/TextPainter;: root-Branch
   * 2 org.apache.batik.bridge.BridgeContext.setGVTBuilder(Lorg/apache/batik/bridge/GVTBuilder;)V: root-Branch
   * 3 org.apache.batik.bridge.BridgeContext.getDocumentLoader()Lorg/apache/batik/bridge/DocumentLoader;: root-Branch
   * 4 org.apache.batik.bridge.BridgeContext.setTextPainter(Lorg/apache/batik/gvt/TextPainter;)V: root-Branch
   * 5 org.apache.batik.bridge.BridgeContext.getUserAgent()Lorg/apache/batik/bridge/UserAgent;: root-Branch
   * 6 org.apache.batik.bridge.BridgeContext.getGVTBuilder()Lorg/apache/batik/bridge/GVTBuilder;: root-Branch
   * 7 org.apache.batik.bridge.BridgeContext.setDocument(Lorg/w3c/dom/Document;)V: I3 Branch 32 IF_ACMPEQ L-1 - false
   * 8 org.apache.batik.bridge.BridgeContext.createBridgeContext(Lorg/apache/batik/dom/svg/SVGOMDocument;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 29 IFEQ L-1 - true
   * 9 org.apache.batik.bridge.BridgeContext.createSubBridgeContext(Lorg/apache/batik/dom/svg/SVGOMDocument;)Lorg/apache/batik/bridge/BridgeContext;: I4 Branch 26 IFNULL L-1 - true
   * 10 org.apache.batik.bridge.BridgeContext.createSubBridgeContext(Lorg/apache/batik/dom/svg/SVGOMDocument;)Lorg/apache/batik/bridge/BridgeContext;: I20 Branch 27 IFNULL L-1 - true
   * 11 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      InterpreterPool interpreterPool0 = new InterpreterPool();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) null, interpreterPool0, (DocumentLoader) null);
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("iv<36ZRZE;a`;1m", "iv<36ZRZE;a`;1m", "iv<36ZRZE;a`;1m");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      // Undeclared exception!
      try {
        bridgeContext0.createSubBridgeContext(sVGOMDocument0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.BridgeContext.getInterpreterPool()Lorg/apache/batik/script/InterpreterPool;: root-Branch
   * 2 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      InterpreterPool interpreterPool0 = bridgeContext0.getInterpreterPool();
      assertNotNull(interpreterPool0);
      assertEquals(false, bridgeContext0.isInteractive());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.BridgeContext.getPrimaryBridgeContext()Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 47 IFNULL L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      InterpreterPool interpreterPool0 = new InterpreterPool();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) null, interpreterPool0, (DocumentLoader) null);
      BridgeContext bridgeContext1 = bridgeContext0.getPrimaryBridgeContext();
      assertEquals(false, bridgeContext1.isInteractive());
      assertNotNull(bridgeContext1);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.BridgeContext.removeReservedNamespaceURI(Ljava/lang/String;)V: I1 Branch 96 IFNONNULL L-1 - true
   * 2 org.apache.batik.bridge.BridgeContext.removeReservedNamespaceURI(Ljava/lang/String;)V: I7 Branch 97 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;)V: root-Branch
   * 4 org.apache.batik.bridge.BridgeContext.<init>(Lorg/apache/batik/bridge/UserAgent;Lorg/apache/batik/script/InterpreterPool;Lorg/apache/batik/bridge/DocumentLoader;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      bridgeContext0.removeReservedNamespaceURI("?J3?TuJ%");
      assertEquals(false, bridgeContext0.isInteractive());
  }
}
