/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.value.svg.ColorInterpolationManager;
import org.apache.batik.css.engine.value.svg.FillRuleManager;
import org.apache.batik.css.engine.value.svg.FilterManager;
import org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager;
import org.apache.batik.css.engine.value.svg.MaskManager;
import org.apache.batik.css.engine.value.svg.StrokeLinejoinManager;
import org.apache.batik.css.engine.value.svg.StrokeWidthManager;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractValueFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidStringTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      FillRuleManager fillRuleManager0 = new FillRuleManager();
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        fillRuleManager0.createStringValue((short) (-1366), "bF-^h /", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (-1,366) is invalid for the \"fill-rule\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidIdentifierDOMException(Ljava/lang/String;)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ColorInterpolationManager colorInterpolationManager0 = new ColorInterpolationManager();
      colorInterpolationManager0.getPropertyName();
      StrokeLinejoinManager strokeLinejoinManager0 = new StrokeLinejoinManager();
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper0.parsePropertyValue("color-interpolation");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("color-interpolation", "color-interpolation", "color-interpolation");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVGOMDocument0.getCSSEngine();
      try {
        strokeLinejoinManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"color-interpolation\" identifier is not a valid value for the \"stroke-linejoin\" property. 
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      StrokeWidthManager strokeWidthManager0 = new StrokeWidthManager();
      try {
        strokeWidthManager0.createFloatValue((short) (-1), (short) (-1));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given CSS primitive value (CSS_UNKNOWN) represents an invalid type for the \"stroke-width\".
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatValueDOMException(F)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GlyphOrientationVerticalManager glyphOrientationVerticalManager0 = new GlyphOrientationVerticalManager();
      glyphOrientationVerticalManager0.getPropertyType();
      try {
        glyphOrientationVerticalManager0.createFloatValue((short)0, (float) 5);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The number '5' represents an invalid value for the 'glyph-orientation-vertical' property.
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createDOMException()Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      MaskManager maskManager0 = new MaskManager();
      maskManager0.getPropertyType();
      FilterManager filterManager0 = new FilterManager();
      try {
        filterManager0.createFloatValue((short)9, (float) 20);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"filter\" property.
         //
      }
  }
}
