/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.value.css2.SrcManager;
import org.apache.batik.css.engine.value.svg.ColorManager;
import org.apache.batik.css.engine.value.svg.ImageRenderingManager;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class IdentifierManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 2 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 3 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 4 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I18 Branch 4 IFNONNULL L-1 - false
   * 5 org.apache.batik.css.engine.value.IdentifierManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ColorManager colorManager0 = new ColorManager();
      ImageRenderingManager imageRenderingManager0 = new ImageRenderingManager();
      imageRenderingManager0.getPropertyName();
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("image-rendering");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("image-rendering", "image-rendering", "image-rendering");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        colorManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"image-rendering\" identifier is not a valid value for the \"color\" property. 
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.IdentifierManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.css.engine.value.IdentifierManager.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SrcManager srcManager0 = new SrcManager();
      try {
        srcManager0.createStringValue((short)469, "Ih3hl2i@:#$fidi", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (469) is invalid for the \"src\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
