/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.ExtendedParserWrapper;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class GlyphOrientationVerticalManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GlyphOrientationVerticalManager glyphOrientationVerticalManager0 = new GlyphOrientationVerticalManager();
      StringValue stringValue0 = (StringValue)glyphOrientationVerticalManager0.getDefaultValue();
      assertEquals("auto", stringValue0.toString());
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - false
   * 2 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I8 Branch 2 IFLE L-1 - true
   * 3 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.getPropertyName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GlyphOrientationVerticalManager glyphOrientationVerticalManager0 = new GlyphOrientationVerticalManager();
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper0.parsePropertyValue("Y&a|GXQa0s&");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("Y&a|GXQa0s&", "Y&a|GXQa0s&", "Y&a|GXQa0s&");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVG12OMDocument0.getCSSEngine();
      try {
        glyphOrientationVerticalManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"Y\" identifier is not a valid value for the \"glyph-orientation-vertical\" property. 
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I8 Branch 2 IFLE L-1 - false
   * 2 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I3 Branch 1 IF_ICMPNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      GlyphOrientationVerticalManager glyphOrientationVerticalManager0 = new GlyphOrientationVerticalManager();
      Parser parser0 = new Parser();
      ExtendedParserWrapper extendedParserWrapper0 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) parser0);
      LexicalUnit lexicalUnit0 = extendedParserWrapper0.parsePropertyValue("auto");
      StringValue stringValue0 = (StringValue)glyphOrientationVerticalManager0.createValue(lexicalUnit0, (CSSEngine) null);
      assertEquals(21, stringValue0.getPrimitiveType());
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager.getPropertyName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GlyphOrientationVerticalManager glyphOrientationVerticalManager0 = new GlyphOrientationVerticalManager();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, (DocumentLoader) null);
      ExtendedParserWrapper extendedParserWrapper0 = (ExtendedParserWrapper)ExtendedParserWrapper.wrap((org.w3c.css.sac.Parser) null);
      ExtendedParserWrapper extendedParserWrapper1 = new ExtendedParserWrapper((org.w3c.css.sac.Parser) extendedParserWrapper0);
      ValueManager[] valueManagerArray0 = new ValueManager[1];
      valueManagerArray0[0] = (ValueManager) glyphOrientationVerticalManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[7];
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) marginShorthandManager0;
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[1] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[2] = (ShorthandManager) markerShorthandManager0;
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[3] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) marginShorthandManager0;
      shorthandManagerArray0[5] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[6] = (ShorthandManager) markerShorthandManager0;
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) extendedParserWrapper1, valueManagerArray0, shorthandManagerArray0);
      try {
        glyphOrientationVerticalManager0.createStringValue((short) (-1414), "", (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (-1,414) is invalid for the \"glyph-orientation-vertical\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
