/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentFragment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGContext;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMScriptElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMDocumentEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.getSVGContext()Lorg/apache/batik/dom/svg/SVGContext;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.<init>(Lorg/w3c/dom/DocumentType;Lorg/w3c/dom/DOMImplementation;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMDocument$AnimAttrListener.<init>(Lorg/apache/batik/dom/svg/SVGOMDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGContext sVGContext0 = sVG12OMDocument0.getSVGContext();
      assertNull(sVGContext0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.isReadonly()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMDocument sVGOMDocument0 = null;
      try {
        sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given node (type: 9, name: #document) was not created by the current document.
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.setIsSVG12(Z)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.isReadonly()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("nhdw&3jE&\"|?Hn", "nhdw&3jE&\"|?Hn", "nhdw&3jE&\"|?Hn");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVGOMDocument0.setIsSVG12(false);
      assertEquals(false, sVGOMDocument0.isSVG12());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.createDocumentFragment()Lorg/w3c/dom/DocumentFragment;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      GenericDocumentFragment genericDocumentFragment0 = (GenericDocumentFragment)sVG12OMDocument0.createDocumentFragment();
      assertEquals(11, genericDocumentFragment0.getNodeType());
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.getAnimatedAttributeListener()Lorg/apache/batik/dom/svg/AnimatedAttributeListener;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.createTextNode(Ljava/lang/String;)Lorg/w3c/dom/Text;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMDocument.createAttributeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I1 Branch 14 IFNONNULL L-1 - true
   * 4 org.apache.batik.dom.svg.SVGOMDocument.isId(Lorg/w3c/dom/Attr;)Z: I2 Branch 15 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.svg.SVGOMDocument.<init>(Lorg/w3c/dom/DocumentType;Lorg/w3c/dom/DOMImplementation;)V: root-Branch
   * 6 org.apache.batik.dom.svg.SVGOMDocument$AnimAttrListener.<init>(Lorg/apache/batik/dom/svg/SVGOMDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      SVGOMScriptElement sVGOMScriptElement0 = new SVGOMScriptElement("", (AbstractDocument) sVG12OMDocument0);
      assertEquals("", sVGOMScriptElement0.getXMLbase());
  }
}
