/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.Reader;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.DocumentDescriptor;
import org.apache.batik.dom.util.SAXDocumentFactory;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.w3c.css.sac.InputSource;
import org.w3c.dom.DOMImplementation;
import org.xml.sax.Attributes;
import org.xml.sax.ErrorHandler;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.ext.Attributes2Impl;
import org.xml.sax.ext.DefaultHandler2;
import org.xml.sax.ext.Locator2Impl;

public class SAXDocumentFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setDocumentLocator(Lorg/xml/sax/Locator;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      Locator2Impl locator2Impl0 = new Locator2Impl();
      sAXDocumentFactory0.setDocumentLocator((Locator) locator2Impl0);
      assertNull(locator2Impl0.getXMLVersion());
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "");
      sAXDocumentFactory0.startDTD("", "", "");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.warning(Lorg/xml/sax/SAXParseException;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "", false);
      sAXDocumentFactory0.warning((SAXParseException) null);
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "", false);
      try {
        sAXDocumentFactory0.createDocument("");
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class  not found
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDocumentDescriptor()Lorg/apache/batik/dom/util/DocumentDescriptor;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "+X-`TF:[9QKJ]O", true);
      DocumentDescriptor documentDescriptor0 = sAXDocumentFactory0.getDocumentDescriptor();
      assertNull(documentDescriptor0);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Ljava/lang/String;Ljava/io/Reader;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I3 Branch 14 IFNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I94 Branch 16 IFNULL L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Lorg/xml/sax/InputSource;)Lorg/w3c/dom/Document;: I97 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVGDOMImplementation0, "");
      InputSource inputSource0 = new InputSource("");
      inputSource0.getCharacterStream();
      try {
        sAXDocumentFactory0.createDocument("", (Reader) null);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class  not found
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      sAXDocumentFactory0.startEntity("");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "");
      SVG12DOMImplementation sVG12DOMImplementation1 = (SVG12DOMImplementation)sAXDocumentFactory0.getDOMImplementation("");
      assertSame(sVG12DOMImplementation0, sVG12DOMImplementation1);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.setErrorHandler(Lorg/xml/sax/ErrorHandler;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      DefaultHandler2 defaultHandler2_0 = new DefaultHandler2();
      sAXDocumentFactory0.setErrorHandler((ErrorHandler) defaultHandler2_0);
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endDTD()V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "mouseup", false);
      sAXDocumentFactory0.endDTD();
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endEntity(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "+X-`TF:[9QKJ]O", true);
      sAXDocumentFactory0.endEntity("+X-`TF:[9QKJ]O");
      assertEquals(false, sAXDocumentFactory0.isValidating());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.isValidating()Z: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "+X-`TF:[9QKJ]O", true);
      boolean boolean0 = sAXDocumentFactory0.isValidating();
      assertEquals(false, boolean0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.endElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 38 IFNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) genericDOMImplementation0, "Could not create SAXParser: ");
      // Undeclared exception!
      try {
        sAXDocumentFactory0.endElement("Could not create SAXParser: ", "Could not create SAXParser: ", "Could not create SAXParser: ");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I1 Branch 19 IFEQ L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I12 Branch 20 IFEQ L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "");
      Attributes2Impl attributes2Impl0 = new Attributes2Impl();
      // Undeclared exception!
      try {
        sAXDocumentFactory0.startElement("", "", "", (Attributes) attributes2Impl0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I12 Branch 20 IFEQ L-1 - false
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.startDocument()V: I58 Branch 18 IFEQ L-1 - true
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I1 Branch 19 IFEQ L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) sVG12DOMImplementation0, "");
      sAXDocumentFactory0.startDocument();
      Attributes2Impl attributes2Impl0 = new Attributes2Impl();
      // Undeclared exception!
      try {
        sAXDocumentFactory0.startElement("", "", "", (Attributes) attributes2Impl0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 15
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I18 Branch 40 IFNONNULL L-1 - false
   * 3 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I21 Branch 41 IFEQ L-1 - false
   * 4 org.apache.batik.dom.util.SAXDocumentFactory.comment([CII)V: I2 Branch 45 IFEQ L-1 - true
   * 5 org.apache.batik.dom.util.SAXDocumentFactory$CDataInfo.<init>(Ljava/lang/String;)V: root-Branch
   * 6 org.apache.batik.dom.util.SAXDocumentFactory.<init>(Lorg/w3c/dom/DOMImplementation;Ljava/lang/String;Z)V: root-Branch
   * 7 org.apache.batik.dom.util.SAXDocumentFactory.startCDATA()V: root-Branch
   * 8 org.apache.batik.dom.util.SAXDocumentFactory.appendStringData()V: I2 Branch 39 IFNE L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      SAXDocumentFactory sAXDocumentFactory0 = new SAXDocumentFactory((DOMImplementation) null, "", true);
      char[] charArray0 = new char[6];
      sAXDocumentFactory0.startCDATA();
      // Undeclared exception!
      try {
        sAXDocumentFactory0.comment(charArray0, (int) '\u0000', (int) '\u0000');
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
