/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.junit.BeforeClass;

public class ForwardSeekableStreamEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.read()I: I6 Branch 1 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.<init>(Ljava/io/InputStream;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      byte[] byteArray0 = new byte[10];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)90, (int) (byte)0);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) byteArrayInputStream0);
      assertEquals(-1, forwardSeekableStream0.read());
      
      try {
        forwardSeekableStream0.readUnsignedShort();
        fail("Expecting exception: EOFException");
      
      } catch(EOFException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.read()I: I6 Branch 1 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.read([BII)I: I9 Branch 2 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[2];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      DataInputStream dataInputStream0 = new DataInputStream((InputStream) byteArrayInputStream0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) dataInputStream0);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) bufferedInputStream0);
      assertEquals(-1, forwardSeekableStream0.read());
      
      forwardSeekableStream0.readUTF();
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.read([BII)I: I9 Branch 2 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.<init>(Ljava/io/InputStream;)V: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream.read()I: I6 Branch 1 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      byte[] byteArray0 = new byte[2];
      byteArray0[1] = (byte) (-1);
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      DataInputStream dataInputStream0 = new DataInputStream((InputStream) byteArrayInputStream0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) dataInputStream0);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) bufferedInputStream0);
      assertEquals(-1, forwardSeekableStream0.read());
      
      try {
        forwardSeekableStream0.readUTF();
        fail("Expecting exception: EOFException");
      
      } catch(EOFException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
