/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.batik.ext.awt.image.codec.util.ForwardSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;

public class SeekableStreamEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readDoubleLE()D: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readLongLE()J: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.util.SeekableStream.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) null);
      // Undeclared exception!
      try {
        forwardSeekableStream0.readDoubleLE();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.wrapInputStream(Ljava/io/InputStream;Z)Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;: I3 Branch 1 IFEQ L-1 - true
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.wrapInputStream(Ljava/io/InputStream;Z)Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;: I3 Branch 1 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
          PipedInputStream pipedInputStream0 = new PipedInputStream();
          MemoryCacheSeekableStream memoryCacheSeekableStream0 = (MemoryCacheSeekableStream)SeekableStream.wrapInputStream((InputStream) pipedInputStream0, true);
          ForwardSeekableStream forwardSeekableStream0 = (ForwardSeekableStream)SeekableStream.wrapInputStream((InputStream) memoryCacheSeekableStream0, false);
          assertEquals(0, forwardSeekableStream0.available());
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readInt()I: I19 Branch 16 IFGE L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readLong()J: root-Branch
   * 3 org.apache.batik.ext.awt.image.codec.util.SeekableStream.<init>()V: root-Branch
   * 4 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readFloat()F: root-Branch
   * 5 org.apache.batik.ext.awt.image.codec.util.SeekableStream.readInt()I: I19 Branch 16 IFGE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      byte[] byteArray0 = new byte[8];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      ForwardSeekableStream forwardSeekableStream0 = new ForwardSeekableStream((InputStream) byteArrayInputStream0);
      forwardSeekableStream0.readFloat();
      try {
        forwardSeekableStream0.readLong();
        fail("Expecting exception: EOFException");
      
      } catch(EOFException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
