/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt.renderer;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.awt.image.BufferedImage;
import java.util.Collection;
import javax.swing.JColorChooser;
import org.apache.batik.bridge.SVGFeImageElementBridge;
import org.apache.batik.bridge.SVGPathElementBridge;
import org.apache.batik.gvt.CanvasGraphicsNode;
import org.apache.batik.gvt.GraphicsNode;
import org.apache.batik.gvt.renderer.MacRenderer;
import org.junit.BeforeClass;

public class MacRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.isDoubleBuffered()Z: root-Branch
   * 2 org.apache.batik.gvt.renderer.MacRenderer.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      boolean boolean0 = macRenderer0.isDoubleBuffered();
      assertEquals(false, boolean0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.flush(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      JColorChooser jColorChooser0 = new JColorChooser(macRenderer0.TRANSPARENT_WHITE);
      Rectangle rectangle0 = jColorChooser0.getVisibleRect();
      macRenderer0.flush(rectangle0);
      assertEquals(0.0, rectangle0.getMinX(), 0.01D);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.getRenderingHints()Ljava/awt/RenderingHints;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      RenderingHints renderingHints0 = macRenderer0.getRenderingHints();
      assertEquals("{Global antialiasing enable key=Antialiased rendering mode, Image interpolation method key=Bilinear image interpolation mode}", renderingHints0.toString());
      assertNotNull(renderingHints0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.updateOffScreen(II)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      macRenderer0.updateOffScreen(1, 1);
      assertEquals(false, macRenderer0.isDoubleBuffered());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.flush(Ljava/util/Collection;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CanvasGraphicsNode canvasGraphicsNode0 = new CanvasGraphicsNode();
      MacRenderer macRenderer0 = new MacRenderer();
      macRenderer0.flush((Collection) canvasGraphicsNode0);
      assertEquals(true, canvasGraphicsNode0.isEmpty());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.getTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      AffineTransform affineTransform0 = macRenderer0.getTransform();
      assertEquals(1.0, affineTransform0.getScaleX(), 0.01D);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.setTree(Lorg/apache/batik/gvt/GraphicsNode;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      macRenderer0.setTree((GraphicsNode) null);
      assertEquals(false, macRenderer0.isDoubleBuffered());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.flush()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      macRenderer0.flush();
      assertEquals(false, macRenderer0.isDoubleBuffered());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.setTransform(Ljava/awt/geom/AffineTransform;)V: I1 Branch 3 IFNONNULL L-1 - true
   * 2 org.apache.batik.gvt.renderer.MacRenderer.setTransform(Ljava/awt/geom/AffineTransform;)V: I18 Branch 4 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      SVGPathElementBridge sVGPathElementBridge0 = new SVGPathElementBridge();
      AffineTransform affineTransform0 = sVGPathElementBridge0.getCTM();
      macRenderer0.setTransform(affineTransform0);
      assertEquals(0.0, affineTransform0.getShearX(), 0.01D);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.setTransform(Ljava/awt/geom/AffineTransform;)V: I1 Branch 3 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.renderer.MacRenderer.setTransform(Ljava/awt/geom/AffineTransform;)V: I18 Branch 4 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      SVGFeImageElementBridge sVGFeImageElementBridge0 = new SVGFeImageElementBridge();
      sVGFeImageElementBridge0.getCTM();
      macRenderer0.setTransform((AffineTransform) null);
      assertEquals(3, macRenderer0.IMAGE_TYPE);
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.clearOffScreen()V: I2 Branch 8 IFEQ L-1 - true
   * 2 org.apache.batik.gvt.renderer.MacRenderer.clearOffScreen()V: I9 Branch 9 IFNONNULL L-1 - false
   * 3 org.apache.batik.gvt.renderer.MacRenderer.updateWorkingBuffers()V: I2 Branch 10 IFNONNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      macRenderer0.clearOffScreen();
      assertEquals(3, macRenderer0.IMAGE_TYPE);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.getOffScreen()Ljava/awt/image/BufferedImage;: I2 Branch 7 IFNONNULL L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      BufferedImage bufferedImage0 = macRenderer0.getOffScreen();
      assertNull(bufferedImage0);
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.renderer.MacRenderer.repaint(Ljava/awt/Shape;)V: I1 Branch 15 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.renderer.MacRenderer.<init>()V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      MacRenderer macRenderer0 = new MacRenderer();
      macRenderer0.repaint((Shape) null);
      assertEquals(3, macRenderer0.IMAGE_TYPE);
  }
}
