/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import java.io.FileDescriptor;
import java.io.FileReader;
import java.io.Reader;
import org.apache.batik.parser.AWTTransformProducer;
import org.apache.batik.parser.ParseException;
import org.junit.BeforeClass;

public class AWTTransformProducerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.parser.AWTTransformProducer.createAffineTransform(Ljava/io/Reader;)Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.parser.AWTTransformProducer.<init>()V: root-Branch
   * 3 org.apache.batik.parser.AWTTransformProducer.startTransformList()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      FileDescriptor fileDescriptor0 = new FileDescriptor();
      FileReader fileReader0 = new FileReader(fileDescriptor0);
      try {
        AWTTransformProducer.createAffineTransform((Reader) fileReader0);
        fail("Expecting exception: ParseException");
      
      } catch(ParseException e) {
         //
         // io.exception
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.parser.AWTTransformProducer.createAffineTransform(Ljava/lang/String;)Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.parser.AWTTransformProducer.endTransformList()V: root-Branch
   * 3 org.apache.batik.parser.AWTTransformProducer.getAffineTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   * 4 org.apache.batik.parser.AWTTransformProducer.startTransformList()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AffineTransform affineTransform0 = AWTTransformProducer.createAffineTransform("");
      assertEquals(0.0, affineTransform0.getShearY(), 0.01D);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.translate(FF)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.translate((-1660.9855F), (-1660.9855F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.scale(F)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.scale((-1493.6936F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.rotate(FFF)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.rotate(0.0F, 0.0F, 0.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.rotate(F)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.rotate(0.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.scale(FF)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.scale(1.0F, 1.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.translate(F)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.translate(1.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.skewY(F)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.skewY(0.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.skewX(F)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.skewX(1.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.parser.AWTTransformProducer.matrix(FFFFFF)V: root-Branch
   * 2 org.apache.batik.parser.AWTTransformProducer.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.matrix((-1.0F), (-1.0F), (-1.0F), (-1.0F), (-1.0F), (-1.0F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
