/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.util.io;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.CharArrayReader;
import java.io.FileDescriptor;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedReader;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import org.apache.batik.util.io.GenericDecoder;
import org.junit.BeforeClass;

public class GenericDecoderEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.io.GenericDecoder.dispose()V: root-Branch
   * 2 org.apache.batik.util.io.GenericDecoder.<init>(Ljava/io/Reader;)V: I7 Branch 1 IFNE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      char[] charArray0 = new char[1];
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0, 0, 0);
      GenericDecoder genericDecoder0 = new GenericDecoder((Reader) charArrayReader0);
      genericDecoder0.dispose();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.io.GenericDecoder.<init>(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte) (-19), (int) (byte) (-19));
      GenericDecoder genericDecoder0 = null;
      try {
        genericDecoder0 = new GenericDecoder((InputStream) byteArrayInputStream0, "E/)}`!L");
        fail("Expecting exception: UnsupportedEncodingException");
      
      } catch(UnsupportedEncodingException e) {
         //
         // E/)}`!L
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.util.io.GenericDecoder.readChar()I: root-Branch
   * 2 org.apache.batik.util.io.GenericDecoder.<init>(Ljava/io/Reader;)V: I7 Branch 1 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      PipedReader pipedReader0 = new PipedReader();
      GenericDecoder genericDecoder0 = new GenericDecoder((Reader) pipedReader0);
      try {
        genericDecoder0.readChar();
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.util.io.GenericDecoder.<init>(Ljava/io/Reader;)V: I7 Branch 1 IFNE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      FileDescriptor fileDescriptor0 = FileDescriptor.out;
      FileReader fileReader0 = new FileReader(fileDescriptor0);
      BufferedReader bufferedReader0 = new BufferedReader((Reader) fileReader0);
      GenericDecoder genericDecoder0 = new GenericDecoder((Reader) bufferedReader0);
  }
}
