/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.SVGDescElementBridge;
import org.apache.batik.bridge.UnitProcessor;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMMaskElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowParaElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class UnitProcessorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.getPixelToMM()F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) null);
      // Undeclared exception!
      try {
        unitProcessor_DefaultContext0.getPixelToMM();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgOtherLengthToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        UnitProcessor.svgOtherLengthToObjectBoundingBox("%VNwS&1M2pYI", "%VNwS&1M2pYI", (UnitProcessor.Context) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgToUserSpace(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgVerticalCoordinateToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        UnitProcessor.svgVerticalCoordinateToUserSpace(" @[&+", " @[&+", (UnitProcessor.Context) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgVerticalCoordinateToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   * 3 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFlowParaElement sVGOMFlowParaElement0 = new SVGOMFlowParaElement("", (AbstractDocument) sVGOMDocument0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) sVGOMFlowParaElement0);
      // Undeclared exception!
      try {
        UnitProcessor.svgVerticalCoordinateToObjectBoundingBox("", "", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: -1).
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.UnitProcessor.svgHorizontalLengthToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      // Undeclared exception!
      try {
        UnitProcessor.svgHorizontalLengthToUserSpace("left-margin", "left-margin", (UnitProcessor.Context) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.UnitProcessor.svgHorizontalCoordinateToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMMaskElement sVGOMMaskElement0 = new SVGOMMaskElement("", (AbstractDocument) sVG12OMDocument0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = new UnitProcessor.DefaultContext((BridgeContext) null, (Element) sVGOMMaskElement0);
      // Undeclared exception!
      try {
        UnitProcessor.svgHorizontalCoordinateToObjectBoundingBox("", "", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: -1).
         //
      }
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgVerticalLengthToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.createContext(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)Lorg/apache/batik/parser/UnitProcessor$Context;: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   * 5 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 6 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      SVGDescElementBridge sVGDescElementBridge0 = new SVGDescElementBridge();
      BridgeContext bridgeContext0 = sVGDescElementBridge0.theCtx;
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = (UnitProcessor.DefaultContext)UnitProcessor.createContext((BridgeContext) null, (Element) null);
      // Undeclared exception!
      try {
        UnitProcessor.svgVerticalLengthToObjectBoundingBox("", "", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: -1).
         //
      }
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgVerticalLengthToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgToUserSpace(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      // Undeclared exception!
      try {
        UnitProcessor.svgVerticalLengthToUserSpace("zP$<~8f^tDvTzCj,T", "zP$<~8f^tDvTzCj,T", (UnitProcessor.Context) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
