/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.LiveAttributeException;
import org.apache.batik.dom.svg.SVGOMException;
import org.apache.batik.dom.svg.SVGOMFEMergeElement;
import org.apache.batik.dom.svg.SVGOMGlyphRefElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMMultiImageElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class BridgeExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/Exception;Ljava/lang/String;[Ljava/lang/Object;)V: I16 Branch 9 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("css.parser.class", "css.parser.class", "css.parser.class");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEMergeElement sVGOMFEMergeElement0 = new SVGOMFEMergeElement("css.parser.class", (AbstractDocument) sVG12OMDocument0);
      sVGOMFEMergeElement0.getXblFirstElementChild();
      SVGOMGlyphRefElement sVGOMGlyphRefElement0 = new SVGOMGlyphRefElement("css.parser.class", (AbstractDocument) sVG12OMDocument0);
      Object[] objectArray0 = new Object[1];
      SVGOMException sVGOMException0 = (SVGOMException)sVGOMGlyphRefElement0.createSVGException((short) (-4095), "css.parser.class", objectArray0);
      BridgeException bridgeException0 = new BridgeException(bridgeContext0, (Element) null, (Exception) sVGOMException0, "css.parser.class", objectArray0);
      assertEquals("css.parser.class", bridgeException0.getCode());
  }

  //Test case number: 1
  /*
   * 9 covered goals:
   * 1 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I2 Branch 13 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I13 Branch 14 IFNULL L-1 - false
   * 3 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I25 Branch 15 IFNONNULL L-1 - true
   * 4 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 1 TABLESWITCH L-1 Case 0 - true
   * 5 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 6 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 7 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 4 TABLESWITCH L-1 Default-Case - false
   * 8 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I55 Branch 5 IFNULL L-1 - false
   * 9 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I57 Branch 6 IFNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("<UnWnwn Elemen[>", "clipPath", "<UnWnwn Elemen[>");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMMultiImageElement sVGOMMultiImageElement0 = new SVGOMMultiImageElement("clipPath", (AbstractDocument) sVG12OMDocument0);
      LiveAttributeException liveAttributeException0 = new LiveAttributeException((Element) sVGOMMultiImageElement0, "clipPath", (short)0, "<UnWnwn Elemen[>");
      BridgeException bridgeException0 = new BridgeException((BridgeContext) null, liveAttributeException0);
      bridgeException0.printStackTrace();
      assertEquals("attribute.missing", bridgeException0.getCode());
      assertEquals("org.apache.batik.bridge.BridgeException: null:0\nThe attribute \"clipPath\" of the element <multiImage> is required", bridgeException0.toString());
  }
}
