/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.anim.timing;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.anim.timing.InstanceTime;
import org.apache.batik.anim.timing.Interval;
import org.junit.BeforeClass;

public class IntervalEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.getEnd()F: root-Branch
   * 2 org.apache.batik.anim.timing.Interval.<init>(FFLorg/apache/batik/anim/timing/InstanceTime;Lorg/apache/batik/anim/timing/InstanceTime;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Interval interval0 = new Interval((-1150.4231F), (-1150.4231F), (InstanceTime) null, (InstanceTime) null);
      float float0 = interval0.getEnd();
      assertEquals((-1150.4231F), interval0.getBegin(), 0.01F);
      assertEquals((-1150.4231F), float0, 0.01F);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Interval interval0 = new Interval((-1150.4231F), (-1150.4231F), (InstanceTime) null, (InstanceTime) null);
      String string0 = interval0.toString();
      assertNotNull(string0);
      assertEquals("-1150.4231..-1150.4231", string0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.getBeginInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Interval interval0 = new Interval((-1150.4231F), (-1150.4231F), (InstanceTime) null, (InstanceTime) null);
      interval0.getBeginInstanceTime();
      assertEquals("-1150.4231..-1150.4231", interval0.toString());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.setEnd(FLorg/apache/batik/anim/timing/InstanceTime;)F: I15 Branch 5 IFEQ L-1 - true
   * 2 org.apache.batik.anim.timing.Interval.getBegin()F: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Interval interval0 = new Interval(448.67987F, 448.67987F, (InstanceTime) null, (InstanceTime) null);
      float float0 = interval0.getBegin();
      assertEquals(448.67987F, float0, 0.01F);
      
      float float1 = interval0.setEnd(448.67987F, (InstanceTime) null);
      assertEquals(Float.POSITIVE_INFINITY, float1, 0.01F);
      assertEquals(448.67987F, interval0.getEnd(), 0.01F);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.setEnd(FLorg/apache/batik/anim/timing/InstanceTime;)F: I15 Branch 5 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.addDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Interval interval0 = new Interval((-1711.81F), (-1711.81F), (InstanceTime) null, (InstanceTime) null);
      interval0.addDependent((InstanceTime) null, false);
      // Undeclared exception!
      try {
        interval0.setEnd((-1711.81F), (InstanceTime) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.setBegin(F)F: I12 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Interval interval0 = new Interval((-1150.4231F), (-1150.4231F), (InstanceTime) null, (InstanceTime) null);
      float float0 = interval0.setBegin((-1150.4231F));
      assertEquals("-1150.4231..-1150.4231", interval0.toString());
      assertEquals(Float.POSITIVE_INFINITY, float0, 0.01F);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.addDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 1 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.getEndInstanceTime()Lorg/apache/batik/anim/timing/InstanceTime;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Interval interval0 = new Interval((-1150.4231F), (-1150.4231F), (InstanceTime) null, (InstanceTime) null);
      interval0.getEndInstanceTime();
      interval0.addDependent((InstanceTime) null, true);
      assertEquals("-1150.4231..-1150.4231", interval0.toString());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.anim.timing.Interval.removeDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 2 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Interval interval0 = new Interval(0.0F, 0.0F, (InstanceTime) null, (InstanceTime) null);
      interval0.removeDependent((InstanceTime) null, false);
      assertEquals("0.0..0.0", interval0.toString());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.anim.timing.Interval.removeDependent(Lorg/apache/batik/anim/timing/InstanceTime;Z)V: I1 Branch 2 IFEQ L-1 - false
   * 2 org.apache.batik.anim.timing.Interval.<init>(FFLorg/apache/batik/anim/timing/InstanceTime;Lorg/apache/batik/anim/timing/InstanceTime;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Interval interval0 = new Interval((-1711.81F), (-1711.81F), (InstanceTime) null, (InstanceTime) null);
      interval0.removeDependent((InstanceTime) null, true);
      assertEquals("-1711.81..-1711.81", interval0.toString());
      assertEquals((-1711.81F), interval0.getEnd(), 0.01F);
  }
}
