/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.value.css2.FontVariantManager;
import org.apache.batik.css.engine.value.svg.GlyphOrientationVerticalManager;
import org.apache.batik.css.engine.value.svg.MaskManager;
import org.apache.batik.css.engine.value.svg12.LineHeightManager;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;

public class AbstractValueFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidStringTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      FontVariantManager fontVariantManager0 = new FontVariantManager();
      try {
        fontVariantManager0.createStringValue((short)0, "a$r:A@x", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (0) is invalid for the \"font-variant\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatTypeDOMException(S)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      LineHeightManager lineHeightManager0 = new LineHeightManager();
      try {
        lineHeightManager0.createFloatValue((short) (-861), (short) (-861));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given CSS primitive value (CSS_UNKNOWN) represents an invalid type for the \"line-height\".
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createInvalidFloatValueDOMException(F)Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GlyphOrientationVerticalManager glyphOrientationVerticalManager0 = new GlyphOrientationVerticalManager();
      try {
        glyphOrientationVerticalManager0.createFloatValue((short)0, (short)0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The number '0' represents an invalid value for the 'glyph-orientation-vertical' property.
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValueFactory.createDOMException()Lorg/w3c/dom/DOMException;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValueFactory.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      MaskManager maskManager0 = new MaskManager();
      try {
        maskManager0.createFloatValue((short)766, (short)766);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method is not enabled for the \"mask\" property.
         //
      }
  }
}
