/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.svg.KerningManager;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class KerningManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.KerningManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   * 2 org.apache.batik.css.engine.value.svg.KerningManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      KerningManager kerningManager0 = new KerningManager();
      StringValue stringValue0 = (StringValue)kerningManager0.getDefaultValue();
      assertEquals(1, stringValue0.getCssValueType());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.KerningManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      KerningManager kerningManager0 = new KerningManager();
      boolean boolean0 = kerningManager0.isInheritedProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.KerningManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      KerningManager kerningManager0 = new KerningManager();
      boolean boolean0 = kerningManager0.isAdditiveProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.svg.KerningManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      KerningManager kerningManager0 = new KerningManager();
      int int0 = kerningManager0.getPropertyType();
      assertEquals(41, int0);
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.KerningManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 2 org.apache.batik.css.engine.value.svg.KerningManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 3 org.apache.batik.css.engine.value.svg.KerningManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 4 org.apache.batik.css.engine.value.svg.KerningManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I11 Branch 4 IFLE L-1 - true
   * 5 org.apache.batik.css.engine.value.svg.KerningManager.getPropertyName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      KerningManager kerningManager0 = new KerningManager();
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("Markers are from different TextNodes!");
      try {
        kerningManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"Markers\" identifier is not a valid value for the \"kerning\" property. 
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.svg.KerningManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.css.engine.value.svg.KerningManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.css.engine.value.svg.KerningManager.<init>()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      KerningManager kerningManager0 = new KerningManager();
      String string0 = kerningManager0.getPropertyName();
      assertEquals("kerning", string0);
      
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("kerning", "kerning", "kerning");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0);
      try {
        kerningManager0.createStringValue((short)608, "kerning", (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (608) is invalid for the \"kerning\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
