/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericNotation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractNotationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.AbstractNotation.copyInto(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNotation.setPublicId(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNotation.setNodeName(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.dom.AbstractNotation.<init>()V: root-Branch
   * 5 org.apache.batik.dom.AbstractNotation.setSystemId(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("invalid.element", "invalid.element", "invalid.element");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("invalid.element", "invalid.element", "invalid.element", (AbstractDocument) genericDocument0);
      GenericNotation genericNotation1 = (GenericNotation)genericNotation0.cloneNode(false);
      assertNull(genericNotation1.getLocalName());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNotation.setTextContent(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("invalid.element", "invalid.element", "invalid.element");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("invalid.element", "invalid.element", "invalid.element", (AbstractDocument) genericDocument0);
      genericNotation0.setTextContent("invalid.element");
      assertEquals("invalid.element", genericNotation0.getPublicId());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNotation.getPublicId()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("crispedges", "crispedges", "crispedges", (AbstractDocument) sVGOMDocument0);
      String string0 = genericNotation0.getPublicId();
      assertEquals("crispedges", string0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNotation.getNodeName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractNotation.getNodeType()S: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("", "", "", (AbstractDocument) genericDocument0);
      try {
        genericNotation0.setPrefix("");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method requires the current node (type: 12, name: ) to be placed in a non-anonymous namespace.
         //
      }
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.AbstractNotation.getSystemId()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractNotation.setPublicId(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNotation.setNodeName(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.dom.AbstractNotation.<init>()V: root-Branch
   * 5 org.apache.batik.dom.AbstractNotation.setSystemId(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("I!\"%kRZ2Co5o", "I!\"%kRZ2Co5o", "I!\"%kRZ2Co5o");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("I!\"%kRZ2Co5o", "I!\"%kRZ2Co5o", "I!\"%kRZ2Co5o", (AbstractDocument) sVGOMDocument0);
      String string0 = genericNotation0.getSystemId();
      assertEquals("I!\"%kRZ2Co5o", string0);
  }
}
