/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMAnimatedNumberList;
import org.apache.batik.dom.svg.SVGOMPolylineElement;
import org.apache.batik.dom.svg.SVGOMSVGElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowDivElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.svg.SVGException;
import org.w3c.dom.svg.SVGNumber;

public class AbstractSVGNumberListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.getItem(I)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) null, "imageHandler should not be null", "imageHandler should not be null", "imageHandler should not be null", true);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      // Undeclared exception!
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.getItem(1);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.insertItemBefore(Lorg/w3c/dom/svg/SVGNumber;I)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList.checkItemType(Ljava/lang/Object;)V: I2 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMPolylineElement sVGOMPolylineElement0 = new SVGOMPolylineElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) sVGOMPolylineElement0, "", "", "", false);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.insertItemBefore((SVGNumber) null, (-48));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given index (-48) is out of bounds.
         //
      }
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.removeItem(I)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList.doParse(Ljava/lang/String;Lorg/apache/batik/dom/svg/ListHandler;)V: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGNumberList$NumberListBuilder.<init>(Lorg/apache/batik/dom/svg/AbstractSVGNumberList;Lorg/apache/batik/dom/svg/ListHandler;)V: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGNumberList$NumberListBuilder.startNumber()V: root-Branch
   * 5 org.apache.batik.dom.svg.AbstractSVGNumberList$NumberListBuilder.startNumberList()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("F", "F", "F");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMFlowDivElement sVGOMFlowDivElement0 = new SVGOMFlowDivElement("F", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) sVGOMFlowDivElement0, "F", "F", "F", true);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.removeItem((-17));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given index (-17) is out of bounds.
         //
      }
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList$SVGNumberItem.setParent(Lorg/apache/batik/dom/svg/AbstractSVGList;)V: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList$SVGNumberItem.getValueAsString()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGNumberList.<init>()V: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGNumberList.createSVGItem(Ljava/lang/Object;)Lorg/apache/batik/dom/svg/SVGItem;: root-Branch
   * 5 org.apache.batik.dom.svg.AbstractSVGNumberList.appendItem(Lorg/w3c/dom/svg/SVGNumber;)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   * 6 org.apache.batik.dom.svg.AbstractSVGNumberList.checkItemType(Ljava/lang/Object;)V: I2 Branch 2 IFNE L-1 - true
   * 7 org.apache.batik.dom.svg.AbstractSVGNumberList$SVGNumberItem.<init>(Lorg/apache/batik/dom/svg/AbstractSVGNumberList;F)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMPolylineElement sVGOMPolylineElement0 = new SVGOMPolylineElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) sVGOMPolylineElement0, "", "", "", true);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("", (AbstractDocument) sVG12OMDocument0);
      SVGNumber sVGNumber0 = sVGOMSVGElement0.createSVGNumber();
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.appendItem(sVGNumber0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"\") is an invalid XML name.
         //
      }
  }
}
