/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.CharArrayReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;
import org.apache.batik.dom.svg.SAXSVGDocumentFactory;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.util.SAXIOException;
import org.junit.BeforeClass;
import org.w3c.css.sac.InputSource;
import org.xml.sax.SAXException;

public class SAXSVGDocumentFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.createSVGDocument(Ljava/lang/String;Ljava/io/Reader;)Lorg/w3c/dom/svg/SVGDocument;: root-Branch
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("Accept-Encoding");
      char[] charArray0 = new char[4];
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0);
      try {
        sAXSVGDocumentFactory0.createSVGDocument("Accept-Encoding", (Reader) charArrayReader0);
        fail("Expecting exception: SAXIOException");
      
      } catch(SAXIOException e) {
         //
         // SAX2 driver class Accept-Encoding not found
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.createSVGDocument(Ljava/lang/String;)Lorg/w3c/dom/svg/SVGDocument;: root-Branch
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.<init>(Ljava/lang/String;Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("1.1", false);
      try {
        sAXSVGDocumentFactory0.createSVGDocument("1.1");
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Unable to make sense of URL for connection
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Document;: I3 Branch 10 IFLE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("", false);
      // Undeclared exception!
      try {
        sAXSVGDocumentFactory0.createDocument("", "", "");
        fail("Expecting exception: RuntimeException");
      
      } catch(RuntimeException e) {
         //
         // Bad root element
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/io/Reader;)Lorg/w3c/dom/Document;: I3 Branch 14 IFLE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("A67M4c");
      InputSource inputSource0 = new InputSource();
      inputSource0.getCharacterStream();
      // Undeclared exception!
      try {
        sAXSVGDocumentFactory0.createDocument("A67M4c", "A67M4c", "A67M4c", (Reader) null);
        fail("Expecting exception: RuntimeException");
      
      } catch(RuntimeException e) {
         //
         // Bad root element
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I1 Branch 16 IFNULL L-1 - false
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I4 Branch 17 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("", false);
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)sAXSVGDocumentFactory0.getDOMImplementation("");
      assertNotNull(sVGDOMImplementation0);
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I4 Branch 17 IFEQ L-1 - false
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I8 Branch 18 IFGT L-1 - false
   * 3 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I12 Branch 19 IFLE L-1 - true
   * 4 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I20 Branch 20 IFLE L-1 - true
   * 5 org.apache.batik.dom.svg.SAXSVGDocumentFactory.getDOMImplementation(Ljava/lang/String;)Lorg/w3c/dom/DOMImplementation;: I1 Branch 16 IFNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("skippablePublicIds");
      // Undeclared exception!
      try {
        sAXSVGDocumentFactory0.getDOMImplementation("skippablePublicIds");
        fail("Expecting exception: RuntimeException");
      
      } catch(RuntimeException e) {
         //
         // Unsupport SVG version 'skippablePublicIds'
         //
      }
  }

  //Test case number: 6
  /*
   * 7 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I7 Branch 21 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I42 Branch 23 IFNONNULL L-1 - true
   * 3 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I49 Branch 24 IFNONNULL L-1 - true
   * 4 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I56 Branch 25 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I75 Branch 26 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I82 Branch 27 IFNE L-1 - false
   * 7 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I87 Branch 28 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("");
      org.xml.sax.InputSource inputSource0 = sAXSVGDocumentFactory0.resolveEntity("", "");
      assertNull(inputSource0.getPublicId());
  }

  //Test case number: 7
  /*
   * 9 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I87 Branch 28 IF_ICMPEQ L-1 - true
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I102 Branch 29 IF_ICMPEQ L-1 - true
   * 3 org.apache.batik.dom.svg.SAXSVGDocumentFactory.<init>(Ljava/lang/String;Z)V: root-Branch
   * 4 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I7 Branch 21 IFNONNULL L-1 - true
   * 5 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I42 Branch 23 IFNONNULL L-1 - true
   * 6 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I49 Branch 24 IFNONNULL L-1 - true
   * 7 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I56 Branch 25 IFNONNULL L-1 - true
   * 8 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I75 Branch 26 IFNONNULL L-1 - true
   * 9 org.apache.batik.dom.svg.SAXSVGDocumentFactory.resolveEntity(Ljava/lang/String;Ljava/lang/String;)Lorg/xml/sax/InputSource;: I82 Branch 27 IFNE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("E#Il*1", true);
      org.xml.sax.InputSource inputSource0 = sAXSVGDocumentFactory0.resolveEntity("E#Il*1", "E#Il*1");
      assertNull(inputSource0);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SAXSVGDocumentFactory.createDocument(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/io/InputStream;)Lorg/w3c/dom/Document;: I3 Branch 12 IFLE L-1 - true
   * 2 org.apache.batik.dom.svg.SAXSVGDocumentFactory.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SAXSVGDocumentFactory sAXSVGDocumentFactory0 = new SAXSVGDocumentFactory("elevation");
      // Undeclared exception!
      try {
        sAXSVGDocumentFactory0.createDocument("elevation", "elevation", "elevation", (InputStream) null);
        fail("Expecting exception: RuntimeException");
      
      } catch(RuntimeException e) {
         //
         // Bad root element
         //
      }
  }
}
