/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMStyleElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.util.SVGConstants;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMStyleElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMStyleElement.setType(Ljava/lang/String;)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMStyleElement$DOMCharacterDataModifiedListener.<init>(Lorg/apache/batik/dom/svg/SVGOMStyleElement;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMStyleElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMStyleElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("type", "type", "type");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMStyleElement sVGOMStyleElement0 = new SVGOMStyleElement("type", (AbstractDocument) sVGOMDocument0);
      String string0 = SVGConstants.SVG_FE_POINT_LIGHT_Z_DEFAULT_VALUE;
      sVGOMStyleElement0.setType("0");
      assertEquals("0", sVGOMStyleElement0.getType());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMStyleElement.getLocalName()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("3A/\"$@!q.: y_vn<`", "3A/\"$@!q.: y_vn<`", "3A/\"$@!q.: y_vn<`");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMStyleElement sVGOMStyleElement0 = null;
      try {
        sVGOMStyleElement0 = new SVGOMStyleElement("3A/\"$@!q.: y_vn<`", (AbstractDocument) sVG12OMDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"3A/\"$@!q.: y_vn<`\" is invalid. Current node type: 1, name: style.
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMStyleElement.getSheet()Lorg/w3c/dom/stylesheets/StyleSheet;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMStyleElement$DOMCharacterDataModifiedListener.<init>(Lorg/apache/batik/dom/svg/SVGOMStyleElement;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMStyleElement.getAttributeInitializer()Lorg/apache/batik/dom/svg/AttributeInitializer;: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMStyleElement.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("type", "type", "type");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMStyleElement sVGOMStyleElement0 = new SVGOMStyleElement("type", (AbstractDocument) sVGOMDocument0);
      // Undeclared exception!
      try {
        sVGOMStyleElement0.getSheet();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // LinkStyle.getSheet() is not implemented
         //
      }
  }
}
