/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMPathElement;
import org.apache.batik.dom.svg.SVGPathSupport;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.svg.SVGPoint;

public class SVGPathSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGPathSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGPathSupport sVGPathSupport0 = new SVGPathSupport();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGPathSupport.getTotalLength(Lorg/apache/batik/dom/svg/SVGOMPathElement;)F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        SVGPathSupport.getTotalLength((SVGOMPathElement) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGPathSupport.getPathSegAtLength(Lorg/apache/batik/dom/svg/SVGOMPathElement;F)I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("widths", "widths", "widths");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("widths", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        SVGPathSupport.getPathSegAtLength(sVGOMPathElement0, (-936.3287F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGPathSupport.getPointAtLength(Lorg/apache/batik/dom/svg/SVGOMPathElement;F)Lorg/w3c/dom/svg/SVGPoint;: I5 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPathElement sVGOMPathElement0 = new SVGOMPathElement("", (AbstractDocument) sVGOMDocument0);
      SVGPoint sVGPoint0 = SVGPathSupport.getPointAtLength(sVGOMPathElement0, 0.0F);
      assertNull(sVGPoint0);
  }
}
