/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.geom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Point;
import java.awt.Polygon;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.awt.geom.GeneralPath;
import java.awt.geom.Line2D;
import java.awt.geom.PathIterator;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import org.apache.batik.ext.awt.geom.Polygon2D;
import org.apache.batik.ext.awt.geom.Polyline2D;
import org.junit.BeforeClass;

public class Polygon2DEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.intersects(Ljava/awt/geom/Rectangle2D;)Z: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.<init>()V: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.getBounds()Ljava/awt/Rectangle;: I2 Branch 18 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Polygon2D polygon2D0 = new Polygon2D();
      polygon2D0.getBounds();
      // Undeclared exception!
      try {
        polygon2D0.intersects((Rectangle2D) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.contains(Ljava/awt/Point;)Z: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.contains(II)Z: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.contains(DD)Z: I9 Branch 20 IFNE L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Polygon2D.<init>(Ljava/awt/geom/Rectangle2D;)V: I3 Branch 1 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Polygon2D.calculatePath()V: I22 Branch 10 IF_ICMPGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Polygon2D.calculatePath()V: I22 Branch 10 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.Polygon2D.contains(DD)Z: I3 Branch 19 IF_ICMPLE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Rectangle rectangle0 = rectangle2D_Float0.getBounds();
      Polygon2D polygon2D0 = new Polygon2D((Rectangle2D) rectangle0);
      Point point0 = new Point();
      boolean boolean0 = polygon2D0.contains(point0);
      assertEquals(4, polygon2D0.npoints);
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.addPoint(Ljava/awt/geom/Point2D;)V: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I5 Branch 11 IFNONNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I56 Branch 12 IFGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I64 Branch 13 IFLE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I71 Branch 14 IFGE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I79 Branch 15 IFLE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.Polygon2D.addPoint(FF)V: I5 Branch 17 IF_ICMPNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float(0.0F, 0.0F, 0.0F, 0.0F);
      Rectangle rectangle0 = line2D_Float0.getBounds();
      Polygon2D polygon2D0 = new Polygon2D((Rectangle2D) rectangle0);
      GeneralPath generalPath0 = new GeneralPath((Shape) line2D_Float0);
      Point2D.Float point2D_Float0 = (Point2D.Float)generalPath0.getCurrentPoint();
      polygon2D0.addPoint((Point2D) point2D_Float0);
      assertEquals(5, polygon2D0.npoints);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.reset()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Polygon2D polygon2D0 = new Polygon2D();
      polygon2D0.reset();
      assertEquals(0, polygon2D0.npoints);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.contains(Ljava/awt/geom/Point2D;)Z: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.contains(DD)Z: I3 Branch 19 IF_ICMPLE L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.getPolygon()Ljava/awt/Polygon;: I14 Branch 16 IF_ICMPGE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Polygon2D polygon2D0 = new Polygon2D();
      Polygon polygon0 = polygon2D0.getPolygon();
      assertNotNull(polygon0);
      
      Point2D.Double point2D_Double0 = new Point2D.Double((double) 0, (double) 0);
      boolean boolean0 = polygon2D0.contains((Point2D) point2D_Double0);
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.getPathIterator(Ljava/awt/geom/AffineTransform;D)Ljava/awt/geom/PathIterator;: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.getPathIterator(Ljava/awt/geom/AffineTransform;)Ljava/awt/geom/PathIterator;: I4 Branch 27 IFNONNULL L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.updateComputingPath()V: I3 Branch 21 IF_ICMPLT L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      Polygon2D polygon2D0 = new Polygon2D();
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      AffineTransform affineTransform0 = AffineTransform.getShearInstance((double) 0.0F, (double) 0);
      PathIterator pathIterator0 = polygon2D0.getPathIterator(affineTransform0, (double) 0.0F);
      assertNull(pathIterator0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.getBounds2D()Ljava/awt/geom/Rectangle2D;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Polygon2D polygon2D0 = new Polygon2D();
      Rectangle2D rectangle2D0 = polygon2D0.getBounds2D();
      assertNull(rectangle2D0);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.contains(Ljava/awt/geom/Rectangle2D;)Z: root-Branch
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.contains(DDDD)Z: I2 Branch 25 IFLE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Polygon2D polygon2D0 = new Polygon2D();
      Polygon polygon0 = new Polygon();
      Rectangle rectangle0 = (Rectangle)polygon0.getBounds2D();
      boolean boolean0 = polygon2D0.contains((Rectangle2D) rectangle0);
      assertEquals(false, boolean0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.getPolyline2D()Lorg/apache/batik/ext/awt/geom/Polyline2D;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Polygon2D polygon2D0 = new Polygon2D();
      Polyline2D polyline2D0 = polygon2D0.getPolyline2D();
      assertEquals(1, polyline2D0.npoints);
      assertNotNull(polyline2D0);
  }

  //Test case number: 9
  /*
   * 11 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I64 Branch 13 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I79 Branch 15 IFLE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.clone()Ljava/lang/Object;: I10 Branch 9 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Polygon2D.clone()Ljava/lang/Object;: I10 Branch 9 IF_ICMPGE L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I5 Branch 11 IFNONNULL L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I5 Branch 11 IFNONNULL L-1 - false
   * 7 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I56 Branch 12 IFGE L-1 - true
   * 8 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I64 Branch 13 IFLE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I71 Branch 14 IFGE L-1 - true
   * 10 org.apache.batik.ext.awt.geom.Polygon2D.updatePath(FF)V: I79 Branch 15 IFLE L-1 - true
   * 11 org.apache.batik.ext.awt.geom.Polygon2D.addPoint(FF)V: I5 Branch 17 IF_ICMPNE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float(843.1835F, 843.1835F, 843.1835F, 843.1835F);
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      rectangle2D_Double0.add((Rectangle2D) rectangle2D_Float0);
      Polygon2D polygon2D0 = new Polygon2D((Rectangle2D) rectangle2D_Double0);
      Polygon2D polygon2D1 = (Polygon2D)polygon2D0.clone();
      assertEquals(4, polygon2D1.npoints);
      assertNotNull(polygon2D1);
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.updateComputingPath()V: I6 Branch 22 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.getPathIterator(Ljava/awt/geom/AffineTransform;D)Ljava/awt/geom/PathIterator;: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.getPathIterator(Ljava/awt/geom/AffineTransform;)Ljava/awt/geom/PathIterator;: I4 Branch 27 IFNONNULL L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Polygon2D.updateComputingPath()V: I3 Branch 21 IF_ICMPLT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Polygon2D.updateComputingPath()V: I6 Branch 22 IFNONNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Rectangle rectangle0 = rectangle2D_Float0.getBounds();
      Polygon2D polygon2D0 = new Polygon2D((Rectangle2D) rectangle0);
      Line2D.Float line2D_Float0 = new Line2D.Float((float) 0, 0.0F, 0.0F, (float) 0);
      AffineTransform affineTransform0 = AffineTransform.getTranslateInstance((double) 0.0F, (double) 0.0F);
      PathIterator pathIterator0 = polygon2D0.getPathIterator(affineTransform0, (double) 0.0F);
      assertNotNull(pathIterator0);
      
      polygon2D0.getPathIterator(affineTransform0, (double) 0.0F);
      assertEquals(4, polygon2D0.npoints);
  }

  //Test case number: 11
  /*
   * 9 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.<init>(Ljava/awt/Polygon;)V: I30 Branch 3 IF_ICMPGE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I5 Branch 6 IF_ICMPGT L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I9 Branch 7 IF_ICMPLE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I33 Branch 8 IF_ICMPGE L-1 - true
   * 5 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I33 Branch 8 IF_ICMPGE L-1 - false
   * 6 org.apache.batik.ext.awt.geom.Polygon2D.getPolygon()Ljava/awt/Polygon;: I14 Branch 16 IF_ICMPGE L-1 - false
   * 7 org.apache.batik.ext.awt.geom.Polygon2D.<init>(Ljava/awt/Polygon;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 8 org.apache.batik.ext.awt.geom.Polygon2D.<init>(Ljava/awt/Polygon;)V: I30 Branch 3 IF_ICMPGE L-1 - true
   * 9 org.apache.batik.ext.awt.geom.Polygon2D.getPolygon()Ljava/awt/Polygon;: I14 Branch 16 IF_ICMPGE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      int[] intArray0 = new int[6];
      Polygon2D polygon2D0 = new Polygon2D(intArray0, intArray0, 1);
      Polygon polygon0 = polygon2D0.getPolygon();
      assertNotNull(polygon0);
      
      Polygon2D polygon2D1 = new Polygon2D(polygon0);
      assertEquals(1, polygon2D1.npoints);
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.contains(DDDD)Z: I2 Branch 25 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.contains(DDDD)Z: I10 Branch 26 IFNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.contains(Ljava/awt/geom/Rectangle2D;)Z: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Rectangle rectangle0 = rectangle2D_Float0.getBounds();
      Polygon2D polygon2D0 = new Polygon2D((Rectangle2D) rectangle0);
      boolean boolean0 = polygon2D0.contains((Rectangle2D) rectangle0);
      assertEquals(false, boolean0);
      assertEquals(4, polygon2D0.npoints);
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I5 Branch 6 IF_ICMPGT L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      int[] intArray0 = new int[1];
      intArray0[0] = 1694;
      Polygon2D polygon2D0 = null;
      try {
        polygon2D0 = new Polygon2D(intArray0, intArray0, 1694);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // npoints > xpoints.length || npoints > ypoints.length
         //
      }
  }

  //Test case number: 14
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.contains(DD)Z: I9 Branch 20 IFNE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.contains(Ljava/awt/geom/Point2D;)Z: root-Branch
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.updateComputingPath()V: I3 Branch 21 IF_ICMPLT L-1 - false
   * 4 org.apache.batik.ext.awt.geom.Polygon2D.updateComputingPath()V: I6 Branch 22 IFNONNULL L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Polygon2D.contains(DD)Z: I3 Branch 19 IF_ICMPLE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float(843.1835F, 843.1835F, 843.1835F, 843.1835F);
      Rectangle2D.Double rectangle2D_Double0 = new Rectangle2D.Double();
      rectangle2D_Double0.add((Rectangle2D) rectangle2D_Float0);
      Polygon2D polygon2D0 = new Polygon2D((Rectangle2D) rectangle2D_Double0);
      Point2D.Float point2D_Float0 = new Point2D.Float();
      boolean boolean0 = polygon2D0.contains((Point2D) point2D_Float0);
      assertEquals(4, polygon2D0.npoints);
      assertEquals(true, boolean0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.<init>([F[FI)V: I5 Branch 4 IF_ICMPGT L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      float[] floatArray0 = new float[7];
      Polygon2D polygon2D0 = null;
      try {
        polygon2D0 = new Polygon2D(floatArray0, floatArray0, 1642);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // npoints > xpoints.length || npoints > ypoints.length
         //
      }
  }

  //Test case number: 16
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.<init>([F[FI)V: I5 Branch 4 IF_ICMPGT L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.<init>([F[FI)V: I9 Branch 5 IF_ICMPLE L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      float[] floatArray0 = new float[10];
      Polygon2D polygon2D0 = null;
      try {
        polygon2D0 = new Polygon2D(floatArray0, floatArray0, (-186));
        fail("Expecting exception: NegativeArraySizeException");
      
      } catch(NegativeArraySizeException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.intersects(DDDD)Z: I2 Branch 23 IFLE L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.<init>()V: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      Polygon2D polygon2D0 = new Polygon2D();
      Line2D.Float line2D_Float0 = new Line2D.Float();
      Rectangle2D.Float rectangle2D_Float0 = (Rectangle2D.Float)line2D_Float0.getBounds2D();
      boolean boolean0 = polygon2D0.intersects((Rectangle2D) rectangle2D_Float0);
      assertEquals(false, boolean0);
  }

  //Test case number: 18
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.intersects(DDDD)Z: I2 Branch 23 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.intersects(DDDD)Z: I10 Branch 24 IFNE L-1 - false
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.intersects(Ljava/awt/geom/Rectangle2D;)Z: root-Branch
   * 4 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I5 Branch 6 IF_ICMPGT L-1 - false
   * 5 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I9 Branch 7 IF_ICMPLE L-1 - true
   * 6 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I33 Branch 8 IF_ICMPGE L-1 - true
   * 7 org.apache.batik.ext.awt.geom.Polygon2D.<init>([I[II)V: I33 Branch 8 IF_ICMPGE L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Rectangle rectangle0 = rectangle2D_Float0.getBounds();
      int[] intArray0 = new int[6];
      Polygon2D polygon2D0 = new Polygon2D(intArray0, intArray0, 1);
      boolean boolean0 = polygon2D0.intersects((Rectangle2D) rectangle0);
      assertEquals(false, boolean0);
      assertEquals(1, polygon2D0.npoints);
  }

  //Test case number: 19
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.geom.Polygon2D.getBounds()Ljava/awt/Rectangle;: I2 Branch 18 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.geom.Polygon2D.<init>(Ljava/awt/geom/Rectangle2D;)V: I3 Branch 1 IFNONNULL L-1 - true
   * 3 org.apache.batik.ext.awt.geom.Polygon2D.calculatePath()V: I22 Branch 10 IF_ICMPGE L-1 - true
   * 4 org.apache.batik.ext.awt.geom.Polygon2D.calculatePath()V: I22 Branch 10 IF_ICMPGE L-1 - false
   */

  @Test
  public void test19()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Polygon2D polygon2D0 = new Polygon2D((Rectangle2D) rectangle2D_Float0);
      Rectangle rectangle0 = polygon2D0.getBounds();
      assertEquals(4, polygon2D0.npoints);
      assertNotNull(rectangle0);
  }
}
