/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.apps.svgbrowser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import java.awt.Component;
import org.apache.batik.apps.svgbrowser.ElementOverlayManager;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMPatternElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMHandlerElement;
import org.apache.batik.swing.JSVGCanvas;
import org.apache.batik.swing.svg.SVGUserAgent;
import org.apache.batik.swing.svg.SVGUserAgentGUIAdapter;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class ElementOverlayManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.removeOverlay()V: root-Branch
   * 2 org.apache.batik.apps.svgbrowser.ElementOverlayManager$ElementOverlay.<init>(Lorg/apache/batik/apps/svgbrowser/ElementOverlayManager;)V: root-Branch
   * 3 org.apache.batik.apps.svgbrowser.ElementOverlayManager.<init>(Lorg/apache/batik/swing/JSVGCanvas;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      elementOverlayManager0.removeOverlay();
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
      assertEquals(true, elementOverlayManager0.isXorMode());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.setXorMode(Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      elementOverlayManager0.setXorMode(true);
      assertEquals(true, elementOverlayManager0.isXorMode());
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.addElement(Lorg/w3c/dom/Element;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("", (AbstractDocument) sVG12OMDocument0);
      elementOverlayManager0.addElement((Element) sVGOMPatternElement0);
      assertEquals(true, elementOverlayManager0.isXorMode());
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.setElementOverlayStrokeColor(Ljava/awt/Color;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGUserAgentGUIAdapter sVGUserAgentGUIAdapter0 = new SVGUserAgentGUIAdapter((Component) null);
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas((SVGUserAgent) sVGUserAgentGUIAdapter0, false, false);
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      Color color0 = Color.gray;
      elementOverlayManager0.setElementOverlayStrokeColor(color0);
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
      assertEquals(true, elementOverlayManager0.isXorMode());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.getElementOverlayStrokeColor()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      Color color0 = elementOverlayManager0.getElementOverlayStrokeColor();
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
      assertNotNull(color0);
      assertEquals(true, elementOverlayManager0.isXorMode());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.isXorMode()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      boolean boolean0 = elementOverlayManager0.isXorMode();
      assertEquals(true, boolean0);
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.setOverlayEnabled(Z)V: root-Branch
   * 2 org.apache.batik.apps.svgbrowser.ElementOverlayManager.isOverlayEnabled()Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      elementOverlayManager0.isOverlayEnabled();
      elementOverlayManager0.setOverlayEnabled(true);
      assertEquals(true, elementOverlayManager0.isXorMode());
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.getElementOverlay()Lorg/apache/batik/swing/gvt/Overlay;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGUserAgentGUIAdapter sVGUserAgentGUIAdapter0 = new SVGUserAgentGUIAdapter((Component) null);
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas((SVGUserAgent) sVGUserAgentGUIAdapter0, false, false);
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      ElementOverlayManager.ElementOverlay elementOverlayManager_ElementOverlay0 = (ElementOverlayManager.ElementOverlay)elementOverlayManager0.getElementOverlay();
      assertNotNull(elementOverlayManager_ElementOverlay0);
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
      assertEquals(true, elementOverlayManager0.isXorMode());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.removeElements()V: root-Branch
   * 2 org.apache.batik.apps.svgbrowser.ElementOverlayManager.repaint()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      elementOverlayManager0.removeElements();
      assertEquals(true, elementOverlayManager0.isXorMode());
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.getElementOverlayColor()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      Color color0 = elementOverlayManager0.getElementOverlayColor();
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
      assertNotNull(color0);
      assertEquals(true, elementOverlayManager0.isXorMode());
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.ElementOverlayManager.removeElement(Lorg/w3c/dom/Element;)V: I4 Branch 7 IFEQ L-1 - true
   * 2 org.apache.batik.apps.svgbrowser.ElementOverlayManager$ElementOverlay.<init>(Lorg/apache/batik/apps/svgbrowser/ElementOverlayManager;)V: root-Branch
   * 3 org.apache.batik.apps.svgbrowser.ElementOverlayManager.<init>(Lorg/apache/batik/swing/JSVGCanvas;)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      JSVGCanvas jSVGCanvas0 = new JSVGCanvas();
      ElementOverlayManager elementOverlayManager0 = new ElementOverlayManager(jSVGCanvas0);
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      SVGOMHandlerElement sVGOMHandlerElement0 = new SVGOMHandlerElement("", (AbstractDocument) sVG12OMDocument0);
      elementOverlayManager0.removeElement((Element) sVGOMHandlerElement0);
      assertEquals(true, elementOverlayManager0.isXorMode());
      assertEquals(true, elementOverlayManager0.isOverlayEnabled());
  }
}
