/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.apps.svgbrowser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.apps.svgbrowser.DOMViewerController;
import org.apache.batik.apps.svgbrowser.HistoryBrowser;
import org.apache.batik.apps.svgbrowser.HistoryBrowserInterface;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericComment;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMColorProfileElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class HistoryBrowserInterfaceEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$NodeRemovedCommand.redo()V: root-Branch
   * 2 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$NodeRemovedCommand.<init>(Ljava/lang/String;Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("}G; $SGF:", "}G; $SGF:", "}G; $SGF:");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericComment genericComment0 = (GenericComment)sVG12OMDocument0.createComment("}G; $SGF:");
      HistoryBrowserInterface.NodeRemovedCommand historyBrowserInterface_NodeRemovedCommand0 = new HistoryBrowserInterface.NodeRemovedCommand("}G; $SGF:", (Node) genericComment0, (Node) sVG12OMDocument0, (Node) sVG12OMDocument0);
      // Undeclared exception!
      try {
        historyBrowserInterface_NodeRemovedCommand0.redo();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The current node (type: 8, name: #comment) cannot have children.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$AppendChildCommand.<init>(Ljava/lang/String;Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      HistoryBrowserInterface.AppendChildCommand historyBrowserInterface_AppendChildCommand0 = null;
      try {
        historyBrowserInterface_AppendChildCommand0 = new HistoryBrowserInterface.AppendChildCommand("?6[xqT4", (Node) null, (Node) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$AttributeRemovedCommand.<init>(Ljava/lang/String;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("StopAction", "StopAction", "StopAction");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMColorProfileElement sVGOMColorProfileElement0 = new SVGOMColorProfileElement("StopAction", (AbstractDocument) sVG12OMDocument0);
      HistoryBrowserInterface.AttributeRemovedCommand historyBrowserInterface_AttributeRemovedCommand0 = new HistoryBrowserInterface.AttributeRemovedCommand("StopAction", (Element) sVGOMColorProfileElement0, "StopAction", "StopAction", "StopAction");
      assertEquals(true, historyBrowserInterface_AttributeRemovedCommand0.shouldExecute());
  }

  //Test case number: 3
  /*
   * 7 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$NodeInsertedCommand.redo()V: I2 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.<init>(Lorg/apache/batik/apps/svgbrowser/HistoryBrowser$CommandController;)V: root-Branch
   * 3 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.getBracketedNodeName(Lorg/w3c/dom/Node;)Ljava/lang/String;: root-Branch
   * 4 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.createNodeInsertedCommand(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/apache/batik/apps/svgbrowser/HistoryBrowserInterface$NodeInsertedCommand;: root-Branch
   * 5 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.getNodeAsString(Lorg/w3c/dom/Node;)Ljava/lang/String;: I5 Branch 28 IF_ICMPNE L-1 - true
   * 6 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.getNodeAsString(Lorg/w3c/dom/Node;)Ljava/lang/String;: I17 Branch 29 IFEQ L-1 - true
   * 7 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$NodeInsertedCommand.<init>(Ljava/lang/String;Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("StopAction", "StopAction", "StopAction");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMColorProfileElement sVGOMColorProfileElement0 = new SVGOMColorProfileElement("StopAction", (AbstractDocument) sVG12OMDocument0);
      HistoryBrowser.DocumentCommandController historyBrowser_DocumentCommandController0 = new HistoryBrowser.DocumentCommandController((DOMViewerController) null);
      HistoryBrowserInterface historyBrowserInterface0 = new HistoryBrowserInterface((HistoryBrowser.CommandController) historyBrowser_DocumentCommandController0);
      sVGOMColorProfileElement0.getXblShadowTree();
      HistoryBrowserInterface.NodeInsertedCommand historyBrowserInterface_NodeInsertedCommand0 = historyBrowserInterface0.createNodeInsertedCommand((Node) sVG12OMDocument0, (Node) null, (Node) sVG12OMDocument0);
      assertNotNull(historyBrowserInterface_NodeInsertedCommand0);
      
      // Undeclared exception!
      try {
        historyBrowserInterface_NodeInsertedCommand0.redo();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The current node (type: 9, name: #document) do not allow children of the given type (type: 9, name: #document)
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.getAppendChildCommandName(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.createAppendChildCommand(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/apache/batik/apps/svgbrowser/HistoryBrowserInterface$AppendChildCommand;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      HistoryBrowser.DocumentCommandController historyBrowser_DocumentCommandController0 = new HistoryBrowser.DocumentCommandController((DOMViewerController) null);
      HistoryBrowserInterface historyBrowserInterface0 = new HistoryBrowserInterface((HistoryBrowser.CommandController) historyBrowser_DocumentCommandController0);
      // Undeclared exception!
      try {
        historyBrowserInterface0.createAppendChildCommand((Node) null, (Node) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 9 covered goals:
   * 1 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$RemoveChildCommand.shouldExecute()Z: I2 Branch 21 IFNULL L-1 - false
   * 2 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$RemoveChildCommand.shouldExecute()Z: I5 Branch 22 IFNONNULL L-1 - true
   * 3 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.getRemoveChildCommandName(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Ljava/lang/String;: root-Branch
   * 4 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.createRemoveChildCommand(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Lorg/apache/batik/apps/svgbrowser/HistoryBrowserInterface$RemoveChildCommand;: root-Branch
   * 5 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.<init>(Lorg/apache/batik/apps/svgbrowser/HistoryBrowser$CommandController;)V: root-Branch
   * 6 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.getNodeAsString(Lorg/w3c/dom/Node;)Ljava/lang/String;: I5 Branch 28 IF_ICMPNE L-1 - true
   * 7 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.getNodeAsString(Lorg/w3c/dom/Node;)Ljava/lang/String;: I5 Branch 28 IF_ICMPNE L-1 - false
   * 8 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.getNodeAsString(Lorg/w3c/dom/Node;)Ljava/lang/String;: I17 Branch 29 IFEQ L-1 - true
   * 9 org.apache.batik.apps.svgbrowser.HistoryBrowserInterface$RemoveChildCommand.<init>(Ljava/lang/String;Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("StopAction", "StopAction", "StopAction");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMColorProfileElement sVGOMColorProfileElement0 = new SVGOMColorProfileElement("StopAction", (AbstractDocument) sVG12OMDocument0);
      HistoryBrowser.DocumentCommandController historyBrowser_DocumentCommandController0 = new HistoryBrowser.DocumentCommandController((DOMViewerController) null);
      HistoryBrowserInterface historyBrowserInterface0 = new HistoryBrowserInterface((HistoryBrowser.CommandController) historyBrowser_DocumentCommandController0);
      HistoryBrowserInterface.RemoveChildCommand historyBrowserInterface_RemoveChildCommand0 = historyBrowserInterface0.createRemoveChildCommand((Node) genericDocumentType0, (Node) sVGOMColorProfileElement0);
      assertNotNull(historyBrowserInterface_RemoveChildCommand0);
      
      boolean boolean0 = historyBrowserInterface_RemoveChildCommand0.shouldExecute();
      assertEquals("Remove StopAction:color-profile from StopAction", historyBrowserInterface_RemoveChildCommand0.getName());
      assertEquals(true, boolean0);
  }
}
