/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.MissingResourceException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.SVGDescElementBridge;
import org.apache.batik.bridge.SVGTitleElementBridge;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.LiveAttributeException;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMException;
import org.apache.batik.dom.svg.SVGOMFEFuncBElement;
import org.apache.batik.dom.svg12.SVGOMSubImageRefElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class BridgeExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/Exception;Ljava/lang/String;[Ljava/lang/Object;)V: I16 Branch 9 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("strikethrough-position", "strikethrough-position", "strikethrough-position");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) null);
      SVGOMSubImageRefElement sVGOMSubImageRefElement0 = new SVGOMSubImageRefElement("strikethrough-position", (AbstractDocument) sVGOMDocument0);
      sVGOMSubImageRefElement0.getPreviousElementSibling();
      SVGOMFEFuncBElement sVGOMFEFuncBElement0 = new SVGOMFEFuncBElement("strikethrough-position", (AbstractDocument) sVGOMDocument0);
      Object[] objectArray0 = new Object[1];
      SVGOMException sVGOMException0 = (SVGOMException)sVGOMFEFuncBElement0.createSVGException((short)8939, "strikethrough-position", objectArray0);
      Object[] objectArray1 = new Object[4];
      BridgeException bridgeException0 = new BridgeException((BridgeContext) null, (Element) null, (Exception) sVGOMException0, "strikethrough-position", objectArray1);
      assertEquals("strikethrough-position", bridgeException0.getLocalizedMessage());
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 2 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 3 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 4 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 4 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVGDescElementBridge sVGDescElementBridge0 = new SVGDescElementBridge();
      BridgeContext bridgeContext0 = sVGDescElementBridge0.theCtx;
      LiveAttributeException liveAttributeException0 = new LiveAttributeException((Element) null, "", (short)598, "");
      BridgeException bridgeException0 = null;
      try {
        bridgeException0 = new BridgeException((BridgeContext) null, liveAttributeException0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Unknown LiveAttributeException error code 598
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I2 Branch 13 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I13 Branch 14 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I25 Branch 15 IFNONNULL L-1 - false
   * 4 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/String;[Ljava/lang/Object;)V: I12 Branch 7 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      Object[] objectArray0 = new Object[7];
      BridgeException bridgeException0 = new BridgeException((BridgeContext) null, (Element) null, "!\"apD~;)y.U", objectArray0);
      // Undeclared exception!
      try {
        bridgeException0.getMessage();
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: !\"apD~;)y.U
         //
      }
  }
}
