/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.net.MalformedURLException;
import java.net.URI;
import java.net.URL;
import org.apache.batik.bridge.DefaultScriptSecurity;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;

public class DefaultScriptSecurityEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.checkLoadScript()V: I2 Branch 1 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I27 Branch 3 IF_ACMPEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("SVGConverter.error.while.rasterizing.file");
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("SVGConverter.error.while.rasterizing.file", parsedURL0, parsedURL0);
      defaultScriptSecurity0.checkLoadScript();
  }

  //Test case number: 1
  /*
   * 7 covered goals:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.checkLoadScript()V: I2 Branch 1 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I27 Branch 3 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 4 IFNULL L-1 - false
   * 4 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I33 Branch 5 IFGT L-1 - false
   * 5 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I38 Branch 6 IFNE L-1 - false
   * 6 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I40 Branch 7 IFNULL L-1 - false
   * 7 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I45 Branch 8 IFGT L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("SVGConverter.error.cannot.access.transcoder", "SVGConverter.error.cannot.access.transcoder");
      ParsedURL parsedURL1 = new ParsedURL(parsedURL0, "SVGConverter.error.cannot.access.transcoder");
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("SVGConverter.error.cannot.access.transcoder", parsedURL1, parsedURL0);
      // Undeclared exception!
      try {
        defaultScriptSecurity0.checkLoadScript();
        fail("Expecting exception: SecurityException");
      
      } catch(SecurityException e) {
         //
         // The document references a script file (//SVGConverter.error.cannot.access.transcoderSVGConverter.error.cannot.access.transcoderSVGConverter.error.cannot.access.transcoder) which comes from different location than the document itself. This is not allowed with the current security settings and that script will not be loaded.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("DefaultScriptSecurity.error.cannot.access.document.url", (ParsedURL) null, (ParsedURL) null);
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 4 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I27 Branch 3 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I38 Branch 6 IFNE L-1 - false
   * 4 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I40 Branch 7 IFNULL L-1 - false
   * 5 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I45 Branch 8 IFGT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("SVGConverter.error.while.rasterizing.file");
      File file0 = new File("SVGConverter.error.while.rasterizing.file", "SVGConverter.error.while.rasterizing.file");
      URI uRI0 = file0.toURI();
      URL uRL0 = uRI0.toURL();
      ParsedURL parsedURL1 = new ParsedURL(uRL0, "SVGConverter.error.while.rasterizing.file");
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("SVGConverter.error.while.rasterizing.file", parsedURL0, parsedURL1);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I33 Branch 5 IFGT L-1 - true
   * 2 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I3 Branch 2 IFNONNULL L-1 - true
   * 3 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I27 Branch 3 IF_ACMPEQ L-1 - true
   * 4 org.apache.batik.bridge.DefaultScriptSecurity.<init>(Ljava/lang/String;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/util/ParsedURL;)V: I29 Branch 4 IFNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      ParsedURL parsedURL0 = new ParsedURL("SVGConverter.error.cannot.access.transcoder", "SVGConverter.error.cannot.access.transcoder");
      ParsedURL parsedURL1 = new ParsedURL(parsedURL0, "SVGConverter.error.cannot.access.transcoder");
      ParsedURL parsedURL2 = new ParsedURL(parsedURL0, "SVGConverter.error.cannot.access.transcoder");
      DefaultScriptSecurity defaultScriptSecurity0 = new DefaultScriptSecurity("SVGConverter.error.cannot.access.transcoder", parsedURL1, parsedURL2);
  }
}
