/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.UnitProcessor;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMAnimateElement;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMLineElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class UnitProcessorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor.svgHorizontalLengthToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 5 org.apache.batik.bridge.UnitProcessor.createContext(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)Lorg/apache/batik/parser/UnitProcessor$Context;: root-Branch
   * 6 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("length.negative", "length.negative", "length.negative");
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMLineElement sVGOMLineElement0 = new SVGOMLineElement("length.negative", (AbstractDocument) sVGOMDocument0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = (UnitProcessor.DefaultContext)UnitProcessor.createContext(bridgeContext0, (Element) sVGOMLineElement0);
      // Undeclared exception!
      try {
        UnitProcessor.svgHorizontalLengthToObjectBoundingBox("length.negative", "length.negative", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: 108).
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.UnitProcessor$DefaultContext.getXHeight()F: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("InterpExcept: ", "InterpExcept: ", "InterpExcept: ");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMAnimateElement sVGOMAnimateElement0 = new SVGOMAnimateElement("", (AbstractDocument) sVG12OMDocument0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = (UnitProcessor.DefaultContext)UnitProcessor.createContext(bridgeContext0, (Element) sVGOMAnimateElement0);
      float float0 = unitProcessor_DefaultContext0.getXHeight();
      assertEquals(0.5F, float0, 0.01F);
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgToUserSpace(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor.svgHorizontalLengthToUserSpace(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        UnitProcessor.svgHorizontalLengthToUserSpace("W<D", "W<D", (UnitProcessor.Context) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 org.apache.batik.bridge.UnitProcessor.svgOtherCoordinateToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;Lorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 2 org.apache.batik.bridge.UnitProcessor$DefaultContext.getElement()Lorg/w3c/dom/Element;: root-Branch
   * 3 org.apache.batik.bridge.UnitProcessor$DefaultContext.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)V: root-Branch
   * 4 org.apache.batik.bridge.UnitProcessor.svgToObjectBoundingBox(Ljava/lang/String;Ljava/lang/String;SLorg/apache/batik/parser/UnitProcessor$Context;)F: root-Branch
   * 5 org.apache.batik.bridge.UnitProcessor.createContext(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;)Lorg/apache/batik/parser/UnitProcessor$Context;: root-Branch
   * 6 org.apache.batik.bridge.UnitProcessor.getBridgeContext(Lorg/apache/batik/parser/UnitProcessor$Context;)Lorg/apache/batik/bridge/BridgeContext;: I2 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("InterpExcept: ", "InterpExcept: ", "InterpExcept: ");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMAnimateElement sVGOMAnimateElement0 = new SVGOMAnimateElement("", (AbstractDocument) sVG12OMDocument0);
      UnitProcessor.DefaultContext unitProcessor_DefaultContext0 = (UnitProcessor.DefaultContext)UnitProcessor.createContext(bridgeContext0, (Element) sVGOMAnimateElement0);
      // Undeclared exception!
      try {
        UnitProcessor.svgOtherCoordinateToObjectBoundingBox("", "", (UnitProcessor.Context) unitProcessor_DefaultContext0);
        fail("Expecting exception: BridgeException");
      
      } catch(BridgeException e) {
         //
         // Unexpected character (code: -1).
         //
      }
  }
}
