/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.engine.value.FloatValue;
import org.apache.batik.css.engine.value.InheritValue;
import org.apache.batik.css.engine.value.ListValue;
import org.apache.batik.css.engine.value.RGBColorValue;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.URIValue;
import org.apache.batik.css.engine.value.Value;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;

public class AbstractValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getPrimitiveType()S: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValue.createDOMException()Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      InheritValue inheritValue0 = InheritValue.INSTANCE;
      // Undeclared exception!
      try {
        inheritValue0.getPrimitiveType();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for the inherit value type.
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getLength()I: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValue.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.AbstractValue.getCssValueType()S: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FloatValue floatValue0 = new FloatValue((short)349, (short)349);
      try {
        floatValue0.getLength();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getLeft()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      URIValue uRIValue0 = new URIValue("rgb(", "rgb(");
      try {
        uRIValue0.getLeft();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getBlue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      StringValue stringValue0 = new StringValue((short)0, "");
      try {
        stringValue0.getBlue();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getStringValue()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      FloatValue floatValue0 = new FloatValue((short)960, (short)960);
      try {
        floatValue0.getStringValue();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getGreen()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ListValue listValue0 = new ListValue('4');
      try {
        listValue0.getGreen();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for the value list type.
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getTop()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ListValue listValue0 = new ListValue('d');
      try {
        listValue0.getTop();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for the value list type.
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getIdentifier()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      URIValue uRIValue0 = new URIValue("s}+<Ltjj]2^S41S", "s}+<Ltjj]2^S41S");
      try {
        uRIValue0.getIdentifier();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.item(I)Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      FloatValue floatValue0 = new FloatValue((short) (-1282), (short) (-1282));
      try {
        floatValue0.item((int) (short) (-1282));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getFloatValue()F: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      InheritValue inheritValue0 = InheritValue.INSTANCE;
      RGBColorValue rGBColorValue0 = new RGBColorValue((Value) inheritValue0, (Value) inheritValue0, (Value) null);
      try {
        rGBColorValue0.getFloatValue();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getRight()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      StringValue stringValue0 = new StringValue((short)0, "&");
      try {
        stringValue0.getRight();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getBottom()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      URIValue uRIValue0 = new URIValue("qZxG", "qZxG");
      try {
        uRIValue0.getBottom();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getRed()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      FloatValue floatValue0 = new FloatValue((short)878, (short)878);
      try {
        floatValue0.getRed();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getSeparator()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValue.getCssValueType()S: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      URIValue uRIValue0 = new URIValue("", "");
      try {
        uRIValue0.getSeparator();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for a primitive value type.
         //
      }
  }

  //Test case number: 14
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.AbstractValue.getListStyle()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.AbstractValue.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.AbstractValue.createDOMException()Lorg/w3c/dom/DOMException;: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      ListValue listValue0 = new ListValue();
      try {
        listValue0.getListStyle();
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The invoked method cannot be called for the value list type.
         //
      }
  }
}
