/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVGCSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.svg.AlignmentBaselineManager;
import org.apache.batik.css.engine.value.svg.PointerEventsManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class IdentifierManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I18 Branch 4 IFNONNULL L-1 - false
   * 2 org.apache.batik.css.engine.value.IdentifierManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 4 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 5 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   */

  @Test
  public void test0()  throws Throwable  {
      PointerEventsManager pointerEventsManager0 = new PointerEventsManager();
      Parser parser0 = new Parser();
      LexicalUnit lexicalUnit0 = parser0.parsePropertyValue("skyblue");
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("skyblue", "skyblue", "skyblue");
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVGOMDocument0.getCSSEngine();
      try {
        pointerEventsManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"skyblue\" identifier is not a valid value for the \"pointer-events\" property. 
         //
      }
  }

  //Test case number: 1
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.IdentifierManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.css.engine.value.IdentifierManager.<init>()V: root-Branch
   * 3 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 4 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 5 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 6 org.apache.batik.css.engine.value.IdentifierManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I18 Branch 4 IFNONNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      AlignmentBaselineManager alignmentBaselineManager0 = new AlignmentBaselineManager();
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("LC6@GQm(.2X", "LC6@GQm(.2X", "LC6@GQm(.2X");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      Parser parser0 = new Parser();
      ValueManager[] valueManagerArray0 = new ValueManager[9];
      valueManagerArray0[0] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[1] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[2] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[3] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[4] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[5] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[6] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[7] = (ValueManager) alignmentBaselineManager0;
      valueManagerArray0[8] = (ValueManager) alignmentBaselineManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[1];
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) marginShorthandManager0;
      SVGCSSEngine sVGCSSEngine0 = (SVGCSSEngine)sVGDOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0, (ExtendedParser) parser0, valueManagerArray0, shorthandManagerArray0);
      try {
        alignmentBaselineManager0.createStringValue((short)0, "LC6@GQm(.2X", (CSSEngine) sVGCSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (0) is invalid for the \"alignment-baseline\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
