/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.events;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.events.DOMCustomEvent;
import org.apache.batik.dom.events.DOMKeyEvent;
import org.apache.batik.dom.events.DOMKeyboardEvent;
import org.apache.batik.dom.events.DOMMouseEvent;
import org.apache.batik.dom.events.DOMMutationNameEvent;
import org.apache.batik.dom.events.DOMTextEvent;
import org.apache.batik.dom.events.DOMTimeEvent;
import org.apache.batik.dom.svg.SVGOMPolylineElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.events.EventTarget;

public class AbstractEventEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopImmediatePropagation()V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.stopImmediatePropagation();
      assertEquals(1398034365258L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getEventPhase()S: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      dOMTextEvent0.getEventPhase();
      assertEquals(1398034365276L, dOMTextEvent0.getTimeStamp());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getCurrentTarget()Lorg/w3c/dom/events/EventTarget;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getCurrentTarget();
      assertEquals(1398034365304L, dOMKeyEvent0.getTimeStamp());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopImmediatePropagation(Z)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      dOMMouseEvent0.stopImmediatePropagation(false);
      assertEquals(1398034365319L, dOMMouseEvent0.getTimeStamp());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.initEvent(Ljava/lang/String;ZZ)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getStopPropagation()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getStopPropagation();
      dOMKeyboardEvent0.initEvent("xMinYMin", false, false);
      assertEquals(1398034365347L, dOMKeyboardEvent0.getTimeStamp());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getDefaultPrevented()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      boolean boolean0 = dOMCustomEvent0.getDefaultPrevented();
      assertEquals(1398034365396L, dOMCustomEvent0.getTimeStamp());
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getType()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      dOMTimeEvent0.getType();
      assertEquals(1398034365419L, dOMTimeEvent0.getTimeStamp());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setCurrentTarget(Lorg/w3c/dom/events/EventTarget;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMTextEvent0.getData();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType((String) null, (String) null, "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMPolylineElement sVGOMPolylineElement0 = new SVGOMPolylineElement("", (AbstractDocument) sVG12OMDocument0);
      dOMCustomEvent0.setCurrentTarget(sVGOMPolylineElement0);
      assertEquals(1398034365438L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.preventDefault()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.preventDefault();
      assertEquals(1398034365649L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getOriginalEvent()Lorg/w3c/dom/events/Event;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      dOMTextEvent0.getOriginalEvent();
      assertEquals(1398034365670L, dOMTextEvent0.getTimeStamp());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.cloneEvent()Lorg/apache/batik/dom/events/AbstractEvent;: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.clone()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      DOMMouseEvent dOMMouseEvent1 = (DOMMouseEvent)dOMMouseEvent0.cloneEvent();
      assertEquals(1398034365685L, dOMMouseEvent0.getTimeStamp());
      assertEquals(1398034365686L, dOMMouseEvent1.getTimeStamp());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getTimeStamp()J: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      long long0 = dOMMouseEvent0.getTimeStamp();
      assertEquals(1398034365711L, long0);
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopPropagation(Z)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getBubbles()Z: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      dOMTimeEvent0.getBubbles();
      dOMTimeEvent0.stopPropagation(false);
      assertEquals(1398034365734L, dOMTimeEvent0.getTimeStamp());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getDefaultActions()Ljava/util/List;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getDefaultActions();
      assertEquals(1398034365758L, dOMKeyEvent0.getTimeStamp());
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.preventDefault(Z)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getStopImmediatePropagation()Z: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      dOMMutationNameEvent0.getStopImmediatePropagation();
      dOMMutationNameEvent0.preventDefault(false);
      assertEquals(1398034365777L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.stopPropagation()V: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      dOMKeyboardEvent0.stopPropagation();
      assertEquals(1398034365803L, dOMKeyboardEvent0.getTimeStamp());
      assertEquals(false, dOMKeyboardEvent0.getDefaultPrevented());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setEventPhase(S)V: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.setEventPhase((short)144);
      assertEquals(144, dOMCustomEvent0.getEventPhase());
      assertEquals(1398034365817L, dOMCustomEvent0.getTimeStamp());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getCancelable()Z: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      dOMTimeEvent0.getCancelable();
      assertEquals(1398034365835L, dOMTimeEvent0.getTimeStamp());
      assertEquals(false, dOMTimeEvent0.getDefaultPrevented());
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.setTarget(Lorg/w3c/dom/events/EventTarget;)V: root-Branch
   * 2 org.apache.batik.dom.events.AbstractEvent.getTarget()Lorg/w3c/dom/events/EventTarget;: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      DOMCustomEvent dOMCustomEvent0 = new DOMCustomEvent();
      dOMCustomEvent0.getTarget();
      dOMTextEvent0.setTarget((EventTarget) null);
      assertEquals(1398034365850L, dOMTextEvent0.getTimeStamp());
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.setBubbleLimit(I)V: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      DOMMouseEvent dOMMouseEvent0 = new DOMMouseEvent();
      dOMMouseEvent0.getDetail();
      dOMMouseEvent0.setBubbleLimit(0);
      assertEquals(1398034365865L, dOMMouseEvent0.getTimeStamp());
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.events.AbstractEvent.getBubbleLimit()I: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      DOMTextEvent dOMTextEvent0 = new DOMTextEvent();
      int int0 = dOMTextEvent0.getBubbleLimit();
      assertEquals(1398034365896L, dOMTextEvent0.getTimeStamp());
      assertEquals(0, int0);
  }

  //Test case number: 21
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I2 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I6 Branch 3 IFNE L-1 - true
   * 3 org.apache.batik.dom.events.AbstractEvent.getStopPropagation()Z: root-Branch
   * 4 org.apache.batik.dom.events.AbstractEvent.initEventNS(Ljava/lang/String;Ljava/lang/String;ZZ)V: I2 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test21()  throws Throwable  {
      DOMTimeEvent dOMTimeEvent0 = new DOMTimeEvent();
      dOMTimeEvent0.initEventNS("xMinYMin", "xMinYMin", true, true);
      DOMKeyEvent dOMKeyEvent0 = new DOMKeyEvent();
      dOMKeyEvent0.getStopPropagation();
      dOMTimeEvent0.initEventNS("xMinYMin", "xMinYMin", false, true);
      assertEquals(true, dOMTimeEvent0.getCancelable());
      assertEquals(false, dOMTimeEvent0.getDefaultPrevented());
  }

  //Test case number: 22
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.events.AbstractEvent.addDefaultAction(Ljava/lang/Runnable;)V: I2 Branch 1 IFNONNULL L-1 - false
   * 2 org.apache.batik.dom.events.AbstractEvent.<init>()V: root-Branch
   */

  @Test
  public void test22()  throws Throwable  {
      DOMKeyboardEvent dOMKeyboardEvent0 = new DOMKeyboardEvent();
      dOMKeyboardEvent0.addDefaultAction((Runnable) null);
      assertEquals(1398034365970L, dOMKeyboardEvent0.getTimeStamp());
  }
}
