/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.AbstractElement;
import org.apache.batik.dom.svg.SVGOMAnimatedNumberList;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEOffsetElement;
import org.apache.batik.dom.svg.SVGOMSVGElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.dom.svg12.SVGOMFlowRegionExcludeElement;
import org.apache.batik.dom.svg12.SVGOMMultiImageElement;
import org.apache.batik.extension.svg.BatikHistogramNormalizationElement;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.svg.SVGException;
import org.w3c.dom.svg.SVGNumber;

public class AbstractSVGNumberListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.getItem(I)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) null, "base", "base", "base", false);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      // Undeclared exception!
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.getItem(1746);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.removeItem(I)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMMultiImageElement sVGOMMultiImageElement0 = new SVGOMMultiImageElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) sVGOMMultiImageElement0, "", "", "", false);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      // Undeclared exception!
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.removeItem(1330);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.replaceItem(Lorg/w3c/dom/svg/SVGNumber;I)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList.checkItemType(Ljava/lang/Object;)V: I2 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEOffsetElement sVGOMFEOffsetElement0 = new SVGOMFEOffsetElement("", (AbstractDocument) sVGOMDocument0);
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) sVGOMFEOffsetElement0, "", "", "", true);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.replaceItem((SVGNumber) null, (-1029));
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given index (-1,029) is out of bounds.
         //
      }
  }

  //Test case number: 3
  /*
   * 8 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.doParse(Ljava/lang/String;Lorg/apache/batik/dom/svg/ListHandler;)V: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList$NumberListBuilder.<init>(Lorg/apache/batik/dom/svg/AbstractSVGNumberList;Lorg/apache/batik/dom/svg/ListHandler;)V: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGNumberList$NumberListBuilder.startNumber()V: root-Branch
   * 4 org.apache.batik.dom.svg.AbstractSVGNumberList$NumberListBuilder.startNumberList()V: root-Branch
   * 5 org.apache.batik.dom.svg.AbstractSVGNumberList$NumberListBuilder.numberValue(F)V: root-Branch
   * 6 org.apache.batik.dom.svg.AbstractSVGNumberList$NumberListBuilder.endNumber()V: root-Branch
   * 7 org.apache.batik.dom.svg.AbstractSVGNumberList$SVGNumberItem.setParent(Lorg/apache/batik/dom/svg/AbstractSVGList;)V: root-Branch
   * 8 org.apache.batik.dom.svg.AbstractSVGNumberList$SVGNumberItem.<init>(Lorg/apache/batik/dom/svg/AbstractSVGNumberList;F)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      BatikHistogramNormalizationElement batikHistogramNormalizationElement0 = new BatikHistogramNormalizationElement("", (AbstractDocument) null);
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) batikHistogramNormalizationElement0, "", "", "48@\"SOAo)pb$EhwS", false);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      // Undeclared exception!
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.clear();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.createSVGItem(Ljava/lang/Object;)Lorg/apache/batik/dom/svg/SVGItem;: root-Branch
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList.appendItem(Lorg/w3c/dom/svg/SVGNumber;)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGNumberList.checkItemType(Ljava/lang/Object;)V: I2 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) null);
      genericDocument0.getImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMFlowRegionExcludeElement sVGOMFlowRegionExcludeElement0 = new SVGOMFlowRegionExcludeElement("", (AbstractDocument) sVG12OMDocument0);
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) sVGOMFlowRegionExcludeElement0, "", "", "", false);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      // Undeclared exception!
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.appendItem((SVGNumber) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.AbstractSVGNumberList.checkItemType(Ljava/lang/Object;)V: I2 Branch 2 IFNE L-1 - true
   * 2 org.apache.batik.dom.svg.AbstractSVGNumberList.<init>()V: root-Branch
   * 3 org.apache.batik.dom.svg.AbstractSVGNumberList.appendItem(Lorg/w3c/dom/svg/SVGNumber;)Lorg/w3c/dom/svg/SVGNumber;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGOMAnimatedNumberList sVGOMAnimatedNumberList0 = new SVGOMAnimatedNumberList((AbstractElement) null, "type", "type", "type", true);
      SVGOMAnimatedNumberList.BaseSVGNumberList sVGOMAnimatedNumberList_BaseSVGNumberList0 = sVGOMAnimatedNumberList0.new BaseSVGNumberList();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) null);
      SVGOMSVGElement sVGOMSVGElement0 = new SVGOMSVGElement("type", (AbstractDocument) sVGOMDocument0);
      SVGNumber sVGNumber0 = sVGOMSVGElement0.createSVGNumber();
      // Undeclared exception!
      try {
        sVGOMAnimatedNumberList_BaseSVGNumberList0.appendItem(sVGNumber0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
