/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.css.dom.CSSOMSVGViewCSS;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.events.DocumentEventSupport;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGDOMImplementationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.getUserAgentStyleSheet()Lorg/w3c/dom/css/CSSStyleSheet;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.<init>()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation.initLocalizable()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      // Undeclared exception!
      try {
        sVG12DOMImplementation0.getUserAgentStyleSheet();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // StyleSheetFactory.getUserAgentStyleSheet is not implemented
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createDocumentEventSupport()Lorg/apache/batik/dom/events/DocumentEventSupport;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation$1.<init>(Lorg/apache/batik/dom/svg/SVGDOMImplementation;)V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation$2.<init>(Lorg/apache/batik/dom/svg/SVGDOMImplementation;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      DocumentEventSupport documentEventSupport0 = sVG12DOMImplementation0.createDocumentEventSupport();
      assertNotNull(documentEventSupport0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createViewCSS(Lorg/apache/batik/dom/AbstractStylableDocument;)Lorg/w3c/dom/css/ViewCSS;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.createDocumentType(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/DocumentType;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("l", "l", "l");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      CSSOMSVGViewCSS cSSOMSVGViewCSS0 = (CSSOMSVGViewCSS)sVG12DOMImplementation0.createViewCSS((AbstractStylableDocument) sVGOMDocument0);
      assertNotNull(cSSOMSVGViewCSS0);
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGDOMImplementation.createDocument(Ljava/lang/String;Ljava/lang/String;Lorg/w3c/dom/DocumentType;)Lorg/w3c/dom/Document;: I7 Branch 2 IFNULL L-1 - false
   * 2 org.apache.batik.dom.svg.SVGDOMImplementation.createElementNS(Lorg/apache/batik/dom/AbstractDocument;Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I3 Branch 3 IFLE L-1 - true
   * 3 org.apache.batik.dom.svg.SVGDOMImplementation.<init>()V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGDOMImplementation.initLocalizable()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      try {
        sVGDOMImplementation0.createDocument("U+0045", "U+0045", (DocumentType) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"U+0045\") is an invalid XML name.
         //
      }
  }
}
