/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Locale;
import javax.swing.JList;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class SVGOMDocumentEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.getRootElement()Lorg/w3c/dom/svg/SVGSVGElement;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.isSVG12()Z: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMDocument.<init>(Lorg/w3c/dom/DocumentType;Lorg/w3c/dom/DOMImplementation;)V: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMDocument$AnimAttrListener.<init>(Lorg/apache/batik/dom/svg/SVGOMDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, documentLoader0);
      // Undeclared exception!
      try {
        bridgeContext0.createSubBridgeContext(sVGOMDocument0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.setIsSVG12(Z)V: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.isReadonly()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("%?]ZoRB4YWI:C", "%?]ZoRB4YWI:C", "%?]ZoRB4YWI:C");
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      sVGOMDocument0.setIsSVG12(true);
      assertEquals(true, sVGOMDocument0.isSVG12());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.copyInto(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.svg.SVGOMDocument.<init>()V: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMDocument.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("%?]ZoRB4YWI:C", "%?]ZoRB4YWI:C", "%?]ZoRB4YWI:C");
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      // Undeclared exception!
      try {
        sVG12OMDocument0.cloneNode(true);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot import node.
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.setLocale(Ljava/util/Locale;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = (GenericDOMImplementation)GenericDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) genericDOMImplementation0);
      JList jList0 = new JList();
      Locale locale0 = jList0.getLocale();
      sVG12OMDocument0.setLocale(locale0);
      assertEquals("#document", sVG12OMDocument0.getNodeName());
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.svg.SVGOMDocument.createAttributeNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Attr;: I1 Branch 14 IFNONNULL L-1 - true
   * 2 org.apache.batik.dom.svg.SVGOMDocument.formatMessage(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.dom.svg.SVGOMDocument.isReadonly()Z: root-Branch
   * 4 org.apache.batik.dom.svg.SVGOMDocument.<init>(Lorg/w3c/dom/DocumentType;Lorg/w3c/dom/DOMImplementation;)V: root-Branch
   * 5 org.apache.batik.dom.svg.SVGOMDocument$AnimAttrListener.<init>(Lorg/apache/batik/dom/svg/SVGOMDocument;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("Pc=r2re%]KYc\":f0", "Pc=r2re%]KYc\":f0", "Pc=r2re%]KYc\":f0");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      try {
        sVG12OMDocument0.createAttributeNS("Pc=r2re%]KYc\":f0", "Pc=r2re%]KYc\":f0");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"Pc=r2re%]KYc\":f0\") is an invalid XML name.
         //
      }
  }
}
