/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.ArrayList;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericProcessingInstruction;
import org.apache.batik.dom.svg.SVGOMClipPathElement;
import org.apache.batik.dom.svg.SVGOMFEPointLightElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.util.DOMUtilities;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

public class DOMUtilitiesEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getModifiersList(II)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      String string0 = DOMUtilities.getModifiersList((-1), (-1));
      assertNotNull(string0);
      assertEquals("KanaMode Scroll NumLock CapsLock Alt AltGraph Control Meta Shift", string0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.getLocalName(Ljava/lang/String;)Ljava/lang/String;: I6 Branch 83 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      String string0 = DOMUtilities.getLocalName(".<rAPL$x");
      assertEquals(".<rAPL$x", string0);
      assertNotNull(string0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.canAppend(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Z: I1 Branch 40 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      boolean boolean0 = DOMUtilities.canAppend((Node) null, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I4 Branch 76 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I27 Branch 77 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName11("Alt AltGraph Meta Shift");
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName11(Ljava/lang/String;)Z: I4 Branch 76 IFNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidName11("");
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.canHaveChildren(Lorg/w3c/dom/Node;)Z: I1 Branch 47 IFNONNULL L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      boolean boolean0 = DOMUtilities.canHaveChildren((Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isAnyNodeAncestorOf(Ljava/util/ArrayList;Lorg/w3c/dom/Node;)Z: I8 Branch 31 IF_ICMPGE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ArrayList<GenericProcessingInstruction> arrayList0 = new ArrayList<GenericProcessingInstruction>();
      boolean boolean0 = DOMUtilities.isAnyNodeAncestorOf((ArrayList) arrayList0, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isParentOf(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Z: I1 Branch 37 IFNULL L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isParentOf((Node) null, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidPrefix(Ljava/lang/String;)Z: I4 Branch 80 IF_ICMPNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isValidPrefix("Alt AltGraph Meta Shift");
      assertEquals(true, boolean0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isAncestorOf(Lorg/w3c/dom/Node;Lorg/w3c/dom/Node;)Z: I1 Branch 33 IFNULL L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      boolean boolean0 = DOMUtilities.isAncestorOf((Node) null, (Node) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   * 5 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("Alt AltGraph Meta Shift", "Alt AltGraph Meta Shift", "Alt AltGraph Meta Shift");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMClipPathElement sVGOMClipPathElement0 = null;
      try {
        sVGOMClipPathElement0 = new SVGOMClipPathElement("Alt AltGraph Meta Shift", (AbstractDocument) genericDocument0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The prefix \"Alt AltGraph Meta Shift\" is invalid. Current node type: 1, name: clipPath.
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      SVGOMFEPointLightElement sVGOMFEPointLightElement0 = null;
      try {
        sVGOMFEPointLightElement0 = new SVGOMFEPointLightElement("')Wn+{xb<w@h8x6r|I", (AbstractDocument) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // prefix
         //
      }
  }

  //Test case number: 12
  /*
   * 13 covered goals:
   * 1 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 19 IF_ICMPGE L-1 - true
   * 3 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I12 Branch 19 IF_ICMPGE L-1 - false
   * 4 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 20 LOOKUPSWITCH L-1 Case 34 - false
   * 5 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 21 LOOKUPSWITCH L-1 Case 38 - false
   * 6 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 22 LOOKUPSWITCH L-1 Case 39 - false
   * 7 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 23 LOOKUPSWITCH L-1 Case 60 - false
   * 8 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 24 LOOKUPSWITCH L-1 Case 62 - false
   * 9 org.apache.batik.dom.util.DOMUtilities.contentToString(Ljava/lang/String;)Ljava/lang/String;: I18 Branch 25 LOOKUPSWITCH L-1 Default-Case - true
   * 10 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I4 Branch 72 IFNE L-1 - true
   * 11 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I27 Branch 73 IFNE L-1 - true
   * 12 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I36 Branch 74 IF_ICMPGE L-1 - false
   * 13 org.apache.batik.dom.util.DOMUtilities.isValidName(Ljava/lang/String;)Z: I56 Branch 75 IFNE L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      DOMUtilities.contentToString("Alt AltGraph Meta Shift");
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("Alt AltGraph Meta Shift", "Alt AltGraph Meta Shift", "Alt AltGraph Meta Shift");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMClipPathElement sVGOMClipPathElement0 = null;
      try {
        sVGOMClipPathElement0 = new SVGOMClipPathElement("WQ5c", (AbstractDocument) genericDocument0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.apache.batik.dom.GenericDocument cannot be cast to org.apache.batik.dom.svg.SVGOMDocument
         //
      }
  }
}
