/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.jpeg;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.image.BufferedImage;
import java.awt.image.RenderedImage;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter;
import org.apache.batik.ext.awt.image.spi.ImageWriterParams;
import org.junit.BeforeClass;

public class JPEGImageWriterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter.getMIMEType()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JPEGImageWriter jPEGImageWriter0 = new JPEGImageWriter();
      String string0 = jPEGImageWriter0.getMIMEType();
      assertEquals("image/jpeg", string0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter.writeImage(Ljava/awt/image/RenderedImage;Ljava/io/OutputStream;)V: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter.writeImage(Ljava/awt/image/RenderedImage;Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/spi/ImageWriterParams;)V: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      JPEGImageWriter jPEGImageWriter0 = new JPEGImageWriter();
      // Undeclared exception!
      try {
        jPEGImageWriter0.writeImage((RenderedImage) null, (OutputStream) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter.writeImage(Ljava/awt/image/RenderedImage;Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/spi/ImageWriterParams;)V: I2 Branch 1 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter.writeImage(Ljava/awt/image/RenderedImage;Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/spi/ImageWriterParams;)V: I20 Branch 2 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter.writeImage(Ljava/awt/image/RenderedImage;Ljava/io/OutputStream;Lorg/apache/batik/ext/awt/image/spi/ImageWriterParams;)V: I27 Branch 3 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter.<init>()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JPEGImageWriter jPEGImageWriter0 = new JPEGImageWriter();
      BufferedImage bufferedImage0 = new BufferedImage(1, 1, 1);
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(1);
      ImageWriterParams imageWriterParams0 = new ImageWriterParams();
      jPEGImageWriter0.writeImage((RenderedImage) bufferedImage0, (OutputStream) byteArrayOutputStream0, imageWriterParams0);
      assertEquals(631, byteArrayOutputStream0.size());
      assertEquals("\uFFFD\uFFFD\uFFFD\uFFFD\u0000\u0010JFIF\u0000\u0001\u0001\u0000\u0000\u0001\u0000\u0001\u0000\u0000\uFFFD\uFFFD\u0000C\u0000\b\u0006\u0006\u0007\u0006\u0005\b\u0007\u0007\u0007\t\t\b\n\f\u0014\r\f\u000B\u000B\f\u0019\u0012\u0013\u000F\u0014\u001D\u001A\u001F\u001E\u001D\u001A\u001C\u001C $.' \",#\u001C\u001C(7),01444\u001F'9=82<.342\uFFFD\uFFFD\u0000C\u0001\t\t\t\f\u000B\f\u0018\r\r\u00182!\u001C!22222222222222222222222222222222222222222222222222\uFFFD\uFFFD\u0000\u0011\b\u0000\u0001\u0000\u0001\u0003\u0001\"\u0000\u0002\u0011\u0001\u0003\u0011\u0001\uFFFD\uFFFD\u0000\u001F\u0000\u0000\u0001\u0005\u0001\u0001\u0001\u0001\u0001\u0001\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0001\u0002\u0003\u0004\u0005\u0006\u0007\b\t\n\u000B\uFFFD\uFFFD\u0000\uFFFD\u0010\u0000\u0002\u0001\u0003\u0003\u0002\u0004\u0003\u0005\u0005\u0004\u0004\u0000\u0000\u0001}\u0001\u0002\u0003\u0000\u0004\u0011\u0005\u0012!1A\u0006\u0013Qa\u0007\"q\u00142\uFFFD\uFFFD\uFFFD\b#B\uFFFD\uFFFD\u0015R\uFFFD\uFFFD$3br\uFFFD\t\n\u0016\u0017\u0018\u0019\u001A%&'()*456789:CDEFGHIJSTUVWXYZcdefghijstuvwxyz\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0000\u001F\u0001\u0000\u0003\u0001\u0001\u0001\u0001\u0001\u0001\u0001\u0001\u0001\u0000\u0000\u0000\u0000\u0000\u0000\u0001\u0002\u0003\u0004\u0005\u0006\u0007\b\t\n\u000B\uFFFD\uFFFD\u0000\uFFFD\u0011\u0000\u0002\u0001\u0002\u0004\u0004\u0003\u0004\u0007\u0005\u0004\u0004\u0000\u0001\u0002w\u0000\u0001\u0002\u0003\u0011\u0004\u0005!1\u0006\u0012AQ\u0007aq\u0013\"2\uFFFD\b\u0014B\uFFFD\uFFFD\uFFFD\uFFFD\t#3R\uFFFD\u0015br\uFFFD\n\u0016$4\uFFFD%\uFFFD\u0017\u0018\u0019\u001A&'()*56789:CDEFGHIJSTUVWXYZcdefghijstuvwxyz\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0000\f\u0003\u0001\u0000\u0002\u0011\u0003\u0011\u0000?\u0000\uFFFD\uFFFD\uFFFD(\uFFFD\u000F\uFFFD\uFFFD", byteArrayOutputStream0.toString());
  }
}
