/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import org.apache.batik.ext.awt.image.codec.png.PNGDecodeParam;
import org.apache.batik.ext.awt.image.codec.png.PNGImageDecoder;
import org.apache.batik.ext.awt.image.codec.tiff.TIFFImageDecoder;
import org.apache.batik.ext.awt.image.codec.util.ImageDecodeParam;
import org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream;
import org.apache.batik.ext.awt.image.codec.util.SeekableStream;
import org.junit.BeforeClass;

public class ImageDecoderImplEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.getNumPages()I: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.<init>(Ljava/io/InputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      byte[] byteArray0 = new byte[1];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) byteArrayInputStream0, pNGDecodeParam0);
      int int0 = pNGImageDecoder0.getNumPages();
      assertEquals(1, int0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.getInputStream()Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.<init>(Lorg/apache/batik/ext/awt/image/codec/util/SeekableStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) byteArrayInputStream0);
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      TIFFImageDecoder tIFFImageDecoder0 = new TIFFImageDecoder((SeekableStream) memoryCacheSeekableStream0, (ImageDecodeParam) pNGDecodeParam0);
      MemoryCacheSeekableStream memoryCacheSeekableStream1 = (MemoryCacheSeekableStream)tIFFImageDecoder0.getInputStream();
      assertEquals(5L, memoryCacheSeekableStream1.getFilePointer());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.decodeAsRaster()Ljava/awt/image/Raster;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.decodeAsRaster(I)Ljava/awt/image/Raster;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) null, pNGDecodeParam0);
      // Undeclared exception!
      try {
        pNGImageDecoder0.decodeAsRaster();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.decodeAsRenderedImage()Ljava/awt/image/RenderedImage;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) null, pNGDecodeParam0);
      // Undeclared exception!
      try {
        pNGImageDecoder0.decodeAsRenderedImage();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.getParam()Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.ImageDecoderImpl.<init>(Ljava/io/InputStream;Lorg/apache/batik/ext/awt/image/codec/util/ImageDecodeParam;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      byte[] byteArray0 = new byte[6];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) byteArrayInputStream0);
      PNGDecodeParam pNGDecodeParam0 = new PNGDecodeParam();
      PNGImageDecoder pNGImageDecoder0 = new PNGImageDecoder((InputStream) memoryCacheSeekableStream0, pNGDecodeParam0);
      PNGDecodeParam pNGDecodeParam1 = (PNGDecodeParam)pNGImageDecoder0.getParam();
      assertEquals(false, pNGDecodeParam1.getGenerateEncodeParam());
  }
}
