/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.image.codec.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.PushbackInputStream;
import org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream;
import org.junit.BeforeClass;

public class MemoryCacheSeekableStreamEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.getFilePointer()J: root-Branch
   * 2 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.<init>(Ljava/io/InputStream;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) null);
      long long0 = memoryCacheSeekableStream0.getFilePointer();
      assertEquals(0L, long0);
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I1 Branch 8 IFNONNULL L-1 - true
   * 2 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I8 Branch 9 IFLT L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I10 Branch 10 IFLT L-1 - false
   * 4 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I16 Branch 11 IF_ICMPLE L-1 - true
   * 5 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I24 Branch 12 IFNE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) null);
      byte[] byteArray0 = new byte[5];
      memoryCacheSeekableStream0.readFully(byteArray0, (int) (byte)0, (int) (byte)0);
      assertEquals(0L, memoryCacheSeekableStream0.getFilePointer());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I8 Branch 9 IFLT L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) null);
      byte[] byteArray0 = new byte[5];
      // Undeclared exception!
      try {
        memoryCacheSeekableStream0.readFully(byteArray0, (-1561), (int) (byte)0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I24 Branch 12 IFNE L-1 - true
   * 2 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.readUntil(J)J: I5 Branch 1 IFGE L-1 - true
   * 3 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.readUntil(J)J: I11 Branch 2 IFEQ L-1 - true
   * 4 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.readUntil(J)J: I32 Branch 3 IF_ICMPGT L-1 - false
   * 5 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.readUntil(J)J: I47 Branch 4 IFLE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) pipedInputStream0);
      byte[] byteArray0 = new byte[10];
      try {
        memoryCacheSeekableStream0.readFully(byteArray0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 4
  /*
   * 8 covered goals:
   * 1 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I40 Branch 13 IFGT L-1 - true
   * 2 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.readUntil(J)J: I5 Branch 1 IFGE L-1 - false
   * 3 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.<init>(Ljava/io/InputStream;)V: root-Branch
   * 4 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I1 Branch 8 IFNONNULL L-1 - true
   * 5 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I8 Branch 9 IFLT L-1 - false
   * 6 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I10 Branch 10 IFLT L-1 - false
   * 7 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I16 Branch 11 IF_ICMPLE L-1 - true
   * 8 org.apache.batik.ext.awt.image.codec.util.MemoryCacheSeekableStream.read([BII)I: I24 Branch 12 IFNE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PushbackInputStream pushbackInputStream0 = new PushbackInputStream((InputStream) pipedInputStream0, 1566);
      MemoryCacheSeekableStream memoryCacheSeekableStream0 = new MemoryCacheSeekableStream((InputStream) pushbackInputStream0);
      memoryCacheSeekableStream0.length = 1566;
      // Undeclared exception!
      try {
        memoryCacheSeekableStream0.skip(1L);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }
}
