/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.gvt;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.Area;
import java.awt.geom.Rectangle2D;
import javax.swing.DefaultListCellRenderer;
import org.apache.batik.bridge.SVGPatternElementBridge;
import org.apache.batik.gvt.CompositeGraphicsNode;
import org.apache.batik.gvt.CompositeShapePainter;
import org.apache.batik.gvt.ShapeNode;
import org.apache.batik.gvt.ShapePainter;
import org.junit.BeforeClass;

public class CompositeShapePainterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.CompositeShapePainter.getShapePainter(I)Lorg/apache/batik/gvt/ShapePainter;: root-Branch
   * 2 org.apache.batik.gvt.CompositeShapePainter.<init>(Ljava/awt/Shape;)V: I3 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      DefaultListCellRenderer defaultListCellRenderer0 = new DefaultListCellRenderer();
      Rectangle rectangle0 = defaultListCellRenderer0.getVisibleRect();
      CompositeShapePainter compositeShapePainter0 = new CompositeShapePainter((Shape) rectangle0);
      // Undeclared exception!
      try {
        compositeShapePainter0.getShapePainter(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.CompositeShapePainter.getPaintedBounds2D()Ljava/awt/geom/Rectangle2D;: I2 Branch 11 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Rectangle rectangle0 = (Rectangle)CompositeGraphicsNode.NULL_RECT;
      CompositeShapePainter compositeShapePainter0 = new CompositeShapePainter((Shape) rectangle0);
      Rectangle2D rectangle2D0 = compositeShapePainter0.getPaintedBounds2D();
      assertNull(rectangle2D0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.CompositeShapePainter.getSensitiveBounds2D()Ljava/awt/geom/Rectangle2D;: I2 Branch 21 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultListCellRenderer defaultListCellRenderer0 = new DefaultListCellRenderer();
      Rectangle rectangle0 = defaultListCellRenderer0.getVisibleRect();
      CompositeShapePainter compositeShapePainter0 = new CompositeShapePainter((Shape) rectangle0);
      Rectangle2D rectangle2D0 = compositeShapePainter0.getSensitiveBounds2D();
      assertNull(rectangle2D0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.CompositeShapePainter.<init>(Ljava/awt/Shape;)V: I3 Branch 1 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      SVGPatternElementBridge sVGPatternElementBridge0 = new SVGPatternElementBridge();
      sVGPatternElementBridge0.getBBox();
      CompositeShapePainter compositeShapePainter0 = null;
      try {
        compositeShapePainter0 = new CompositeShapePainter((Shape) null);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.gvt.CompositeShapePainter.addShapePainter(Lorg/apache/batik/gvt/ShapePainter;)V: I1 Branch 2 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Rectangle rectangle0 = (Rectangle)CompositeGraphicsNode.NULL_RECT;
      CompositeShapePainter compositeShapePainter0 = new CompositeShapePainter((Shape) rectangle0);
      ShapeNode shapeNode0 = new ShapeNode();
      shapeNode0.getShapePainter();
      compositeShapePainter0.addShapePainter((ShapePainter) null);
      assertEquals(0, compositeShapePainter0.getShapePainterCount());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.apache.batik.gvt.CompositeShapePainter.getPaintedArea()Ljava/awt/Shape;: I2 Branch 8 IFNONNULL L-1 - false
   * 2 org.apache.batik.gvt.CompositeShapePainter.<init>(Ljava/awt/Shape;)V: I3 Branch 1 IFNONNULL L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      DefaultListCellRenderer defaultListCellRenderer0 = new DefaultListCellRenderer();
      Rectangle rectangle0 = defaultListCellRenderer0.getVisibleRect();
      CompositeShapePainter compositeShapePainter0 = new CompositeShapePainter((Shape) rectangle0);
      Area area0 = (Area)compositeShapePainter0.getPaintedArea();
      assertNull(area0);
  }
}
