/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import java.io.PipedReader;
import java.io.Reader;
import org.apache.batik.parser.AWTTransformProducer;
import org.apache.batik.parser.ParseException;
import org.junit.BeforeClass;

public class AWTTransformProducerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.parser.AWTTransformProducer.createAffineTransform(Ljava/io/Reader;)Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.parser.AWTTransformProducer.<init>()V: root-Branch
   * 3 org.apache.batik.parser.AWTTransformProducer.startTransformList()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      PipedReader pipedReader0 = new PipedReader();
      try {
        AWTTransformProducer.createAffineTransform((Reader) pipedReader0);
        fail("Expecting exception: ParseException");
      
      } catch(ParseException e) {
         //
         // io.exception
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.parser.AWTTransformProducer.createAffineTransform(Ljava/lang/String;)Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.parser.AWTTransformProducer.startTransformList()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      try {
        AWTTransformProducer.createAffineTransform("P['B)i=-YDJYlmooFU");
        fail("Expecting exception: ParseException");
      
      } catch(ParseException e) {
         //
         // Unexpected character (code: 80).
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.translate(FF)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.translate((-778.9538F), (-778.9538F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.scale(F)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.scale((-1.0F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.rotate(FFF)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.rotate((-1.0F), (-1.0F), (-1.0F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.endTransformList()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      aWTTransformProducer0.endTransformList();
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.rotate(F)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.rotate(1588.9943F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.scale(FF)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.scale((-1.0F), (-1.0F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.translate(F)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.translate((-1.0F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.skewY(F)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.skewY((-1.0F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.skewX(F)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.skewX((-1857.3857F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.parser.AWTTransformProducer.matrix(FFFFFF)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      // Undeclared exception!
      try {
        aWTTransformProducer0.matrix((-1857.3857F), (-1857.3857F), (-1857.3857F), (-1857.3857F), (-1857.3857F), (-1857.3857F));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.apache.batik.parser.AWTTransformProducer.getAffineTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   * 2 org.apache.batik.parser.AWTTransformProducer.<init>()V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      AWTTransformProducer aWTTransformProducer0 = new AWTTransformProducer();
      AffineTransform affineTransform0 = aWTTransformProducer0.getAffineTransform();
      assertNull(affineTransform0);
  }
}
