/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.MissingResourceException;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.BridgeException;
import org.apache.batik.bridge.SVGDescElementBridge;
import org.apache.batik.bridge.SVGTitleElementBridge;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.LiveAttributeException;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMFEFuncAElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;

public class BridgeExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 1 TABLESWITCH L-1 Case 0 - false
   * 2 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 2 TABLESWITCH L-1 Case 1 - false
   * 3 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 3 TABLESWITCH L-1 Case 2 - false
   * 4 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/apache/batik/dom/svg/LiveAttributeException;)V: I4 Branch 4 TABLESWITCH L-1 Default-Case - true
   */

  @Test
  public void test0()  throws Throwable  {
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      LiveAttributeException liveAttributeException0 = new LiveAttributeException((Element) null, "", (short)188, "");
      BridgeException bridgeException0 = null;
      try {
        bridgeException0 = new BridgeException(bridgeContext0, liveAttributeException0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Unknown LiveAttributeException error code 188
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/String;[Ljava/lang/Object;)V: I12 Branch 7 IFNULL L-1 - false
   * 2 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/String;[Ljava/lang/Object;)V: I14 Branch 8 IFNULL L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      SVGTitleElementBridge sVGTitleElementBridge0 = new SVGTitleElementBridge();
      BridgeContext bridgeContext0 = sVGTitleElementBridge0.theCtx;
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("se-resize", "se-resize", "se-resize");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMFEFuncAElement sVGOMFEFuncAElement0 = new SVGOMFEFuncAElement("se-resize", (AbstractDocument) sVGOMDocument0);
      Object[] objectArray0 = new Object[9];
      BridgeException bridgeException0 = new BridgeException((BridgeContext) null, (Element) sVGOMFEFuncAElement0, "se-resize", objectArray0);
      assertEquals("se-resize", bridgeException0.getCode());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I2 Branch 13 IFNULL L-1 - true
   * 2 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I13 Branch 14 IFNULL L-1 - true
   * 3 org.apache.batik.bridge.BridgeException.getMessage()Ljava/lang/String;: I25 Branch 15 IFNONNULL L-1 - false
   * 4 org.apache.batik.bridge.BridgeException.<init>(Lorg/apache/batik/bridge/BridgeContext;Lorg/w3c/dom/Element;Ljava/lang/String;[Ljava/lang/Object;)V: I12 Branch 7 IFNULL L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      SVGDescElementBridge sVGDescElementBridge0 = new SVGDescElementBridge();
      BridgeContext bridgeContext0 = sVGDescElementBridge0.theCtx;
      Object[] objectArray0 = new Object[6];
      BridgeException bridgeException0 = new BridgeException((BridgeContext) null, (Element) null, "", objectArray0);
      // Undeclared exception!
      try {
        bridgeException0.toString();
        fail("Expecting exception: MissingResourceException");
      
      } catch(MissingResourceException e) {
         //
         // Unable to find resource: 
         //
      }
  }
}
