/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.bridge;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import org.apache.batik.anim.timing.TimedElement;
import org.apache.batik.bridge.SVGAnimateColorElementBridge;
import org.apache.batik.bridge.SVGAnimateElementBridge;
import org.apache.batik.bridge.SVGAnimateMotionElementBridge;
import org.apache.batik.bridge.SVGAnimateTransformElementBridge;
import org.apache.batik.bridge.SVGSetElementBridge;
import org.apache.batik.dom.events.DOMMutationNameEvent;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.events.MutationEvent;
import org.w3c.dom.svg.SVGElement;

public class SVGAnimationElementBridgeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getPixelUnitToMillimeter()F: root-Branch
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.getPixelToMM()F: root-Branch
   * 3 org.apache.batik.bridge.SVGAnimationElementBridge.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGAnimateColorElementBridge sVGAnimateColorElementBridge0 = new SVGAnimateColorElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateColorElementBridge0.getPixelToMM();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getTargetElement()Lorg/w3c/dom/svg/SVGElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      SVGElement sVGElement0 = sVGAnimateTransformElementBridge0.getTargetElement();
      assertNull(sVGElement0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMNodeInsertedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      sVGAnimateTransformElementBridge0.handleDOMNodeInsertedEvent((MutationEvent) dOMMutationNameEvent0);
      assertEquals("http://www.w3.org/2000/svg", sVGAnimateTransformElementBridge0.getNamespaceURI());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMNodeRemovedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.handleDOMNodeRemovedEvent((MutationEvent) dOMMutationNameEvent0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMAttrModifiedEvent(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      sVGAnimateTransformElementBridge0.handleDOMAttrModifiedEvent((MutationEvent) dOMMutationNameEvent0);
      assertEquals(false, dOMMutationNameEvent0.getDefaultPrevented());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleOtherAnimationChanged(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      sVGSetElementBridge0.handleOtherAnimationChanged("QVEui<I5l%8-I");
      assertEquals("http://www.w3.org/2000/svg", sVGSetElementBridge0.getNamespaceURI());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.svgToUserSpace(FII)F: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      float float0 = sVGAnimateTransformElementBridge0.svgToUserSpace((-1.0F), (-1004), (-1004));
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.handleDOMCharacterDataModified(Lorg/w3c/dom/events/MutationEvent;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      DOMMutationNameEvent dOMMutationNameEvent0 = new DOMMutationNameEvent();
      sVGAnimateMotionElementBridge0.handleDOMCharacterDataModified((MutationEvent) dOMMutationNameEvent0);
      assertEquals(1398080094975L, dOMMutationNameEvent0.getTimeStamp());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getBBox()Ljava/awt/geom/Rectangle2D;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      SVGSetElementBridge sVGSetElementBridge0 = new SVGSetElementBridge();
      Rectangle2D rectangle2D0 = sVGSetElementBridge0.getBBox();
      assertNull(rectangle2D0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getTimedElement()Lorg/apache/batik/anim/timing/TimedElement;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      TimedElement timedElement0 = sVGAnimateTransformElementBridge0.getTimedElement();
      assertNull(timedElement0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.endElement()Z: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      SVGAnimateElementBridge sVGAnimateElementBridge0 = new SVGAnimateElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateElementBridge0.endElement();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getCTM()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      SVGAnimateMotionElementBridge sVGAnimateMotionElementBridge0 = new SVGAnimateMotionElementBridge();
      AffineTransform affineTransform0 = sVGAnimateMotionElementBridge0.getCTM();
      assertNull(affineTransform0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getGlobalTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      AffineTransform affineTransform0 = sVGAnimateTransformElementBridge0.getGlobalTransform();
      assertNull(affineTransform0);
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.apache.batik.bridge.SVGAnimationElementBridge.getUnderlyingValue()Lorg/apache/batik/anim/values/AnimatableValue;: I2 Branch 4 IFNE L-1 - false
   * 2 org.apache.batik.bridge.SVGAnimationElementBridge.<init>()V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      SVGAnimateTransformElementBridge sVGAnimateTransformElementBridge0 = new SVGAnimateTransformElementBridge();
      // Undeclared exception!
      try {
        sVGAnimateTransformElementBridge0.getUnderlyingValue();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
