/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.ShorthandManager;
import org.apache.batik.css.engine.value.ValueManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.FontSizeManager;
import org.apache.batik.css.engine.value.css2.FontStretchManager;
import org.apache.batik.css.engine.value.css2.UnicodeBidiManager;
import org.apache.batik.css.engine.value.svg.ClipRuleManager;
import org.apache.batik.css.engine.value.svg.ColorRenderingManager;
import org.apache.batik.css.engine.value.svg.FillRuleManager;
import org.apache.batik.css.engine.value.svg.ImageRenderingManager;
import org.apache.batik.css.engine.value.svg.MarkerShorthandManager;
import org.apache.batik.css.engine.value.svg.StrokeLinecapManager;
import org.apache.batik.css.engine.value.svg12.MarginLengthManager;
import org.apache.batik.css.engine.value.svg12.MarginShorthandManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMStopElement;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.script.InterpreterPool;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class SVG12CSSEngineEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.SVG12CSSEngine.<init>(Lorg/w3c/dom/Document;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/css/parser/ExtendedParser;Lorg/apache/batik/css/engine/CSSContext;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMStopElement sVGOMStopElement0 = new SVGOMStopElement("duplicate.pseudo.element", (AbstractDocument) sVGOMDocument0);
      sVGOMStopElement0.getCSSBase();
      Parser parser0 = new Parser();
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      SVG12CSSEngine sVG12CSSEngine0 = new SVG12CSSEngine((Document) sVGOMDocument0, (ParsedURL) null, (ExtendedParser) parser0, (CSSContext) bridgeContext0);
      assertEquals(60, sVG12CSSEngine0.getLineHeightIndex());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.SVG12CSSEngine.<init>(Lorg/w3c/dom/Document;Lorg/apache/batik/util/ParsedURL;Lorg/apache/batik/css/parser/ExtendedParser;[Lorg/apache/batik/css/engine/value/ValueManager;[Lorg/apache/batik/css/engine/value/ShorthandManager;Lorg/apache/batik/css/engine/CSSContext;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = (SVG12DOMImplementation)SVG12DOMImplementation.getDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) null, (DOMImplementation) sVG12DOMImplementation0);
      SVGOMStopElement sVGOMStopElement0 = new SVGOMStopElement("duplicate.pseudo.element", (AbstractDocument) sVGOMDocument0);
      sVGOMStopElement0.getCSSBase();
      Parser parser0 = new Parser();
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      ValueManager[] valueManagerArray0 = new ValueManager[9];
      ColorRenderingManager colorRenderingManager0 = new ColorRenderingManager();
      valueManagerArray0[0] = (ValueManager) colorRenderingManager0;
      FontStretchManager fontStretchManager0 = new FontStretchManager();
      valueManagerArray0[1] = (ValueManager) fontStretchManager0;
      FillRuleManager fillRuleManager0 = new FillRuleManager();
      valueManagerArray0[2] = (ValueManager) fillRuleManager0;
      ImageRenderingManager imageRenderingManager0 = new ImageRenderingManager();
      valueManagerArray0[3] = (ValueManager) imageRenderingManager0;
      UnicodeBidiManager unicodeBidiManager0 = new UnicodeBidiManager();
      valueManagerArray0[4] = (ValueManager) unicodeBidiManager0;
      MarginLengthManager marginLengthManager0 = new MarginLengthManager("duplicate.pseudo.element");
      valueManagerArray0[5] = (ValueManager) marginLengthManager0;
      StrokeLinecapManager strokeLinecapManager0 = new StrokeLinecapManager();
      valueManagerArray0[6] = (ValueManager) strokeLinecapManager0;
      ClipRuleManager clipRuleManager0 = new ClipRuleManager();
      valueManagerArray0[7] = (ValueManager) clipRuleManager0;
      FontSizeManager fontSizeManager0 = new FontSizeManager();
      valueManagerArray0[8] = (ValueManager) fontSizeManager0;
      ShorthandManager[] shorthandManagerArray0 = new ShorthandManager[6];
      FontShorthandManager fontShorthandManager0 = new FontShorthandManager();
      shorthandManagerArray0[0] = (ShorthandManager) fontShorthandManager0;
      shorthandManagerArray0[1] = (ShorthandManager) fontShorthandManager0;
      MarkerShorthandManager markerShorthandManager0 = new MarkerShorthandManager();
      shorthandManagerArray0[2] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[3] = (ShorthandManager) markerShorthandManager0;
      shorthandManagerArray0[4] = (ShorthandManager) markerShorthandManager0;
      MarginShorthandManager marginShorthandManager0 = new MarginShorthandManager();
      shorthandManagerArray0[5] = (ShorthandManager) marginShorthandManager0;
      InterpreterPool interpreterPool0 = new InterpreterPool();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, interpreterPool0, documentLoader0);
      SVG12CSSEngine sVG12CSSEngine0 = new SVG12CSSEngine((Document) sVGOMDocument0, (ParsedURL) null, (ExtendedParser) parser0, valueManagerArray0, shorthandManagerArray0, (CSSContext) bridgeContext0);
      assertEquals(60, sVG12CSSEngine0.getLineHeightIndex());
  }
}
