/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.DocumentLoader;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.css2.ClipManager;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.dom.AbstractStylableDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.script.InterpreterPool;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class ClipManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.ClipManager.isAdditiveProperty()Z: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.ClipManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ClipManager clipManager0 = new ClipManager();
      boolean boolean0 = clipManager0.isAdditiveProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.ClipManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.ClipManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 5 IF_ICMPEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ClipManager clipManager0 = new ClipManager();
      try {
        clipManager0.createStringValue((short)35, "", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (35) is invalid for the \"clip\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.ClipManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ClipManager clipManager0 = new ClipManager();
      boolean boolean0 = clipManager0.isInheritedProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.ClipManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ClipManager clipManager0 = new ClipManager();
      StringValue stringValue0 = (StringValue)clipManager0.getDefaultValue();
      assertEquals(1, stringValue0.getCssValueType());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.ClipManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ClipManager clipManager0 = new ClipManager();
      boolean boolean0 = clipManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.ClipManager.getPropertyType()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ClipManager clipManager0 = new ClipManager();
      int int0 = clipManager0.getPropertyType();
      assertEquals(19, int0);
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.ClipManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 2 org.apache.batik.css.engine.value.css2.ClipManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 3 org.apache.batik.css.engine.value.css2.ClipManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 4 org.apache.batik.css.engine.value.css2.ClipManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I11 Branch 4 IFLE L-1 - true
   * 5 org.apache.batik.css.engine.value.css2.ClipManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 6 org.apache.batik.css.engine.value.css2.ClipManager.<init>()V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ClipManager clipManager0 = new ClipManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.MEDIUM_LU;
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      DocumentLoader documentLoader0 = new DocumentLoader((UserAgent) userAgentAdapter0);
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0, (InterpreterPool) null, documentLoader0);
      SVG12CSSEngine sVG12CSSEngine0 = (SVG12CSSEngine)sVG12DOMImplementation0.createCSSEngine((AbstractStylableDocument) sVG12OMDocument0, (CSSContext) bridgeContext0);
      try {
        clipManager0.createValue(lexicalUnit0, (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The 'clip' property value is malformed.
         //
      }
  }
}
