/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.css.engine.value.css2;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.bridge.BridgeContext;
import org.apache.batik.bridge.UserAgent;
import org.apache.batik.bridge.UserAgentAdapter;
import org.apache.batik.css.engine.CSSContext;
import org.apache.batik.css.engine.CSSEngine;
import org.apache.batik.css.engine.SVG12CSSEngine;
import org.apache.batik.css.engine.value.StringValue;
import org.apache.batik.css.engine.value.css2.FontShorthandManager;
import org.apache.batik.css.engine.value.css2.TextDecorationManager;
import org.apache.batik.css.parser.ExtendedParser;
import org.apache.batik.css.parser.Parser;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg.SVGOMPatternElement;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.apache.batik.util.ParsedURL;
import org.junit.BeforeClass;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;

public class TextDecorationManagerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.TextDecorationManager.getPropertyType()I: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.TextDecorationManager.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      TextDecorationManager textDecorationManager0 = new TextDecorationManager();
      int int0 = textDecorationManager0.getPropertyType();
      assertEquals(18, int0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.TextDecorationManager.isAdditiveProperty()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      TextDecorationManager textDecorationManager0 = new TextDecorationManager();
      boolean boolean0 = textDecorationManager0.isAdditiveProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.TextDecorationManager.getDefaultValue()Lorg/apache/batik/css/engine/value/Value;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      TextDecorationManager textDecorationManager0 = new TextDecorationManager();
      StringValue stringValue0 = (StringValue)textDecorationManager0.getDefaultValue();
      assertEquals(21, stringValue0.getPrimitiveType());
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.TextDecorationManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   * 3 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - false
   * 4 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - true
   */

  @Test
  public void test3()  throws Throwable  {
      TextDecorationManager textDecorationManager0 = new TextDecorationManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.SZ_8PT_LU;
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("sSM*?krxIJ];Gqs%", "sSM*?krxIJ];Gqs%", "sSM*?krxIJ];Gqs%");
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVGDOMImplementation0);
      sVGOMDocument0.getCSSEngine();
      try {
        textDecorationManager0.createValue(lexicalUnit0, (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"text-decoration\" property does not support point values.
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.TextDecorationManager.isAnimatableProperty()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      TextDecorationManager textDecorationManager0 = new TextDecorationManager();
      boolean boolean0 = textDecorationManager0.isAnimatableProperty();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.css.engine.value.css2.TextDecorationManager.isInheritedProperty()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      TextDecorationManager textDecorationManager0 = new TextDecorationManager();
      boolean boolean0 = textDecorationManager0.isInheritedProperty();
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 2 LOOKUPSWITCH L-1 Case 35 - true
   * 2 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 3 LOOKUPSWITCH L-1 Default-Case - false
   * 3 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I11 Branch 4 IFLE L-1 - true
   * 4 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I24 Branch 5 IF_ICMPNE L-1 - false
   * 5 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I35 Branch 6 IFNONNULL L-1 - false
   * 6 org.apache.batik.css.engine.value.css2.TextDecorationManager.createValue(Lorg/w3c/css/sac/LexicalUnit;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 1 LOOKUPSWITCH L-1 Case 12 - false
   */

  @Test
  public void test6()  throws Throwable  {
      TextDecorationManager textDecorationManager0 = new TextDecorationManager();
      LexicalUnit lexicalUnit0 = FontShorthandManager.MEDIUM_LU;
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("aoJEr", "aoJEr", "aoJEr");
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      SVGOMPatternElement sVGOMPatternElement0 = new SVGOMPatternElement("aoJEr", (AbstractDocument) sVG12OMDocument0);
      sVGOMPatternElement0.getCSSBase();
      Parser parser0 = new Parser();
      UserAgentAdapter userAgentAdapter0 = new UserAgentAdapter();
      BridgeContext bridgeContext0 = new BridgeContext((UserAgent) userAgentAdapter0);
      SVG12CSSEngine sVG12CSSEngine0 = new SVG12CSSEngine((Document) sVG12OMDocument0, (ParsedURL) null, (ExtendedParser) parser0, (CSSContext) bridgeContext0);
      try {
        textDecorationManager0.createValue(lexicalUnit0, (CSSEngine) sVG12CSSEngine0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The \"medium\" identifier is not a valid value for the \"text-decoration\" property. 
         //
      }
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.apache.batik.css.engine.value.css2.TextDecorationManager.createStringValue(SLjava/lang/String;Lorg/apache/batik/css/engine/CSSEngine;)Lorg/apache/batik/css/engine/value/Value;: I2 Branch 8 IF_ICMPEQ L-1 - false
   * 2 org.apache.batik.css.engine.value.css2.TextDecorationManager.getPropertyName()Ljava/lang/String;: root-Branch
   * 3 org.apache.batik.css.engine.value.css2.TextDecorationManager.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      TextDecorationManager textDecorationManager0 = new TextDecorationManager();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) null);
      sVG12OMDocument0.getCSSEngine();
      try {
        textDecorationManager0.createStringValue((short) (-323), "7@7$7[h*cemC*~aL", (CSSEngine) null);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given string type (-323) is invalid for the \"text-decoration\" property (see org.w3c.dom.css.CSSPrimitiveValue).
         //
      }
  }
}
