/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.dom;

import org.junit.Test;
import static org.junit.Assert.*;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.GenericNotation;
import org.apache.batik.dom.svg.SVGOMDocument;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class AbstractNotationEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.AbstractNotation.copyInto(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   * 2 org.apache.batik.dom.AbstractNotation.setPublicId(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNotation.setNodeName(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.dom.AbstractNotation.<init>()V: root-Branch
   * 5 org.apache.batik.dom.AbstractNotation.setSystemId(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GenericNotation genericNotation0 = new GenericNotation("xmlns:xlink", "xmlns:xlink", "xmlns:xlink", (AbstractDocument) null);
      GenericNotation genericNotation1 = (GenericNotation)genericNotation0.cloneNode(false);
      assertEquals("xmlns:xlink", genericNotation1.getPublicId());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.dom.AbstractNotation.deepCopyInto(Lorg/w3c/dom/Node;)Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("", "", "", (AbstractDocument) sVGOMDocument0);
      GenericNotation genericNotation1 = (GenericNotation)genericNotation0.cloneNode(true);
      assertFalse(genericNotation0.equals(genericNotation1));
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.apache.batik.dom.AbstractNotation.getNodeName()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractNotation.getNodeType()S: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = new GenericDocumentType("", "", "");
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) genericDocumentType0, (DOMImplementation) sVG12DOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("", "", "", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        genericNotation0.setSpecified(false);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // An attempt as been made to invoke an invalid method for the current node (type: 12, name: ).
         //
      }
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.apache.batik.dom.AbstractNotation.getSystemId()Ljava/lang/String;: root-Branch
   * 2 org.apache.batik.dom.AbstractNotation.setPublicId(Ljava/lang/String;)V: root-Branch
   * 3 org.apache.batik.dom.AbstractNotation.setNodeName(Ljava/lang/String;)V: root-Branch
   * 4 org.apache.batik.dom.AbstractNotation.<init>()V: root-Branch
   * 5 org.apache.batik.dom.AbstractNotation.setSystemId(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      GenericDOMImplementation genericDOMImplementation0 = new GenericDOMImplementation();
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("-Qb,!`wY8']#I*", "-Qb,!`wY8']#I*", "-Qb,!`wY8']#I*");
      SVGOMDocument sVGOMDocument0 = new SVGOMDocument((DocumentType) genericDocumentType0, (DOMImplementation) genericDOMImplementation0);
      GenericNotation genericNotation0 = new GenericNotation("-Qb,!`wY8']#I*", "-Qb,!`wY8']#I*", "-Qb,!`wY8']#I*", (AbstractDocument) sVGOMDocument0);
      String string0 = genericNotation0.getSystemId();
      assertEquals("-Qb,!`wY8']#I*", string0);
  }
}
