/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.g2d;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import java.awt.Image;
import java.awt.Paint;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Line2D;
import java.awt.geom.RoundRectangle2D;
import java.awt.image.ImageObserver;
import javax.swing.JSpinner;
import javax.swing.JTree;
import javax.swing.table.DefaultTableCellRenderer;
import org.apache.batik.ext.awt.g2d.DefaultGraphics2D;
import org.apache.batik.ext.awt.g2d.GraphicContext;
import org.junit.BeforeClass;

public class AbstractGraphics2DEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.shear(DD)V: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.<init>(Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Line2D.Float line2D_Float0 = new Line2D.Float();
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(true);
      // Undeclared exception!
      try {
        defaultGraphics2D0.shear((double) 0, (double) 0.0F);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.fillRoundRect(IIIIII)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(true);
      defaultGraphics2D0.fillRoundRect(0, 0, 0, 0, 0, 0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.drawRect(IIII)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(false);
      defaultGraphics2D0.drawRect((-775), (-775), (-775), (-775));
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.getColor()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(true);
      // Undeclared exception!
      try {
        defaultGraphics2D0.getColor();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.drawArc(IIIIII)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(false);
      defaultGraphics2D0.drawArc(1123, 1123, 1123, 1123, 1123, 1123);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.getGraphicContext()Lorg/apache/batik/ext/awt/g2d/GraphicContext;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(true);
      GraphicContext graphicContext0 = defaultGraphics2D0.getGraphicContext();
      assertNull(graphicContext0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.getBackground()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(false);
      // Undeclared exception!
      try {
        defaultGraphics2D0.getBackground();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.drawRoundRect(IIIIII)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(true);
      defaultGraphics2D0.drawRoundRect(0, 0, 0, 0, 0, 0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.setPaint(Ljava/awt/Paint;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(false);
      JSpinner jSpinner0 = new JSpinner();
      JSpinner.NumberEditor jSpinner_NumberEditor0 = new JSpinner.NumberEditor(jSpinner0);
      Color color0 = jSpinner_NumberEditor0.getForeground();
      // Undeclared exception!
      try {
        defaultGraphics2D0.setPaint((Paint) color0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.getClip()Ljava/awt/Shape;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(true);
      // Undeclared exception!
      try {
        defaultGraphics2D0.getClip();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.getTransform()Ljava/awt/geom/AffineTransform;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(false);
      // Undeclared exception!
      try {
        defaultGraphics2D0.getTransform();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.<init>(Lorg/apache/batik/ext/awt/g2d/AbstractGraphics2D;)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(false);
      DefaultGraphics2D defaultGraphics2D1 = null;
      try {
        defaultGraphics2D1 = new DefaultGraphics2D(defaultGraphics2D0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.hit(Ljava/awt/Rectangle;Ljava/awt/Shape;Z)Z: I1 Branch 4 IFEQ L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Ellipse2D.Float ellipse2D_Float0 = new Ellipse2D.Float();
      ellipse2D_Float0.isEmpty();
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(true);
      JTree jTree0 = new JTree();
      Rectangle rectangle0 = jTree0.getVisibleRect();
      // Undeclared exception!
      try {
        defaultGraphics2D0.hit(rectangle0, (Shape) ellipse2D_Float0, true);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.drawPolyline([I[II)V: I1 Branch 1 IFLE L-1 - false
   * 2 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.drawPolyline([I[II)V: I21 Branch 2 IF_ICMPGE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(false);
      int[] intArray0 = new int[7];
      // Undeclared exception!
      try {
        defaultGraphics2D0.drawPolyline(intArray0, intArray0, 8317);
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.drawImage(Ljava/awt/Image;Ljava/awt/geom/AffineTransform;Ljava/awt/image/ImageObserver;)Z: I6 Branch 3 IFEQ L-1 - false
   * 2 org.apache.batik.ext.awt.g2d.AbstractGraphics2D.<init>(Z)V: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      RoundRectangle2D.Float roundRectangle2D_Float0 = new RoundRectangle2D.Float();
      DefaultGraphics2D defaultGraphics2D0 = new DefaultGraphics2D(true);
      DefaultTableCellRenderer defaultTableCellRenderer0 = new DefaultTableCellRenderer();
      defaultTableCellRenderer0.createVolatileImage(0, 0);
      AffineTransform affineTransform0 = AffineTransform.getRotateInstance((double) 0.0F, (double) 0, (double) 0);
      // Undeclared exception!
      try {
        defaultGraphics2D0.drawImage((Image) null, affineTransform0, (ImageObserver) defaultTableCellRenderer0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
