/*
 * This file was automatically generated by EvoSuite
 */

package org.apache.batik.ext.awt.g2d;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Color;
import java.awt.Font;
import java.awt.RenderingHints;
import java.awt.font.FontRenderContext;
import java.awt.geom.AffineTransform;
import java.util.Locale;
import javax.print.attribute.standard.DocumentName;
import javax.swing.JPasswordField;
import javax.swing.JSpinner;
import javax.swing.SpinnerDateModel;
import javax.swing.SpinnerModel;
import javax.swing.plaf.FontUIResource;
import org.apache.batik.ext.awt.g2d.GraphicContext;
import org.junit.BeforeClass;

public class GraphicContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.transform(Ljava/awt/geom/AffineTransform;)V: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      // Undeclared exception!
      try {
        graphicContext0.transform((AffineTransform) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.rotate(DDD)V: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.<init>(Ljava/awt/geom/AffineTransform;)V: I18 Branch 1 IFNE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      JPasswordField jPasswordField0 = new JPasswordField();
      FontUIResource fontUIResource0 = (FontUIResource)jPasswordField0.getFont();
      AffineTransform affineTransform0 = fontUIResource0.getTransform();
      GraphicContext graphicContext0 = new GraphicContext(affineTransform0);
      graphicContext0.rotate(1060.7194347460913, 1060.7194347460913, 1060.7194347460913);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.translate(DD)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      graphicContext0.translate(0.0, 0.0);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.invalidateTransformStack()V: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.setTransform(Ljava/awt/geom/AffineTransform;)V: I10 Branch 13 IFNE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      assertEquals(true, graphicContext0.isTransformStackValid());
      
      float[] floatArray0 = new float[8];
      AffineTransform affineTransform0 = new AffineTransform(floatArray0);
      graphicContext0.setTransform(affineTransform0);
      assertEquals(false, graphicContext0.isTransformStackValid());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.setRenderingHint(Ljava/awt/RenderingHints$Key;Ljava/lang/Object;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      RenderingHints.Key renderingHints_Key0 = RenderingHints.KEY_ANTIALIASING;
      SpinnerDateModel spinnerDateModel0 = new SpinnerDateModel();
      JSpinner jSpinner0 = new JSpinner((SpinnerModel) spinnerDateModel0);
      JSpinner.DateEditor jSpinner_DateEditor0 = new JSpinner.DateEditor(jSpinner0);
      Locale locale0 = jSpinner_DateEditor0.getLocale();
      DocumentName documentName0 = new DocumentName("33F)l(KOY^GQ[1s1HM", locale0);
      documentName0.getName();
      // Undeclared exception!
      try {
        graphicContext0.setRenderingHint(renderingHints_Key0, (Object) "document-name");
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // document-name incompatible with Global antialiasing enable key
         //
      }
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.clipRect(IIII)V: root-Branch
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.clip(Ljava/awt/Shape;)V: I1 Branch 15 IFNULL L-1 - false
   * 3 org.apache.batik.ext.awt.g2d.GraphicContext.clip(Ljava/awt/Shape;)V: I10 Branch 16 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.g2d.GraphicContext.<init>(Ljava/awt/geom/AffineTransform;)V: I18 Branch 1 IFNE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      AffineTransform affineTransform0 = AffineTransform.getQuadrantRotateInstance(1, 1, 1);
      GraphicContext graphicContext0 = new GraphicContext(affineTransform0);
      graphicContext0.clipRect(1, 1, 1, 1);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.shear(DD)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      graphicContext0.shear(0.0, 0.0);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getPaint()Ljava/awt/Paint;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      Color color0 = (Color)graphicContext0.getPaint();
      assertEquals(true, graphicContext0.isTransformStackValid());
      assertNotNull(color0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getClip()Ljava/awt/Shape;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      graphicContext0.getClip();
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getColor()Ljava/awt/Color;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      Color color0 = graphicContext0.getColor();
      assertEquals(true, graphicContext0.isTransformStackValid());
      assertNotNull(color0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.setFont(Ljava/awt/Font;)V: I1 Branch 6 IFNULL L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      graphicContext0.setFont((Font) null);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 11
  /*
   * 7 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I9 Branch 17 IF_ACMPEQ L-1 - false
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I12 Branch 18 IF_ACMPEQ L-1 - false
   * 3 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I15 Branch 19 IF_ACMPEQ L-1 - false
   * 4 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I23 Branch 20 IF_ACMPEQ L-1 - false
   * 5 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I26 Branch 21 IF_ACMPEQ L-1 - false
   * 6 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I29 Branch 22 IF_ACMPNE L-1 - true
   * 7 org.apache.batik.ext.awt.g2d.GraphicContext.getFontRenderContext()Ljava/awt/font/FontRenderContext;: I44 Branch 23 IF_ACMPNE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      GraphicContext graphicContext0 = new GraphicContext();
      FontRenderContext fontRenderContext0 = graphicContext0.getFontRenderContext();
      assertEquals(true, fontRenderContext0.isAntiAliased());
      assertEquals(true, fontRenderContext0.usesFractionalMetrics());
      assertNotNull(fontRenderContext0);
      assertEquals(true, graphicContext0.isTransformStackValid());
  }

  //Test case number: 12
  /*
   * 5 covered goals:
   * 1 org.apache.batik.ext.awt.g2d.GraphicContext.clone()Ljava/lang/Object;: I28 Branch 2 IF_ICMPGE L-1 - true
   * 2 org.apache.batik.ext.awt.g2d.GraphicContext.clone()Ljava/lang/Object;: I28 Branch 2 IF_ICMPGE L-1 - false
   * 3 org.apache.batik.ext.awt.g2d.GraphicContext.clone()Ljava/lang/Object;: I62 Branch 3 IFNULL L-1 - true
   * 4 org.apache.batik.ext.awt.g2d.GraphicContext.<init>()V: root-Branch
   * 5 org.apache.batik.ext.awt.g2d.GraphicContext.<init>(Ljava/awt/geom/AffineTransform;)V: I18 Branch 1 IFNE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      AffineTransform affineTransform0 = AffineTransform.getQuadrantRotateInstance(1, 1, 1);
      GraphicContext graphicContext0 = new GraphicContext(affineTransform0);
      GraphicContext graphicContext1 = (GraphicContext)graphicContext0.clone();
      assertEquals(true, graphicContext1.isTransformStackValid());
      assertNotNull(graphicContext1);
  }
}
