/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.context;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;
import javax.imageio.metadata.IIOMetadataNode;
import javax.swing.AbstractButton;
import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.JRadioButton;
import javax.swing.JToggleButton;
import org.junit.BeforeClass;
import org.xhtmlrenderer.context.StandardAttributeResolver;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.extend.UserInterface;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.NoNamespaceHandler;
import org.xhtmlrenderer.swing.RootPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class StandardAttributeResolverEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getNonCssStyling(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.context.StandardAttributeResolver.<init>(Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/xhtmlrenderer/extend/UserAgentCallback;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("qi34I!9b3|o`vpz_'pg");
      iIOMetadataNode0.getLocalName();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent((int) ']');
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) xHTMLPanel0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.getNonCssStyling((Object) "qi34I!9b3|o`vpz_'pg");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getID(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) null, (UserInterface) scalableXHTMLPanel0);
      String string0 = AbstractButton.PRESSED_ICON_CHANGED_PROPERTY;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getID((Object) "pressedIcon");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isActive(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      RootPanel rootPanel0 = new RootPanel();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) null, (UserInterface) rootPanel0);
      JToggleButton jToggleButton0 = new JToggleButton("kPd3Hg'f]OR9f$[h:9m");
      jToggleButton0.getDisabledIcon();
      JRadioButton jRadioButton0 = new JRadioButton((Icon) null, true);
      jRadioButton0.getName();
      boolean boolean0 = standardAttributeResolver0.isActive((Object) null);
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getElementStyling(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) null, (UserInterface) null);
      RootPanel rootPanel0 = new RootPanel();
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) rootPanel0, 0, (long) 0, 0, 0, 0, 0, false, 0, 0, 0);
      rootPanel0.getToolTipText((MouseEvent) mouseWheelEvent0);
      String string0 = standardAttributeResolver0.getElementStyling((Object) null);
      assertNull(string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getLang(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) naiveUserAgent0);
      sharedContext0.getNamespaceHandler();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      renderingContext0.getCanvas();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) null);
      String string0 = JComponent.TOOL_TIP_TEXT_KEY;
      // Undeclared exception!
      try {
        standardAttributeResolver0.getLang((Object) "ToolTipText");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getClass(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      RootPanel rootPanel0 = new RootPanel();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) null, (UserInterface) rootPanel0);
      JToggleButton jToggleButton0 = new JToggleButton("kPd3Hg'f]OR9f$[h:9m");
      jToggleButton0.getDisabledIcon();
      JRadioButton jRadioButton0 = new JRadioButton((Icon) null, true);
      jRadioButton0.getName();
      String string0 = standardAttributeResolver0.getClass((Object) null);
      assertNull(string0);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isLink(Ljava/lang/Object;)Z: I7 Branch 1 IFNULL L127 - true
   * 2 org.xhtmlrenderer.context.StandardAttributeResolver.isVisited(Ljava/lang/Object;)Z: I5 Branch 2 IFEQ L137 - true
   * 3 org.xhtmlrenderer.context.StandardAttributeResolver.<init>(Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/xhtmlrenderer/extend/UserAgentCallback;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) null, (UserInterface) null);
      RootPanel rootPanel0 = new RootPanel();
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) rootPanel0, 0, (long) 0, 0, 0, 0, 0, false, 0, 0, 0);
      rootPanel0.getToolTipText((MouseEvent) mouseWheelEvent0);
      boolean boolean0 = standardAttributeResolver0.isVisited((Object) null);
      assertEquals(false, boolean0);
  }
}
