/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.css.CSSPrimitiveValue;
import org.xhtmlrenderer.css.constants.CSSName;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.parser.FSFunction;
import org.xhtmlrenderer.css.parser.PropertyValue;
import org.xhtmlrenderer.css.parser.Token;
import org.xhtmlrenderer.css.sheet.PropertyDeclaration;
import org.xhtmlrenderer.layout.FunctionData;

public class PropertyValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCounterValue()Lorg/w3c/dom/css/Counter;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test0()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)11, (float) (short)11, "inherit");
      // Undeclared exception!
      try {
        propertyValue0.getCounterValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FunctionData functionData0 = new FunctionData();
      functionData0.getFunction();
      PropertyValue propertyValue0 = null;
      try {
        propertyValue0 = new PropertyValue((FSFunction) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRectValue()Lorg/w3c/dom/css/Rect;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test2()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, "=<vQzHX:C2Xpj#x%;[k", "=<vQzHX:C2Xpj#x%;[k");
      // Undeclared exception!
      try {
        propertyValue0.getRectValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue(S)F: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)11, (float) (short)11, "inherit");
      float float0 = propertyValue0.getFloatValue((short)11);
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(11, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(11.0F, float0, 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getIdentValue()Lorg/xhtmlrenderer/css/constants/IdentValue;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)91, (float) (short)91, "sw-resize");
      propertyValue0.getIdentValue();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(91, propertyValue0.getPrimitiveType());
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(91.0F, propertyValue0.getFloatValue(), 0.01F);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getValues()Ljava/util/List;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test5()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSIDE;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getValues();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals("I49", propertyValue0.getFingerprint());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRGBColorValue()Lorg/w3c/dom/css/RGBColor;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      IdentValue identValue0 = IdentValue.CENTER;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getRGBColorValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setCssText(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)91, (float) (short)91, "sw-resize");
      // Undeclared exception!
      try {
        propertyValue0.setCssText("sw-resize");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringValue(SLjava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      IdentValue identValue0 = IdentValue.LINE_THROUGH;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      short short0 = propertyValue0.getPropertyValueType();
      assertEquals((short)4, short0);
      
      // Undeclared exception!
      try {
        propertyValue0.setStringValue((short)4, "super");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setFloatValue(SF)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, (float) (short)0, ")");
      // Undeclared exception!
      try {
        propertyValue0.setFloatValue((short)0, (short)0);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFunction()Lorg/xhtmlrenderer/css/parser/FSFunction;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, "=<vQzHX:C2Xpj#x%;[k", "=<vQzHX:C2Xpj#x%;[k");
      propertyValue0.getFunction();
      assertEquals(0, propertyValue0.getPrimitiveType());
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setOperator(Lorg/xhtmlrenderer/css/parser/Token;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - false
   */

  @Test
  public void test11()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)48, "inherit", "inherit");
      Token token0 = Token.TK_EOF;
      propertyValue0.setOperator(token0);
      assertEquals(48, propertyValue0.getPrimitiveType());
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(0, propertyValue0.getCssValueType());
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)11, (float) (short)11, "inherit");
      CSSName cSSName0 = CSSName.BACKGROUND_COLOR;
      PropertyDeclaration propertyDeclaration0 = new PropertyDeclaration(cSSName0, (CSSPrimitiveValue) propertyValue0, false, (int) (short)11);
      IdentValue identValue0 = propertyDeclaration0.asIdentValue();
      assertNotNull(identValue0);
      
      PropertyValue propertyValue1 = new PropertyValue(identValue0);
      assertEquals("I44", propertyValue1.getFingerprint());
      assertEquals(21, propertyValue1.getPrimitiveType());
      assertEquals("background-color: inherit", propertyDeclaration0.toString());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(11, propertyValue0.getPrimitiveType());
      assertEquals(0, propertyValue1.getCssValueType());
  }

  //Test case number: 13
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - true
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test13()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, "=<vQzHX:C2Xpj#x%;[k", "=<vQzHX:C2Xpj#x%;[k");
      String string0 = propertyValue0.getFingerprint();
      assertNotNull(string0);
      assertEquals(5, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(0, propertyValue0.getPrimitiveType());
  }

  //Test case number: 14
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test14()  throws Throwable  {
      IdentValue identValue0 = IdentValue.CENTER;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getFingerprint();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertNotNull(string0);
      assertEquals("I13", string0);
  }
}
