/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import org.junit.BeforeClass;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.swing.Java2DRenderer;
import org.xhtmlrenderer.util.XRRuntimeException;

public class Java2DRendererEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.loadDocument(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.getImage()Ljava/awt/image/BufferedImage;: I4 Branch 1 IFNE L248 - false
   * 3 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;I)V: root-Branch
   * 4 org.xhtmlrenderer.swing.Java2DRenderer.init(FI)V: root-Branch
   * 5 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Java2DRenderer java2DRenderer0 = new Java2DRenderer("", 1696);
      // Undeclared exception!
      try {
        java2DRenderer0.getImage();
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). org.xml.sax.SAXParseException: Content is not allowed in prolog.
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.getSharedContext()Lorg/xhtmlrenderer/layout/SharedContext;: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Java2DRenderer java2DRenderer0 = new Java2DRenderer("CdFuECs~Jg!", 0, 0);
      SharedContext sharedContext0 = java2DRenderer0.getSharedContext();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertNotNull(sharedContext0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/io/File;II)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      File file0 = new File("CdFuECs~Jg!");
      Java2DRenderer java2DRenderer0 = new Java2DRenderer(file0, 0, 0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.setBufferedImageType(I)V: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Java2DRenderer java2DRenderer0 = new Java2DRenderer("CdFuECs~Jg!", 0, 0);
      java2DRenderer0.setBufferedImageType(0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.Java2DRenderer.setRenderingHints(Ljava/util/Map;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.Java2DRenderer.init(FI)V: root-Branch
   * 3 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   * 4 org.xhtmlrenderer.swing.Java2DRenderer.<init>(Ljava/lang/String;Ljava/lang/String;I)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Java2DRenderer java2DRenderer0 = new Java2DRenderer("@PuO{4]`e+f\";0oM@V", "@PuO{4]`e+f\";0oM@V", 10);
      HashMap<String, Object> hashMap0 = new HashMap<String, Object>();
      java2DRenderer0.setRenderingHints((Map) hashMap0);
      assertEquals("{}", hashMap0.toString());
  }
}
