/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.awt.image.ImageProducer;
import java.util.List;
import java.util.Vector;
import javax.swing.CellRendererPane;
import javax.swing.table.DefaultTableModel;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.ImageUtil;
import org.xhtmlrenderer.util.ScalingOptions;

public class ImageUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil.clearImage(Ljava/awt/image/BufferedImage;Ljava/awt/Color;)V: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil.clearImage(Ljava/awt/image/BufferedImage;)V: root-Branch
   * 3 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(II)Ljava/awt/image/BufferedImage;: root-Branch
   * 4 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(III)Ljava/awt/image/BufferedImage;: I12 Branch 9 IFEQ L90 - false
   */

  @Test
  public void test0()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(865, 865);
      assertNotNull(bufferedImage0);
      
      ImageUtil.clearImage(bufferedImage0);
      assertEquals(2, bufferedImage0.getType());
      assertEquals(865, bufferedImage0.getHeight());
      assertEquals(865, bufferedImage0.getTileWidth());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ImageUtil imageUtil0 = new ImageUtil();
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Ljava/awt/image/BufferedImage;II)Ljava/awt/image/BufferedImage;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      // Undeclared exception!
      try {
        ImageUtil.getScaledInstance((BufferedImage) null, 0, 0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.scaleMultiple(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;Ljava/util/List;)Ljava/util/List;: I17 Branch 15 IFEQ L196 - true
   */

  @Test
  public void test3()  throws Throwable  {
      DefaultTableModel defaultTableModel0 = new DefaultTableModel();
      Vector<?> vector0 = defaultTableModel0.getDataVector();
      List<?> list0 = ImageUtil.scaleMultiple((ScalingOptions) null, (BufferedImage) null, (List) vector0);
      assertEquals(0, list0.size());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.convertToBufferedImage(Ljava/awt/Image;I)Ljava/awt/image/BufferedImage;: I4 Branch 16 IFEQ L218 - true
   */

  @Test
  public void test4()  throws Throwable  {
      CellRendererPane cellRendererPane0 = new CellRendererPane();
      Image image0 = cellRendererPane0.createImage((ImageProducer) null);
      // Undeclared exception!
      try {
        ImageUtil.convertToBufferedImage(image0, 1986);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
