/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.evosuite.Properties.SandboxMode;
import org.evosuite.sandbox.Sandbox;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.GeneralUtil;

public class GeneralUtilEvoSuiteTest {

  private static ExecutorService executor; 

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
    org.evosuite.Properties.SANDBOX_MODE = SandboxMode.RECOMMENDED; 
    Sandbox.initializeSecurityManagerForSUT(); 
    executor = Executors.newCachedThreadPool(); 
  } 

  @AfterClass 
  public static void clearEvoSuiteFramework(){ 
    executor.shutdownNow(); 
    Sandbox.resetDefaultSecurityManager(); 
  } 

  @Before 
  public void initTestCase(){ 
    Sandbox.goingToExecuteSUTCode(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    Sandbox.doneWithExecutingSUTCode(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.writeStringToFile(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I29 Branch 10 IF_ICMPLT L137 - true
   * 3 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I44 Branch 11 IF_ICMPLT L142 - true
   * 4 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I127 Branch 12 IFEQ L155 - true
   */

  @Test
  public void test0()  throws Throwable  {
    Future<?> future = executor.submit(new Runnable(){ 
            public void run() { 
        try {
          GeneralUtil.trackBack(0);
          // Undeclared exception!
          try {
            GeneralUtil.writeStringToFile("", "", "");
            fail("Expecting exception: SecurityException");
          
          } catch(SecurityException e) {
             //
             // Security manager blocks (java.io.FilePermission  write)
             // java.lang.Thread.getStackTrace(Thread.java:1479)
             // org.evosuite.sandbox.MSecurityManager.checkPermission(MSecurityManager.java:303)
             // java.lang.SecurityManager.checkWrite(SecurityManager.java:962)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:183)
             // java.io.FileOutputStream.<init>(FileOutputStream.java:145)
             // org.xhtmlrenderer.util.GeneralUtil.writeStringToFile(GeneralUtil.java:259)
             // sun.reflect.GeneratedMethodAccessor38.invoke(Unknown Source)
             // sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
             // java.lang.reflect.Method.invoke(Method.java:597)
             // org.evosuite.testcase.MethodStatement$1.execute(MethodStatement.java:264)
             // org.evosuite.testcase.AbstractStatement.exceptionHandler(AbstractStatement.java:144)
             // org.evosuite.testcase.MethodStatement.execute(MethodStatement.java:217)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:292)
             // org.evosuite.testcase.TestRunnable.call(TestRunnable.java:45)
             // java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
             // java.util.concurrent.FutureTask.run(FutureTask.java:138)
             // java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
             // java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
             // java.lang.Thread.run(Thread.java:662)
             //
          }
        } catch(Throwable t) {
            // Need to catch declared exceptions
        }
      } 
    }); 
    future.get(6000, TimeUnit.MILLISECONDS); 
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.GeneralUtil.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      GeneralUtil generalUtil0 = new GeneralUtil();
      assertEquals(false, generalUtil0.isMacOSX());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.openStreamFromClasspath(Ljava/lang/Object;Ljava/lang/String;)Ljava/io/InputStream;: I13 Branch 1 IFNONNULL L54 - false
   * 2 org.xhtmlrenderer.util.GeneralUtil.openStreamFromClasspath(Ljava/lang/Object;Ljava/lang/String;)Ljava/io/InputStream;: I29 Branch 2 IFNONNULL L59 - false
   * 3 org.xhtmlrenderer.util.GeneralUtil.openStreamFromClasspath(Ljava/lang/Object;Ljava/lang/String;)Ljava/io/InputStream;: I40 Branch 3 IFNULL L61 - true
   */

  @Test
  public void test2()  throws Throwable  {
      File file0 = new File("%20");
      file0.getCanonicalPath();
      InputStream inputStream0 = GeneralUtil.openStreamFromClasspath((Object) "/data/havrikov/evosuite/subjects/flyingsaucer/report1/%20", "/data/havrikov/evosuite/subjects/flyingsaucer/report1/%20");
      assertNull(inputStream0);
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.getURLFromClasspath(Ljava/lang/Object;Ljava/lang/String;)Ljava/net/URL;: I13 Branch 4 IFNONNULL L73 - false
   * 2 org.xhtmlrenderer.util.GeneralUtil.getURLFromClasspath(Ljava/lang/Object;Ljava/lang/String;)Ljava/net/URL;: I29 Branch 5 IFNONNULL L78 - false
   * 3 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I29 Branch 10 IF_ICMPLT L137 - true
   */

  @Test
  public void test3()  throws Throwable  {
      GeneralUtil.trackBack(0);
      URL uRL0 = GeneralUtil.getURLFromClasspath((Object) "", "");
      assertNull(uRL0);
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I8 Branch 6 IFNULL L95 - true
   * 2 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I46 Branch 8 IF_ICMPGE L100 - false
   * 3 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I49 Branch 9 IF_ICMPGE L100 - true
   * 4 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I49 Branch 9 IF_ICMPGE L100 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Exception exception0 = new Exception();
      GeneralUtil.dumpShortException(exception0);
      assertEquals("java.lang.Exception", exception0.toString());
  }

  //Test case number: 5
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I8 Branch 6 IFNULL L95 - false
   * 2 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I13 Branch 7 IFLE L95 - true
   * 3 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I46 Branch 8 IF_ICMPGE L100 - false
   * 4 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I49 Branch 9 IF_ICMPGE L100 - true
   * 5 org.xhtmlrenderer.util.GeneralUtil.dumpShortException(Ljava/lang/Exception;)V: I49 Branch 9 IF_ICMPGE L100 - false
   */

  @Test
  public void test5()  throws Throwable  {
      StackTraceElement stackTraceElement0 = new StackTraceElement("", "", "", 276);
      stackTraceElement0.toString();
      Throwable throwable0 = new Throwable("");
      Exception exception0 = new Exception(".(:276)", throwable0);
      GeneralUtil.dumpShortException(exception0);
      assertEquals(".(:276)", exception0.getLocalizedMessage());
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I29 Branch 10 IF_ICMPLT L137 - false
   * 2 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I44 Branch 11 IF_ICMPLT L142 - false
   * 3 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I127 Branch 12 IFEQ L155 - false
   * 4 org.xhtmlrenderer.util.GeneralUtil.classNameOnly(Ljava/lang/String;)Ljava/lang/String;: I7 Branch 14 IFNULL L186 - false
   * 5 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I44 Branch 11 IF_ICMPLT L142 - true
   * 6 org.xhtmlrenderer.util.GeneralUtil.trackBack(I)Ljava/lang/String;: I127 Branch 12 IFEQ L155 - true
   */

  @Test
  public void test6()  throws Throwable  {
      String string0 = GeneralUtil.trackBack(95);
      assertEquals("Thread.run(ln 662)\n   ThreadPoolExecutor$Worker.run(ln 908)\n      ThreadPoolExecutor$Worker.runTask(ln 886)\n         FutureTask.run(ln 138)\n            FutureTask$Sync.innerRun(ln 303)\n               TestRunnable.call(ln 45)\n                  TestRunnable.call(ln 292)\n                     MethodStatement.execute(ln 217)\n                        AbstractStatement.exceptionHandler(ln 144)\n                           MethodStatement$1.execute(ln 264)\n                              Method.invoke(ln 597)\n                                 DelegatingMethodAccessorImpl.invoke(ln 25)\n                                    GeneratedMethodAccessor37.invoke(ln -1)\n", string0);
      assertNotNull(string0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.GeneralUtil.classNameOnly(Ljava/lang/Object;)Ljava/lang/String;: I7 Branch 13 IFNULL L172 - true
   */

  @Test
  public void test7()  throws Throwable  {
      String string0 = GeneralUtil.classNameOnly((Object) null);
      assertEquals("[null object ref]", string0);
      assertNotNull(string0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.GeneralUtil.classNameOnly(Ljava/lang/Object;)Ljava/lang/String;: I7 Branch 13 IFNULL L172 - false
   */

  @Test
  public void test8()  throws Throwable  {
      StackTraceElement stackTraceElement0 = new StackTraceElement("", "", "", 276);
      stackTraceElement0.toString();
      String string0 = GeneralUtil.classNameOnly((Object) ".(:276)");
      assertEquals("String", string0);
      assertNotNull(string0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.GeneralUtil.paddedHashCode(Ljava/lang/Object;)Ljava/lang/String;: I7 Branch 15 IFNULL L200 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Locale locale0 = Locale.CHINESE;
      locale0.getISO3Language();
      String string0 = GeneralUtil.paddedHashCode((Object) "zho");
      assertNotNull(string0);
      assertEquals("0000120577", string0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.GeneralUtil.isMacOSX()Z: I8 Branch 16 IFLE L208 - true
   */

  @Test
  public void test10()  throws Throwable  {
      boolean boolean0 = GeneralUtil.isMacOSX();
      assertEquals(false, boolean0);
  }

  //Test case number: 11
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.htmlEscapeSpace(Ljava/lang/String;)Ljava/lang/StringBuffer;: I31 Branch 18 IF_ICMPNE L222 - false
   * 2 org.xhtmlrenderer.util.GeneralUtil.htmlEscapeSpace(Ljava/lang/String;)Ljava/lang/StringBuffer;: I20 Branch 17 IF_ICMPGE L220 - true
   * 3 org.xhtmlrenderer.util.GeneralUtil.htmlEscapeSpace(Ljava/lang/String;)Ljava/lang/StringBuffer;: I20 Branch 17 IF_ICMPGE L220 - false
   * 4 org.xhtmlrenderer.util.GeneralUtil.htmlEscapeSpace(Ljava/lang/String;)Ljava/lang/StringBuffer;: I31 Branch 18 IF_ICMPNE L222 - true
   * 5 org.xhtmlrenderer.util.GeneralUtil.htmlEscapeSpace(Ljava/lang/String;)Ljava/lang/StringBuffer;: I43 Branch 19 IF_ICMPNE L224 - true
   */

  @Test
  public void test11()  throws Throwable  {
      StringBuffer stringBuffer0 = GeneralUtil.htmlEscapeSpace("w UX2mxmrZ{e4We");
      assertEquals("w%20UX2mxmrZ{e4We", stringBuffer0.toString());
      assertEquals(22, stringBuffer0.capacity());
      assertNotNull(stringBuffer0);
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.inputStreamToString(Ljava/io/InputStream;)Ljava/lang/String;: I37 Branch 20 IFGE L240 - true
   * 2 org.xhtmlrenderer.util.GeneralUtil.inputStreamToString(Ljava/io/InputStream;)Ljava/lang/String;: I37 Branch 20 IFGE L240 - false
   */

  @Test
  public void test12()  throws Throwable  {
      byte[] byteArray0 = new byte[4];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      String string0 = GeneralUtil.inputStreamToString((InputStream) byteArrayInputStream0);
      assertEquals(0, byteArrayInputStream0.available());
      assertEquals("\u0000\u0000\u0000", string0);
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I6 Branch 22 IFEQ L284 - true
   * 2 org.xhtmlrenderer.util.GeneralUtil.classNameOnly(Ljava/lang/String;)Ljava/lang/String;: I7 Branch 14 IFNULL L186 - false
   * 3 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I3 Branch 21 IFNULL L284 - false
   */

  @Test
  public void test13()  throws Throwable  {
      String string0 = GeneralUtil.classNameOnly("");
      assertNotNull(string0);
      assertEquals("", string0);
      
      int int0 = GeneralUtil.parseIntRelaxed("");
      assertEquals(0, int0);
  }

  //Test case number: 14
  /*
   * 7 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I52 Branch 26 IFLE L298 - false
   * 2 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I40 Branch 25 IFEQ L293 - false
   * 3 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I64 Branch 27 IFNE L304 - true
   * 4 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I6 Branch 22 IFEQ L284 - false
   * 5 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I10 Branch 23 IFNE L284 - true
   * 6 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I29 Branch 24 IF_ICMPGE L290 - false
   * 7 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I40 Branch 25 IFEQ L293 - true
   */

  @Test
  public void test14()  throws Throwable  {
      int int0 = GeneralUtil.parseIntRelaxed("8]4=!+d\"EBAXW]#");
      assertEquals(8, int0);
  }

  //Test case number: 15
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I64 Branch 27 IFNE L304 - false
   * 2 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I3 Branch 21 IFNULL L284 - false
   * 3 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I6 Branch 22 IFEQ L284 - false
   * 4 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I10 Branch 23 IFNE L284 - true
   * 5 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I29 Branch 24 IF_ICMPGE L290 - true
   * 6 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I29 Branch 24 IF_ICMPGE L290 - false
   * 7 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I40 Branch 25 IFEQ L293 - true
   * 8 org.xhtmlrenderer.util.GeneralUtil.parseIntRelaxed(Ljava/lang/String;)I: I52 Branch 26 IFLE L298 - true
   */

  @Test
  public void test15()  throws Throwable  {
      Locale locale0 = Locale.CHINESE;
      locale0.getISO3Language();
      int int0 = GeneralUtil.parseIntRelaxed("zho");
      assertEquals(0, int0);
  }
}
