/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.CDATASection;
import nu.xom.DocType;
import nu.xom.Document;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.MalformedURIException;
import nu.xom.NoSuchChildException;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.XPathContext;
import nu.xom.XPathException;
import org.junit.BeforeClass;

public class ParentNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I1 Branch 17 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I9 Branch 18 IFNONNULL L-1 - true
   * 3 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I18 Branch 19 IFNONNULL L-1 - false
   * 4 nu.xom.ParentNode.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      DocType docType0 = new DocType("O", "O");
      // Undeclared exception!
      try {
        documentFragment0.replaceChild((Node) docType0, (Node) documentFragment0);
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Reference node is not a child of this node.
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I1 Branch 17 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.replaceChild((Node) null, (Node) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Tried to replace null child
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.removeChild(Lnu/xom/Node;)Lnu/xom/Node;: I2 Branch 14 IFNONNULL L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.getDocument();
      // Undeclared exception!
      try {
        documentFragment0.removeChild((Node) null);
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Child does not belong to this node
         //
      }
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 nu.xom.ParentNode.getChild(I)Lnu/xom/Node;: I2 Branch 5 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode._insertChild(Lnu/xom/Node;I)V: root-Branch
   * 3 nu.xom.ParentNode.getChildCount()I: root-Branch
   * 4 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I3 Branch 1 IF_ICMPLE L-1 - true
   * 5 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I28 Branch 2 IF_ICMPGE L-1 - true
   * 6 nu.xom.ParentNode.checkCapacity(I)V: I2 Branch 3 IFNONNULL L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      String string0 = document0.getValue();
      assertEquals(1, document0.getChildCount());
      assertNotNull(string0);
      assertEquals("<?xml version=\"1.0\"?>\n< />\n", document0.toXML());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.ParentNode.getChild(I)Lnu/xom/Node;: I2 Branch 5 IFNONNULL L-1 - false
   * 2 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I2 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      DocType docType0 = new DocType("O", "O");
      Element element0 = new Element("O");
      int int0 = documentFragment0.indexOf((Node) docType0);
      assertEquals((-1), int0);
      
      // Undeclared exception!
      try {
        element0.getChild((-1));
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // This node has no children
         //
      }
  }

  //Test case number: 5
  /*
   * 11 covered goals:
   * 1 nu.xom.ParentNode.fillInBaseURI(Lnu/xom/Element;)V: I6 Branch 12 IFNULL L-1 - true
   * 2 nu.xom.ParentNode.fillInBaseURI(Lnu/xom/Element;)V: I6 Branch 12 IFNULL L-1 - false
   * 3 nu.xom.ParentNode.fillInBaseURI(Lnu/xom/Element;)V: I10 Branch 13 IFLE L-1 - false
   * 4 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I2 Branch 9 IFNONNULL L-1 - true
   * 5 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I16 Branch 10 IFEQ L-1 - false
   * 6 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I30 Branch 11 IFLE L-1 - true
   * 7 nu.xom.ParentNode.getActualBaseURI()Ljava/lang/String;: I2 Branch 22 IFNONNULL L-1 - false
   * 8 nu.xom.ParentNode.setActualBaseURI(Ljava/lang/String;)V: I1 Branch 23 IFNONNULL L-1 - true
   * 9 nu.xom.ParentNode.setActualBaseURI(Ljava/lang/String;)V: I8 Branch 24 IFGT L-1 - true
   * 10 nu.xom.ParentNode.appendChild(Lnu/xom/Node;)V: root-Branch
   * 11 nu.xom.ParentNode.insertChild(Lnu/xom/Node;I)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Element element0 = new Element("O");
      Nodes nodes0 = element0.query("O", (XPathContext) null);
      assertNotNull(nodes0);
      assertEquals(0, element0.getChildCount());
  }

  //Test case number: 6
  /*
   * 8 covered goals:
   * 1 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I12 Branch 7 IF_ICMPGE L-1 - false
   * 2 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I18 Branch 8 IF_ACMPNE L-1 - true
   * 3 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I1 Branch 17 IFNONNULL L-1 - true
   * 4 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I9 Branch 18 IFNONNULL L-1 - true
   * 5 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I18 Branch 19 IFNONNULL L-1 - true
   * 6 nu.xom.ParentNode.replaceChild(Lnu/xom/Node;Lnu/xom/Node;)V: I31 Branch 20 IF_ICMPNE L-1 - false
   * 7 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I2 Branch 6 IFNONNULL L-1 - true
   * 8 nu.xom.ParentNode.indexOf(Lnu/xom/Node;)I: I12 Branch 7 IF_ICMPGE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      assertEquals(0, documentFragment0.getChildCount());
      
      DocType docType0 = new DocType("O", "O");
      Text text0 = CDATASection.build("O");
      documentFragment0.appendChild((Node) text0);
      // Undeclared exception!
      try {
        documentFragment0.replaceChild((Node) docType0, (Node) text0);
        fail("Expecting exception: NoSuchChildException");
      
      } catch(NoSuchChildException e) {
         //
         // Reference node is not a child of this node.
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I2 Branch 9 IFNONNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.removeChild(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // This node has no children
         //
      }
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I16 Branch 10 IFEQ L-1 - true
   * 2 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I2 Branch 9 IFNONNULL L-1 - true
   * 3 nu.xom.ParentNode.removeChild(I)Lnu/xom/Node;: I30 Branch 11 IFLE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      String string0 = documentFragment0.getActualBaseURI();
      assertNotNull(string0);
      
      // Undeclared exception!
      try {
        documentFragment0.query("");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected ''
         //
      }
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 nu.xom.ParentNode.setActualBaseURI(Ljava/lang/String;)V: I8 Branch 24 IFGT L-1 - false
   * 2 nu.xom.ParentNode.setActualBaseURI(Ljava/lang/String;)V: I1 Branch 23 IFNONNULL L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("O", "O");
      processingInstruction0.getValue();
      Element element0 = new Element("O");
      // Undeclared exception!
      try {
        element0.setActualBaseURI("O");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Missing scheme in absolute URI
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I3 Branch 1 IF_ICMPLE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        documentFragment0.insertChild((Node) documentFragment0, 632);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Inserted node at position 632 after children
         //
      }
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 nu.xom.ParentNode.checkCapacity(I)V: I2 Branch 3 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode.checkCapacity(I)V: I13 Branch 4 IF_ICMPLT L-1 - false
   * 3 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I28 Branch 2 IF_ICMPGE L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.getDocument();
      assertEquals(0, documentFragment0.getChildCount());
      
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      documentFragment0.appendChild((Node) processingInstruction0);
      // Undeclared exception!
      try {
        documentFragment0.insertChild((Node) null, (-503));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 4 covered goals:
   * 1 nu.xom.ParentNode.checkCapacity(I)V: I13 Branch 4 IF_ICMPLT L-1 - true
   * 2 nu.xom.ParentNode.appendChild(Lnu/xom/Node;)V: root-Branch
   * 3 nu.xom.ParentNode.insertChild(Lnu/xom/Node;I)V: root-Branch
   * 4 nu.xom.ParentNode.checkCapacity(I)V: I2 Branch 3 IFNONNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      Text text0 = CDATASection.build("O");
      Node[] nodeArray0 = new Node[6];
      documentFragment0.children = (nu.xom.Node[]) nodeArray0;
      documentFragment0.appendChild((Node) text0);
      assertEquals(1, documentFragment0.getChildCount());
  }

  //Test case number: 13
  /*
   * 4 covered goals:
   * 1 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I10 Branch 25 IFNONNULL L-1 - true
   * 2 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I17 Branch 26 IFLE L-1 - false
   * 3 nu.xom.ParentNode.getActualBaseURI()Ljava/lang/String;: I2 Branch 22 IFNONNULL L-1 - false
   * 4 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I10 Branch 25 IFNONNULL L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      String string0 = element0.findActualBaseURI();
      assertEquals("", string0);
  }

  //Test case number: 14
  /*
   * 9 covered goals:
   * 1 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I17 Branch 26 IFLE L-1 - true
   * 2 nu.xom.ParentNode._insertChild(Lnu/xom/Node;I)V: root-Branch
   * 3 nu.xom.ParentNode.getChildCount()I: root-Branch
   * 4 nu.xom.ParentNode.<init>()V: root-Branch
   * 5 nu.xom.ParentNode.getActualBaseURI()Ljava/lang/String;: I2 Branch 22 IFNONNULL L-1 - true
   * 6 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I3 Branch 1 IF_ICMPLE L-1 - true
   * 7 nu.xom.ParentNode.fastInsertChild(Lnu/xom/Node;I)V: I28 Branch 2 IF_ICMPGE L-1 - true
   * 8 nu.xom.ParentNode.checkCapacity(I)V: I2 Branch 3 IFNONNULL L-1 - false
   * 9 nu.xom.ParentNode.findActualBaseURI()Ljava/lang/String;: I10 Branch 25 IFNONNULL L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Document document0 = new Document(element0);
      assertEquals(1, document0.getChildCount());
      
      element0.actualBaseURI = "true() requires no arguments.";
      String string0 = element0.findActualBaseURI();
      assertEquals("true() requires no arguments.", string0);
      assertNotNull(string0);
  }
}
