/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Document;
import nu.xom.ValidityException;
import org.junit.BeforeClass;
import org.xml.sax.Locator;
import org.xml.sax.SAXParseException;

public class ValidityExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", "", 60, 60);
      assertEquals(60, validityException0.getColumnNumber());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getValidityError(I)Ljava/lang/String;: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SAXParseException sAXParseException0 = new SAXParseException("pY8P", (Locator) null);
      ValidityException validityException0 = new ValidityException("pY8P", (Throwable) sAXParseException0);
      // Undeclared exception!
      try {
        validityException0.getValidityError((-1));
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getColumnNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("Ey\"/,v", 0, 0);
      // Undeclared exception!
      try {
        validityException0.getColumnNumber(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.addError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;II)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("Ey\"/,v", 0, 0);
      SAXParseException sAXParseException0 = new SAXParseException("Ey\"/,v", "Ey\"/,v", "Ey\"/,v", 0, 0, (Exception) validityException0);
      validityException0.addError(sAXParseException0);
      assertEquals(1, validityException0.getErrorCount());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getLineNumber(I)I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SAXParseException sAXParseException0 = new SAXParseException("4]#Z{}2}<G;~W0U_D", "4]#Z{}2}<G;~W0U_D", "4]#Z{}2}<G;~W0U_D", 0, 0);
      ValidityException validityException0 = new ValidityException("4]#Z{}2}<G;~W0U_D", "4]#Z{}2}<G;~W0U_D", 0, 0, (Throwable) sAXParseException0);
      // Undeclared exception!
      try {
        validityException0.getLineNumber(0);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // Index: 0, Size: 0
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 nu.xom.ValidityException.setDocument(Lnu/xom/Document;)V: root-Branch
   * 2 nu.xom.ValidityException.getDocument()Lnu/xom/Document;: root-Branch
   * 3 nu.xom.ValidityException.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("'wrpdPcTYC3 ");
      validityException0.getDocument();
      validityException0.setDocument((Document) null);
      assertEquals(-1, validityException0.getColumnNumber());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 nu.xom.ValidityException.getErrorCount()I: root-Branch
   * 2 nu.xom.ValidityException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ValidityException validityException0 = new ValidityException("", 1262, 1262, (Throwable) null);
      int int0 = validityException0.getErrorCount();
      assertEquals(0, int0);
  }
}
