/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.jaxen;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.HashMap;
import java.util.Map;
import nu.xom.jaxen.Context;
import nu.xom.jaxen.ContextSupport;
import nu.xom.jaxen.FunctionContext;
import nu.xom.jaxen.NamespaceContext;
import nu.xom.jaxen.Navigator;
import nu.xom.jaxen.SimpleNamespaceContext;
import nu.xom.jaxen.SimpleVariableContext;
import nu.xom.jaxen.UnresolvableException;
import nu.xom.jaxen.VariableContext;
import nu.xom.jaxen.XPathFunctionContext;
import org.junit.BeforeClass;

public class ContextSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.getFunctionContext()Lnu/xom/jaxen/FunctionContext;: root-Branch
   * 2 nu.xom.jaxen.ContextSupport.getNamespaceContext()Lnu/xom/jaxen/NamespaceContext;: root-Branch
   * 3 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 1 IFLE L-1 - true
   * 4 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 2 IFNULL L-1 - true
   * 5 nu.xom.jaxen.ContextSupport.getFunction(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/jaxen/Function;: I4 Branch 4 IFNULL L-1 - true
   * 6 nu.xom.jaxen.ContextSupport.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      contextSupport0.translateNamespacePrefixToUri("s");
      try {
        contextSupport0.getFunction((String) null, (String) null, (String) null);
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No function context installed
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 1 IFLE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      String string0 = contextSupport0.translateNamespacePrefixToUri("xml");
      assertEquals("http://www.w3.org/XML/1998/namespace", string0);
      assertNotNull(string0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 2 IFNULL L-1 - false
   * 2 nu.xom.jaxen.ContextSupport.setNamespaceContext(Lnu/xom/jaxen/NamespaceContext;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      HashMap<Integer, String> hashMap0 = new HashMap<Integer, String>();
      ContextSupport contextSupport0 = new ContextSupport();
      SimpleNamespaceContext simpleNamespaceContext0 = new SimpleNamespaceContext((Map) hashMap0);
      contextSupport0.setNamespaceContext((NamespaceContext) simpleNamespaceContext0);
      String string0 = contextSupport0.translateNamespacePrefixToUri("K4C1wlG2");
      assertNull(string0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.getVariableValue(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/Object;: I4 Branch 3 IFNULL L-1 - true
   * 2 nu.xom.jaxen.ContextSupport.getVariableContext()Lnu/xom/jaxen/VariableContext;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      contextSupport0.translateNamespacePrefixToUri("http://www.w3.org/XML/1998/namespace");
      Context context0 = new Context(contextSupport0);
      try {
        context0.getVariableValue((String) null, (String) null, (String) null);
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No variable context installed
         //
      }
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.getVariableValue(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/Object;: I4 Branch 3 IFNULL L-1 - false
   * 2 nu.xom.jaxen.ContextSupport.getVariableContext()Lnu/xom/jaxen/VariableContext;: root-Branch
   * 3 nu.xom.jaxen.ContextSupport.getNamespaceContext()Lnu/xom/jaxen/NamespaceContext;: root-Branch
   * 4 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I3 Branch 1 IFLE L-1 - true
   * 5 nu.xom.jaxen.ContextSupport.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: I11 Branch 2 IFNULL L-1 - true
   * 6 nu.xom.jaxen.ContextSupport.setVariableContext(Lnu/xom/jaxen/VariableContext;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ContextSupport contextSupport0 = new ContextSupport();
      SimpleVariableContext simpleVariableContext0 = new SimpleVariableContext();
      contextSupport0.setVariableContext((VariableContext) simpleVariableContext0);
      contextSupport0.translateNamespacePrefixToUri("No function context installed");
      try {
        contextSupport0.getVariableValue("No function context installed", (String) null, "No function context installed");
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // Variable {No function context installed}:No function context installed
         //
      }
  }

  //Test case number: 5
  /*
   * 8 covered goals:
   * 1 nu.xom.jaxen.ContextSupport.getFunction(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/jaxen/Function;: I4 Branch 4 IFNULL L-1 - false
   * 2 nu.xom.jaxen.ContextSupport.setFunctionContext(Lnu/xom/jaxen/FunctionContext;)V: root-Branch
   * 3 nu.xom.jaxen.ContextSupport.setVariableContext(Lnu/xom/jaxen/VariableContext;)V: root-Branch
   * 4 nu.xom.jaxen.ContextSupport.setNamespaceContext(Lnu/xom/jaxen/NamespaceContext;)V: root-Branch
   * 5 nu.xom.jaxen.ContextSupport.getNavigator()Lnu/xom/jaxen/Navigator;: root-Branch
   * 6 nu.xom.jaxen.ContextSupport.getFunctionContext()Lnu/xom/jaxen/FunctionContext;: root-Branch
   * 7 nu.xom.jaxen.ContextSupport.<init>()V: root-Branch
   * 8 nu.xom.jaxen.ContextSupport.<init>(Lnu/xom/jaxen/NamespaceContext;Lnu/xom/jaxen/FunctionContext;Lnu/xom/jaxen/VariableContext;Lnu/xom/jaxen/Navigator;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SimpleNamespaceContext simpleNamespaceContext0 = new SimpleNamespaceContext();
      XPathFunctionContext xPathFunctionContext0 = new XPathFunctionContext(true);
      ContextSupport contextSupport0 = new ContextSupport();
      contextSupport0.getNavigator();
      ContextSupport contextSupport1 = new ContextSupport((NamespaceContext) simpleNamespaceContext0, (FunctionContext) xPathFunctionContext0, (VariableContext) null, (Navigator) null);
      try {
        contextSupport1.getFunction("", "", "");
        fail("Expecting exception: UnresolvableException");
      
      } catch(UnresolvableException e) {
         //
         // No Such Function 
         //
      }
  }
}
