/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.util;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Dimension;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;
import java.util.Vector;
import javax.print.attribute.standard.JobMediaSheets;
import javax.print.attribute.standard.PrinterMessageFromOperator;
import javax.swing.Action;
import javax.swing.JRadioButton;
import javax.swing.table.DefaultTableModel;
import org.junit.BeforeClass;
import org.xhtmlrenderer.util.DownscaleQuality;
import org.xhtmlrenderer.util.ImageUtil;
import org.xhtmlrenderer.util.ScalingOptions;

public class ImageUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil.clearImage(Ljava/awt/image/BufferedImage;Ljava/awt/Color;)V: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil.clearImage(Ljava/awt/image/BufferedImage;)V: root-Branch
   * 3 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(II)Ljava/awt/image/BufferedImage;: root-Branch
   * 4 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(III)Ljava/awt/image/BufferedImage;: I12 Branch 9 IFEQ L90 - false
   */

  @Test
  public void test0()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(1, 1);
      assertNotNull(bufferedImage0);
      
      ImageUtil.clearImage(bufferedImage0);
      assertEquals(1, bufferedImage0.getHeight());
      assertEquals(1, bufferedImage0.getTileWidth());
      assertEquals(2, bufferedImage0.getType());
      assertEquals(3, bufferedImage0.getTransparency());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ImageUtil imageUtil0 = new ImageUtil();
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Ljava/awt/image/BufferedImage;II)Ljava/awt/image/BufferedImage;: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I18 Branch 12 IFEQ L141 - false
   */

  @Test
  public void test2()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(1, 1);
      assertNotNull(bufferedImage0);
      
      BufferedImage bufferedImage1 = ImageUtil.getScaledInstance(bufferedImage0, 1, 1);
      assertSame(bufferedImage1, bufferedImage0);
      assertEquals(2, bufferedImage1.getType());
      assertNotNull(bufferedImage1);
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil$AreaAverageScaler.getImageScalingMethod()I: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil$AbstractFastScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: root-Branch
   * 3 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I18 Branch 12 IFEQ L141 - true
   * 4 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I25 Branch 13 IFGT L143 - false
   * 5 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I37 Branch 14 IFGT L144 - false
   */

  @Test
  public void test3()  throws Throwable  {
      DownscaleQuality downscaleQuality0 = DownscaleQuality.AREA;
      JRadioButton jRadioButton0 = new JRadioButton((Action) null);
      Dimension dimension0 = jRadioButton0.getMinimumSize();
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, (Object) dimension0);
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(21, 21);
      assertNotNull(bufferedImage0);
      
      // Undeclared exception!
      try {
        ImageUtil.getScaledInstance(scalingOptions0, bufferedImage0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Width (0) and height (0) must be non-zero
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil$FastScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(1, 1);
      assertNotNull(bufferedImage0);
      
      DownscaleQuality downscaleQuality0 = DownscaleQuality.LOW_QUALITY;
      Locale locale0 = Locale.SIMPLIFIED_CHINESE;
      PrinterMessageFromOperator printerMessageFromOperator0 = new PrinterMessageFromOperator("xr.image.render-quality", locale0);
      printerMessageFromOperator0.toString();
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, (Object) "xr.image.render-quality");
      // Undeclared exception!
      try {
        ImageUtil.getScaledInstance(scalingOptions0, bufferedImage0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Width (0) and height (0) cannot be <= 0
         //
      }
  }

  //Test case number: 5
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil$OldScaler.getImageScalingMethod()I: root-Branch
   * 2 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I25 Branch 13 IFGT L143 - true
   * 3 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I37 Branch 14 IFGT L144 - true
   * 4 org.xhtmlrenderer.util.ImageUtil.convertToBufferedImage(Ljava/awt/Image;I)Ljava/awt/image/BufferedImage;: I4 Branch 16 IFEQ L218 - true
   * 5 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Ljava/awt/image/BufferedImage;II)Ljava/awt/image/BufferedImage;: root-Branch
   * 6 org.xhtmlrenderer.util.ImageUtil$AbstractFastScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(6, 1159);
      assertNotNull(bufferedImage0);
      
      BufferedImage bufferedImage1 = ImageUtil.getScaledInstance(bufferedImage0, 1159, 1159);
      assertEquals(1159, bufferedImage1.getTileHeight());
      assertEquals(2, bufferedImage1.getType());
      assertEquals(1159, bufferedImage1.getWidth());
      assertEquals(1159, bufferedImage0.getTileHeight());
      assertNotNull(bufferedImage1);
      assertEquals(6, bufferedImage0.getWidth());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.scaleMultiple(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;Ljava/util/List;)Ljava/util/List;: I17 Branch 15 IFEQ L196 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ScalingOptions scalingOptions0 = new ScalingOptions();
      LinkedList<ImageUtil.HighQualityScaler> linkedList0 = new LinkedList<ImageUtil.HighQualityScaler>();
      List<?> list0 = ImageUtil.scaleMultiple(scalingOptions0, (BufferedImage) null, (List) linkedList0);
      assertEquals(0, list0.size());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.scaleMultiple(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;Ljava/util/List;)Ljava/util/List;: I17 Branch 15 IFEQ L196 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Object[][] objectArray0 = new Object[10][6];
      DefaultTableModel defaultTableModel0 = new DefaultTableModel(objectArray0, objectArray0);
      Vector<?> vector0 = defaultTableModel0.getDataVector();
      // Undeclared exception!
      try {
        ImageUtil.scaleMultiple((ScalingOptions) null, (BufferedImage) null, (List) vector0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.util.Vector cannot be cast to java.awt.Dimension
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.util.ImageUtil.convertToBufferedImage(Ljava/awt/Image;I)Ljava/awt/image/BufferedImage;: I4 Branch 16 IFEQ L218 - false
   */

  @Test
  public void test8()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(6, 6);
      BufferedImage bufferedImage1 = ImageUtil.convertToBufferedImage((Image) bufferedImage0, 6);
      assertEquals(2, bufferedImage1.getType());
      assertEquals(6, bufferedImage1.getTileWidth());
      assertEquals(6, bufferedImage1.getHeight());
  }

  //Test case number: 9
  /*
   * 11 covered goals:
   * 1 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I17 Branch 1 IF_ICMPGE L319 - false
   * 2 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I21 Branch 2 IF_ICMPGE L319 - false
   * 3 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I51 Branch 3 IF_ICMPLE L335 - false
   * 4 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I63 Branch 4 IF_ICMPGE L337 - true
   * 5 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I74 Branch 5 IF_ICMPLE L342 - false
   * 6 org.xhtmlrenderer.util.ImageUtil$HighQualityScaler.getScaledInstance(Ljava/awt/image/BufferedImage;Lorg/xhtmlrenderer/util/ScalingOptions;)Ljava/awt/image/BufferedImage;: I86 Branch 6 IF_ICMPGE L344 - true
   * 7 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(II)Ljava/awt/image/BufferedImage;: root-Branch
   * 8 org.xhtmlrenderer.util.ImageUtil.createCompatibleBufferedImage(III)Ljava/awt/image/BufferedImage;: I12 Branch 9 IFEQ L90 - false
   * 9 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I18 Branch 12 IFEQ L141 - true
   * 10 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I25 Branch 13 IFGT L143 - false
   * 11 org.xhtmlrenderer.util.ImageUtil.getScaledInstance(Lorg/xhtmlrenderer/util/ScalingOptions;Ljava/awt/image/BufferedImage;)Ljava/awt/image/BufferedImage;: I37 Branch 14 IFGT L144 - false
   */

  @Test
  public void test9()  throws Throwable  {
      BufferedImage bufferedImage0 = ImageUtil.createCompatibleBufferedImage(1, 1);
      assertNotNull(bufferedImage0);
      
      DownscaleQuality downscaleQuality0 = DownscaleQuality.HIGH_QUALITY;
      JobMediaSheets jobMediaSheets0 = new JobMediaSheets(1);
      jobMediaSheets0.getName();
      ScalingOptions scalingOptions0 = new ScalingOptions(downscaleQuality0, (Object) "job-media-sheets");
      // Undeclared exception!
      try {
        ImageUtil.getScaledInstance(scalingOptions0, bufferedImage0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Width (0) and height (0) cannot be <= 0
         //
      }
  }
}
