/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.canonical;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.Element;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.XPathContext;
import nu.xom.canonical.CanonicalizationException;
import nu.xom.canonical.Canonicalizer;
import org.junit.BeforeClass;

public class CanonicalizerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Null algorithm
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - false
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments");
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - false
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2006/12/xml-c14n11#WithComments");
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(1605);
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "psemd");
        fail("Expecting exception: CanonicalizationException");
      
      } catch(CanonicalizationException e) {
         //
         // Unsupported canonicalization algorithm: psemd
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(1605);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, false);
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("psemd", "psemd");
      XPathContext xPathContext0 = new XPathContext("psemd", "psemd");
      Nodes nodes0 = processingInstruction0.query("psemd", xPathContext0);
      canonicalizer0.write(nodes0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 5
  /*
   * 7 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - false
   * 2 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I9 Branch 164 IFNONNULL L-1 - false
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      ObjectOutputStream objectOutputStream0 = new ObjectOutputStream((OutputStream) byteArrayOutputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) objectOutputStream0, "http://www.w3.org/2006/12/xml-c14n11");
      Text text0 = new Text("http://www.w3.org/2006/12/xml-c14n11");
      Nodes nodes0 = new Nodes((Node) text0);
      // Undeclared exception!
      try {
        canonicalizer0.write(nodes0);
        fail("Expecting exception: CanonicalizationException");
      
      } catch(CanonicalizationException e) {
         //
         // Canonicalization is not defined for detached nodes
         //
      }
  }

  //Test case number: 6
  /*
   * 86 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I9 Branch 164 IFNONNULL L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.sort(Lnu/xom/Nodes;)Lnu/xom/Nodes;: I8 Branch 168 IF_ICMPLE L-1 - false
   * 3 nu.xom.canonical.Canonicalizer.sort(Lnu/xom/Nodes;)Lnu/xom/Nodes;: I29 Branch 169 IF_ICMPGE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.sort(Lnu/xom/Nodes;)Lnu/xom/Nodes;: I29 Branch 169 IF_ICMPGE L-1 - false
   * 5 nu.xom.canonical.Canonicalizer.sort(Lnu/xom/Nodes;)Lnu/xom/Nodes;: I40 Branch 170 IFEQ L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.sort(Lnu/xom/Nodes;)Lnu/xom/Nodes;: I40 Branch 170 IFEQ L-1 - false
   * 7 nu.xom.canonical.Canonicalizer.sort(Lnu/xom/Nodes;)Lnu/xom/Nodes;: I57 Branch 171 IFGT L-1 - true
   * 8 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I2 Branch 177 IFLE L-1 - true
   * 9 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I2 Branch 177 IFLE L-1 - false
   * 10 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I8 Branch 178 IFLE L-1 - true
   * 11 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I25 Branch 179 IF_ICMPGE L-1 - true
   * 12 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I25 Branch 179 IF_ICMPGE L-1 - false
   * 13 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I32 Branch 180 IFEQ L-1 - false
   * 14 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I39 Branch 181 IFLE L-1 - true
   * 15 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I39 Branch 181 IFLE L-1 - false
   * 16 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I50 Branch 182 IFGT L-1 - false
   * 17 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I57 Branch 183 IFEQ L-1 - true
   * 18 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I57 Branch 183 IFEQ L-1 - false
   * 19 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I63 Branch 184 IFEQ L-1 - true
   * 20 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I63 Branch 184 IFEQ L-1 - false
   * 21 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I70 Branch 185 IF_ACMPNE L-1 - true
   * 22 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I70 Branch 185 IF_ACMPNE L-1 - false
   * 23 nu.xom.canonical.Canonicalizer.sort(Ljava/util/List;Ljava/util/List;Lnu/xom/Nodes;Lnu/xom/ParentNode;)V: I85 Branch 186 IF_ICMPGE L-1 - true
   * 24 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - false
   * 25 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I9 Branch 151 IFNONNULL L-1 - false
   * 26 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I26 Branch 152 IFNULL L-1 - true
   * 27 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I42 Branch 153 IFEQ L-1 - true
   * 28 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I128 Branch 161 IFNULL L-1 - false
   * 29 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Document;)V: I14 Branch 1 IFNULL L-1 - false
   * 30 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Document;)V: I17 Branch 2 IFNE L-1 - true
   * 31 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Document;)V: I29 Branch 4 IFEQ L-1 - true
   * 32 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Document;)V: I36 Branch 5 IFEQ L-1 - true
   * 33 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Document;)V: I47 Branch 7 IFEQ L-1 - false
   * 34 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Document;)V: I58 Branch 8 IF_ICMPGE L-1 - true
   * 35 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.indexOf(Lnu/xom/Element;)I: I7 Branch 72 IF_ICMPGE L-1 - true
   * 36 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.indexOf(Lnu/xom/Element;)I: I7 Branch 72 IF_ICMPGE L-1 - false
   * 37 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.indexOf(Lnu/xom/Element;)I: I13 Branch 73 IF_ACMPNE L-1 - true
   * 38 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.indexOf(Lnu/xom/Element;)I: I13 Branch 73 IF_ACMPNE L-1 - false
   * 39 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I2 Branch 23 IFNULL L-1 - false
   * 40 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I7 Branch 24 IFEQ L-1 - true
   * 41 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I7 Branch 24 IFEQ L-1 - false
   * 42 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I16 Branch 25 IFEQ L-1 - true
   * 43 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I16 Branch 25 IFEQ L-1 - false
   * 44 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I34 Branch 26 IFNONNULL L-1 - true
   * 45 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I131 Branch 35 IF_ICMPEQ L-1 - true
   * 46 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I131 Branch 35 IF_ICMPEQ L-1 - false
   * 47 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I136 Branch 36 IFLE L-1 - false
   * 48 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I143 Branch 37 IFEQ L-1 - true
   * 49 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I143 Branch 37 IFEQ L-1 - false
   * 50 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I148 Branch 38 IFNE L-1 - false
   * 51 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I156 Branch 39 IFEQ L-1 - true
   * 52 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I181 Branch 41 IF_ICMPGE L-1 - true
   * 53 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I181 Branch 41 IF_ICMPGE L-1 - false
   * 54 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I189 Branch 42 IFNE L-1 - true
   * 55 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I189 Branch 42 IFNE L-1 - false
   * 56 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I207 Branch 43 IFLE L-1 - false
   * 57 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I250 Branch 46 IF_ICMPGE L-1 - true
   * 58 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I285 Branch 51 IFEQ L-1 - true
   * 59 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeStartTag(Lnu/xom/Element;Z)V: I285 Branch 51 IFEQ L-1 - false
   * 60 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeNamespaceDeclarations(Ljava/util/SortedMap;)V: I7 Branch 52 IFEQ L-1 - true
   * 61 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I2 Branch 15 IFNE L-1 - true
   * 62 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I2 Branch 15 IFNE L-1 - false
   * 63 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I29 Branch 16 IFNE L-1 - true
   * 64 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I29 Branch 16 IFNE L-1 - false
   * 65 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I32 Branch 17 IFLE L-1 - true
   * 66 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I32 Branch 17 IFLE L-1 - false
   * 67 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I57 Branch 18 IFEQ L-1 - true
   * 68 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I57 Branch 18 IFEQ L-1 - false
   * 69 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I64 Branch 19 IF_ACMPNE L-1 - false
   * 70 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I81 Branch 20 IF_ICMPNE L-1 - false
   * 71 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Element;)V: I87 Branch 21 IF_ACMPEQ L-1 - true
   * 72 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.grow([II)[I: I3 Branch 22 IF_ICMPGE L-1 - false
   * 73 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I7 Branch 76 IFNE L-1 - false
   * 74 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I10 Branch 77 IFNULL L-1 - false
   * 75 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I15 Branch 78 IFEQ L-1 - true
   * 76 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I15 Branch 78 IFEQ L-1 - false
   * 77 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I21 Branch 79 IFNE L-1 - false
   * 78 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I30 Branch 80 IFEQ L-1 - true
   * 79 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I113 Branch 90 IFEQ L-1 - true
   * 80 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I128 Branch 92 IFEQ L-1 - true
   * 81 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I200 Branch 98 IF_ICMPGE L-1 - true
   * 82 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.sortAttributes(Lnu/xom/Element;)[Lnu/xom/Attribute;: I220 Branch 99 IF_ICMPGE L-1 - true
   * 83 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeEndTag(Lnu/xom/Element;)V: I2 Branch 74 IFNULL L-1 - false
   * 84 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeEndTag(Lnu/xom/Element;)V: I7 Branch 75 IFEQ L-1 - true
   * 85 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.writeEndTag(Lnu/xom/Element;)V: I7 Branch 75 IFEQ L-1 - false
   * 86 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(1605);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, false);
      Element element0 = new Element("k");
      canonicalizer0.write((Node) element0);
      assertEquals(7, byteArrayOutputStream0.size());
      assertEquals("<k></k>", byteArrayOutputStream0.toString());
  }

  //Test case number: 7
  /*
   * 7 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - false
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I6 Branch 132 IFNULL L-1 - true
   * 7 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      Comment comment0 = new Comment("WT-7BSu*PCx9JtnaPh");
      canonicalizer0.write((Node) comment0);
      assertEquals("<!--WT-7BSu*PCx9JtnaPh-->", byteArrayOutputStream0.toString());
      assertEquals(25, byteArrayOutputStream0.size());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I5 Branch 165 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      canonicalizer0.setInclusiveNamespacePrefixList("WT-7BSu*PCx9JtnaPh");
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/DocType;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(1605);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, false);
      DocType docType0 = new DocType("psemd", "psemd");
      canonicalizer0.write((Node) docType0);
      assertEquals("psemd", docType0.getSystemID());
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/ProcessingInstruction;)V: I2 Branch 134 IFNULL L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(1605);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, false);
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("psemd", "psemd");
      canonicalizer0.write((Node) processingInstruction0);
      assertEquals("<?psemd psemd?>", byteArrayOutputStream0.toString());
      assertEquals(15, byteArrayOutputStream0.size());
  }

  //Test case number: 11
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I2 Branch 124 IFNULL L-1 - true
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - true
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - false
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I31 Branch 127 IF_ICMPNE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I40 Branch 128 IF_ICMPNE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I49 Branch 129 IF_ICMPNE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I58 Branch 130 IF_ICMPNE L-1 - true
   * 8 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0);
      Text text0 = new Text("J+");
      canonicalizer0.write((Node) text0);
  }

  //Test case number: 12
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - false
   * 4 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream(pipedInputStream0);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, "http://www.w3.org/TR/2001/REC-xml-c14n-20010315");
      Comment comment0 = new Comment("http://www.w3.org/TR/2001/REC-xml-c14n-20010315");
      canonicalizer0.write((Node) comment0);
  }
}
