/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.text.DateFormat;
import java.text.Format;
import java.text.SimpleDateFormat;
import javax.swing.JFormattedTextField;
import javax.swing.JTable;
import javax.swing.JTextPane;
import javax.swing.table.JTableHeader;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.render.ViewportBox;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class ViewportBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.copyOf()Lorg/xhtmlrenderer/render/BlockBox;: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SimpleDateFormat simpleDateFormat0 = (SimpleDateFormat)DateFormat.getDateInstance();
      JFormattedTextField jFormattedTextField0 = new JFormattedTextField((Format) simpleDateFormat0);
      Rectangle rectangle0 = jFormattedTextField0.getBounds();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      // Undeclared exception!
      try {
        viewportBox0.copyOf();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // cannot be copied
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.isAutoHeight()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      boolean boolean0 = viewportBox0.isAutoHeight();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getContentWidth()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      // Undeclared exception!
      try {
        viewportBox0.getBoxDimensions();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getHeight()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      JTextPane jTextPane0 = new JTextPane();
      Rectangle rectangle0 = jTextPane0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      int int0 = viewportBox0.getHeight();
      assertEquals(0, int0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      viewportBox0.calcBaseline((LayoutContext) null);
      // Undeclared exception!
      try {
        viewportBox0.find((CssContext) null, Integer.MIN_VALUE, Integer.MIN_VALUE, false);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      JTable jTable0 = new JTable(0, 0);
      JTableHeader jTableHeader0 = jTable0.getTableHeader();
      Rectangle rectangle0 = jTableHeader0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      Rectangle rectangle1 = viewportBox0.getPaddingEdge(0, 0, (CssContext) null);
      assertNotNull(rectangle1);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.getWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SimpleDateFormat simpleDateFormat0 = (SimpleDateFormat)DateFormat.getDateInstance();
      JFormattedTextField jFormattedTextField0 = new JFormattedTextField((Format) simpleDateFormat0);
      Rectangle rectangle0 = jFormattedTextField0.getBounds();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      int int0 = viewportBox0.getWidth();
      assertEquals(0, int0);
  }
}
