/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.simple;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import org.junit.BeforeClass;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class XHTMLPanelEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 2 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;)V: root-Branch
   * 3 org.xhtmlrenderer.simple.XHTMLPanel.incrementFontSize()V: root-Branch
   * 4 org.xhtmlrenderer.simple.XHTMLPanel.resetListeners()V: I5 Branch 2 IFEQ L133 - false
   * 5 org.xhtmlrenderer.simple.XHTMLPanel.scaleFont(F)V: I19 Branch 4 IFLT L277 - false
   * 6 org.xhtmlrenderer.simple.XHTMLPanel.scaleFont(F)V: I24 Branch 5 IFLE L277 - true
   * 7 org.xhtmlrenderer.simple.XHTMLPanel.<init>()V: root-Branch
   * 8 org.xhtmlrenderer.simple.XHTMLPanel.setupListeners()V: I5 Branch 1 IFEQ L125 - false
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.incrementFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.setMinFontScale(F)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      xHTMLPanel0.setMinFontScale(0.5F);
      assertEquals(3.0F, xHTMLPanel0.getMaxFontScale(), 0.01F);
      assertEquals(0.5F, xHTMLPanel0.getMinFontScale(), 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.resetFontSize()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      // Undeclared exception!
      try {
        xHTMLPanel0.resetFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.getMaxFontScale()F: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      float float0 = scalableXHTMLPanel0.getMaxFontScale();
      assertEquals(0.5F, scalableXHTMLPanel0.getMinFontScale(), 0.01F);
      assertEquals(3.0F, float0, 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.getMinFontScale()F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      float float0 = xHTMLPanel0.getMinFontScale();
      assertEquals(0.5F, float0, 0.01F);
      assertEquals(3.0F, xHTMLPanel0.getMaxFontScale(), 0.01F);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      assertEquals(3.0F, scalableXHTMLPanel0.getMaxFontScale(), 0.01F);
      assertEquals(3.0F, xHTMLPanel0.getMaxFontScale(), 0.01F);
      assertEquals(0.5F, xHTMLPanel0.getMinFontScale(), 0.01F);
      assertEquals(0.5F, scalableXHTMLPanel0.getMinFontScale(), 0.01F);
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.decrementFontSize()V: root-Branch
   * 2 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 3 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;)V: root-Branch
   * 4 org.xhtmlrenderer.simple.XHTMLPanel.scaleFont(F)V: I19 Branch 4 IFLT L277 - false
   * 5 org.xhtmlrenderer.simple.XHTMLPanel.scaleFont(F)V: I24 Branch 5 IFLE L277 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.decrementFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Ljava/io/File;)V: I12 Branch 3 IFNONNULL L204 - true
   * 2 org.xhtmlrenderer.simple.XHTMLPanel.<init>()V: root-Branch
   * 3 org.xhtmlrenderer.simple.XHTMLPanel.setupListeners()V: I5 Branch 1 IFEQ L125 - false
   * 4 org.xhtmlrenderer.simple.XHTMLPanel.resetListeners()V: I5 Branch 2 IFEQ L133 - false
   */

  @Test
  public void test7()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      File file0 = new File("-GKKqR%8xp$P?E8v(", "-GKKqR%8xp$P?E8v(");
      try {
        scalableXHTMLPanel0.setDocument(file0);
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Stream closed
         //
      }
  }
}
