/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.Rectangle;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;
import java.util.List;
import org.junit.BeforeClass;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.BasicPanel;
import org.xhtmlrenderer.swing.CursorListener;
import org.xhtmlrenderer.swing.FSMouseListener;
import org.xhtmlrenderer.swing.HoverListener;
import org.xhtmlrenderer.swing.MouseTracker;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class MouseTrackerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseEntered(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.MouseTracker.handleMouseMotion(Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 10 IFNULL L115 - true
   * 3 org.xhtmlrenderer.swing.MouseTracker.<init>(Lorg/xhtmlrenderer/swing/BasicPanel;)V: root-Branch
   * 4 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 1 IFNONNULL L45 - true
   * 5 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I13 Branch 2 IFGT L49 - false
   * 6 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I26 Branch 3 IFNE L53 - true
   * 7 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I26 Branch 3 IFNE L53 - false
   * 8 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I30 Branch 4 IFLE L53 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      sharedContext0.isInteractive();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      MouseEvent mouseEvent0 = new MouseEvent((Component) scalableXHTMLPanel0, 0, (long) 0, 0, 0, 0, 0, 0, 0, true, 0);
      mouseTracker0.mouseEntered(mouseEvent0);
      assertEquals(0, mouseEvent0.getX());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseReleased(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.MouseTracker.handleMouseUp(Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 13 IFNONNULL L129 - false
   */

  @Test
  public void test1()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) xHTMLPanel0);
      MouseEvent mouseEvent0 = new MouseEvent((Component) xHTMLPanel0, (-1309), (long) (-1309), (-1309), (-1309), (-1309), (-1309), false);
      mouseTracker0.mouseReleased(mouseEvent0);
      assertEquals(-16349, mouseEvent0.getModifiers());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseExited(Ljava/awt/event/MouseEvent;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      // Undeclared exception!
      try {
        mouseTracker0.mouseExited((MouseEvent) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.MouseTracker.getListeners()Ljava/util/List;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      List<?> list0 = mouseTracker0.getListeners();
      assertEquals(0, list0.size());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseDragged(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.MouseTracker.fireMouseDragged(Ljava/awt/event/MouseEvent;)V: I11 Branch 18 IFEQ L166 - true
   */

  @Test
  public void test4()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      layoutContext0.isPrint();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) scalableXHTMLPanel0, 43, (long) 43, 43, 43, 43, 43, false, 43, 43, 43);
      mouseTracker0.mouseDragged((MouseEvent) mouseWheelEvent0);
      assertEquals(true, mouseWheelEvent0.isAltDown());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.mouseMoved(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.MouseTracker.handleMouseMotion(Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 10 IFNULL L115 - true
   */

  @Test
  public void test5()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) xHTMLPanel0);
      Rectangle rectangle0 = xHTMLPanel0.getVisibleRect();
      rectangle0.intersects((double) 0, (double) 0, (double) 822, (double) 822);
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) xHTMLPanel0, 0, (long) 0, 0, 0, 0, 0, 0, 0, false, 0, 0, 0);
      mouseTracker0.mouseMoved((MouseEvent) mouseWheelEvent0);
      assertEquals(0, mouseWheelEvent0.getClickCount());
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 5 IFNONNULL L62 - true
   * 2 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I13 Branch 6 IFLE L66 - true
   * 3 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I25 Branch 7 IFEQ L70 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      CursorListener cursorListener0 = new CursorListener();
      mouseTracker0.removeListener((FSMouseListener) cursorListener0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 5 IFNONNULL L62 - false
   */

  @Test
  public void test7()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      mouseTracker0.removeListener((FSMouseListener) null);
  }

  //Test case number: 8
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I13 Branch 6 IFLE L66 - false
   * 2 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I25 Branch 7 IFEQ L70 - false
   * 3 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I29 Branch 8 IFNE L70 - false
   * 4 org.xhtmlrenderer.swing.MouseTracker.removeListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 5 IFNONNULL L62 - true
   */

  @Test
  public void test8()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) xHTMLPanel0);
      HoverListener hoverListener0 = new HoverListener();
      mouseTracker0.addListener((FSMouseListener) hoverListener0);
      mouseTracker0.removeListener((FSMouseListener) hoverListener0);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.reset()V: I16 Branch 9 IFEQ L109 - false
   * 2 org.xhtmlrenderer.swing.MouseTracker.reset()V: I16 Branch 9 IFEQ L109 - true
   */

  @Test
  public void test9()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      CursorListener cursorListener0 = new CursorListener();
      mouseTracker0.addListener((FSMouseListener) cursorListener0);
      mouseTracker0.reset();
  }

  //Test case number: 10
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.swing.MouseTracker.fireMousePressed(Ljava/awt/event/MouseEvent;)V: I11 Branch 17 IFEQ L159 - false
   * 2 org.xhtmlrenderer.swing.MouseTracker.mousePressed(Ljava/awt/event/MouseEvent;)V: root-Branch
   * 3 org.xhtmlrenderer.swing.MouseTracker.<init>(Lorg/xhtmlrenderer/swing/BasicPanel;)V: root-Branch
   * 4 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I3 Branch 1 IFNONNULL L45 - true
   * 5 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I13 Branch 2 IFGT L49 - false
   * 6 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I26 Branch 3 IFNE L53 - true
   * 7 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I26 Branch 3 IFNE L53 - false
   * 8 org.xhtmlrenderer.swing.MouseTracker.addListener(Lorg/xhtmlrenderer/swing/FSMouseListener;)V: I30 Branch 4 IFLE L53 - false
   * 9 org.xhtmlrenderer.swing.MouseTracker.fireMousePressed(Ljava/awt/event/MouseEvent;)V: I11 Branch 17 IFEQ L159 - true
   */

  @Test
  public void test10()  throws Throwable  {
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      sharedContext0.isInteractive();
      MouseTracker mouseTracker0 = new MouseTracker((BasicPanel) scalableXHTMLPanel0);
      CursorListener cursorListener0 = new CursorListener();
      mouseTracker0.addListener((FSMouseListener) cursorListener0);
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) scalableXHTMLPanel0, 0, (long) 0, 0, 0, 0, 0, true, 0, 0, 0);
      mouseTracker0.mousePressed((MouseEvent) mouseWheelEvent0);
      assertEquals(0, mouseWheelEvent0.getModifiersEx());
  }
}
