/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Iterator;
import nu.xom.Attribute;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.JaxenNavigator;
import nu.xom.Namespace;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.jaxen.FunctionCallException;
import nu.xom.jaxen.UnsupportedAxisException;
import org.junit.BeforeClass;

public class JaxenNavigatorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      processingInstruction0.getValue();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementName((Object) "");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Comment comment0 = new Comment("TfTLv4BMlezrzBdam");
      comment0.getBaseURI();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeName((Object) "");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionTarget(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocType docType0 = new DocType("ENTITY", "ENTITY");
      docType0.toString();
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionTarget((Object) "[nu.xom.DocType: ENTITY]");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.ProcessingInstruction
         //
      }
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 nu.xom.JaxenNavigator.isAttribute(Ljava/lang/Object;)Z: root-Branch
   * 2 nu.xom.JaxenNavigator.isElement(Ljava/lang/Object;)Z: root-Branch
   * 3 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I2 Branch 47 IFEQ L-1 - false
   * 4 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I10 Branch 48 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ArrayList<Element> arrayList0 = new ArrayList<Element>();
      short short0 = jaxenNavigator0.getNodeType((Object) arrayList0);
      assertEquals((short)3, short0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocument(Ljava/lang/String;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      try {
        jaxenNavigator0.getDocument("%NH7&nVm}l{=");
        fail("Expecting exception: FunctionCallException");
      
      } catch(FunctionCallException e) {
         //
         // document() function not supported
         //
      }
  }

  //Test case number: 5
  /*
   * 8 covered goals:
   * 1 nu.xom.JaxenNavigator.isProcessingInstruction(Ljava/lang/Object;)Z: root-Branch
   * 2 nu.xom.JaxenNavigator.isComment(Ljava/lang/Object;)Z: root-Branch
   * 3 nu.xom.JaxenNavigator.isNamespace(Ljava/lang/Object;)Z: root-Branch
   * 4 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I2 Branch 47 IFEQ L-1 - true
   * 5 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I2 Branch 45 IFNE L-1 - false
   * 6 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I5 Branch 46 IFEQ L-1 - true
   * 7 nu.xom.JaxenNavigator.isAttribute(Ljava/lang/Object;)Z: root-Branch
   * 8 nu.xom.JaxenNavigator.isElement(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      attribute_Type0.toString();
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      short short0 = jaxenNavigator0.getNodeType((Object) "[Attribute.Type: NMTOKEN]");
      assertEquals((short)14, short0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocumentNode(Ljava/lang/Object;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      AbstractMap.SimpleImmutableEntry<String, Integer> abstractMap_SimpleImmutableEntry0 = new AbstractMap.SimpleImmutableEntry<String, Integer>("^9D3l?1q'T0", (Integer) null);
      // Undeclared exception!
      try {
        jaxenNavigator0.getDocumentNode((Object) abstractMap_SimpleImmutableEntry0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.util.AbstractMap$SimpleImmutableEntry cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getNamespaceStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getNamespaceStringValue((Object) jaxenNavigator0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenNavigator cannot be cast to nu.xom.Namespace
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementNamespaceUri(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      attribute_Type0.toString();
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementNamespaceUri((Object) "[Attribute.Type: NMTOKEN]");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getCommentStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getCommentStringValue((Object) jaxenNavigator0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenNavigator cannot be cast to nu.xom.Comment
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      String string0 = Namespace.XML_NAMESPACE;
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeStringValue((Object) "http://www.w3.org/XML/1998/namespace");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getNamespacePrefix(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getNamespacePrefix((Object) jaxenNavigator0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenNavigator cannot be cast to nu.xom.Namespace
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I7 Branch 51 IFNONNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = new Text(", r%<Pbx5KY|1}[");
      text0.toString();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeAxisIterator((Object) null, ", r%<Pbx5KY|1}[", "[nu.xom.Text: , r%<Pbx5KY|1}[]", ", r%<Pbx5KY|1}[");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.hasID(Lnu/xom/Element;Ljava/lang/String;)Z: I8 Branch 33 IF_ICMPGE L-1 - true
   * 2 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I3 Branch 30 IFEQ L-1 - true
   * 3 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I16 Branch 31 IF_ICMPGE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      Element element0 = new Element("xml");
      Element element1 = JaxenNavigator.findByID(element0, "xml");
      assertNull(element1);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I2 Branch 50 IFEQ L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocType docType0 = new DocType("ENTITY", "ENTITY");
      docType0.toString();
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) "[nu.xom.DocType: ENTITY]", "[nu.xom.DocType: ENTITY]", "[nu.xom.DocType: ENTITY]", "ENTITY");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getSelfAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Iterator<?> iterator0 = jaxenNavigator0.getSelfAxisIterator((Object) jaxenNavigator0);
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 16
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 40 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I24 Branch 41 IFNONNULL L-1 - false
   */

  @Test
  public void test16()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Element element0 = new Element("ENTITY");
      Iterator<?> iterator0 = jaxenNavigator0.getFollowingAxisIterator((Object) element0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getParentNode(Ljava/lang/Object;)Ljava/lang/Object;: I2 Branch 42 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getParentAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I6 Branch 38 IFNONNULL L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("xml");
      Iterator<?> iterator0 = jaxenNavigator0.getParentAxisIterator((Object) cDATASection0);
      assertEquals(false, iterator0.hasNext());
      assertNotNull(iterator0);
  }

  //Test case number: 18
  /*
   * 4 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 24 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I17 Branch 25 IFNE L-1 - false
   * 3 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I20 Branch 26 IFEQ L-1 - true
   * 4 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I35 Branch 27 IFNULL L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = Text.build("-M&o");
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementById((Object) text0, "-M&o");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 39 IFEQ L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Comment comment0 = new Comment(",]74Dp[u");
      comment0.getBaseURI();
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) "");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 20
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 39 IFEQ L-1 - false
   * 2 nu.xom.JaxenNavigator$ChildIterator.<init>(Lnu/xom/ParentNode;)V: root-Branch
   * 3 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      Iterator<?> iterator0 = jaxenNavigator0.getDescendantAxisIterator((Object) documentFragment0);
      assertEquals(false, iterator0.hasNext());
  }
}
