/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Attribute;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.Document;
import nu.xom.DocumentFragment;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.XPathContext;
import nu.xom.XPathException;
import org.junit.BeforeClass;

public class NodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 nu.xom.Node.isElement()Z: root-Branch
   * 2 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 3 nu.xom.Node.<init>()V: root-Branch
   * 4 nu.xom.Node.isAttribute()Z: root-Branch
   * 5 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - true
   * 6 nu.xom.Node.detach()V: I7 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("0J)2bCDJ%zVO5Hp");
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.appendChild((Node) cDATASection0);
      cDATASection0.detach();
      assertEquals("[nu.xom.CDATASection: 0J)2bCDJ%zVO5Hp]", cDATASection0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isDocumentFragment()Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Comment comment0 = new Comment("FX7^ea:");
      boolean boolean0 = comment0.isDocumentFragment();
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 10 covered goals:
   * 1 nu.xom.Node.isDocType()Z: root-Branch
   * 2 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 3 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 4 nu.xom.Node.isDocument()Z: root-Branch
   * 5 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 6 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 7 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   * 8 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - false
   * 9 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - false
   * 10 nu.xom.Node$EmptyNamespaceContext.translateNamespacePrefixToUri(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Text text0 = Text.build("TiK:|Z-");
      // Undeclared exception!
      try {
        text0.query("TiK:|Z-");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: XPath expression uses unbound namespace prefix TiK
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isProcessingInstruction()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Attribute attribute0 = new Attribute("e", "e");
      boolean boolean0 = attribute0.isProcessingInstruction();
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isComment()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Text.escapeLineBreaksAndTruncate("Y");
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("Y", "Y");
      boolean boolean0 = processingInstruction0.isComment();
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.hashCode()I: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("Y");
      int int0 = cDATASection0.hashCode();
      assertEquals(1268784840, int0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.isText()Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Comment comment0 = new Comment("Y");
      boolean boolean0 = comment0.isText();
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - true
   * 2 nu.xom.Node.getRoot()Lnu/xom/Node;: I10 Branch 4 IFNULL L-1 - true
   * 3 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I93 Branch 13 IFNULL L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Comment comment0 = new Comment("lyPF&>A\"");
      comment0.getChildCount();
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.insertChild((Node) comment0, 0);
      XPathContext xPathContext0 = new XPathContext();
      // Undeclared exception!
      try {
        comment0.query("lyPF&>A\"", xPathContext0);
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // XPath error: Unexpected '&>A\"'
         //
      }
  }

  //Test case number: 8
  /*
   * 3 covered goals:
   * 1 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - true
   * 2 nu.xom.Node.getDocument()Lnu/xom/Document;: I4 Branch 1 IFNULL L-1 - false
   * 3 nu.xom.Node.getDocument()Lnu/xom/Document;: I7 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      Document document0 = documentFragment0.getDocument();
      assertNull(document0);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - true
   * 2 nu.xom.Node.getBaseURI()Ljava/lang/String;: I2 Branch 5 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      CDATASection cDATASection0 = new CDATASection("Y");
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.fastInsertChild(cDATASection0, 0);
      String string0 = cDATASection0.getBaseURI();
      assertEquals("", string0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.detach()V: I2 Branch 6 IFNONNULL L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      Comment comment0 = new Comment("FX7^ea:");
      comment0.detach();
      assertEquals("", comment0.getBaseURI());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.equals(Ljava/lang/Object;)Z: I2 Branch 8 IF_ACMPNE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      Comment comment0 = new Comment("lyPF&|v\"");
      boolean boolean0 = comment0.equals((Object) "lyPF&|v\"");
      assertEquals(false, boolean0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.Node.equals(Ljava/lang/Object;)Z: I2 Branch 8 IF_ACMPNE L-1 - false
   */

  @Test
  public void test12()  throws Throwable  {
      Comment comment0 = new Comment("lyPF&|v\"");
      boolean boolean0 = comment0.equals((Object) comment0);
      assertEquals(true, boolean0);
  }

  //Test case number: 13
  /*
   * 2 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - false
   * 2 nu.xom.Node.query(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      DocType docType0 = DocType.build("`K4>Z=p]uDj=qx2v7", "`K4>Z=p]uDj=qx2v7", "`K4>Z=p]uDj=qx2v7");
      // Undeclared exception!
      try {
        docType0.query("`K4>Z=p]uDj=qx2v7");
        fail("Expecting exception: XPathException");
      
      } catch(XPathException e) {
         //
         // Can't use XPath on a DocType
         //
      }
  }

  //Test case number: 14
  /*
   * 11 covered goals:
   * 1 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I31 Branch 11 IFNONNULL L-1 - true
   * 2 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I53 Branch 12 IFNULL L-1 - false
   * 3 nu.xom.Node.isElement()Z: root-Branch
   * 4 nu.xom.Node.isDocType()Z: root-Branch
   * 5 nu.xom.Node.setParent(Lnu/xom/ParentNode;)V: root-Branch
   * 6 nu.xom.Node.<init>()V: root-Branch
   * 7 nu.xom.Node.getParent()Lnu/xom/ParentNode;: root-Branch
   * 8 nu.xom.Node.isDocument()Z: root-Branch
   * 9 nu.xom.Node.getRoot()Lnu/xom/Node;: I4 Branch 3 IFNONNULL L-1 - false
   * 10 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I2 Branch 9 IFEQ L-1 - true
   * 11 nu.xom.Node.query(Ljava/lang/String;Lnu/xom/XPathContext;)Lnu/xom/Nodes;: I16 Branch 10 IFNE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      Text text0 = CDATASection.build("e");
      XPathContext xPathContext0 = new XPathContext();
      Nodes nodes0 = text0.query("e", xPathContext0);
      assertEquals(0, nodes0.size());
  }
}
