/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.newmatch;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Iterator;
import java.util.List;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.constants.CSSName;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.newmatch.CascadedStyle;
import org.xhtmlrenderer.css.sheet.PropertyDeclaration;
import org.xhtmlrenderer.css.sheet.Stylesheet;

public class CascadedStyleEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.createLayoutStyle(Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;[Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      PropertyDeclaration[] propertyDeclarationArray0 = new PropertyDeclaration[10];
      // Undeclared exception!
      try {
        CascadedStyle.createLayoutStyle((CascadedStyle) null, propertyDeclarationArray0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 8 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.createLayoutStyle(Ljava/util/List;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.<init>(Ljava/util/Iterator;)V: root-Branch
   * 3 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I13 Branch 1 IF_ICMPGE L142 - true
   * 4 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I13 Branch 1 IF_ICMPGE L142 - false
   * 5 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I30 Branch 2 IFEQ L146 - true
   * 6 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I57 Branch 3 IF_ICMPGE L151 - true
   * 7 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I57 Branch 3 IF_ICMPGE L151 - false
   * 8 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I68 Branch 4 IFEQ L152 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Stylesheet stylesheet0 = new Stylesheet("njildi%YfxC'l2", (-1826));
      List<?> list0 = stylesheet0.getFontFaceRules();
      CascadedStyle cascadedStyle0 = CascadedStyle.createLayoutStyle(list0);
      assertEquals(0, cascadedStyle0.countAssigned());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.countAssigned()I: root-Branch
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.createAnonymousStyle(Lorg/xhtmlrenderer/css/constants/IdentValue;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   * 3 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I30 Branch 2 IFEQ L146 - false
   * 4 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I68 Branch 4 IFEQ L152 - false
   */

  @Test
  public void test2()  throws Throwable  {
      IdentValue identValue0 = IdentValue.ALWAYS;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      assertNotNull(cascadedStyle0);
      
      int int0 = cascadedStyle0.countAssigned();
      assertEquals(1, int0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.propertyByName(Lorg/xhtmlrenderer/css/constants/CSSName;)Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;: root-Branch
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.getIdent(Lorg/xhtmlrenderer/css/constants/CSSName;)Lorg/xhtmlrenderer/css/constants/IdentValue;: I9 Branch 6 IFNONNULL L216 - false
   */

  @Test
  public void test3()  throws Throwable  {
      IdentValue identValue0 = IdentValue.ALWAYS;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      assertNotNull(cascadedStyle0);
      
      CSSName cSSName0 = CSSName.MIN_HEIGHT;
      cascadedStyle0.getIdent(cSSName0);
      assertEquals(1, cascadedStyle0.countAssigned());
      assertEquals("165I1;", cascadedStyle0.getFingerprint());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.hasProperty(Lorg/xhtmlrenderer/css/constants/CSSName;)Z: I6 Branch 5 IFNULL L188 - true
   */

  @Test
  public void test4()  throws Throwable  {
      IdentValue identValue0 = IdentValue.ALWAYS;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      assertNotNull(cascadedStyle0);
      
      CSSName cSSName0 = CSSName.MIN_HEIGHT;
      boolean boolean0 = cascadedStyle0.hasProperty(cSSName0);
      assertEquals("165I1;", cascadedStyle0.getFingerprint());
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.hasProperty(Lorg/xhtmlrenderer/css/constants/CSSName;)Z: I6 Branch 5 IFNULL L188 - false
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.createLayoutStyle([Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   * 3 org.xhtmlrenderer.css.newmatch.CascadedStyle.createLayoutPropertyDeclaration(Lorg/xhtmlrenderer/css/constants/CSSName;Lorg/xhtmlrenderer/css/constants/IdentValue;)Lorg/xhtmlrenderer/css/sheet/PropertyDeclaration;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      CSSName cSSName0 = CSSName.BORDER_WIDTH_SHORTHAND;
      IdentValue identValue0 = IdentValue.LOWER_GREEK;
      PropertyDeclaration propertyDeclaration0 = CascadedStyle.createLayoutPropertyDeclaration(cSSName0, identValue0);
      PropertyDeclaration[] propertyDeclarationArray0 = new PropertyDeclaration[1];
      propertyDeclarationArray0[0] = propertyDeclaration0;
      assertEquals(5, propertyDeclaration0.getImportanceAndOrigin());
      
      CascadedStyle cascadedStyle0 = CascadedStyle.createLayoutStyle(propertyDeclarationArray0);
      assertNotNull(cascadedStyle0);
      
      boolean boolean0 = cascadedStyle0.hasProperty(cSSName0);
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.getCascadedPropertyDeclarations()Ljava/util/Iterator;: I20 Branch 7 IFEQ L232 - true
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.getCascadedPropertyDeclarations()Ljava/util/Iterator;: I20 Branch 7 IFEQ L232 - false
   */

  @Test
  public void test6()  throws Throwable  {
      IdentValue identValue0 = IdentValue.X_LARGE;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      Iterator<?> iterator0 = cascadedStyle0.getCascadedPropertyDeclarations();
      assertNotNull(iterator0);
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.getFingerprint()Ljava/lang/String;: I4 Branch 8 IFNONNULL L241 - true
   */

  @Test
  public void test7()  throws Throwable  {
      CascadedStyle cascadedStyle0 = CascadedStyle.emptyCascadedStyle;
      String string0 = cascadedStyle0.getFingerprint();
      assertEquals("", string0);
  }

  //Test case number: 8
  /*
   * 13 covered goals:
   * 1 org.xhtmlrenderer.css.newmatch.CascadedStyle.getFingerprint()Ljava/lang/String;: I4 Branch 8 IFNONNULL L241 - false
   * 2 org.xhtmlrenderer.css.newmatch.CascadedStyle.getFingerprint()Ljava/lang/String;: I22 Branch 9 IFEQ L244 - true
   * 3 org.xhtmlrenderer.css.newmatch.CascadedStyle.getFingerprint()Ljava/lang/String;: I22 Branch 9 IFEQ L244 - false
   * 4 org.xhtmlrenderer.css.newmatch.CascadedStyle.createAnonymousStyle(Lorg/xhtmlrenderer/css/constants/IdentValue;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: root-Branch
   * 5 org.xhtmlrenderer.css.newmatch.CascadedStyle.<init>(Ljava/util/Iterator;)V: root-Branch
   * 6 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I13 Branch 1 IF_ICMPGE L142 - true
   * 7 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I13 Branch 1 IF_ICMPGE L142 - false
   * 8 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I30 Branch 2 IFEQ L146 - true
   * 9 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I30 Branch 2 IFEQ L146 - false
   * 10 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I57 Branch 3 IF_ICMPGE L151 - true
   * 11 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I57 Branch 3 IF_ICMPGE L151 - false
   * 12 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I68 Branch 4 IFEQ L152 - true
   * 13 org.xhtmlrenderer.css.newmatch.CascadedStyle.addProperties(Ljava/util/Iterator;)V: I68 Branch 4 IFEQ L152 - false
   */

  @Test
  public void test8()  throws Throwable  {
      IdentValue identValue0 = IdentValue.ALWAYS;
      CascadedStyle cascadedStyle0 = CascadedStyle.createAnonymousStyle(identValue0);
      String string0 = cascadedStyle0.getFingerprint();
      assertNotNull(string0);
      assertEquals("165I1;", string0);
  }
}
