/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import java.awt.geom.Line2D;
import java.util.Vector;
import javax.swing.JTable;
import javax.swing.JTextArea;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class MarginBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      Rectangle rectangle0 = scalableXHTMLPanel0.getVisibleRect();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      Rectangle rectangle1 = marginBox0.getChildrenClipEdge((RenderingContext) null);
      assertNotNull(rectangle1);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.MarginBox.copyOf()Lorg/xhtmlrenderer/render/BlockBox;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JTextArea jTextArea0 = new JTextArea();
      Rectangle rectangle0 = jTextArea0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      // Undeclared exception!
      try {
        marginBox0.copyOf();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // cannot be copied
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.getHeight()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double(0.0, 0.0, 0.0, 0.0);
      Rectangle rectangle0 = line2D_Double0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) naiveUserAgent0);
      RenderingContext renderingContext0 = new RenderingContext(sharedContext0);
      Rectangle rectangle1 = marginBox0.getMarginEdge((CssContext) renderingContext0, 0, 0);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
      assertNotNull(rectangle1);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.MarginBox.getContentWidth()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Line2D.Double line2D_Double0 = new Line2D.Double(0.0, 0.0, 0.0, 0.0);
      Rectangle rectangle0 = line2D_Double0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      int int0 = marginBox0.getContentWidth();
      assertEquals(0, int0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.MarginBox.getContainingBlockWidth()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      MarginBox marginBox0 = new MarginBox((Rectangle) null);
      RenderingContext renderingContext0 = new RenderingContext((SharedContext) null);
      // Undeclared exception!
      try {
        marginBox0.setMarginBottom((CssContext) renderingContext0, (-1));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Vector<Object> vector0 = new Vector<Object>();
      JTable jTable0 = new JTable(vector0, (Vector) null);
      Rectangle rectangle0 = jTable0.getCellRect(26, 26, false);
      MarginBox marginBox0 = new MarginBox(rectangle0);
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      Box box0 = marginBox0.find((CssContext) layoutContext0, 26, 0, false);
      assertNull(box0);
  }
}
