/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;
import javax.swing.JToolTip;
import javax.swing.JViewport;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.render.AnonymousBlockBox;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.render.LineBox;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.BasicPanel;
import org.xhtmlrenderer.swing.LinkListener;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class LinkListenerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.LinkListener.reset()V: root-Branch
   * 2 org.xhtmlrenderer.swing.LinkListener.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      linkListener0.reset();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMouseOut(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(0);
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      LineBox lineBox0 = new LineBox();
      linkListener0.onMouseOut((BasicPanel) xHTMLPanel0, (Box) lineBox0);
      assertEquals(false, xHTMLPanel0.isPreferredSizeSet());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMouseOver(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      linkListener0.onMouseOver((BasicPanel) xHTMLPanel0, (Box) anonymousBlockBox0);
      assertEquals(0, anonymousBlockBox0.getMaxWidth());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.linkClicked(Lorg/xhtmlrenderer/swing/BasicPanel;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      // Undeclared exception!
      try {
        linkListener0.linkClicked((BasicPanel) xHTMLPanel0, "");
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 0
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMouseDragged(Lorg/xhtmlrenderer/swing/BasicPanel;Ljava/awt/event/MouseEvent;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      JViewport jViewport0 = new JViewport();
      JToolTip jToolTip0 = jViewport0.createToolTip();
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) jToolTip0, 0, (long) 0, 0, 0, 0, 0, true, 0, 0, 0);
      linkListener0.onMouseDragged((BasicPanel) scalableXHTMLPanel0, (MouseEvent) mouseWheelEvent0);
      assertEquals(false, scalableXHTMLPanel0.getAutoscrolls());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMouseUp(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.LinkListener.checkForLink(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 1 IFNULL L33 - false
   * 3 org.xhtmlrenderer.swing.LinkListener.checkForLink(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: I6 Branch 2 IFNONNULL L33 - false
   */

  @Test
  public void test5()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      AnonymousBlockBox anonymousBlockBox0 = new AnonymousBlockBox((Element) null);
      linkListener0.onMouseUp((BasicPanel) xHTMLPanel0, (Box) anonymousBlockBox0);
      assertEquals(false, xHTMLPanel0.isFocusTraversalPolicySet());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.LinkListener.onMousePressed(Lorg/xhtmlrenderer/swing/BasicPanel;Ljava/awt/event/MouseEvent;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(1125);
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) xHTMLPanel0, 1125, (long) 1125, 1125, 1125, 1125, 1125, false, 1125, 1125, 1125);
      linkListener0.onMousePressed((BasicPanel) xHTMLPanel0, (MouseEvent) mouseWheelEvent0);
      assertEquals(0, xHTMLPanel0.getY());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.LinkListener.checkForLink(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: I3 Branch 1 IFNULL L33 - true
   * 2 org.xhtmlrenderer.swing.LinkListener.<init>()V: root-Branch
   * 3 org.xhtmlrenderer.swing.LinkListener.onMouseUp(Lorg/xhtmlrenderer/swing/BasicPanel;Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      LinkListener linkListener0 = new LinkListener();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      linkListener0.onMouseUp((BasicPanel) xHTMLPanel0, (Box) null);
      assertEquals(false, xHTMLPanel0.isValidateRoot());
  }
}
