/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.context;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;
import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.text.ParseException;
import java.util.Locale;
import java.util.TreeSet;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.text.NumberFormatter;
import org.junit.BeforeClass;
import org.xhtmlrenderer.context.StandardAttributeResolver;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.extend.UserInterface;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.NoNamespaceHandler;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class StandardAttributeResolverEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getNonCssStyling(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.context.StandardAttributeResolver.<init>(Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/xhtmlrenderer/extend/UserAgentCallback;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) xHTMLPanel0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.getNonCssStyling((Object) noNamespaceHandler0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xhtmlrenderer.swing.NoNamespaceHandler cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getAttributeValue(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(531);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      DefaultTableCellRenderer defaultTableCellRenderer0 = new DefaultTableCellRenderer();
      MouseEvent mouseEvent0 = new MouseEvent((Component) defaultTableCellRenderer0, 531, (long) 531, 531, 531, 531, 531, true);
      defaultTableCellRenderer0.getToolTipText(mouseEvent0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.getAttributeValue((Object) null, (String) null, (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getID(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) xHTMLPanel0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.getID((Object) xHTMLPanel0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xhtmlrenderer.simple.XHTMLPanel cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isActive(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) null);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) null, (UserInterface) xHTMLPanel0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.isActive((Object) standardAttributeResolver0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xhtmlrenderer.context.StandardAttributeResolver cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getAttributeValue(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)layoutContext0.getUac();
      layoutContext0.getNamespaceHandler();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      // Undeclared exception!
      try {
        standardAttributeResolver0.getAttributeValue((Object) naiveUserAgent0, "'9l?/Nf-f(");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.xhtmlrenderer.swing.NaiveUserAgent cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getLang(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) xHTMLPanel0);
      TreeSet<String> treeSet0 = new TreeSet<String>();
      treeSet0.toString();
      // Undeclared exception!
      try {
        standardAttributeResolver0.getLang((Object) "[]");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isFocus(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(2007);
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) xHTMLPanel0);
      Locale locale0 = Locale.ITALY;
      DecimalFormat decimalFormat0 = (DecimalFormat)NumberFormat.getCurrencyInstance(locale0);
      NumberFormatter numberFormatter0 = new NumberFormatter((NumberFormat) decimalFormat0);
      numberFormatter0.valueToString((Object) 2007);
      // Undeclared exception!
      try {
        standardAttributeResolver0.isFocus((Object) "\u20AC 2.007,00");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.isHover(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(531);
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) noNamespaceHandler0, (UserAgentCallback) naiveUserAgent0, (UserInterface) scalableXHTMLPanel0);
      DefaultTableCellRenderer defaultTableCellRenderer0 = new DefaultTableCellRenderer();
      MouseEvent mouseEvent0 = new MouseEvent((Component) defaultTableCellRenderer0, 531, (long) 531, 531, 531, 531, 531, true);
      defaultTableCellRenderer0.getToolTipText(mouseEvent0);
      boolean boolean0 = standardAttributeResolver0.isHover((Object) null);
      assertEquals(true, boolean0);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.context.StandardAttributeResolver.getClass(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.context.StandardAttributeResolver.<init>(Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/xhtmlrenderer/extend/UserAgentCallback;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      StandardAttributeResolver standardAttributeResolver0 = new StandardAttributeResolver((NamespaceHandler) null, (UserAgentCallback) null, (UserInterface) scalableXHTMLPanel0);
      KeyEvent.getKeyText(137);
      // Undeclared exception!
      try {
        standardAttributeResolver0.getClass((Object) "Dead Double Acute");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to org.w3c.dom.Element
         //
      }
  }
}
