/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.context;

import org.junit.Test;
import static org.junit.Assert.*;
import javax.imageio.metadata.IIOMetadataNode;
import org.junit.BeforeClass;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.xhtmlrenderer.context.StyleReference;
import org.xhtmlrenderer.css.newmatch.CascadedStyle;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.extend.UserInterface;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.NoNamespaceHandler;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class StyleReferenceEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.context.StyleReference.isHoverStyled(Lorg/w3c/dom/Element;)Z: root-Branch
   * 2 org.xhtmlrenderer.context.StyleReference.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) naiveUserAgent0);
      // Undeclared exception!
      try {
        styleReference0.isHoverStyled((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StyleReference.getFontFaceRules()Ljava/util/List;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) null);
      // Undeclared exception!
      try {
        styleReference0.getFontFaceRules();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StyleReference.getPageStyle(Ljava/lang/String;Ljava/lang/String;)Lorg/xhtmlrenderer/css/newmatch/PageInfo;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      StyleReference styleReference0 = sharedContext0.getCss();
      // Undeclared exception!
      try {
        styleReference0.getPageStyle("AMu!bvOF", "AMu!bvOF");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.context.StyleReference.setDocumentContext(Lorg/xhtmlrenderer/layout/SharedContext;Lorg/xhtmlrenderer/extend/NamespaceHandler;Lorg/w3c/dom/Document;Lorg/xhtmlrenderer/extend/UserInterface;)V: root-Branch
   * 2 org.xhtmlrenderer.context.StyleReference.getStylesheets()Ljava/util/List;: I21 Branch 9 IFNULL L240 - true
   */

  @Test
  public void test3()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) naiveUserAgent0);
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) naiveUserAgent0);
      NoNamespaceHandler noNamespaceHandler0 = new NoNamespaceHandler();
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) naiveUserAgent0);
      // Undeclared exception!
      try {
        styleReference0.setDocumentContext(sharedContext0, (NamespaceHandler) noNamespaceHandler0, (Document) null, (UserInterface) xHTMLPanel0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StyleReference.setUserAgentCallback(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)renderingContext0.getUac();
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) naiveUserAgent0);
      styleReference0.setUserAgentCallback((UserAgentCallback) naiveUserAgent0);
      assertNull(naiveUserAgent0.getBaseURL());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StyleReference.flushAllStyleSheets()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) naiveUserAgent0);
      styleReference0.flushAllStyleSheets();
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StyleReference.getPseudoElementStyle(Lorg/w3c/dom/Node;Ljava/lang/String;)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: I9 Branch 6 IF_ICMPNE L181 - false
   */

  @Test
  public void test6()  throws Throwable  {
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) null);
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("-X");
      // Undeclared exception!
      try {
        styleReference0.getPseudoElementStyle((Node) iIOMetadataNode0, "-X");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StyleReference.getCascadedStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/newmatch/CascadedStyle;: I3 Branch 7 IFNONNULL L198 - false
   */

  @Test
  public void test7()  throws Throwable  {
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) null);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) null);
      CascadedStyle cascadedStyle0 = styleReference0.getCascadedStyle((Element) null, true);
      assertEquals("", cascadedStyle0.getFingerprint());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.context.StyleReference.flushStyleSheets()V: I28 Branch 8 IFEQ L214 - true
   */

  @Test
  public void test8()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) naiveUserAgent0);
      styleReference0.flushStyleSheets();
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.context.StyleReference.removeStyle(Lorg/w3c/dom/Element;)V: I4 Branch 13 IFNULL L273 - true
   * 2 org.xhtmlrenderer.context.StyleReference.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      StyleReference styleReference0 = new StyleReference((UserAgentCallback) naiveUserAgent0);
      styleReference0.removeStyle((Element) null);
  }
}
