/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Panel;
import java.awt.Rectangle;
import javax.swing.JColorChooser;
import javax.swing.colorchooser.ColorSelectionModel;
import javax.swing.colorchooser.DefaultColorSelectionModel;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.render.ViewportBox;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class ViewportBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.copyOf()Lorg/xhtmlrenderer/render/BlockBox;: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Panel panel0 = new Panel();
      Rectangle rectangle0 = panel0.getBounds();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      // Undeclared exception!
      try {
        viewportBox0.copyOf();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // cannot be copied
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getContentWidth()I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ViewportBox viewportBox0 = new ViewportBox((Rectangle) null);
      // Undeclared exception!
      try {
        viewportBox0.getBoxDimensions();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.getHeight()I: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.getWidth()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultColorSelectionModel defaultColorSelectionModel0 = new DefaultColorSelectionModel();
      JColorChooser jColorChooser0 = new JColorChooser((ColorSelectionModel) defaultColorSelectionModel0);
      Rectangle rectangle0 = jColorChooser0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      Rectangle rectangle1 = viewportBox0.getMarginEdge((CssContext) null, 0, 0);
      assertNotNull(rectangle1);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.ViewportBox.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Panel panel0 = new Panel();
      Rectangle rectangle0 = panel0.getBounds();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.getLayoutContext();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      viewportBox0.find((CssContext) null, 0, 0, false);
      assertEquals("java.awt.Panel[panel2,0,0,0x0,invalid,layout=java.awt.FlowLayout]", panel0.toString());
      assertEquals("panel2", panel0.getName());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.ViewportBox.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.ViewportBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DefaultColorSelectionModel defaultColorSelectionModel0 = new DefaultColorSelectionModel();
      JColorChooser jColorChooser0 = new JColorChooser((ColorSelectionModel) defaultColorSelectionModel0);
      Rectangle rectangle0 = jColorChooser0.getVisibleRect();
      ViewportBox viewportBox0 = new ViewportBox(rectangle0);
      Rectangle rectangle1 = viewportBox0.getPaintingPaddingEdge((CssContext) null);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
      assertNotNull(rectangle1);
  }
}
