/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.event.ComponentEvent;
import java.awt.event.FocusEvent;
import java.awt.event.MouseEvent;
import javax.imageio.metadata.IIOMetadataNode;
import javax.swing.MenuElement;
import javax.swing.MenuSelectionManager;
import javax.swing.event.MenuDragMouseEvent;
import javax.swing.table.DefaultTableCellRenderer;
import org.junit.BeforeClass;
import org.w3c.dom.Document;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.RootPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class RootPanelEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.getLayoutContext()Lorg/xhtmlrenderer/layout/LayoutContext;: root-Branch
   * 2 org.xhtmlrenderer.swing.RootPanel.init()V: root-Branch
   * 3 org.xhtmlrenderer.swing.RootPanel.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      xHTMLPanel0.getLayoutContext();
      assertEquals(true, xHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.RootPanel.componentHidden(Ljava/awt/event/ComponentEvent;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      RootPanel rootPanel0 = new RootPanel();
      rootPanel0.isCursorSet();
      FocusEvent focusEvent0 = new FocusEvent((Component) rootPanel0, 0, false);
      rootPanel0.componentHidden((ComponentEvent) focusEvent0);
      assertEquals("java.awt.event.FocusEvent[unknown type,permanent,opposite=null] on org.xhtmlrenderer.swing.RootPanel[,0,0,0x0,invalid,layout=java.awt.FlowLayout,alignmentX=0.0,alignmentY=0.0,border=,flags=9,maximumSize=,minimumSize=,preferredSize=]", focusEvent0.toString());
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.setRootBox(Lorg/xhtmlrenderer/render/Box;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.RootPanel.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;Lorg/xhtmlrenderer/extend/NamespaceHandler;)V: I23 Branch 1 IFEQ L72 - true
   * 3 org.xhtmlrenderer.swing.RootPanel.resetScrollPosition()V: I4 Branch 2 IFNULL L88 - true
   * 4 org.xhtmlrenderer.swing.RootPanel.fireDocumentStarted()V: I11 Branch 28 IFEQ L343 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("");
      iIOMetadataNode0.getOwnerDocument();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      layoutContext0.getNamespaceHandler();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.setDocument((Document) null, "", (NamespaceHandler) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.RootPanel.isPrintView()Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      boolean boolean0 = scalableXHTMLPanel0.isPrintView();
      assertEquals(true, scalableXHTMLPanel0.isBackgroundSet());
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.removeNotify()V: root-Branch
   * 2 org.xhtmlrenderer.swing.RootPanel.setEnclosingScrollPane(Ljavax/swing/JScrollPane;)V: I4 Branch 3 IFNULL L103 - true
   * 3 org.xhtmlrenderer.swing.RootPanel.setEnclosingScrollPane(Ljavax/swing/JScrollPane;)V: I20 Branch 4 IFNULL L109 - true
   */

  @Test
  public void test4()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      scalableXHTMLPanel0.removeNotify();
      assertEquals(true, scalableXHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.RootPanel.addNotify()V: I18 Branch 6 IFEQ L140 - true
   */

  @Test
  public void test5()  throws Throwable  {
      RootPanel rootPanel0 = new RootPanel();
      rootPanel0.addNotify();
      assertEquals(false, rootPanel0.isManagingFocus());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.swing.RootPanel.doDocumentLayout(Ljava/awt/Graphics;)V: I7 Branch 13 IFNONNULL L239 - false
   */

  @Test
  public void test6()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      DefaultTableCellRenderer defaultTableCellRenderer0 = new DefaultTableCellRenderer();
      defaultTableCellRenderer0.getGraphics();
      scalableXHTMLPanel0.doDocumentLayout((Graphics) null);
      assertEquals(true, scalableXHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.getLayoutWidth()D: I4 Branch 37 IFNULL L429 - true
   * 2 org.xhtmlrenderer.swing.RootPanel.init()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      double double0 = xHTMLPanel0.getLayoutWidth();
      assertEquals(0.0, double0, 0.01D);
      assertEquals(true, xHTMLPanel0.isBackgroundSet());
  }

  //Test case number: 8
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.swing.RootPanel.find(II)Lorg/xhtmlrenderer/render/Box;: I8 Branch 39 IFNULL L458 - true
   * 2 org.xhtmlrenderer.swing.RootPanel.<init>()V: root-Branch
   * 3 org.xhtmlrenderer.swing.RootPanel.getRootBox()Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 4 org.xhtmlrenderer.swing.RootPanel.find(Ljava/awt/event/MouseEvent;)Lorg/xhtmlrenderer/render/Box;: root-Branch
   * 5 org.xhtmlrenderer.swing.RootPanel.getRootLayer()Lorg/xhtmlrenderer/layout/Layer;: I4 Branch 38 IFNONNULL L449 - false
   */

  @Test
  public void test8()  throws Throwable  {
      RootPanel rootPanel0 = new RootPanel();
      rootPanel0.isOptimizedDrawingEnabled();
      MenuElement[] menuElementArray0 = new MenuElement[1];
      MenuSelectionManager menuSelectionManager0 = MenuSelectionManager.defaultManager();
      MenuDragMouseEvent menuDragMouseEvent0 = new MenuDragMouseEvent((Component) rootPanel0, 511, (long) 511, 511, 511, 511, 511, true, menuElementArray0, menuSelectionManager0);
      Box box0 = rootPanel0.find((MouseEvent) menuDragMouseEvent0);
      assertNull(box0);
  }
}
