/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Iterator;
import java.util.LinkedList;
import nu.xom.Attribute;
import nu.xom.CDATASection;
import nu.xom.Comment;
import nu.xom.DocType;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.JaxenNavigator;
import nu.xom.Namespace;
import nu.xom.Nodes;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.XPathContext;
import nu.xom.jaxen.FunctionCallException;
import nu.xom.jaxen.JaxenException;
import nu.xom.jaxen.UnsupportedAxisException;
import nu.xom.jaxen.XPathSyntaxException;
import org.junit.BeforeClass;

public class JaxenNavigatorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionTarget(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      attribute_Type0.getName();
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("NMTOKEN");
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionTarget((Object) cDATASection0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.CDATASection cannot be cast to nu.xom.ProcessingInstruction
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocument(Ljava/lang/String;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      try {
        jaxenNavigator0.getDocument("document() function not supported");
        fail("Expecting exception: FunctionCallException");
      
      } catch(FunctionCallException e) {
         //
         // document() function not supported
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocumentNode(Ljava/lang/Object;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      LinkedList<DocumentFragment> linkedList0 = new LinkedList<DocumentFragment>();
      linkedList0.toString();
      // Undeclared exception!
      try {
        jaxenNavigator0.getDocumentNode((Object) "[]");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionData(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Attribute.Type attribute_Type0 = Attribute.Type.UNDECLARED;
      attribute_Type0.getName();
      DocType docType0 = new DocType("UNDECLARED", "UNDECLARED", "UNDECLARED");
      docType0.getDocument();
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionData((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getNamespaceStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace("", "", element0);
      namespace0.getPrefix();
      Text text0 = new Text("");
      // Undeclared exception!
      try {
        jaxenNavigator0.getNamespaceStringValue((Object) text0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Text cannot be cast to nu.xom.Namespace
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeQName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      documentFragment0.getDocument();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeQName((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementNamespaceUri(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Attribute.Type attribute_Type0 = Attribute.Type.UNDECLARED;
      Attribute attribute0 = Attribute.build("xml", "xml", "xml", attribute_Type0, "xml");
      attribute0.getQualifiedName();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementNamespaceUri((Object) "xml");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.parseXPath(Ljava/lang/String;)Lnu/xom/jaxen/XPath;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      try {
        jaxenNavigator0.parseXPath("");
        fail("Expecting exception: XPathSyntaxException");
      
      } catch(XPathSyntaxException e) {
         //
         // Unexpected ''
         //
      }
  }

  //Test case number: 8
  /*
   * 9 covered goals:
   * 1 nu.xom.JaxenNavigator.getCommentStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.isAttribute(Ljava/lang/Object;)Z: root-Branch
   * 3 nu.xom.JaxenNavigator.isProcessingInstruction(Ljava/lang/Object;)Z: root-Branch
   * 4 nu.xom.JaxenNavigator.isElement(Ljava/lang/Object;)Z: root-Branch
   * 5 nu.xom.JaxenNavigator.isComment(Ljava/lang/Object;)Z: root-Branch
   * 6 nu.xom.JaxenNavigator.isNamespace(Ljava/lang/Object;)Z: root-Branch
   * 7 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I2 Branch 47 IFEQ L-1 - true
   * 8 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I2 Branch 45 IFNE L-1 - false
   * 9 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I5 Branch 46 IFEQ L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      jaxenNavigator0.getNodeType((Object) jaxenNavigator0);
      // Undeclared exception!
      try {
        jaxenNavigator0.getCommentStringValue((Object) (short)14);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.Short cannot be cast to nu.xom.Comment
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Comment comment0 = Comment.build("=!L`.[oQ&zd0{H`");
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeStringValue((Object) comment0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Comment cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getNamespacePrefix(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      Attribute.Type attribute_Type0 = Attribute.Type.IDREFS;
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getNamespacePrefix((Object) attribute_Type0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Attribute$Type cannot be cast to nu.xom.Namespace
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeNamespaceUri(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      processingInstruction0.getDocument();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeNamespaceUri((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Iterator<?> iterator0 = jaxenNavigator0.getAttributeAxisIterator((Object) jaxenNavigator0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.hasID(Lnu/xom/Element;Ljava/lang/String;)Z: I8 Branch 33 IF_ICMPGE L-1 - true
   * 2 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I3 Branch 30 IFEQ L-1 - true
   * 3 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I16 Branch 31 IF_ICMPGE L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Element element1 = JaxenNavigator.findByID(element0, "");
      assertNull(element1);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I2 Branch 50 IFEQ L-1 - true
   */

  @Test
  public void test14()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) jaxenNavigator0, "", "", "");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 15
  /*
   * 4 covered goals:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I2 Branch 50 IFEQ L-1 - false
   * 2 nu.xom.JaxenNavigator$NamedChildIterator.findNext()V: I10 Branch 12 IF_ICMPGE L-1 - true
   * 3 nu.xom.JaxenNavigator$NamedChildIterator.hasNext()Z: I2 Branch 16 IFNULL L-1 - true
   * 4 nu.xom.JaxenNavigator$NamedChildIterator.<init>(Lnu/xom/ParentNode;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I16 Branch 11 IFNONNULL L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      DocumentFragment documentFragment0 = new DocumentFragment();
      Nodes nodes0 = documentFragment0.query("xml", (XPathContext) null);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getSelfAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Element element0 = Element.build("", "", "");
      Namespace namespace0 = new Namespace("", "", element0);
      namespace0.getPrefix();
      Iterator<?> iterator0 = jaxenNavigator0.getSelfAxisIterator((Object) "");
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 40 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I24 Branch 41 IFNONNULL L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("");
      Iterator<?> iterator0 = jaxenNavigator0.getFollowingSiblingAxisIterator((Object) cDATASection0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getParentNode(Ljava/lang/Object;)Ljava/lang/Object;: I2 Branch 42 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getParentAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I6 Branch 38 IFNONNULL L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      attribute_Type0.getName();
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("NMTOKEN", "NMTOKEN");
      Iterator<?> iterator0 = jaxenNavigator0.getParentAxisIterator((Object) processingInstruction0);
      assertNotNull(iterator0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 19
  /*
   * 4 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I17 Branch 25 IFNE L-1 - false
   * 2 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I20 Branch 26 IFEQ L-1 - true
   * 3 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I35 Branch 27 IFNULL L-1 - true
   * 4 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 24 IFEQ L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Comment comment0 = Comment.build(",3fR}L");
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementById((Object) comment0, ",3fR}L");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 20
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 39 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Comment comment0 = new Comment("SOo5sOr@S");
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) comment0);
      assertEquals(false, iterator0.hasNext());
  }
}
