/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.IllegalDataException;
import nu.xom.IllegalTargetException;
import nu.xom.ProcessingInstruction;
import org.junit.BeforeClass;

public class ProcessingInstructionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 9 covered goals:
   * 1 nu.xom.ProcessingInstruction.getValue()Ljava/lang/String;: root-Branch
   * 2 nu.xom.ProcessingInstruction.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.ProcessingInstruction._setTarget(Ljava/lang/String;)V: I22 Branch 1 IFLE L-1 - true
   * 4 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I4 Branch 2 IFEQ L-1 - false
   * 5 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I8 Branch 3 IFLT L-1 - true
   * 6 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I23 Branch 4 IFLT L-1 - true
   * 7 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I41 Branch 5 IF_ICMPEQ L-1 - false
   * 8 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I44 Branch 6 IF_ICMPEQ L-1 - false
   * 9 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I47 Branch 7 IF_ICMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("R", "R");
      String string0 = processingInstruction0.getValue();
      assertEquals("R", string0);
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 nu.xom.ProcessingInstruction.setTarget(Ljava/lang/String;)V: root-Branch
   * 2 nu.xom.ProcessingInstruction.build(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/ProcessingInstruction;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build(" conflicts with attribute ", " conflicts with attribute ");
      // Undeclared exception!
      try {
        processingInstruction0.setTarget(" conflicts with attribute ");
        fail("Expecting exception: IllegalTargetException");
      
      } catch(IllegalTargetException e) {
         //
         // NCNames cannot start with the character 20
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.getTarget()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("xml", "xml");
      String string0 = processingInstruction0.getTarget();
      assertEquals("xml", string0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.getChildCount()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("v5 RUR0w", "v5 RUR0w");
      int int0 = processingInstruction0.getChildCount();
      assertEquals(0, int0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.isProcessingInstruction()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("xml", "xml");
      boolean boolean0 = processingInstruction0.isProcessingInstruction();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("v5 RUR0w", "v5 RUR0w");
      String string0 = processingInstruction0.toString();
      assertNotNull(string0);
      assertEquals("[nu.xom.ProcessingInstruction: target=\"v5 RUR0w\"; data=\"v5 RUR0w\"]", string0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.<init>(Lnu/xom/ProcessingInstruction;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("v5 RUR0w", "v5 RUR0w");
      ProcessingInstruction processingInstruction1 = new ProcessingInstruction(processingInstruction0);
      assertEquals("[nu.xom.ProcessingInstruction: target=\"v5 RUR0w\"; data=\"v5 RUR0w\"]", processingInstruction1.toString());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.getChild(I)Lnu/xom/Node;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("!/ 0%89\"", "!/ 0%89\"");
      // Undeclared exception!
      try {
        processingInstruction0.getChild(7);
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(IndexOutOfBoundsException e) {
         //
         // LeafNodes do not have children
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 nu.xom.ProcessingInstruction.copy()Lnu/xom/Node;: root-Branch
   * 2 nu.xom.ProcessingInstruction._setTarget(Ljava/lang/String;)V: I22 Branch 1 IFLE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("xml", "xml");
      // Undeclared exception!
      try {
        processingInstruction0.copy();
        fail("Expecting exception: IllegalTargetException");
      
      } catch(IllegalTargetException e) {
         //
         // xml is not a legal processing instruction target.
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.ProcessingInstruction.toXML()Ljava/lang/String;: I13 Branch 8 IFLE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      String string0 = processingInstruction0.toXML();
      assertEquals("<??>", string0);
      assertNotNull(string0);
  }

  //Test case number: 10
  /*
   * 3 covered goals:
   * 1 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I4 Branch 2 IFEQ L-1 - true
   * 2 nu.xom.ProcessingInstruction.setValue(Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.ProcessingInstruction.build(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/ProcessingInstruction;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      processingInstruction0.setValue("");
      assertEquals("", processingInstruction0.getBaseURI());
  }

  //Test case number: 11
  /*
   * 5 covered goals:
   * 1 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I8 Branch 3 IFLT L-1 - false
   * 2 nu.xom.ProcessingInstruction.toXML()Ljava/lang/String;: I13 Branch 8 IFLE L-1 - false
   * 3 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I41 Branch 5 IF_ICMPEQ L-1 - false
   * 4 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I44 Branch 6 IF_ICMPEQ L-1 - false
   * 5 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I47 Branch 7 IF_ICMPNE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = new ProcessingInstruction("R", "R");
      processingInstruction0.toXML();
      ProcessingInstruction processingInstruction1 = null;
      try {
        processingInstruction1 = new ProcessingInstruction("R", "<?R R?>");
        fail("Expecting exception: IllegalDataException");
      
      } catch(IllegalDataException e) {
         //
         // Processing instruction data must not contain \"?>\"
         //
      }
  }

  //Test case number: 12
  /*
   * 6 covered goals:
   * 1 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I41 Branch 5 IF_ICMPEQ L-1 - true
   * 2 nu.xom.ProcessingInstruction.<init>(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.ProcessingInstruction._setTarget(Ljava/lang/String;)V: I22 Branch 1 IFLE L-1 - true
   * 4 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I4 Branch 2 IFEQ L-1 - false
   * 5 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I8 Branch 3 IFLT L-1 - true
   * 6 nu.xom.ProcessingInstruction._setValue(Ljava/lang/String;)V: I23 Branch 4 IFLT L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      ProcessingInstruction processingInstruction0 = null;
      try {
        processingInstruction0 = new ProcessingInstruction("id", " conflicts with attribute ");
        fail("Expecting exception: IllegalDataException");
      
      } catch(IllegalDataException e) {
         //
         // Processing instruction data cannot contain leading white space
         //
      }
  }
}
