/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.canonical;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PipedOutputStream;
import nu.xom.Comment;
import nu.xom.Node;
import nu.xom.Nodes;
import nu.xom.Text;
import nu.xom.canonical.CanonicalizationException;
import nu.xom.canonical.Canonicalizer;
import org.junit.BeforeClass;

public class CanonicalizerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - true
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, " f+a$");
        fail("Expecting exception: CanonicalizationException");
      
      } catch(CanonicalizationException e) {
         //
         // Unsupported canonicalization algorithm:  f+a$
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Canonicalizer canonicalizer0 = null;
      try {
        canonicalizer0 = new Canonicalizer((OutputStream) null, (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Null algorithm
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream(2883);
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2001/10/xml-exc-c14n#WithComments");
  }

  //Test case number: 3
  /*
   * 4 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I98 Branch 149 IFLE L-1 - false
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I71 Branch 147 IFLE L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I83 Branch 148 IFLE L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2006/12/xml-c14n11#WithComments");
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Nodes;)V: I2 Branch 163 IFLE L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0);
      Nodes nodes0 = new Nodes();
      canonicalizer0.write(nodes0);
      assertEquals(0, nodes0.size());
  }

  //Test case number: 5
  /*
   * 11 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 3 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I2 Branch 124 IFNULL L-1 - true
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I24 Branch 126 IF_ICMPGE L-1 - false
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I31 Branch 127 IF_ICMPNE L-1 - true
   * 9 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I40 Branch 128 IF_ICMPNE L-1 - true
   * 10 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I49 Branch 129 IF_ICMPNE L-1 - true
   * 11 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Text;)V: I58 Branch 130 IF_ICMPNE L-1 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      Text text0 = new Text(" f+a$");
      canonicalizer0.write((Node) text0);
      assertEquals(5, byteArrayOutputStream0.size());
      assertEquals(" f+a$", byteArrayOutputStream0.toString());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I5 Branch 165 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0);
      canonicalizer0.setInclusiveNamespacePrefixList(" f+a$");
  }

  //Test case number: 7
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I5 Branch 165 IFEQ L-1 - false
   * 2 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I7 Branch 166 IFNULL L-1 - false
   * 3 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I18 Branch 167 IFEQ L-1 - true
   * 4 nu.xom.canonical.Canonicalizer.setInclusiveNamespacePrefixList(Ljava/lang/String;)V: I18 Branch 167 IFEQ L-1 - false
   * 5 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I14 Branch 143 IFNONNULL L-1 - true
   * 6 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I35 Branch 144 IFLE L-1 - true
   * 7 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I47 Branch 145 IFLE L-1 - true
   * 8 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Ljava/lang/String;)V: I59 Branch 146 IFLE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      ByteArrayOutputStream byteArrayOutputStream0 = new ByteArrayOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) byteArrayOutputStream0, "http://www.w3.org/2001/10/xml-exc-c14n#");
      canonicalizer0.setInclusiveNamespacePrefixList("http://www.w3.org/2001/10/xml-exc-c14n#");
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - true
   * 2 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, false);
      Comment comment0 = new Comment("upper-cas;");
      canonicalizer0.write((Node) comment0);
      assertEquals(0, comment0.getChildCount());
  }

  //Test case number: 9
  /*
   * 8 covered goals:
   * 1 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I3 Branch 131 IFEQ L-1 - false
   * 2 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Comment;)V: I6 Branch 132 IFNULL L-1 - true
   * 3 nu.xom.canonical.Canonicalizer.<init>(Ljava/io/OutputStream;Z)V: root-Branch
   * 4 nu.xom.canonical.Canonicalizer.write(Lnu/xom/Node;)V: I2 Branch 150 IFEQ L-1 - true
   * 5 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.<init>(Lnu/xom/canonical/Canonicalizer;Ljava/io/OutputStream;)V: root-Branch
   * 6 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I2 Branch 136 IFEQ L-1 - true
   * 7 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I11 Branch 137 IFEQ L-1 - true
   * 8 nu.xom.canonical.Canonicalizer$CanonicalXMLSerializer.write(Lnu/xom/Node;)V: I20 Branch 138 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      PipedOutputStream pipedOutputStream0 = new PipedOutputStream();
      Canonicalizer canonicalizer0 = new Canonicalizer((OutputStream) pipedOutputStream0, true);
      Comment comment0 = new Comment("upper-case");
      try {
        canonicalizer0.write((Node) comment0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }
}
