/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom.converters;

import org.junit.Test;
import static org.junit.Assert.*;
import javax.imageio.metadata.IIOMetadataNode;
import nu.xom.Attribute;
import nu.xom.Element;
import nu.xom.NodeFactory;
import nu.xom.XMLException;
import nu.xom.converters.DOMConverter;
import org.junit.BeforeClass;
import org.w3c.dom.Attr;
import org.w3c.dom.Comment;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentFragment;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;
import org.w3c.dom.ProcessingInstruction;
import org.w3c.dom.Text;

public class DOMConverterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Document;)Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      // Undeclared exception!
      try {
        DOMConverter.convert((Document) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Text;)Lnu/xom/Text;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      // Undeclared exception!
      try {
        DOMConverter.convert((Text) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 7 covered goals:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;)Lnu/xom/Element;: root-Branch
   * 2 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I7 Branch 24 IFNONNULL L-1 - true
   * 3 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I56 Branch 27 IFEQ L-1 - true
   * 4 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I68 Branch 29 IF_ACMPNE L-1 - false
   * 5 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I8 Branch 36 IFNULL L-1 - true
   * 6 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I29 Branch 38 IFNONNULL L-1 - true
   * 7 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I42 Branch 39 IF_ICMPGE L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("ENTITY");
      Element element0 = DOMConverter.convert((org.w3c.dom.Element) iIOMetadataNode0);
      assertEquals("ENTITY", element0.getQualifiedName());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Comment;)Lnu/xom/Comment;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        DOMConverter.convert((Comment) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/DocumentFragment;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      // Undeclared exception!
      try {
        DOMConverter.convert((DocumentFragment) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/DocumentType;)Lnu/xom/DocType;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      // Undeclared exception!
      try {
        DOMConverter.convert((DocumentType) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/ProcessingInstruction;)Lnu/xom/ProcessingInstruction;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      // Undeclared exception!
      try {
        DOMConverter.convert((ProcessingInstruction) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 25 covered goals:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I56 Branch 27 IFEQ L-1 - false
   * 2 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I58 Branch 28 IFNE L-1 - false
   * 3 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I99 Branch 32 IF_ICMPNE L-1 - true
   * 4 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 10 TABLESWITCH L-1 Case 1 - false
   * 5 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 11 TABLESWITCH L-1 Case 2 - true
   * 6 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 12 TABLESWITCH L-1 Case 3 - false
   * 7 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 13 TABLESWITCH L-1 Case 4 - false
   * 8 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 14 TABLESWITCH L-1 Case 5 - false
   * 9 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 15 TABLESWITCH L-1 Case 6 - false
   * 10 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 16 TABLESWITCH L-1 Case 7 - false
   * 11 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 17 TABLESWITCH L-1 Case 8 - false
   * 12 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 18 TABLESWITCH L-1 Case 9 - false
   * 13 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 19 TABLESWITCH L-1 Case 10 - false
   * 14 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Node;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I4 Branch 20 TABLESWITCH L-1 Default-Case - false
   * 15 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I42 Branch 39 IF_ICMPGE L-1 - false
   * 16 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I58 Branch 40 IFNONNULL L-1 - false
   * 17 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I65 Branch 41 IFLE L-1 - true
   * 18 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I108 Branch 44 IF_ICMPGE L-1 - true
   * 19 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I108 Branch 44 IF_ICMPGE L-1 - false
   * 20 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I115 Branch 45 IFEQ L-1 - false
   * 21 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;)Lnu/xom/Element;: root-Branch
   * 22 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Nodes;: I7 Branch 24 IFNONNULL L-1 - true
   * 23 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I8 Branch 36 IFNULL L-1 - true
   * 24 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I29 Branch 38 IFNONNULL L-1 - true
   * 25 nu.xom.converters.DOMConverter.makeElement(Lorg/w3c/dom/Element;Lnu/xom/NodeFactory;)Lnu/xom/Element;: I42 Branch 39 IF_ICMPGE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("ENTITY");
      iIOMetadataNode0.setAttributeNS("ENTITY", "ENTITY", "ENTITY");
      Attr attr0 = iIOMetadataNode0.getAttributeNodeNS("ENTITY", "ENTITY");
      iIOMetadataNode0.appendChild((Node) attr0);
      // Undeclared exception!
      try {
        DOMConverter.convert((org.w3c.dom.Element) iIOMetadataNode0);
        fail("Expecting exception: XMLException");
      
      } catch(XMLException e) {
         //
         // Unexpected DOM node type: 2
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.converters.DOMConverter.convert(Lorg/w3c/dom/Attr;)Lnu/xom/Attribute;: I7 Branch 21 IFNONNULL L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("ENTITY");
      iIOMetadataNode0.setAttributeNS("ENTITY", "ENTITY", "ENTITY");
      Attr attr0 = iIOMetadataNode0.getAttributeNodeNS("ENTITY", "ENTITY");
      Attribute attribute0 = DOMConverter.convert(attr0);
      assertEquals("ENTITY=\"ENTITY\"", attribute0.toXML());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.converters.DOMConverter.convert(Lnu/xom/Document;Lorg/w3c/dom/DOMImplementation;)Lorg/w3c/dom/Document;: I15 Branch 46 IFNULL L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      nu.xom.Document document0 = nodeFactory0.startMakingDocument();
      // Undeclared exception!
      try {
        DOMConverter.convert(document0, (DOMImplementation) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
