/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.layout;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import javax.swing.text.DefaultCaret;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.xhtmlrenderer.context.AWTFontResolver;
import org.xhtmlrenderer.extend.FontResolver;
import org.xhtmlrenderer.extend.NamespaceHandler;
import org.xhtmlrenderer.extend.ReplacedElementFactory;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.layout.LayoutContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.Box;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.Java2DTextRenderer;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.RootPanel;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.swing.SwingReplacedElementFactory;

public class SharedContextEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 10 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.setTextRenderer(Lorg/xhtmlrenderer/extend/TextRenderer;)V: root-Branch
   * 3 org.xhtmlrenderer.layout.SharedContext.setDPI(F)V: root-Branch
   * 4 org.xhtmlrenderer.layout.SharedContext.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 5 org.xhtmlrenderer.layout.SharedContext.setMedia(Ljava/lang/String;)V: root-Branch
   * 6 org.xhtmlrenderer.layout.SharedContext.setCss(Lorg/xhtmlrenderer/context/StyleReference;)V: root-Branch
   * 7 org.xhtmlrenderer.layout.SharedContext.getCss()Lorg/xhtmlrenderer/context/StyleReference;: root-Branch
   * 8 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I4 Branch 13 IFNONNULL L522 - false
   * 9 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I21 Branch 14 IFNE L527 - false
   * 10 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I33 Branch 15 IFNONNULL L530 - false
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      // Undeclared exception!
      try {
        sharedContext0.getStyle((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDebug_draw_font_metrics(Z)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.setDebug_draw_font_metrics(false);
      assertEquals(false, sharedContext0.debugDrawFontMetrics());
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDebug_draw_inline_boxes(Z)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.setDebug_draw_inline_boxes(true);
      assertEquals(true, sharedContext0.debugDrawInlineBoxes());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.flushFonts()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(548);
      SharedContext sharedContext0 = new SharedContext((UserAgentCallback) naiveUserAgent0);
      sharedContext0.flushFonts();
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDotsPerPixel(I)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      
      sharedContext0.setDotsPerPixel(0);
      assertEquals(0, sharedContext0.getDotsPerPixel());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.debugDrawInlineBoxes()Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.debugDrawInlineBoxes();
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.set_TempCanvas(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      DefaultCaret defaultCaret0 = new DefaultCaret();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.set_TempCanvas((Rectangle) defaultCaret0);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getBaseURL()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getBaseURL();
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getMmPerPx()F: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      float float0 = sharedContext0.getMmPerPx();
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, float0, 0.01F);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.debugDrawBoxes()Z: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.debugDrawBoxes();
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getUac()Lorg/xhtmlrenderer/extend/UserAgentCallback;: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.newLayoutContextInstance()Lorg/xhtmlrenderer/layout/LayoutContext;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      LayoutContext layoutContext0 = sharedContext0.newLayoutContextInstance();
      NaiveUserAgent naiveUserAgent1 = (NaiveUserAgent)layoutContext0.getUac();
      assertEquals(1, layoutContext0.getDotsPerPixel());
      assertEquals(0.35277778F, layoutContext0.getMmPerDot(), 0.01F);
      assertNotNull(naiveUserAgent1);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, layoutContext0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 11
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setNamespaceHandler(Lorg/xhtmlrenderer/extend/NamespaceHandler;)V: root-Branch
   * 2 org.xhtmlrenderer.layout.SharedContext.getNamespaceHandler()Lorg/xhtmlrenderer/extend/NamespaceHandler;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getNamespaceHandler();
      sharedContext0.setNamespaceHandler((NamespaceHandler) null);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.isPrint()Z: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.isPrint();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setFontResolver(Lorg/xhtmlrenderer/extend/FontResolver;)V: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      AWTFontResolver aWTFontResolver0 = new AWTFontResolver();
      sharedContext0.setFontResolver((FontResolver) aWTFontResolver0);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.debugDrawFontMetrics()Z: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.debugDrawFontMetrics();
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.newRenderingContextInstance()Lorg/xhtmlrenderer/render/RenderingContext;: root-Branch
   */

  @Test
  public void test15()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, renderingContext0.getDotsPerPixel());
      assertEquals(72.0F, renderingContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, renderingContext0.getMmPerDot(), 0.01F);
      assertEquals(true, renderingContext0.isInteractive());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.setDebug_draw_boxes(Z)V: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.setDebug_draw_boxes(false);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(false, sharedContext0.debugDrawBoxes());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getTextRenderer()Lorg/xhtmlrenderer/extend/TextRenderer;: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      Java2DTextRenderer java2DTextRenderer0 = (Java2DTextRenderer)sharedContext0.getTextRenderer();
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertNotNull(java2DTextRenderer0);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.getFontResolver()Lorg/xhtmlrenderer/extend/FontResolver;: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      AWTFontResolver aWTFontResolver0 = (AWTFontResolver)sharedContext0.getFontResolver();
      assertNotNull(aWTFontResolver0);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
  }

  //Test case number: 19
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getFixedRectangle()Ljava/awt/Rectangle;: I4 Branch 1 IFNONNULL L271 - true
   * 2 org.xhtmlrenderer.layout.SharedContext.setCanvas(Lorg/xhtmlrenderer/swing/RootPanel;)V: root-Branch
   * 3 org.xhtmlrenderer.layout.SharedContext.getCanvas()Lorg/xhtmlrenderer/swing/RootPanel;: root-Branch
   */

  @Test
  public void test19()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.setCanvas((RootPanel) scalableXHTMLPanel0);
      Rectangle rectangle0 = sharedContext0.getFixedRectangle();
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertNotNull(rectangle0);
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 20
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getFixedRectangle()Ljava/awt/Rectangle;: I4 Branch 1 IFNONNULL L271 - false
   * 2 org.xhtmlrenderer.layout.SharedContext.getCanvas()Lorg/xhtmlrenderer/swing/RootPanel;: root-Branch
   */

  @Test
  public void test20()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getFixedRectangle();
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.addBoxId(Ljava/lang/String;Lorg/xhtmlrenderer/render/Box;)V: I4 Branch 2 IFNONNULL L291 - false
   */

  @Test
  public void test21()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.addBoxId("", (Box) null);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
  }

  //Test case number: 22
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getBoxById(Ljava/lang/String;)Lorg/xhtmlrenderer/render/Box;: I4 Branch 3 IFNONNULL L298 - true
   * 2 org.xhtmlrenderer.layout.SharedContext.getBoxById(Ljava/lang/String;)Lorg/xhtmlrenderer/render/Box;: I4 Branch 3 IFNONNULL L298 - false
   */

  @Test
  public void test22()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.getBoxById("");
      sharedContext0.getBoxById("");
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(1, sharedContext0.getDotsPerPixel());
  }

  //Test case number: 23
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.layout.SharedContext.removeBoxId(Ljava/lang/String;)V: I4 Branch 4 IFNULL L305 - true
   */

  @Test
  public void test23()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      sharedContext0.removeBoxId("projection");
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
  }

  //Test case number: 24
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setUserAgentCallback(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: I8 Branch 5 IFNULL L348 - false
   * 2 org.xhtmlrenderer.layout.SharedContext.getUserAgentCallback()Lorg/xhtmlrenderer/extend/UserAgentCallback;: root-Branch
   */

  @Test
  public void test24()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      NaiveUserAgent naiveUserAgent0 = (NaiveUserAgent)sharedContext0.getUserAgentCallback();
      assertNotNull(naiveUserAgent0);
      
      sharedContext0.setUserAgentCallback((UserAgentCallback) naiveUserAgent0);
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
  }

  //Test case number: 25
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I6 Branch 6 IFLE L428 - true
   * 2 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I17 Branch 7 IFLE L431 - true
   * 3 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I28 Branch 8 IFLE L434 - true
   * 4 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I39 Branch 9 IFLE L437 - true
   * 5 org.xhtmlrenderer.layout.SharedContext.isPaged()Z: I50 Branch 10 IFLE L440 - true
   */

  @Test
  public void test25()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      boolean boolean0 = sharedContext0.isPaged();
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(true, sharedContext0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals(false, boolean0);
  }

  //Test case number: 26
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I21 Branch 14 IFNE L527 - true
   * 2 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I4 Branch 13 IFNONNULL L522 - false
   * 3 org.xhtmlrenderer.layout.SharedContext.getStyle(Lorg/w3c/dom/Element;Z)Lorg/xhtmlrenderer/css/style/CalculatedStyle;: I33 Branch 15 IFNONNULL L530 - false
   */

  @Test
  public void test26()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      SharedContext sharedContext0 = xHTMLPanel0.getSharedContext();
      // Undeclared exception!
      try {
        sharedContext0.getStyle((Element) null, true);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 27
  /*
   * 9 covered goals:
   * 1 org.xhtmlrenderer.layout.SharedContext.setReplacedElementFactory(Lorg/xhtmlrenderer/extend/ReplacedElementFactory;)V: I3 Branch 17 IFNONNULL L558 - true
   * 2 org.xhtmlrenderer.layout.SharedContext.setReplacedElementFactory(Lorg/xhtmlrenderer/extend/ReplacedElementFactory;)V: I15 Branch 18 IFNULL L562 - false
   * 3 org.xhtmlrenderer.layout.SharedContext.setTextRenderer(Lorg/xhtmlrenderer/extend/TextRenderer;)V: root-Branch
   * 4 org.xhtmlrenderer.layout.SharedContext.setDPI(F)V: root-Branch
   * 5 org.xhtmlrenderer.layout.SharedContext.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 6 org.xhtmlrenderer.layout.SharedContext.setMedia(Ljava/lang/String;)V: root-Branch
   * 7 org.xhtmlrenderer.layout.SharedContext.setCss(Lorg/xhtmlrenderer/context/StyleReference;)V: root-Branch
   * 8 org.xhtmlrenderer.layout.SharedContext.getReplacedElementFactory()Lorg/xhtmlrenderer/extend/ReplacedElementFactory;: root-Branch
   * 9 org.xhtmlrenderer.layout.SharedContext.getCss()Lorg/xhtmlrenderer/context/StyleReference;: root-Branch
   */

  @Test
  public void test27()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      SwingReplacedElementFactory swingReplacedElementFactory0 = (SwingReplacedElementFactory)sharedContext0.getReplacedElementFactory();
      assertNotNull(swingReplacedElementFactory0);
      
      sharedContext0.setReplacedElementFactory((ReplacedElementFactory) swingReplacedElementFactory0);
      assertEquals(0.35277778F, sharedContext0.getMmPerPx(), 0.01F);
      assertEquals("screen", sharedContext0.getMedia());
      assertEquals(72.0F, sharedContext0.getDPI(), 0.01F);
      assertEquals(true, scalableXHTMLPanel0.isInteractive());
      assertEquals(1, sharedContext0.getDotsPerPixel());
  }
}
