/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.BufferedWriter;
import java.io.CharArrayWriter;
import java.io.IOException;
import java.io.PipedWriter;
import java.io.UnsupportedEncodingException;
import java.io.Writer;
import nu.xom.ASCIIWriter;
import nu.xom.GenericWriter;
import nu.xom.ISOArabicWriter;
import nu.xom.ISOCyrillicWriter;
import nu.xom.ISOGreekWriter;
import nu.xom.ISOHebrewWriter;
import nu.xom.ISOThaiWriter;
import nu.xom.Latin10Writer;
import nu.xom.Latin5Writer;
import nu.xom.Latin6Writer;
import nu.xom.Latin7Writer;
import nu.xom.Latin8Writer;
import nu.xom.Latin9Writer;
import nu.xom.UnicodeWriter;
import nu.xom.XMLException;
import org.junit.BeforeClass;

public class TextWriterEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.setPreserveSpace(Z)V: root-Branch
   * 2 nu.xom.TextWriter.<init>(Ljava/io/Writer;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "I0 B~xv(?lk~1 ");
      iSOArabicWriter0.setPreserveSpace(false);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.reset()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin5Writer latin5Writer0 = new Latin5Writer(charArrayWriter0, "qTu\"");
      latin5Writer0.reset();
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.flush()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(1129);
      Latin9Writer latin9Writer0 = new Latin9Writer(charArrayWriter0, "&#x");
      latin9Writer0.flush();
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.getEncoding()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter((Writer) null, "EUC-JP");
      String string0 = iSOArabicWriter0.getEncoding();
      assertEquals("EUC-JP", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.getIndent()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, ">a/LPZ_sG");
      int int0 = iSOHebrewWriter0.getIndent();
      assertEquals(0, int0);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.isPreserveSpace()Z: root-Branch
   * 2 nu.xom.TextWriter.getLineSeparator()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      PipedWriter pipedWriter0 = new PipedWriter();
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(pipedWriter0, "4y7{");
      String string0 = aSCIIWriter0.getLineSeparator();
      assertNotNull(string0);
      assertEquals("\r\n", string0);
      
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "\r\n");
      boolean boolean0 = latin7Writer0.isPreserveSpace();
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.getColumnNumber()I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOGreekWriter iSOGreekWriter0 = new ISOGreekWriter(charArrayWriter0, "qTu\"");
      int int0 = iSOGreekWriter0.getColumnNumber();
      assertEquals(0, int0);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.setNFC(Z)V: root-Branch
   * 2 nu.xom.TextWriter.getNFC()Z: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      PipedWriter pipedWriter0 = new PipedWriter();
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(pipedWriter0, "4y7{");
      aSCIIWriter0.getLineSeparator();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "\r\n");
      latin7Writer0.getNFC();
      ISOCyrillicWriter iSOCyrillicWriter0 = new ISOCyrillicWriter(charArrayWriter0, "\r\n");
      iSOCyrillicWriter0.setNFC(false);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.breakLine()V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      PipedWriter pipedWriter0 = new PipedWriter();
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(pipedWriter0, "4y7{");
      aSCIIWriter0.getLineSeparator();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, "\r\n");
      iSOHebrewWriter0.breakLine();
      assertEquals("\r\n", charArrayWriter0.toString());
      assertEquals(2, charArrayWriter0.size());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.justBroke()Z: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      PipedWriter pipedWriter0 = new PipedWriter();
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(pipedWriter0, "4y7{");
      String string0 = aSCIIWriter0.getLineSeparator();
      assertNotNull(string0);
      assertEquals("\r\n", string0);
      
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, "\r\n");
      boolean boolean0 = iSOHebrewWriter0.justBroke();
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.setIndent(I)V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "qTu\"");
      latin7Writer0.setIndent(0);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.getMaxLength()I: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOThaiWriter iSOThaiWriter0 = new ISOThaiWriter(charArrayWriter0, ">a/LPZ_sG");
      int int0 = iSOThaiWriter0.getMaxLength();
      assertEquals(0, int0);
  }

  //Test case number: 12
  /*
   * 6 covered goals:
   * 1 nu.xom.TextWriter.writeUncheckedMarkup(Ljava/lang/String;)V: I8 Branch 153 IF_ICMPGE L-1 - true
   * 2 nu.xom.TextWriter.writeUncheckedMarkup(Ljava/lang/String;)V: I8 Branch 153 IF_ICMPGE L-1 - false
   * 3 nu.xom.TextWriter.write(C)V: I2 Branch 125 IF_ICMPEQ L-1 - false
   * 4 nu.xom.TextWriter.write(C)V: I5 Branch 126 IF_ICMPEQ L-1 - false
   * 5 nu.xom.TextWriter.write(C)V: I8 Branch 127 IF_ICMPNE L-1 - true
   * 6 nu.xom.TextWriter.write(C)V: I105 Branch 137 IF_ICMPLT L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      BufferedWriter bufferedWriter0 = new BufferedWriter((Writer) charArrayWriter0, 56319);
      Latin7Writer latin7Writer0 = new Latin7Writer(bufferedWriter0, ">a/LPZ_sG");
      latin7Writer0.writeUncheckedMarkup(">a/LPZ_sG");
  }

  //Test case number: 13
  /*
   * 62 covered goals:
   * 1 nu.xom.TextWriter.isLowSurrogate(I)Z: I2 Branch 3 IF_ICMPLT L-1 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 63 TABLESWITCH L-1 Case 9 - false
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 64 TABLESWITCH L-1 Case 10 - false
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 65 TABLESWITCH L-1 Case 11 - false
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 66 TABLESWITCH L-1 Case 12 - false
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 67 TABLESWITCH L-1 Case 13 - false
   * 7 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 68 TABLESWITCH L-1 Case 14 - false
   * 8 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 69 TABLESWITCH L-1 Case 15 - false
   * 9 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 70 TABLESWITCH L-1 Case 16 - false
   * 10 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 71 TABLESWITCH L-1 Case 17 - false
   * 11 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 72 TABLESWITCH L-1 Case 18 - false
   * 12 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 73 TABLESWITCH L-1 Case 19 - false
   * 13 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 74 TABLESWITCH L-1 Case 20 - false
   * 14 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 75 TABLESWITCH L-1 Case 21 - false
   * 15 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 76 TABLESWITCH L-1 Case 22 - false
   * 16 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 77 TABLESWITCH L-1 Case 23 - false
   * 17 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 78 TABLESWITCH L-1 Case 24 - false
   * 18 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 79 TABLESWITCH L-1 Case 25 - false
   * 19 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 80 TABLESWITCH L-1 Case 26 - false
   * 20 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 81 TABLESWITCH L-1 Case 27 - false
   * 21 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 82 TABLESWITCH L-1 Case 28 - false
   * 22 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 83 TABLESWITCH L-1 Case 29 - false
   * 23 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 84 TABLESWITCH L-1 Case 30 - false
   * 24 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 85 TABLESWITCH L-1 Case 31 - false
   * 25 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 86 TABLESWITCH L-1 Case 32 - false
   * 26 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 87 TABLESWITCH L-1 Case 33 - false
   * 27 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 88 TABLESWITCH L-1 Case 34 - false
   * 28 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 89 TABLESWITCH L-1 Case 35 - false
   * 29 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 90 TABLESWITCH L-1 Case 36 - false
   * 30 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 91 TABLESWITCH L-1 Case 37 - false
   * 31 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 92 TABLESWITCH L-1 Case 38 - false
   * 32 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 93 TABLESWITCH L-1 Case 39 - false
   * 33 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 94 TABLESWITCH L-1 Case 40 - false
   * 34 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 95 TABLESWITCH L-1 Case 41 - false
   * 35 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 96 TABLESWITCH L-1 Case 42 - false
   * 36 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 97 TABLESWITCH L-1 Case 43 - false
   * 37 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 98 TABLESWITCH L-1 Case 44 - false
   * 38 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 99 TABLESWITCH L-1 Case 45 - false
   * 39 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 100 TABLESWITCH L-1 Case 46 - false
   * 40 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 101 TABLESWITCH L-1 Case 47 - false
   * 41 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 102 TABLESWITCH L-1 Case 48 - false
   * 42 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 103 TABLESWITCH L-1 Case 49 - false
   * 43 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 104 TABLESWITCH L-1 Case 50 - false
   * 44 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 105 TABLESWITCH L-1 Case 51 - false
   * 45 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 106 TABLESWITCH L-1 Case 52 - false
   * 46 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 107 TABLESWITCH L-1 Case 53 - false
   * 47 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 108 TABLESWITCH L-1 Case 54 - false
   * 48 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 109 TABLESWITCH L-1 Case 55 - false
   * 49 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 110 TABLESWITCH L-1 Case 56 - false
   * 50 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 111 TABLESWITCH L-1 Case 57 - false
   * 51 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 112 TABLESWITCH L-1 Case 58 - false
   * 52 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 113 TABLESWITCH L-1 Case 59 - false
   * 53 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 114 TABLESWITCH L-1 Case 60 - false
   * 54 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 115 TABLESWITCH L-1 Case 61 - false
   * 55 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 116 TABLESWITCH L-1 Case 62 - false
   * 56 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 117 TABLESWITCH L-1 Default-Case - true
   * 57 nu.xom.TextWriter.writeAttributeValue(C)V: I358 Branch 124 IFEQ L-1 - false
   * 58 nu.xom.TextWriter.writeAttributeValue(Ljava/lang/String;)V: I12 Branch 151 IF_ICMPGE L-1 - false
   * 59 nu.xom.TextWriter.writeEscapedChar(C)V: I3 Branch 59 IFEQ L-1 - true
   * 60 nu.xom.TextWriter.writeEscapedChar(C)V: I12 Branch 60 IFEQ L-1 - true
   * 61 nu.xom.TextWriter.isHighSurrogate(I)Z: I2 Branch 1 IF_ICMPLT L-1 - true
   * 62 nu.xom.TextWriter.normalize(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 154 IFEQ L-1 - true
   */

  @Test
  public void test13()  throws Throwable  {
      Latin8Writer latin8Writer0 = new Latin8Writer((Writer) null, "\u0915\u093C");
      // Undeclared exception!
      try {
        latin8Writer0.writeAttributeValue("\u0915\u093C");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.setMaxLength(I)V: I1 Branch 166 IFGE L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(charArrayWriter0, "4y7{");
      aSCIIWriter0.setMaxLength((-594));
  }

  //Test case number: 15
  /*
   * 11 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 64 TABLESWITCH L-1 Case 10 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 67 TABLESWITCH L-1 Case 13 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 117 TABLESWITCH L-1 Default-Case - false
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I34 Branch 119 IFEQ L-1 - true
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I42 Branch 120 IFEQ L-1 - true
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I57 Branch 121 IFEQ L-1 - true
   * 7 nu.xom.TextWriter.writeAttributeValue(C)V: I89 Branch 122 IFEQ L-1 - true
   * 8 nu.xom.TextWriter.writeAttributeValue(C)V: I107 Branch 123 IFEQ L-1 - true
   * 9 nu.xom.TextWriter.writeAttributeValue(Ljava/lang/String;)V: I12 Branch 151 IF_ICMPGE L-1 - true
   * 10 nu.xom.TextWriter.adjustingWhiteSpace()Z: I2 Branch 61 IFGT L-1 - false
   * 11 nu.xom.TextWriter.adjustingWhiteSpace()Z: I5 Branch 62 IFLE L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "4y7{");
      latin7Writer0.getLineSeparator();
      ISOCyrillicWriter iSOCyrillicWriter0 = new ISOCyrillicWriter(charArrayWriter0, "\r\n");
      iSOCyrillicWriter0.writeAttributeValue("\r\n");
      assertEquals(12, charArrayWriter0.size());
      assertEquals("&#x0D;&#x0A;", charArrayWriter0.toString());
  }

  //Test case number: 16
  /*
   * 13 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 86 TABLESWITCH L-1 Case 32 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 90 TABLESWITCH L-1 Case 36 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 100 TABLESWITCH L-1 Case 46 - true
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 101 TABLESWITCH L-1 Case 47 - true
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 105 TABLESWITCH L-1 Case 51 - true
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I358 Branch 124 IFEQ L-1 - true
   * 7 nu.xom.TextWriter.write(C)V: I2 Branch 125 IF_ICMPEQ L-1 - true
   * 8 nu.xom.TextWriter.write(C)V: I12 Branch 128 IFEQ L-1 - true
   * 9 nu.xom.TextWriter.write(C)V: I22 Branch 129 IFNE L-1 - false
   * 10 nu.xom.TextWriter.write(C)V: I25 Branch 130 IFGT L-1 - false
   * 11 nu.xom.TextWriter.write(C)V: I28 Branch 131 IFGT L-1 - false
   * 12 nu.xom.TextWriter.write(C)V: I32 Branch 132 IF_ICMPEQ L-1 - true
   * 13 nu.xom.TextWriter.needsBreak()Z: I2 Branch 144 IFLE L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      BufferedWriter bufferedWriter0 = new BufferedWriter((Writer) charArrayWriter0, 56319);
      Latin7Writer latin7Writer0 = new Latin7Writer(bufferedWriter0, ". L/f3DmP|pgP$");
      latin7Writer0.writeAttributeValue(". L/f3DmP|pgP$");
  }

  //Test case number: 17
  /*
   * 6 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 87 TABLESWITCH L-1 Case 33 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 88 TABLESWITCH L-1 Case 34 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 93 TABLESWITCH L-1 Case 39 - true
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 98 TABLESWITCH L-1 Case 44 - true
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 106 TABLESWITCH L-1 Case 52 - true
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 101 TABLESWITCH L-1 Case 47 - true
   */

  @Test
  public void test17()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(0);
      Latin9Writer latin9Writer0 = new Latin9Writer(charArrayWriter0, "!N/4u\",V'eS");
      latin9Writer0.writeAttributeValue("!N/4u\",V'eS");
      assertEquals(16, charArrayWriter0.size());
      assertEquals("!N/4u&quot;,V'eS", charArrayWriter0.toString());
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 89 TABLESWITCH L-1 Case 35 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 92 TABLESWITCH L-1 Case 38 - true
   */

  @Test
  public void test18()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(1129);
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, "&#x");
      iSOHebrewWriter0.writeAttributeValue("&#x");
      assertEquals(7, charArrayWriter0.size());
      assertEquals("&amp;#x", charArrayWriter0.toString());
  }

  //Test case number: 19
  /*
   * 4 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 94 TABLESWITCH L-1 Case 40 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 102 TABLESWITCH L-1 Case 48 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 103 TABLESWITCH L-1 Case 49 - true
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 104 TABLESWITCH L-1 Case 50 - true
   */

  @Test
  public void test19()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8370);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "b02B~xv(ilk~1 ");
      iSOArabicWriter0.writeAttributeValue("b02B~xv(ilk~1 ");
      assertEquals(14, charArrayWriter0.size());
      assertEquals("b02B~xv(ilk~1 ", charArrayWriter0.toString());
  }

  //Test case number: 20
  /*
   * 6 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 95 TABLESWITCH L-1 Case 41 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 96 TABLESWITCH L-1 Case 42 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 111 TABLESWITCH L-1 Case 57 - true
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 98 TABLESWITCH L-1 Case 44 - true
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 103 TABLESWITCH L-1 Case 49 - true
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 104 TABLESWITCH L-1 Case 50 - true
   */

  @Test
  public void test20()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "y*w2th^)K,M9ZH1T");
      iSOArabicWriter0.writeAttributeValue("y*w2th^)K,M9ZH1T");
      assertEquals("y*w2th^)K,M9ZH1T", charArrayWriter0.toString());
      assertEquals(16, charArrayWriter0.size());
  }

  //Test case number: 21
  /*
   * 3 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 97 TABLESWITCH L-1 Case 43 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 86 TABLESWITCH L-1 Case 32 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 92 TABLESWITCH L-1 Case 38 - true
   */

  @Test
  public void test21()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "I0 B~xv(?lk~1 ");
      iSOArabicWriter0.writeAttributeValue(" &[+");
      assertEquals(8, charArrayWriter0.size());
      assertEquals(" &amp;[+", charArrayWriter0.toString());
  }

  //Test case number: 22
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 99 TABLESWITCH L-1 Case 45 - true
   */

  @Test
  public void test22()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      BufferedWriter bufferedWriter0 = new BufferedWriter((Writer) charArrayWriter0, (int) '-');
      UnicodeWriter unicodeWriter0 = new UnicodeWriter(bufferedWriter0, "I0 B~xv(?lk~1 ");
      unicodeWriter0.writeAttributeValue('-');
  }

  //Test case number: 23
  /*
   * 6 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 109 TABLESWITCH L-1 Case 55 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 106 TABLESWITCH L-1 Case 52 - true
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 117 TABLESWITCH L-1 Default-Case - true
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I358 Branch 124 IFEQ L-1 - true
   * 5 nu.xom.TextWriter.writeAttributeValue(Ljava/lang/String;)V: I12 Branch 151 IF_ICMPGE L-1 - true
   * 6 nu.xom.TextWriter.writeAttributeValue(Ljava/lang/String;)V: I12 Branch 151 IF_ICMPGE L-1 - false
   */

  @Test
  public void test23()  throws Throwable  {
      PipedWriter pipedWriter0 = new PipedWriter();
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(pipedWriter0, "4y7{");
      aSCIIWriter0.getLineSeparator();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOThaiWriter iSOThaiWriter0 = new ISOThaiWriter(charArrayWriter0, "\r\n");
      iSOThaiWriter0.writeAttributeValue("4y7{");
      assertEquals(4, charArrayWriter0.size());
      assertEquals("4y7{", charArrayWriter0.toString());
  }

  //Test case number: 24
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 112 TABLESWITCH L-1 Case 58 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 115 TABLESWITCH L-1 Case 61 - false
   */

  @Test
  public void test24()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      BufferedWriter bufferedWriter0 = new BufferedWriter((Writer) charArrayWriter0, 56319);
      Latin7Writer latin7Writer0 = new Latin7Writer(bufferedWriter0, ">a/LPZ_sG");
      latin7Writer0.writeAttributeValue(':');
  }

  //Test case number: 25
  /*
   * 55 covered goals:
   * 1 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 115 TABLESWITCH L-1 Case 61 - true
   * 2 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 63 TABLESWITCH L-1 Case 9 - false
   * 3 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 64 TABLESWITCH L-1 Case 10 - false
   * 4 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 65 TABLESWITCH L-1 Case 11 - false
   * 5 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 66 TABLESWITCH L-1 Case 12 - false
   * 6 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 67 TABLESWITCH L-1 Case 13 - false
   * 7 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 68 TABLESWITCH L-1 Case 14 - false
   * 8 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 69 TABLESWITCH L-1 Case 15 - false
   * 9 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 70 TABLESWITCH L-1 Case 16 - false
   * 10 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 71 TABLESWITCH L-1 Case 17 - false
   * 11 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 72 TABLESWITCH L-1 Case 18 - false
   * 12 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 73 TABLESWITCH L-1 Case 19 - false
   * 13 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 74 TABLESWITCH L-1 Case 20 - false
   * 14 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 75 TABLESWITCH L-1 Case 21 - false
   * 15 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 76 TABLESWITCH L-1 Case 22 - false
   * 16 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 77 TABLESWITCH L-1 Case 23 - false
   * 17 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 78 TABLESWITCH L-1 Case 24 - false
   * 18 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 79 TABLESWITCH L-1 Case 25 - false
   * 19 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 80 TABLESWITCH L-1 Case 26 - false
   * 20 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 81 TABLESWITCH L-1 Case 27 - false
   * 21 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 82 TABLESWITCH L-1 Case 28 - false
   * 22 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 83 TABLESWITCH L-1 Case 29 - false
   * 23 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 84 TABLESWITCH L-1 Case 30 - false
   * 24 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 85 TABLESWITCH L-1 Case 31 - false
   * 25 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 86 TABLESWITCH L-1 Case 32 - false
   * 26 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 87 TABLESWITCH L-1 Case 33 - false
   * 27 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 88 TABLESWITCH L-1 Case 34 - false
   * 28 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 89 TABLESWITCH L-1 Case 35 - false
   * 29 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 90 TABLESWITCH L-1 Case 36 - false
   * 30 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 91 TABLESWITCH L-1 Case 37 - false
   * 31 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 92 TABLESWITCH L-1 Case 38 - false
   * 32 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 93 TABLESWITCH L-1 Case 39 - false
   * 33 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 94 TABLESWITCH L-1 Case 40 - false
   * 34 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 95 TABLESWITCH L-1 Case 41 - false
   * 35 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 96 TABLESWITCH L-1 Case 42 - false
   * 36 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 97 TABLESWITCH L-1 Case 43 - false
   * 37 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 98 TABLESWITCH L-1 Case 44 - false
   * 38 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 99 TABLESWITCH L-1 Case 45 - false
   * 39 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 100 TABLESWITCH L-1 Case 46 - false
   * 40 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 101 TABLESWITCH L-1 Case 47 - false
   * 41 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 102 TABLESWITCH L-1 Case 48 - false
   * 42 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 103 TABLESWITCH L-1 Case 49 - false
   * 43 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 104 TABLESWITCH L-1 Case 50 - false
   * 44 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 105 TABLESWITCH L-1 Case 51 - false
   * 45 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 106 TABLESWITCH L-1 Case 52 - false
   * 46 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 107 TABLESWITCH L-1 Case 53 - false
   * 47 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 108 TABLESWITCH L-1 Case 54 - false
   * 48 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 109 TABLESWITCH L-1 Case 55 - false
   * 49 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 110 TABLESWITCH L-1 Case 56 - false
   * 50 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 111 TABLESWITCH L-1 Case 57 - false
   * 51 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 112 TABLESWITCH L-1 Case 58 - false
   * 52 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 113 TABLESWITCH L-1 Case 59 - false
   * 53 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 114 TABLESWITCH L-1 Case 60 - false
   * 54 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 116 TABLESWITCH L-1 Case 62 - false
   * 55 nu.xom.TextWriter.writeAttributeValue(C)V: I1 Branch 117 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test25()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin10Writer latin10Writer0 = new Latin10Writer(charArrayWriter0, "qTu\"");
      latin10Writer0.writeAttributeValue('=');
      assertEquals(1, charArrayWriter0.size());
      assertEquals("=", charArrayWriter0.toString());
  }

  //Test case number: 26
  /*
   * 11 covered goals:
   * 1 nu.xom.TextWriter.write(C)V: I28 Branch 131 IFGT L-1 - true
   * 2 nu.xom.TextWriter.write(C)V: I76 Branch 136 IFNE L-1 - false
   * 3 nu.xom.TextWriter.needsBreak()Z: I2 Branch 144 IFLE L-1 - false
   * 4 nu.xom.TextWriter.needsBreak()Z: I5 Branch 145 IFEQ L-1 - true
   * 5 nu.xom.TextWriter.needsBreak()Z: I16 Branch 146 IF_ICMPLT L-1 - true
   * 6 nu.xom.TextWriter.setMaxLength(I)V: I1 Branch 166 IFGE L-1 - true
   * 7 nu.xom.TextWriter.writeName(Ljava/lang/String;)V: root-Branch
   * 8 nu.xom.TextWriter.writeMarkup(Ljava/lang/String;)V: I12 Branch 152 IF_ICMPGE L-1 - true
   * 9 nu.xom.TextWriter.writeMarkup(Ljava/lang/String;)V: I12 Branch 152 IF_ICMPGE L-1 - false
   * 10 nu.xom.TextWriter.write(C)V: I5 Branch 126 IF_ICMPEQ L-1 - true
   * 11 nu.xom.TextWriter.writeMarkup(C)V: I3 Branch 149 IFEQ L-1 - true
   */

  @Test
  public void test26()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "I0 B~xv(?lk~1 ");
      latin7Writer0.getLineSeparator();
      Latin10Writer latin10Writer0 = new Latin10Writer(charArrayWriter0, "\r\n");
      latin10Writer0.setMaxLength(8364);
      latin10Writer0.writeName("\r\n");
      assertEquals(2, charArrayWriter0.size());
      assertEquals("\r ", charArrayWriter0.toString());
  }

  //Test case number: 27
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.incrementIndent()V: I2 Branch 156 IFNE L-1 - false
   */

  @Test
  public void test27()  throws Throwable  {
      GenericWriter genericWriter0 = new GenericWriter((Writer) null, "EUC-JP");
      genericWriter0.incrementIndent();
  }

  //Test case number: 28
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.isIndenting()Z: I3 Branch 155 IFLE L-1 - true
   */

  @Test
  public void test28()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(1129);
      Latin9Writer latin9Writer0 = new Latin9Writer(charArrayWriter0, "&#x");
      boolean boolean0 = latin9Writer0.isIndenting();
      assertEquals(false, boolean0);
  }

  //Test case number: 29
  /*
   * 65 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 5 TABLESWITCH L-1 Case 13 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 5 TABLESWITCH L-1 Case 13 - false
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 6 TABLESWITCH L-1 Case 14 - false
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 7 TABLESWITCH L-1 Case 15 - false
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 8 TABLESWITCH L-1 Case 16 - false
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 9 TABLESWITCH L-1 Case 17 - false
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 10 TABLESWITCH L-1 Case 18 - false
   * 8 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 11 TABLESWITCH L-1 Case 19 - false
   * 9 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 12 TABLESWITCH L-1 Case 20 - false
   * 10 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 13 TABLESWITCH L-1 Case 21 - false
   * 11 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 14 TABLESWITCH L-1 Case 22 - false
   * 12 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 15 TABLESWITCH L-1 Case 23 - false
   * 13 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 16 TABLESWITCH L-1 Case 24 - false
   * 14 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 17 TABLESWITCH L-1 Case 25 - false
   * 15 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 18 TABLESWITCH L-1 Case 26 - false
   * 16 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 19 TABLESWITCH L-1 Case 27 - false
   * 17 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 20 TABLESWITCH L-1 Case 28 - false
   * 18 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 21 TABLESWITCH L-1 Case 29 - false
   * 19 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 22 TABLESWITCH L-1 Case 30 - false
   * 20 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 23 TABLESWITCH L-1 Case 31 - false
   * 21 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 24 TABLESWITCH L-1 Case 32 - false
   * 22 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 25 TABLESWITCH L-1 Case 33 - false
   * 23 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 26 TABLESWITCH L-1 Case 34 - false
   * 24 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 27 TABLESWITCH L-1 Case 35 - false
   * 25 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 28 TABLESWITCH L-1 Case 36 - false
   * 26 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 29 TABLESWITCH L-1 Case 37 - false
   * 27 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 30 TABLESWITCH L-1 Case 38 - false
   * 28 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 31 TABLESWITCH L-1 Case 39 - false
   * 29 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 32 TABLESWITCH L-1 Case 40 - false
   * 30 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 33 TABLESWITCH L-1 Case 41 - false
   * 31 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 34 TABLESWITCH L-1 Case 42 - false
   * 32 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 35 TABLESWITCH L-1 Case 43 - false
   * 33 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 36 TABLESWITCH L-1 Case 44 - false
   * 34 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 37 TABLESWITCH L-1 Case 45 - false
   * 35 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 38 TABLESWITCH L-1 Case 46 - false
   * 36 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 39 TABLESWITCH L-1 Case 47 - false
   * 37 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 40 TABLESWITCH L-1 Case 48 - false
   * 38 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 41 TABLESWITCH L-1 Case 49 - false
   * 39 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 42 TABLESWITCH L-1 Case 50 - false
   * 40 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 43 TABLESWITCH L-1 Case 51 - false
   * 41 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 44 TABLESWITCH L-1 Case 52 - false
   * 42 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 45 TABLESWITCH L-1 Case 53 - false
   * 43 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 46 TABLESWITCH L-1 Case 54 - false
   * 44 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 47 TABLESWITCH L-1 Case 55 - false
   * 45 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 48 TABLESWITCH L-1 Case 56 - false
   * 46 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 49 TABLESWITCH L-1 Case 57 - false
   * 47 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 50 TABLESWITCH L-1 Case 58 - false
   * 48 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 51 TABLESWITCH L-1 Case 59 - false
   * 49 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 52 TABLESWITCH L-1 Case 60 - false
   * 50 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 53 TABLESWITCH L-1 Case 61 - false
   * 51 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 54 TABLESWITCH L-1 Case 62 - false
   * 52 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 55 TABLESWITCH L-1 Default-Case - true
   * 53 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 55 TABLESWITCH L-1 Default-Case - false
   * 54 nu.xom.TextWriter.writePCDATA(C)V: I5 Branch 56 IFNE L-1 - false
   * 55 nu.xom.TextWriter.writePCDATA(C)V: I8 Branch 57 IFNE L-1 - false
   * 56 nu.xom.TextWriter.writePCDATA(C)V: I247 Branch 58 IFEQ L-1 - true
   * 57 nu.xom.TextWriter.writePCDATA(Ljava/lang/String;)V: I12 Branch 150 IF_ICMPGE L-1 - true
   * 58 nu.xom.TextWriter.writePCDATA(Ljava/lang/String;)V: I12 Branch 150 IF_ICMPGE L-1 - false
   * 59 nu.xom.TextWriter.adjustingWhiteSpace()Z: I2 Branch 61 IFGT L-1 - false
   * 60 nu.xom.TextWriter.adjustingWhiteSpace()Z: I5 Branch 62 IFLE L-1 - true
   * 61 nu.xom.TextWriter.writeLineSeparator(C)V: I2 Branch 139 IFNE L-1 - false
   * 62 nu.xom.TextWriter.writeLineSeparator(C)V: I5 Branch 140 IFEQ L-1 - true
   * 63 nu.xom.TextWriter.write(C)V: I32 Branch 132 IF_ICMPEQ L-1 - false
   * 64 nu.xom.TextWriter.write(C)V: I35 Branch 133 IF_ICMPNE L-1 - true
   * 65 nu.xom.TextWriter.write(C)V: I57 Branch 134 IFEQ L-1 - true
   */

  @Test
  public void test29()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "b02B~xv(ilk~1 ");
      latin7Writer0.getLineSeparator();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, "\r\n");
      iSOHebrewWriter0.writePCDATA("\r\n");
      assertEquals("&#x0D;\n", charArrayWriter0.toString());
      assertEquals(7, charArrayWriter0.size());
  }

  //Test case number: 30
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 19 TABLESWITCH L-1 Case 27 - true
   */

  @Test
  public void test30()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "");
      // Undeclared exception!
      try {
        iSOArabicWriter0.writePCDATA('\u001B');
        fail("Expecting exception: XMLException");
      
      } catch(XMLException e) {
         //
         // Bad character snuck into document
         //
      }
  }

  //Test case number: 31
  /*
   * 5 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 24 TABLESWITCH L-1 Case 32 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 28 TABLESWITCH L-1 Case 36 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 38 TABLESWITCH L-1 Case 46 - true
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 39 TABLESWITCH L-1 Case 47 - true
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 43 TABLESWITCH L-1 Case 51 - true
   */

  @Test
  public void test31()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, ">a/LPZ_sG");
      iSOHebrewWriter0.writePCDATA(". L/f3DmP|pgP$");
      assertEquals(14, charArrayWriter0.size());
      assertEquals(". L/f3DmP|pgP$", charArrayWriter0.toString());
  }

  //Test case number: 32
  /*
   * 6 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 25 TABLESWITCH L-1 Case 33 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 26 TABLESWITCH L-1 Case 34 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 31 TABLESWITCH L-1 Case 39 - true
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 36 TABLESWITCH L-1 Case 44 - true
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 44 TABLESWITCH L-1 Case 52 - true
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 39 TABLESWITCH L-1 Case 47 - true
   */

  @Test
  public void test32()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(0);
      Latin9Writer latin9Writer0 = new Latin9Writer(charArrayWriter0, "!N/4u\",V'eS");
      latin9Writer0.writePCDATA("!N/4u\",V'eS");
      assertEquals(11, charArrayWriter0.size());
      assertEquals("!N/4u\",V'eS", charArrayWriter0.toString());
  }

  //Test case number: 33
  /*
   * 5 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 27 TABLESWITCH L-1 Case 35 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 29 TABLESWITCH L-1 Case 37 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 50 TABLESWITCH L-1 Case 58 - true
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 52 TABLESWITCH L-1 Case 60 - true
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 31 TABLESWITCH L-1 Case 39 - true
   */

  @Test
  public void test33()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      Latin5Writer latin5Writer0 = new Latin5Writer(charArrayWriter0, "qTu\"");
      latin5Writer0.writePCDATA("%'V:D:i<,#o");
      assertEquals(14, charArrayWriter0.size());
      assertEquals("%'V:D:i&lt;,#o", charArrayWriter0.toString());
  }

  //Test case number: 34
  /*
   * 6 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 32 TABLESWITCH L-1 Case 40 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 40 TABLESWITCH L-1 Case 48 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 41 TABLESWITCH L-1 Case 49 - true
   * 4 nu.xom.TextWriter.write(C)V: I2 Branch 125 IF_ICMPEQ L-1 - true
   * 5 nu.xom.TextWriter.write(C)V: I32 Branch 132 IF_ICMPEQ L-1 - true
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 24 TABLESWITCH L-1 Case 32 - true
   */

  @Test
  public void test34()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "I0 B~xv(?lk~1 ");
      iSOArabicWriter0.writePCDATA("I0 B~xv(?lk~1 ");
      assertEquals(14, charArrayWriter0.size());
      assertEquals("I0 B~xv(?lk~1 ", charArrayWriter0.toString());
  }

  //Test case number: 35
  /*
   * 10 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 33 TABLESWITCH L-1 Case 41 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 34 TABLESWITCH L-1 Case 42 - true
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 42 TABLESWITCH L-1 Case 50 - true
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 49 TABLESWITCH L-1 Case 57 - true
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 36 TABLESWITCH L-1 Case 44 - true
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 41 TABLESWITCH L-1 Case 49 - true
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 55 TABLESWITCH L-1 Default-Case - true
   * 8 nu.xom.TextWriter.writePCDATA(C)V: I247 Branch 58 IFEQ L-1 - true
   * 9 nu.xom.TextWriter.writePCDATA(Ljava/lang/String;)V: I12 Branch 150 IF_ICMPGE L-1 - true
   * 10 nu.xom.TextWriter.writePCDATA(Ljava/lang/String;)V: I12 Branch 150 IF_ICMPGE L-1 - false
   */

  @Test
  public void test35()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "y*w2th^)K,M9ZH1T");
      iSOArabicWriter0.writePCDATA("y*w2th^)K,M9ZH1T");
      assertEquals(16, charArrayWriter0.size());
      assertEquals("y*w2th^)K,M9ZH1T", charArrayWriter0.toString());
  }

  //Test case number: 36
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 35 TABLESWITCH L-1 Case 43 - true
   */

  @Test
  public void test36()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "4y7{");
      iSOArabicWriter0.writePCDATA('+');
      assertEquals("+", charArrayWriter0.toString());
  }

  //Test case number: 37
  /*
   * 1 covered goal:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 37 TABLESWITCH L-1 Case 45 - true
   */

  @Test
  public void test37()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "b02B~xv(ilk~1 ");
      iSOArabicWriter0.writePCDATA('-');
      assertEquals("-", charArrayWriter0.toString());
  }

  //Test case number: 38
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 46 TABLESWITCH L-1 Case 54 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 47 TABLESWITCH L-1 Case 55 - false
   */

  @Test
  public void test38()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "b02B~xv(ilk~1 ");
      latin7Writer0.getLineSeparator();
      ISOCyrillicWriter iSOCyrillicWriter0 = new ISOCyrillicWriter(charArrayWriter0, "\r\n");
      iSOCyrillicWriter0.writePCDATA('6');
      assertEquals("6", charArrayWriter0.toString());
  }

  //Test case number: 39
  /*
   * 51 covered goals:
   * 1 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 47 TABLESWITCH L-1 Case 55 - true
   * 2 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 5 TABLESWITCH L-1 Case 13 - false
   * 3 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 6 TABLESWITCH L-1 Case 14 - false
   * 4 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 7 TABLESWITCH L-1 Case 15 - false
   * 5 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 8 TABLESWITCH L-1 Case 16 - false
   * 6 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 9 TABLESWITCH L-1 Case 17 - false
   * 7 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 10 TABLESWITCH L-1 Case 18 - false
   * 8 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 11 TABLESWITCH L-1 Case 19 - false
   * 9 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 12 TABLESWITCH L-1 Case 20 - false
   * 10 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 13 TABLESWITCH L-1 Case 21 - false
   * 11 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 14 TABLESWITCH L-1 Case 22 - false
   * 12 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 15 TABLESWITCH L-1 Case 23 - false
   * 13 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 16 TABLESWITCH L-1 Case 24 - false
   * 14 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 17 TABLESWITCH L-1 Case 25 - false
   * 15 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 18 TABLESWITCH L-1 Case 26 - false
   * 16 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 19 TABLESWITCH L-1 Case 27 - false
   * 17 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 20 TABLESWITCH L-1 Case 28 - false
   * 18 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 21 TABLESWITCH L-1 Case 29 - false
   * 19 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 22 TABLESWITCH L-1 Case 30 - false
   * 20 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 23 TABLESWITCH L-1 Case 31 - false
   * 21 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 24 TABLESWITCH L-1 Case 32 - false
   * 22 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 25 TABLESWITCH L-1 Case 33 - false
   * 23 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 26 TABLESWITCH L-1 Case 34 - false
   * 24 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 27 TABLESWITCH L-1 Case 35 - false
   * 25 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 28 TABLESWITCH L-1 Case 36 - false
   * 26 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 29 TABLESWITCH L-1 Case 37 - false
   * 27 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 30 TABLESWITCH L-1 Case 38 - false
   * 28 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 31 TABLESWITCH L-1 Case 39 - false
   * 29 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 32 TABLESWITCH L-1 Case 40 - false
   * 30 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 33 TABLESWITCH L-1 Case 41 - false
   * 31 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 34 TABLESWITCH L-1 Case 42 - false
   * 32 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 35 TABLESWITCH L-1 Case 43 - false
   * 33 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 36 TABLESWITCH L-1 Case 44 - false
   * 34 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 37 TABLESWITCH L-1 Case 45 - false
   * 35 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 38 TABLESWITCH L-1 Case 46 - false
   * 36 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 39 TABLESWITCH L-1 Case 47 - false
   * 37 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 40 TABLESWITCH L-1 Case 48 - false
   * 38 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 41 TABLESWITCH L-1 Case 49 - false
   * 39 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 42 TABLESWITCH L-1 Case 50 - false
   * 40 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 43 TABLESWITCH L-1 Case 51 - false
   * 41 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 44 TABLESWITCH L-1 Case 52 - false
   * 42 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 45 TABLESWITCH L-1 Case 53 - false
   * 43 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 46 TABLESWITCH L-1 Case 54 - false
   * 44 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 48 TABLESWITCH L-1 Case 56 - false
   * 45 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 49 TABLESWITCH L-1 Case 57 - false
   * 46 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 50 TABLESWITCH L-1 Case 58 - false
   * 47 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 51 TABLESWITCH L-1 Case 59 - false
   * 48 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 52 TABLESWITCH L-1 Case 60 - false
   * 49 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 53 TABLESWITCH L-1 Case 61 - false
   * 50 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 54 TABLESWITCH L-1 Case 62 - false
   * 51 nu.xom.TextWriter.writePCDATA(C)V: I1 Branch 55 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test39()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(1129);
      Latin6Writer latin6Writer0 = new Latin6Writer(charArrayWriter0, "&#x");
      latin6Writer0.writePCDATA('7');
      assertEquals("7", charArrayWriter0.toString());
  }

  //Test case number: 40
  /*
   * 3 covered goals:
   * 1 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I3 Branch 163 IFGT L-1 - false
   * 2 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I7 Branch 164 IFGT L-1 - false
   * 3 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I11 Branch 165 IFLE L-1 - false
   */

  @Test
  public void test40()  throws Throwable  {
      PipedWriter pipedWriter0 = new PipedWriter();
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(pipedWriter0, "4y7{");
      aSCIIWriter0.getLineSeparator();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      ISOCyrillicWriter iSOCyrillicWriter0 = new ISOCyrillicWriter(charArrayWriter0, "4y7{");
      iSOCyrillicWriter0.setLineSeparator("\r\n");
  }

  //Test case number: 41
  /*
   * 3 covered goals:
   * 1 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I11 Branch 165 IFLE L-1 - true
   * 2 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I3 Branch 163 IFGT L-1 - false
   * 3 nu.xom.TextWriter.setLineSeparator(Ljava/lang/String;)V: I7 Branch 164 IFGT L-1 - false
   */

  @Test
  public void test41()  throws Throwable  {
      PipedWriter pipedWriter0 = new PipedWriter();
      ASCIIWriter aSCIIWriter0 = new ASCIIWriter(pipedWriter0, "4y7{");
      aSCIIWriter0.getLineSeparator();
      CharArrayWriter charArrayWriter0 = new CharArrayWriter();
      charArrayWriter0.toString();
      ISOHebrewWriter iSOHebrewWriter0 = new ISOHebrewWriter(charArrayWriter0, "\r\n");
      // Undeclared exception!
      try {
        iSOHebrewWriter0.setLineSeparator("");
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Illegal Line Separator
         //
      }
  }

  //Test case number: 42
  /*
   * 22 covered goals:
   * 1 nu.xom.TextWriter.writeLineSeparator(C)V: I2 Branch 139 IFNE L-1 - true
   * 2 nu.xom.TextWriter.writeLineSeparator(C)V: I20 Branch 142 IFLE L-1 - false
   * 3 nu.xom.TextWriter.writeName(Ljava/lang/String;)V: root-Branch
   * 4 nu.xom.TextWriter.getLineSeparator()Ljava/lang/String;: root-Branch
   * 5 nu.xom.TextWriter.setInDocType(Z)V: root-Branch
   * 6 nu.xom.TextWriter.writeMarkup(Ljava/lang/String;)V: I12 Branch 152 IF_ICMPGE L-1 - true
   * 7 nu.xom.TextWriter.writeMarkup(Ljava/lang/String;)V: I12 Branch 152 IF_ICMPGE L-1 - false
   * 8 nu.xom.TextWriter.normalize(Ljava/lang/String;)Ljava/lang/String;: I2 Branch 154 IFEQ L-1 - true
   * 9 nu.xom.TextWriter.write(C)V: I2 Branch 125 IF_ICMPEQ L-1 - false
   * 10 nu.xom.TextWriter.write(C)V: I5 Branch 126 IF_ICMPEQ L-1 - true
   * 11 nu.xom.TextWriter.write(C)V: I5 Branch 126 IF_ICMPEQ L-1 - false
   * 12 nu.xom.TextWriter.write(C)V: I8 Branch 127 IF_ICMPNE L-1 - true
   * 13 nu.xom.TextWriter.write(C)V: I12 Branch 128 IFEQ L-1 - true
   * 14 nu.xom.TextWriter.write(C)V: I22 Branch 129 IFNE L-1 - false
   * 15 nu.xom.TextWriter.write(C)V: I25 Branch 130 IFGT L-1 - false
   * 16 nu.xom.TextWriter.write(C)V: I28 Branch 131 IFGT L-1 - false
   * 17 nu.xom.TextWriter.write(C)V: I32 Branch 132 IF_ICMPEQ L-1 - false
   * 18 nu.xom.TextWriter.write(C)V: I35 Branch 133 IF_ICMPNE L-1 - true
   * 19 nu.xom.TextWriter.write(C)V: I57 Branch 134 IFEQ L-1 - true
   * 20 nu.xom.TextWriter.write(C)V: I105 Branch 137 IF_ICMPLT L-1 - true
   * 21 nu.xom.TextWriter.writeMarkup(C)V: I3 Branch 149 IFEQ L-1 - true
   * 22 nu.xom.TextWriter.needsBreak()Z: I2 Branch 144 IFLE L-1 - true
   */

  @Test
  public void test42()  throws Throwable  {
      CharArrayWriter charArrayWriter0 = new CharArrayWriter(8364);
      Latin7Writer latin7Writer0 = new Latin7Writer(charArrayWriter0, "b02B~xv(ilk~1 ");
      latin7Writer0.getLineSeparator();
      ISOArabicWriter iSOArabicWriter0 = new ISOArabicWriter(charArrayWriter0, "b02B~xv(ilk~1 ");
      iSOArabicWriter0.setInDocType(true);
      iSOArabicWriter0.writeName("\r\n");
      assertEquals("\r\r\n", charArrayWriter0.toString());
      assertEquals(3, charArrayWriter0.size());
  }

  //Test case number: 43
  /*
   * 2 covered goals:
   * 1 nu.xom.TextWriter.decrementIndent()V: I2 Branch 161 IFNE L-1 - false
   * 2 nu.xom.TextWriter.<init>(Ljava/io/Writer;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test43()  throws Throwable  {
      Latin6Writer latin6Writer0 = new Latin6Writer((Writer) null, "EUC-JP");
      latin6Writer0.decrementIndent();
  }
}
