/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Attribute;
import nu.xom.Comment;
import nu.xom.Document;
import nu.xom.MalformedURIException;
import nu.xom.NodeFactory;
import nu.xom.XMLException;
import nu.xom.XOMHandler;
import org.junit.BeforeClass;
import org.xml.sax.Attributes;
import org.xml.sax.Locator;
import org.xml.sax.ext.Attributes2Impl;
import org.xml.sax.ext.Locator2Impl;
import org.xml.sax.helpers.LocatorImpl;

public class XOMHandlerEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.endDocument()V: root-Branch
   * 2 nu.xom.XOMHandler.<init>(Lnu/xom/NodeFactory;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      // Undeclared exception!
      try {
        xOMHandler0.endDocument();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.getDocument()Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      Document document0 = xOMHandler0.getDocument();
      assertNull(document0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endCDATA()V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.endCDATA();
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.ignorableWhitespace([CII)V: root-Branch
   * 2 nu.xom.XOMHandler.characters([CII)V: I1 Branch 44 IFGT L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      char[] charArray0 = new char[10];
      xOMHandler0.ignorableWhitespace(charArray0, (int) '\u0000', (int) '\u0000');
      assertArrayEquals(new char[] {'\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000'}, charArray0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.freeMemory()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.freeMemory();
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startPrefixMapping(Ljava/lang/String;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      XOMHandler xOMHandler0 = new XOMHandler((NodeFactory) null);
      Comment comment0 = new Comment("Processing instruction data must not contain \"?>\"");
      comment0.toString();
      xOMHandler0.startPrefixMapping("Processing instruction data must not contain \"?>\"", "[nu.xom.Comment: Processing instruction data must no...]");
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endPrefixMapping(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.endPrefixMapping("");
  }

  //Test case number: 7
  /*
   * 11 covered goals:
   * 1 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I3 Branch 33 IFLE L-1 - true
   * 2 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I10 Branch 34 IFLE L-1 - true
   * 3 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I17 Branch 35 IFLE L-1 - true
   * 4 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I24 Branch 36 IFLE L-1 - true
   * 5 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I31 Branch 37 IFLE L-1 - true
   * 6 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I38 Branch 38 IFLE L-1 - true
   * 7 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I45 Branch 39 IFLE L-1 - true
   * 8 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I52 Branch 40 IFLE L-1 - true
   * 9 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I59 Branch 41 IFLE L-1 - true
   * 10 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I66 Branch 42 IFLE L-1 - true
   * 11 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I74 Branch 43 IFLE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Attribute.Type attribute_Type0 = XOMHandler.convertStringToType("%%)");
      assertNotNull(attribute_Type0);
      assertEquals("UNDECLARED", attribute_Type0.getName());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I10 Branch 34 IFLE L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      Attribute.Type attribute_Type0 = XOMHandler.convertStringToType("ID");
      assertNotNull(attribute_Type0);
      assertEquals("ID", attribute_Type0.getName());
  }

  //Test case number: 9
  /*
   * 11 covered goals:
   * 1 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I74 Branch 43 IFLE L-1 - false
   * 2 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I3 Branch 33 IFLE L-1 - true
   * 3 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I10 Branch 34 IFLE L-1 - true
   * 4 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I17 Branch 35 IFLE L-1 - true
   * 5 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I24 Branch 36 IFLE L-1 - true
   * 6 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I31 Branch 37 IFLE L-1 - true
   * 7 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I38 Branch 38 IFLE L-1 - true
   * 8 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I45 Branch 39 IFLE L-1 - true
   * 9 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I52 Branch 40 IFLE L-1 - true
   * 10 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I59 Branch 41 IFLE L-1 - true
   * 11 nu.xom.XOMHandler.convertStringToType(Ljava/lang/String;)Lnu/xom/Attribute$Type;: I66 Branch 42 IFLE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      Attribute.Type attribute_Type0 = XOMHandler.convertStringToType("(");
      assertNotNull(attribute_Type0);
      assertEquals("ENUMERATION", attribute_Type0.getName());
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 nu.xom.XOMHandler.elementDecl(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 78 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.elementDecl(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 79 IFNULL L-1 - true
   * 3 nu.xom.XOMHandler.inInternalSubset()Z: I2 Branch 83 IFNE L-1 - false
   * 4 nu.xom.XOMHandler.inInternalSubset()Z: I5 Branch 84 IFNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.elementDecl("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 11
  /*
   * 7 covered goals:
   * 1 nu.xom.XOMHandler.elementDecl(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 79 IFNULL L-1 - false
   * 2 nu.xom.XOMHandler.elementDecl(Ljava/lang/String;Ljava/lang/String;)V: I29 Branch 80 IFLE L-1 - true
   * 3 nu.xom.XOMHandler.startDocument()V: I41 Branch 1 IFNULL L-1 - true
   * 4 nu.xom.XOMHandler.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I16 Branch 63 IF_ICMPGE L-1 - true
   * 5 nu.xom.XOMHandler.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I16 Branch 63 IF_ICMPGE L-1 - false
   * 6 nu.xom.XOMHandler.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I35 Branch 64 IFEQ L-1 - false
   * 7 nu.xom.XOMHandler.elementDecl(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 78 IFEQ L-1 - false
   */

  @Test
  public void test11()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("ih", "ih", "ih");
      xOMHandler0.elementDecl("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 12
  /*
   * 3 covered goals:
   * 1 nu.xom.XOMHandler.skippedEntity(Ljava/lang/String;)V: I4 Branch 62 IFLE L-1 - true
   * 2 nu.xom.XOMHandler.flushText()V: I2 Branch 48 IFNULL L-1 - true
   * 3 nu.xom.XOMHandler.flushText()V: I14 Branch 49 IFNULL L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      // Undeclared exception!
      try {
        xOMHandler0.skippedEntity("Attribute prefixes must be declared.");
        fail("Expecting exception: XMLException");
      
      } catch(XMLException e) {
         //
         // Could not resolve entity Attribute prefixes must be declared.
         //
      }
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.skippedEntity(Ljava/lang/String;)V: I4 Branch 62 IFLE L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      XOMHandler xOMHandler0 = new XOMHandler((NodeFactory) null);
      xOMHandler0.skippedEntity("%)");
  }

  //Test case number: 14
  /*
   * 34 covered goals:
   * 1 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I1 Branch 109 IFNULL L-1 - false
   * 2 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 110 IFEQ L-1 - false
   * 3 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I11 Branch 111 IFNULL L-1 - true
   * 4 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 117 IF_ICMPGE L-1 - true
   * 5 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 117 IF_ICMPGE L-1 - false
   * 6 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 118 TABLESWITCH L-1 Case 13 - false
   * 7 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 119 TABLESWITCH L-1 Case 14 - false
   * 8 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 120 TABLESWITCH L-1 Case 15 - false
   * 9 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 121 TABLESWITCH L-1 Case 16 - false
   * 10 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 122 TABLESWITCH L-1 Case 17 - false
   * 11 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 123 TABLESWITCH L-1 Case 18 - false
   * 12 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 124 TABLESWITCH L-1 Case 19 - false
   * 13 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 125 TABLESWITCH L-1 Case 20 - false
   * 14 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 126 TABLESWITCH L-1 Case 21 - false
   * 15 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 127 TABLESWITCH L-1 Case 22 - false
   * 16 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 128 TABLESWITCH L-1 Case 23 - false
   * 17 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 129 TABLESWITCH L-1 Case 24 - false
   * 18 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 130 TABLESWITCH L-1 Case 25 - false
   * 19 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 131 TABLESWITCH L-1 Case 26 - false
   * 20 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 132 TABLESWITCH L-1 Case 27 - false
   * 21 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 133 TABLESWITCH L-1 Case 28 - false
   * 22 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 134 TABLESWITCH L-1 Case 29 - false
   * 23 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 135 TABLESWITCH L-1 Case 30 - false
   * 24 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 136 TABLESWITCH L-1 Case 31 - false
   * 25 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 137 TABLESWITCH L-1 Case 32 - false
   * 26 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 138 TABLESWITCH L-1 Case 33 - false
   * 27 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 139 TABLESWITCH L-1 Case 34 - false
   * 28 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 140 TABLESWITCH L-1 Case 35 - false
   * 29 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 141 TABLESWITCH L-1 Case 36 - false
   * 30 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 142 TABLESWITCH L-1 Case 37 - true
   * 31 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 142 TABLESWITCH L-1 Case 37 - false
   * 32 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 143 TABLESWITCH L-1 Case 38 - false
   * 33 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 144 TABLESWITCH L-1 Default-Case - true
   * 34 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 144 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test14()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.notationDecl("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 15
  /*
   * 3 covered goals:
   * 1 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I11 Branch 111 IFNULL L-1 - false
   * 2 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I23 Branch 112 IFNULL L-1 - false
   * 3 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I40 Branch 113 IFNULL L-1 - false
   */

  @Test
  public void test15()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("ih", "ih", "ih");
      xOMHandler0.notationDecl("ih", "ih", "ih");
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endEntity(Ljava/lang/String;)V: I3 Branch 67 IFLE L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.endEntity("%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 17
  /*
   * 5 covered goals:
   * 1 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 88 IFLE L-1 - false
   * 2 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I9 Branch 89 IF_ICMPNE L-1 - false
   * 3 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I13 Branch 90 IFGT L-1 - false
   * 4 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I34 Branch 92 IFNULL L-1 - true
   * 5 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I31 Branch 91 IFEQ L-1 - false
   */

  @Test
  public void test17()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.attributeDecl("NOTATION %", "NOTATION %", "NOTATION %", "NOTATION %", "NOTATION %");
  }

  //Test case number: 18
  /*
   * 60 covered goals:
   * 1 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I34 Branch 92 IFNULL L-1 - false
   * 2 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I66 Branch 93 IFNULL L-1 - false
   * 3 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I79 Branch 94 IFNULL L-1 - false
   * 4 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 145 IF_ICMPGE L-1 - true
   * 5 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 145 IF_ICMPGE L-1 - false
   * 6 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 146 TABLESWITCH L-1 Case 13 - false
   * 7 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 147 TABLESWITCH L-1 Case 14 - false
   * 8 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 148 TABLESWITCH L-1 Case 15 - false
   * 9 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 149 TABLESWITCH L-1 Case 16 - false
   * 10 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 150 TABLESWITCH L-1 Case 17 - false
   * 11 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 151 TABLESWITCH L-1 Case 18 - false
   * 12 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 152 TABLESWITCH L-1 Case 19 - false
   * 13 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 153 TABLESWITCH L-1 Case 20 - false
   * 14 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 154 TABLESWITCH L-1 Case 21 - false
   * 15 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 155 TABLESWITCH L-1 Case 22 - false
   * 16 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 156 TABLESWITCH L-1 Case 23 - false
   * 17 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 157 TABLESWITCH L-1 Case 24 - false
   * 18 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 158 TABLESWITCH L-1 Case 25 - false
   * 19 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 159 TABLESWITCH L-1 Case 26 - false
   * 20 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 160 TABLESWITCH L-1 Case 27 - false
   * 21 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 161 TABLESWITCH L-1 Case 28 - false
   * 22 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 162 TABLESWITCH L-1 Case 29 - false
   * 23 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 163 TABLESWITCH L-1 Case 30 - false
   * 24 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 164 TABLESWITCH L-1 Case 31 - false
   * 25 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 165 TABLESWITCH L-1 Case 32 - false
   * 26 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 166 TABLESWITCH L-1 Case 33 - false
   * 27 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 167 TABLESWITCH L-1 Case 34 - false
   * 28 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 168 TABLESWITCH L-1 Case 35 - false
   * 29 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 169 TABLESWITCH L-1 Case 36 - false
   * 30 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 170 TABLESWITCH L-1 Case 37 - true
   * 31 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 170 TABLESWITCH L-1 Case 37 - false
   * 32 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 171 TABLESWITCH L-1 Case 38 - false
   * 33 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 172 TABLESWITCH L-1 Case 39 - false
   * 34 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 173 TABLESWITCH L-1 Case 40 - false
   * 35 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 174 TABLESWITCH L-1 Case 41 - false
   * 36 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 175 TABLESWITCH L-1 Case 42 - false
   * 37 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 176 TABLESWITCH L-1 Case 43 - false
   * 38 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 177 TABLESWITCH L-1 Case 44 - false
   * 39 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 178 TABLESWITCH L-1 Case 45 - false
   * 40 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 179 TABLESWITCH L-1 Case 46 - false
   * 41 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 180 TABLESWITCH L-1 Case 47 - true
   * 42 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 180 TABLESWITCH L-1 Case 47 - false
   * 43 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 181 TABLESWITCH L-1 Case 48 - false
   * 44 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 182 TABLESWITCH L-1 Case 49 - false
   * 45 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 183 TABLESWITCH L-1 Case 50 - false
   * 46 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 184 TABLESWITCH L-1 Case 51 - false
   * 47 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 185 TABLESWITCH L-1 Case 52 - false
   * 48 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 186 TABLESWITCH L-1 Case 53 - false
   * 49 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 187 TABLESWITCH L-1 Case 54 - false
   * 50 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 188 TABLESWITCH L-1 Case 55 - false
   * 51 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 189 TABLESWITCH L-1 Case 56 - false
   * 52 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 190 TABLESWITCH L-1 Case 57 - true
   * 53 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 190 TABLESWITCH L-1 Case 57 - false
   * 54 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 191 TABLESWITCH L-1 Case 58 - false
   * 55 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 192 TABLESWITCH L-1 Case 59 - false
   * 56 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 193 TABLESWITCH L-1 Case 60 - true
   * 57 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 193 TABLESWITCH L-1 Case 60 - false
   * 58 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 194 TABLESWITCH L-1 Default-Case - true
   * 59 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 194 TABLESWITCH L-1 Default-Case - false
   * 60 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 88 IFLE L-1 - true
   */

  @Test
  public void test18()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("f", "f", "f");
      xOMHandler0.attributeDecl("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endDTD()V: I5 Branch 65 IFNULL L-1 - true
   */

  @Test
  public void test19()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.endDTD();
  }

  //Test case number: 20
  /*
   * 4 covered goals:
   * 1 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 137 TABLESWITCH L-1 Case 32 - true
   * 2 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 95 IFEQ L-1 - false
   * 3 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 96 IFNULL L-1 - false
   * 4 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I15 Branch 97 IFLE L-1 - false
   */

  @Test
  public void test20()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("ih", "ih", "ih");
      xOMHandler0.internalEntityDecl("%d]yAcWVA9_%<nUZ/", " in the internal DTD subset");
  }

  //Test case number: 21
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 138 TABLESWITCH L-1 Case 33 - true
   * 2 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 137 TABLESWITCH L-1 Case 32 - true
   */

  @Test
  public void test21()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.notationDecl("  <!ATTLIST ", "  <!ATTLIST ", "  <!ATTLIST ");
  }

  //Test case number: 22
  /*
   * 6 covered goals:
   * 1 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 140 TABLESWITCH L-1 Case 35 - true
   * 2 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 143 TABLESWITCH L-1 Case 38 - true
   * 3 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I1 Branch 109 IFNULL L-1 - false
   * 4 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 110 IFEQ L-1 - false
   * 5 nu.xom.XOMHandler.notationDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I11 Branch 111 IFNULL L-1 - true
   * 6 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 144 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test22()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.notationDecl("nu.xom.NodeFactory", "nu.xom.NodeFactory", "&#x25;");
  }

  //Test case number: 23
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startCDATA()V: I2 Branch 68 IFNONNULL L-1 - false
   */

  @Test
  public void test23()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startCDATA();
  }

  //Test case number: 24
  /*
   * 5 covered goals:
   * 1 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 168 TABLESWITCH L-1 Case 35 - true
   * 2 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 171 TABLESWITCH L-1 Case 38 - true
   * 3 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 183 TABLESWITCH L-1 Case 50 - true
   * 4 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 186 TABLESWITCH L-1 Case 53 - true
   * 5 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 192 TABLESWITCH L-1 Case 59 - true
   */

  @Test
  public void test24()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("f", "f", "f");
      xOMHandler0.attributeDecl("&#x25;", "&#x25;", "&#x25;", "&#x25;", "&#x25;");
  }

  //Test case number: 25
  /*
   * 60 covered goals:
   * 1 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 173 TABLESWITCH L-1 Case 40 - true
   * 2 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I4 Branch 88 IFLE L-1 - true
   * 3 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I31 Branch 91 IFEQ L-1 - false
   * 4 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I34 Branch 92 IFNULL L-1 - false
   * 5 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I66 Branch 93 IFNULL L-1 - false
   * 6 nu.xom.XOMHandler.attributeDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I79 Branch 94 IFNULL L-1 - false
   * 7 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 145 IF_ICMPGE L-1 - true
   * 8 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 145 IF_ICMPGE L-1 - false
   * 9 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 146 TABLESWITCH L-1 Case 13 - false
   * 10 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 147 TABLESWITCH L-1 Case 14 - false
   * 11 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 148 TABLESWITCH L-1 Case 15 - false
   * 12 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 149 TABLESWITCH L-1 Case 16 - false
   * 13 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 150 TABLESWITCH L-1 Case 17 - false
   * 14 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 151 TABLESWITCH L-1 Case 18 - false
   * 15 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 152 TABLESWITCH L-1 Case 19 - false
   * 16 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 153 TABLESWITCH L-1 Case 20 - false
   * 17 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 154 TABLESWITCH L-1 Case 21 - false
   * 18 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 155 TABLESWITCH L-1 Case 22 - false
   * 19 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 156 TABLESWITCH L-1 Case 23 - false
   * 20 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 157 TABLESWITCH L-1 Case 24 - false
   * 21 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 158 TABLESWITCH L-1 Case 25 - false
   * 22 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 159 TABLESWITCH L-1 Case 26 - false
   * 23 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 160 TABLESWITCH L-1 Case 27 - false
   * 24 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 161 TABLESWITCH L-1 Case 28 - false
   * 25 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 162 TABLESWITCH L-1 Case 29 - false
   * 26 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 163 TABLESWITCH L-1 Case 30 - false
   * 27 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 164 TABLESWITCH L-1 Case 31 - false
   * 28 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 165 TABLESWITCH L-1 Case 32 - false
   * 29 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 166 TABLESWITCH L-1 Case 33 - false
   * 30 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 167 TABLESWITCH L-1 Case 34 - false
   * 31 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 168 TABLESWITCH L-1 Case 35 - false
   * 32 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 169 TABLESWITCH L-1 Case 36 - false
   * 33 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 170 TABLESWITCH L-1 Case 37 - false
   * 34 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 171 TABLESWITCH L-1 Case 38 - true
   * 35 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 171 TABLESWITCH L-1 Case 38 - false
   * 36 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 172 TABLESWITCH L-1 Case 39 - false
   * 37 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 173 TABLESWITCH L-1 Case 40 - false
   * 38 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 174 TABLESWITCH L-1 Case 41 - false
   * 39 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 175 TABLESWITCH L-1 Case 42 - false
   * 40 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 176 TABLESWITCH L-1 Case 43 - false
   * 41 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 177 TABLESWITCH L-1 Case 44 - false
   * 42 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 178 TABLESWITCH L-1 Case 45 - false
   * 43 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 179 TABLESWITCH L-1 Case 46 - false
   * 44 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 180 TABLESWITCH L-1 Case 47 - false
   * 45 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 181 TABLESWITCH L-1 Case 48 - false
   * 46 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 182 TABLESWITCH L-1 Case 49 - false
   * 47 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 183 TABLESWITCH L-1 Case 50 - false
   * 48 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 184 TABLESWITCH L-1 Case 51 - false
   * 49 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 185 TABLESWITCH L-1 Case 52 - false
   * 50 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 186 TABLESWITCH L-1 Case 53 - false
   * 51 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 187 TABLESWITCH L-1 Case 54 - false
   * 52 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 188 TABLESWITCH L-1 Case 55 - false
   * 53 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 189 TABLESWITCH L-1 Case 56 - false
   * 54 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 190 TABLESWITCH L-1 Case 57 - false
   * 55 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 191 TABLESWITCH L-1 Case 58 - false
   * 56 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 192 TABLESWITCH L-1 Case 59 - true
   * 57 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 192 TABLESWITCH L-1 Case 59 - false
   * 58 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 193 TABLESWITCH L-1 Case 60 - false
   * 59 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 194 TABLESWITCH L-1 Default-Case - true
   * 60 nu.xom.XOMHandler.escapeReservedCharactersInDefaultAttributeValues(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 194 TABLESWITCH L-1 Default-Case - false
   */

  @Test
  public void test25()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("f", "f", "f");
      xOMHandler0.attributeDecl("f", "(f;Pmv]I&O[", "f", "(f;Pmv]I&O[", "(f;Pmv]I&O[");
  }

  //Test case number: 26
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.startDocument()V: I41 Branch 1 IFNULL L-1 - false
   * 2 nu.xom.XOMHandler.setDocumentLocator(Lorg/xml/sax/Locator;)V: root-Branch
   */

  @Test
  public void test26()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      LocatorImpl locatorImpl0 = new LocatorImpl();
      xOMHandler0.setDocumentLocator((Locator) locatorImpl0);
      xOMHandler0.startDocument();
  }

  //Test case number: 27
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.endElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I15 Branch 21 IFNULL L-1 - false
   */

  @Test
  public void test27()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      // Undeclared exception!
      try {
        xOMHandler0.endElement("f", "f", "f");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.Document cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 28
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startEntity(Ljava/lang/String;)V: I3 Branch 66 IFLE L-1 - true
   */

  @Test
  public void test28()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      Attribute.Type attribute_Type0 = Attribute.Type.ENTITY;
      attribute_Type0.getName();
      xOMHandler0.startEntity("ENTITY");
  }

  //Test case number: 29
  /*
   * 3 covered goals:
   * 1 nu.xom.XOMHandler.characters([CII)V: I1 Branch 44 IFGT L-1 - true
   * 2 nu.xom.XOMHandler.characters([CII)V: I6 Branch 45 IFNONNULL L-1 - false
   * 3 nu.xom.XOMHandler.ignorableWhitespace([CII)V: root-Branch
   */

  @Test
  public void test29()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      char[] charArray0 = new char[10];
      charArray0[1] = 'P';
      charArray0[8] = 'P';
      // Undeclared exception!
      try {
        xOMHandler0.ignorableWhitespace(charArray0, (int) '\u0000', (int) 'P');
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 80
         //
      }
  }

  //Test case number: 30
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.startElement(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lorg/xml/sax/Attributes;)V: I6 Branch 2 IF_ACMPEQ L-1 - true
   */

  @Test
  public void test30()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      Attributes2Impl attributes2Impl0 = new Attributes2Impl();
      // Undeclared exception!
      try {
        xOMHandler0.startElement("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", (Attributes) attributes2Impl0);
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Missing scheme in absolute URI reference
         //
      }
  }

  //Test case number: 31
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.unparsedEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 114 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.unparsedEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 115 IFNULL L-1 - true
   */

  @Test
  public void test31()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.unparsedEntityDecl("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 32
  /*
   * 3 covered goals:
   * 1 nu.xom.XOMHandler.unparsedEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 115 IFNULL L-1 - false
   * 2 nu.xom.XOMHandler.unparsedEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I12 Branch 116 IFNULL L-1 - false
   * 3 nu.xom.XOMHandler.unparsedEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 114 IFEQ L-1 - false
   */

  @Test
  public void test32()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("f", "f", "f");
      xOMHandler0.unparsedEntityDecl("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 33
  /*
   * 2 covered goals:
   * 1 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 98 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 99 IFNULL L-1 - true
   */

  @Test
  public void test33()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.externalEntityDecl("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 34
  /*
   * 4 covered goals:
   * 1 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I15 Branch 100 IFLE L-1 - true
   * 2 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I38 Branch 101 IFNULL L-1 - true
   * 3 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 99 IFNULL L-1 - false
   * 4 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I98 Branch 108 IFNULL L-1 - false
   */

  @Test
  public void test34()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("ih", "ih", "ih");
      xOMHandler0.externalEntityDecl("ih", "%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/");
  }

  //Test case number: 35
  /*
   * 7 covered goals:
   * 1 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I38 Branch 101 IFNULL L-1 - false
   * 2 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I41 Branch 102 IFEQ L-1 - true
   * 3 nu.xom.XOMHandler.setDocumentLocator(Lorg/xml/sax/Locator;)V: root-Branch
   * 4 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 98 IFEQ L-1 - false
   * 5 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 99 IFNULL L-1 - false
   * 6 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I15 Branch 100 IFLE L-1 - false
   * 7 nu.xom.XOMHandler.externalEntityDecl(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I98 Branch 108 IFNULL L-1 - false
   */

  @Test
  public void test35()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("f", "f", "f");
      Locator2Impl locator2Impl0 = new Locator2Impl();
      xOMHandler0.setDocumentLocator((Locator) locator2Impl0);
      xOMHandler0.externalEntityDecl("%d]yAcWVA9_%<nUZ/", "%d]yAcWVA9_%<nUZ/", "f");
  }

  //Test case number: 36
  /*
   * 7 covered goals:
   * 1 nu.xom.XOMHandler.comment([CII)V: I2 Branch 69 IFNE L-1 - true
   * 2 nu.xom.XOMHandler.comment([CII)V: I8 Branch 70 IFEQ L-1 - false
   * 3 nu.xom.XOMHandler.comment([CII)V: I11 Branch 71 IFNE L-1 - true
   * 4 nu.xom.XOMHandler.comment([CII)V: I30 Branch 72 IF_ICMPGE L-1 - true
   * 5 nu.xom.XOMHandler.comment([CII)V: I30 Branch 72 IF_ICMPGE L-1 - false
   * 6 nu.xom.XOMHandler.comment([CII)V: I37 Branch 73 IFNE L-1 - true
   * 7 nu.xom.XOMHandler.comment([CII)V: I74 Branch 76 IFNE L-1 - true
   */

  @Test
  public void test36()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("f", "f", "f");
      char[] charArray0 = new char[7];
      xOMHandler0.comment(charArray0, (int) '\u0000', (int) '\u0000');
      assertArrayEquals(new char[] {'\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000'}, charArray0);
  }

  //Test case number: 37
  /*
   * 5 covered goals:
   * 1 nu.xom.XOMHandler.comment([CII)V: I2 Branch 69 IFNE L-1 - false
   * 2 nu.xom.XOMHandler.comment([CII)V: I8 Branch 70 IFEQ L-1 - true
   * 3 nu.xom.XOMHandler.comment([CII)V: I37 Branch 73 IFNE L-1 - false
   * 4 nu.xom.XOMHandler.comment([CII)V: I40 Branch 74 IFEQ L-1 - true
   * 5 nu.xom.XOMHandler.comment([CII)V: I57 Branch 75 IFEQ L-1 - true
   */

  @Test
  public void test37()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      char[] charArray0 = new char[10];
      // Undeclared exception!
      try {
        xOMHandler0.comment(charArray0, (int) '\u0000', (int) '\u0000');
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 38
  /*
   * 6 covered goals:
   * 1 nu.xom.XOMHandler.comment([CII)V: I40 Branch 74 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.comment([CII)V: I2 Branch 69 IFNE L-1 - false
   * 3 nu.xom.XOMHandler.comment([CII)V: I8 Branch 70 IFEQ L-1 - true
   * 4 nu.xom.XOMHandler.comment([CII)V: I30 Branch 72 IF_ICMPGE L-1 - true
   * 5 nu.xom.XOMHandler.comment([CII)V: I30 Branch 72 IF_ICMPGE L-1 - false
   * 6 nu.xom.XOMHandler.comment([CII)V: I37 Branch 73 IFNE L-1 - false
   */

  @Test
  public void test38()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      char[] charArray0 = new char[10];
      xOMHandler0.startDocument();
      xOMHandler0.comment(charArray0, 0, 0);
      assertArrayEquals(new char[] {'\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000', '\u0000'}, charArray0);
  }

  //Test case number: 39
  /*
   * 7 covered goals:
   * 1 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 53 IFNE L-1 - true
   * 2 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 54 IFEQ L-1 - false
   * 3 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I11 Branch 55 IFNE L-1 - true
   * 4 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I26 Branch 56 IF_ICMPGE L-1 - true
   * 5 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I26 Branch 56 IF_ICMPGE L-1 - false
   * 6 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I33 Branch 57 IFNE L-1 - true
   * 7 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I70 Branch 60 IFNE L-1 - true
   */

  @Test
  public void test39()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("f", "f", "f");
      xOMHandler0.processingInstruction("f", "f");
  }

  //Test case number: 40
  /*
   * 5 covered goals:
   * 1 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 53 IFNE L-1 - false
   * 2 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 54 IFEQ L-1 - true
   * 3 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I33 Branch 57 IFNE L-1 - false
   * 4 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I36 Branch 58 IFEQ L-1 - true
   * 5 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I53 Branch 59 IFEQ L-1 - true
   */

  @Test
  public void test40()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      // Undeclared exception!
      try {
        xOMHandler0.processingInstruction("lPr2Py", "lPr2Py");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 41
  /*
   * 8 covered goals:
   * 1 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I36 Branch 58 IFEQ L-1 - false
   * 2 nu.xom.XOMHandler.flushText()V: I2 Branch 48 IFNULL L-1 - true
   * 3 nu.xom.XOMHandler.flushText()V: I14 Branch 49 IFNULL L-1 - true
   * 4 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 53 IFNE L-1 - false
   * 5 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I8 Branch 54 IFEQ L-1 - true
   * 6 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I26 Branch 56 IF_ICMPGE L-1 - true
   * 7 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I26 Branch 56 IF_ICMPGE L-1 - false
   * 8 nu.xom.XOMHandler.processingInstruction(Ljava/lang/String;Ljava/lang/String;)V: I33 Branch 57 IFNE L-1 - false
   */

  @Test
  public void test41()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.processingInstruction("ih", "ih");
  }

  //Test case number: 42
  /*
   * 1 covered goal:
   * 1 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 96 IFNULL L-1 - true
   */

  @Test
  public void test42()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.internalEntityDecl("", "");
  }

  //Test case number: 43
  /*
   * 39 covered goals:
   * 1 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I15 Branch 97 IFLE L-1 - true
   * 2 nu.xom.XOMHandler.<init>(Lnu/xom/NodeFactory;)V: root-Branch
   * 3 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 117 IF_ICMPGE L-1 - true
   * 4 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I13 Branch 117 IF_ICMPGE L-1 - false
   * 5 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 118 TABLESWITCH L-1 Case 13 - false
   * 6 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 119 TABLESWITCH L-1 Case 14 - false
   * 7 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 120 TABLESWITCH L-1 Case 15 - false
   * 8 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 121 TABLESWITCH L-1 Case 16 - false
   * 9 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 122 TABLESWITCH L-1 Case 17 - false
   * 10 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 123 TABLESWITCH L-1 Case 18 - false
   * 11 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 124 TABLESWITCH L-1 Case 19 - false
   * 12 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 125 TABLESWITCH L-1 Case 20 - false
   * 13 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 126 TABLESWITCH L-1 Case 21 - false
   * 14 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 127 TABLESWITCH L-1 Case 22 - false
   * 15 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 128 TABLESWITCH L-1 Case 23 - false
   * 16 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 129 TABLESWITCH L-1 Case 24 - false
   * 17 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 130 TABLESWITCH L-1 Case 25 - false
   * 18 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 131 TABLESWITCH L-1 Case 26 - false
   * 19 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 132 TABLESWITCH L-1 Case 27 - false
   * 20 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 133 TABLESWITCH L-1 Case 28 - false
   * 21 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 134 TABLESWITCH L-1 Case 29 - false
   * 22 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 135 TABLESWITCH L-1 Case 30 - false
   * 23 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 136 TABLESWITCH L-1 Case 31 - false
   * 24 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 137 TABLESWITCH L-1 Case 32 - false
   * 25 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 138 TABLESWITCH L-1 Case 33 - false
   * 26 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 139 TABLESWITCH L-1 Case 34 - false
   * 27 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 140 TABLESWITCH L-1 Case 35 - false
   * 28 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 141 TABLESWITCH L-1 Case 36 - false
   * 29 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 142 TABLESWITCH L-1 Case 37 - false
   * 30 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 143 TABLESWITCH L-1 Case 38 - false
   * 31 nu.xom.XOMHandler.escapeReservedCharactersInDeclarations(Ljava/lang/String;)Ljava/lang/String;: I19 Branch 144 TABLESWITCH L-1 Default-Case - true
   * 32 nu.xom.XOMHandler.startDocument()V: I41 Branch 1 IFNULL L-1 - true
   * 33 nu.xom.XOMHandler.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I16 Branch 63 IF_ICMPGE L-1 - true
   * 34 nu.xom.XOMHandler.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I16 Branch 63 IF_ICMPGE L-1 - false
   * 35 nu.xom.XOMHandler.startDTD(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V: I35 Branch 64 IFEQ L-1 - false
   * 36 nu.xom.XOMHandler.inInternalSubset()Z: I2 Branch 83 IFNE L-1 - false
   * 37 nu.xom.XOMHandler.inInternalSubset()Z: I5 Branch 84 IFNE L-1 - false
   * 38 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I2 Branch 95 IFEQ L-1 - false
   * 39 nu.xom.XOMHandler.internalEntityDecl(Ljava/lang/String;Ljava/lang/String;)V: I5 Branch 96 IFNULL L-1 - false
   */

  @Test
  public void test43()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      XOMHandler xOMHandler0 = new XOMHandler(nodeFactory0);
      xOMHandler0.startDocument();
      xOMHandler0.startDTD("f", "f", "f");
      xOMHandler0.internalEntityDecl("F<8s1V", "F<8s1V");
  }
}
