/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.css.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.List;
import java.util.Vector;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.xhtmlrenderer.css.constants.IdentValue;
import org.xhtmlrenderer.css.parser.FSFunction;
import org.xhtmlrenderer.css.parser.FSRGBColor;
import org.xhtmlrenderer.css.parser.PropertyValue;
import org.xhtmlrenderer.css.parser.Token;

public class PropertyValueEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getCounterValue()Lorg/w3c/dom/css/Counter;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - false
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I32 Branch 2 IFEQ L67 - false
   */

  @Test
  public void test0()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, (float) (short)1, "$} :d\"1P;gdM");
      // Undeclared exception!
      try {
        propertyValue0.getCounterValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSFunction;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFunction()Lorg/xhtmlrenderer/css/parser/FSFunction;: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test1()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, (float) (short)0, "*v%2p");
      propertyValue0.getFunction();
      PropertyValue propertyValue1 = null;
      try {
        propertyValue1 = new PropertyValue((FSFunction) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRectValue()Lorg/w3c/dom/css/Rect;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test2()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSET;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getRectValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue()F: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSET;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      float float0 = propertyValue0.getFloatValue();
      assertEquals(0.0F, float0, 0.01F);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I48", propertyValue0.getFingerprint());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFloatValue(S)F: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      float float0 = propertyValue0.getFloatValue((short)7);
      assertEquals(0.0F, float0, 0.01F);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(4, propertyValue0.getPropertyValueType());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getIdentValue()Lorg/xhtmlrenderer/css/constants/IdentValue;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSET;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      IdentValue identValue1 = propertyValue0.getIdentValue();
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertNotNull(identValue1);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals("I48", propertyValue0.getFingerprint());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.toString();
      assertEquals(1, propertyValue0.getCssValueType());
      assertNotNull(string0);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals("I4", propertyValue0.getFingerprint());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFSRGBColor()Lorg/xhtmlrenderer/css/parser/FSRGBColor;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getFSRGBColor();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I4", propertyValue0.getFingerprint());
      assertEquals(1, propertyValue0.getCssValueType());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/parser/FSRGBColor;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getCssValueType()S: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSET;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      short short0 = propertyValue0.getCssValueType();
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals((short)1, short0);
      
      FSRGBColor fSRGBColor0 = new FSRGBColor((int) (short)1, (int) (short)1, (int) (short)1);
      PropertyValue propertyValue1 = new PropertyValue(fSRGBColor0);
      assertEquals(1, propertyValue1.getCssValueType());
      assertEquals(3, propertyValue1.getPropertyValueType());
      assertEquals(25, propertyValue1.getPrimitiveType());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getValues()Ljava/util/List;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSET;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getValues();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(4, propertyValue0.getPropertyValueType());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getRGBColorValue()Lorg/w3c/dom/css/RGBColor;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      // Undeclared exception!
      try {
        propertyValue0.getRGBColorValue();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 11
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setCssText(Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test11()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1998), "rey%84]av?d$cq*v", "rey%84]av?d$cq*v");
      // Undeclared exception!
      try {
        propertyValue0.setCssText("rey%84]av?d$cq*v");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringValue(SLjava/lang/String;)V: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)0, (float) (short)0, "va@]&fz}mg h@<m");
      // Undeclared exception!
      try {
        propertyValue0.setStringValue((short)0, "va@]&fz}mg h@<m");
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setFloatValue(SF)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - false
   */

  @Test
  public void test13()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)21, "V4Y", "V4Y");
      short short0 = propertyValue0.getPropertyValueType();
      assertEquals((short)4, short0);
      
      // Undeclared exception!
      try {
        propertyValue0.setFloatValue((short)4, (short)21);
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getPrimitiveType()S: root-Branch
   */

  @Test
  public void test14()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      short short0 = propertyValue0.getPrimitiveType();
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals("I4", propertyValue0.getFingerprint());
      assertEquals((short)21, short0);
  }

  //Test case number: 15
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getStringArrayValue()[Ljava/lang/String;: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - true
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - false
   */

  @Test
  public void test15()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)21, "V4Y", "V4Y");
      propertyValue0.getStringArrayValue();
      assertEquals(4, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Ljava/util/List;)V: root-Branch
   */

  @Test
  public void test16()  throws Throwable  {
      Vector<Object> vector0 = new Vector<Object>();
      PropertyValue propertyValue0 = new PropertyValue((List) vector0);
      assertEquals(0, propertyValue0.getPrimitiveType());
      assertEquals(6, propertyValue0.getPropertyValueType());
      assertEquals(3, propertyValue0.getCssValueType());
  }

  //Test case number: 17
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setOperator(Lorg/xhtmlrenderer/css/parser/Token;)V: root-Branch
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getOperator()Lorg/xhtmlrenderer/css/parser/Token;: root-Branch
   */

  @Test
  public void test17()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSET;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.getOperator();
      propertyValue0.setOperator((Token) null);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I48", propertyValue0.getFingerprint());
  }

  //Test case number: 18
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.setStringArrayValue([Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test18()  throws Throwable  {
      IdentValue identValue0 = IdentValue.AVOID;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String[] stringArray0 = new String[6];
      propertyValue0.setStringArrayValue(stringArray0);
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(4, propertyValue0.getPropertyValueType());
  }

  //Test case number: 19
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I32 Branch 2 IFEQ L67 - true
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - false
   */

  @Test
  public void test19()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short)1, 0.0F, "$} :d\"1P;gdM");
      assertEquals(0.0F, propertyValue0.getFloatValue(), 0.01F);
      assertEquals(1, propertyValue0.getPrimitiveType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(2, propertyValue0.getPropertyValueType());
  }

  //Test case number: 20
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I21 Branch 3 IFLE L88 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getCssValueType()S: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SLjava/lang/String;Ljava/lang/String;)V: I37 Branch 4 IF_ICMPNE L91 - true
   */

  @Test
  public void test20()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INSET;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      short short0 = propertyValue0.getCssValueType();
      assertEquals("I48", propertyValue0.getFingerprint());
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals((short)1, short0);
      
      PropertyValue propertyValue1 = new PropertyValue((short)1, "inherit", "inherit");
      assertEquals(1, propertyValue1.getPrimitiveType());
      assertEquals(5, propertyValue1.getPropertyValueType());
      assertEquals(0, propertyValue1.getCssValueType());
  }

  //Test case number: 21
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - false
   */

  @Test
  public void test21()  throws Throwable  {
      IdentValue identValue0 = IdentValue.INHERIT;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals(0, propertyValue0.getCssValueType());
      assertEquals("I44", propertyValue0.getFingerprint());
  }

  //Test case number: 22
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - true
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getCssText()Ljava/lang/String;: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.<init>(SFLjava/lang/String;)V: I28 Branch 1 IF_ICMPNE L67 - true
   */

  @Test
  public void test22()  throws Throwable  {
      PropertyValue propertyValue0 = new PropertyValue((short) (-1170), (float) (short) (-1170), "pre-wrap");
      String string0 = propertyValue0.getFingerprint();
      assertEquals(2, propertyValue0.getPropertyValueType());
      assertEquals(1, propertyValue0.getCssValueType());
      assertEquals(-1170, propertyValue0.getPrimitiveType());
      assertEquals((-1170.0F), propertyValue0.getFloatValue(), 0.01F);
      assertNotNull(string0);
  }

  //Test case number: 23
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - true
   */

  @Test
  public void test23()  throws Throwable  {
      IdentValue identValue0 = IdentValue.REPEAT_Y;
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      String string0 = propertyValue0.getFingerprint();
      assertEquals(1, propertyValue0.getCssValueType());
      assertNotNull(string0);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I88", string0);
  }

  //Test case number: 24
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I10 Branch 7 IFNONNULL L220 - false
   * 2 org.xhtmlrenderer.css.parser.PropertyValue.setIdentValue(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: root-Branch
   * 3 org.xhtmlrenderer.css.parser.PropertyValue.getPropertyValueType()S: root-Branch
   * 4 org.xhtmlrenderer.css.parser.PropertyValue.getStringValue()Ljava/lang/String;: root-Branch
   * 5 org.xhtmlrenderer.css.parser.PropertyValue.getFingerprint()Ljava/lang/String;: I5 Branch 6 IF_ICMPNE L219 - false
   * 6 org.xhtmlrenderer.css.parser.PropertyValue.<init>(Lorg/xhtmlrenderer/css/constants/IdentValue;)V: I22 Branch 5 IFLE L101 - true
   */

  @Test
  public void test24()  throws Throwable  {
      IdentValue identValue0 = IdentValue.REPEAT_Y;
      IdentValue.valueOf("DyY){");
      PropertyValue propertyValue0 = new PropertyValue(identValue0);
      propertyValue0.setIdentValue((IdentValue) null);
      String string0 = propertyValue0.getFingerprint();
      assertNotNull(string0);
      assertEquals(21, propertyValue0.getPrimitiveType());
      assertEquals("I88", string0);
      assertEquals(1, propertyValue0.getCssValueType());
  }
}
