/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.simple;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import org.junit.BeforeClass;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.simple.XHTMLPanel;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class XHTMLPanelEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.relayout()V: root-Branch
   * 2 org.xhtmlrenderer.simple.XHTMLPanel.<init>()V: root-Branch
   * 3 org.xhtmlrenderer.simple.XHTMLPanel.setupListeners()V: I5 Branch 1 IFEQ L125 - false
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.relayout();
      assertEquals(0.5F, scalableXHTMLPanel0.getMinFontScale(), 0.01F);
      assertEquals(3.0F, scalableXHTMLPanel0.getMaxFontScale(), 0.01F);
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 2 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;)V: root-Branch
   * 3 org.xhtmlrenderer.simple.XHTMLPanel.resetFontSize()V: root-Branch
   * 4 org.xhtmlrenderer.simple.XHTMLPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 5 org.xhtmlrenderer.simple.XHTMLPanel.resetListeners()V: I5 Branch 2 IFEQ L133 - false
   */

  @Test
  public void test1()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent(26);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.resetFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.setFontScalingFactor(F)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.setFontScalingFactor((float) 906);
      assertEquals(0.5F, scalableXHTMLPanel0.getMinFontScale(), 0.01F);
      assertEquals(3.0F, scalableXHTMLPanel0.getMaxFontScale(), 0.01F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.setMinFontScale(F)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.setMinFontScale(18.201298F);
      assertEquals(18.201298F, scalableXHTMLPanel0.getMinFontScale(), 0.01F);
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.decrementFontSize()V: root-Branch
   * 2 org.xhtmlrenderer.simple.XHTMLPanel.scaleFont(F)V: I19 Branch 4 IFLT L277 - false
   * 3 org.xhtmlrenderer.simple.XHTMLPanel.scaleFont(F)V: I24 Branch 5 IFLE L277 - true
   * 4 org.xhtmlrenderer.simple.XHTMLPanel.<init>()V: root-Branch
   * 5 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Lorg/w3c/dom/Document;)V: root-Branch
   * 6 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel();
      // Undeclared exception!
      try {
        xHTMLPanel0.decrementFontSize();
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.simple.XHTMLPanel.setDocument(Ljava/io/File;)V: I12 Branch 3 IFNONNULL L204 - true
   * 2 org.xhtmlrenderer.simple.XHTMLPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   * 3 org.xhtmlrenderer.simple.XHTMLPanel.setupListeners()V: I5 Branch 1 IFEQ L125 - false
   * 4 org.xhtmlrenderer.simple.XHTMLPanel.resetListeners()V: I5 Branch 2 IFEQ L133 - false
   */

  @Test
  public void test5()  throws Throwable  {
      XHTMLPanel xHTMLPanel0 = new XHTMLPanel((UserAgentCallback) null);
      File file0 = new File("r");
      File file1 = new File(file0, "r");
      try {
        xHTMLPanel0.setDocument(file1);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
