/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import java.util.Iterator;
import nu.xom.CDATASection;
import nu.xom.DocType;
import nu.xom.DocumentFragment;
import nu.xom.Element;
import nu.xom.JaxenNavigator;
import nu.xom.Namespace;
import nu.xom.ProcessingInstruction;
import nu.xom.Text;
import nu.xom.jaxen.FunctionCallException;
import nu.xom.jaxen.JaxenException;
import nu.xom.jaxen.UnsupportedAxisException;
import nu.xom.jaxen.XPathSyntaxException;
import org.junit.BeforeClass;

public class JaxenNavigatorEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getElementName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("");
      cDATASection0.toXML();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementName((Object) "<![CDATA[]]>");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      String string0 = Namespace.XML_NAMESPACE;
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeName((Object) "http://www.w3.org/XML/1998/namespace");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getProcessingInstructionTarget(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Text text0 = CDATASection.build("");
      // Undeclared exception!
      try {
        jaxenNavigator0.getProcessingInstructionTarget((Object) text0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.CDATASection cannot be cast to nu.xom.ProcessingInstruction
         //
      }
  }

  //Test case number: 3
  /*
   * 8 covered goals:
   * 1 nu.xom.JaxenNavigator.isAttribute(Ljava/lang/Object;)Z: root-Branch
   * 2 nu.xom.JaxenNavigator.isProcessingInstruction(Ljava/lang/Object;)Z: root-Branch
   * 3 nu.xom.JaxenNavigator.isElement(Ljava/lang/Object;)Z: root-Branch
   * 4 nu.xom.JaxenNavigator.isComment(Ljava/lang/Object;)Z: root-Branch
   * 5 nu.xom.JaxenNavigator.isNamespace(Ljava/lang/Object;)Z: root-Branch
   * 6 nu.xom.JaxenNavigator.isText(Ljava/lang/Object;)Z: I2 Branch 47 IFEQ L-1 - true
   * 7 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I2 Branch 45 IFNE L-1 - false
   * 8 nu.xom.JaxenNavigator.isDocument(Ljava/lang/Object;)Z: I5 Branch 46 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      short short0 = jaxenNavigator0.getNodeType((Object) jaxenNavigator0);
      assertEquals((short)14, short0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocument(Ljava/lang/String;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      try {
        jaxenNavigator0.getDocument("r5!qEA'fFQ&!!");
        fail("Expecting exception: FunctionCallException");
      
      } catch(FunctionCallException e) {
         //
         // document() function not supported
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getDocumentNode(Ljava/lang/Object;)Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getDocumentNode((Object) jaxenNavigator0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenNavigator cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getNamespaceStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getNamespaceStringValue((Object) "document() function not supported");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Namespace
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeQName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getAttributeQName((Object) jaxenNavigator0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenNavigator cannot be cast to nu.xom.Attribute
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementNamespaceUri(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("http://www.w3.org/XML/1998/namespace");
      cDATASection0.getValue();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementNamespaceUri((Object) "http://www.w3.org/XML/1998/namespace");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementQName(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementQName((Object) documentFragment0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.DocumentFragment cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.parseXPath(Ljava/lang/String;)Lnu/xom/jaxen/XPath;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      try {
        jaxenNavigator0.parseXPath("http://www.w3.org/XML/1998/namespace");
        fail("Expecting exception: XPathSyntaxException");
      
      } catch(XPathSyntaxException e) {
         //
         // Expected one of '.', '..', '@', '*', <QName>
         //
      }
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getCommentStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      ProcessingInstruction processingInstruction0 = ProcessingInstruction.build("", "");
      // Undeclared exception!
      try {
        jaxenNavigator0.getCommentStringValue((Object) processingInstruction0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.ProcessingInstruction cannot be cast to nu.xom.Comment
         //
      }
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      Iterator<?> iterator0 = jaxenNavigator0.getAttributeAxisIterator((Object) documentFragment0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 13
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementStringValue(Ljava/lang/Object;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test13()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementStringValue((Object) jaxenNavigator0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // nu.xom.JaxenNavigator cannot be cast to nu.xom.Element
         //
      }
  }

  //Test case number: 14
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I7 Branch 51 IFNONNULL L-1 - true
   * 2 nu.xom.JaxenNavigator.getAttributeAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I21 Branch 52 IFNONNULL L-1 - false
   */

  @Test
  public void test14()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Element element0 = Element.build("", "", "");
      Iterator<?> iterator0 = jaxenNavigator0.getAttributeAxisIterator((Object) element0, "", "", "");
      assertNotNull(iterator0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 15
  /*
   * 3 covered goals:
   * 1 nu.xom.JaxenNavigator.hasID(Lnu/xom/Element;Ljava/lang/String;)Z: I8 Branch 33 IF_ICMPGE L-1 - true
   * 2 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I3 Branch 30 IFEQ L-1 - true
   * 3 nu.xom.JaxenNavigator.findByID(Lnu/xom/Element;Ljava/lang/String;)Lnu/xom/Element;: I16 Branch 31 IF_ICMPGE L-1 - true
   */

  @Test
  public void test15()  throws Throwable  {
      Element element0 = Element.build("", "", "");
      Element element1 = JaxenNavigator.findByID(element0, "");
      assertNull(element1);
  }

  //Test case number: 16
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/util/Iterator;: I2 Branch 50 IFEQ L-1 - true
   */

  @Test
  public void test16()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      Iterator<?> iterator0 = jaxenNavigator0.getChildAxisIterator((Object) jaxenNavigator0, "KJg+6BDS3x*{ronbx", "KJg+6BDS3x*{ronbx", "KJg+6BDS3x*{ronbx");
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 17
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getSelfAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 18 IFEQ L-1 - true
   */

  @Test
  public void test17()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("r5!qEA'fFQ&!!");
      cDATASection0.getBaseURI();
      Iterator<?> iterator0 = jaxenNavigator0.getSelfAxisIterator((Object) "");
      assertEquals(true, iterator0.hasNext());
  }

  //Test case number: 18
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 40 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getFollowingSiblingAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I24 Branch 41 IFNONNULL L-1 - false
   */

  @Test
  public void test18()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocType docType0 = new DocType("last");
      Iterator<?> iterator0 = jaxenNavigator0.getFollowingAxisIterator((Object) docType0);
      assertEquals(false, iterator0.hasNext());
  }

  //Test case number: 19
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getParentNode(Ljava/lang/Object;)Ljava/lang/Object;: I2 Branch 42 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.getParentAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I6 Branch 38 IFNONNULL L-1 - false
   */

  @Test
  public void test19()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      DocumentFragment documentFragment0 = new DocumentFragment();
      Iterator<?> iterator0 = jaxenNavigator0.getParentAxisIterator((Object) documentFragment0);
      assertEquals(false, iterator0.hasNext());
      assertNotNull(iterator0);
  }

  //Test case number: 20
  /*
   * 1 covered goal:
   * 1 nu.xom.JaxenNavigator.getElementById(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;: I2 Branch 24 IFEQ L-1 - true
   */

  @Test
  public void test20()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      // Undeclared exception!
      try {
        jaxenNavigator0.getElementById((Object) "VRY4uap&da>DB(L9bNL", "VRY4uap&da>DB(L9bNL");
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // java.lang.String cannot be cast to nu.xom.Node
         //
      }
  }

  //Test case number: 21
  /*
   * 2 covered goals:
   * 1 nu.xom.JaxenNavigator.getChildAxisIterator(Ljava/lang/Object;)Ljava/util/Iterator;: I2 Branch 39 IFEQ L-1 - true
   * 2 nu.xom.JaxenNavigator.<init>()V: root-Branch
   */

  @Test
  public void test21()  throws Throwable  {
      JaxenNavigator jaxenNavigator0 = new JaxenNavigator();
      CDATASection cDATASection0 = new CDATASection("KJg+6BDS3x*{ronbx");
      Iterator<?> iterator0 = jaxenNavigator0.getDescendantAxisIterator((Object) cDATASection0);
      assertEquals(false, iterator0.hasNext());
  }
}
