/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.Attribute;
import nu.xom.Comment;
import nu.xom.Document;
import nu.xom.Element;
import nu.xom.IllegalNameException;
import nu.xom.IllegalTargetException;
import nu.xom.MalformedURIException;
import nu.xom.Node;
import nu.xom.NodeFactory;
import nu.xom.Nodes;
import org.junit.BeforeClass;

public class NodeFactoryEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 nu.xom.NodeFactory.startMakingElement(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Element;: root-Branch
   * 2 nu.xom.NodeFactory.<init>()V: root-Branch
   * 3 nu.xom.NodeFactory.makeRootElement(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Element;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeRootElement("n", "n");
        fail("Expecting exception: MalformedURIException");
      
      } catch(MalformedURIException e) {
         //
         // Missing scheme in absolute URI reference
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeDocType(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeDocType("", "", "");
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // XML names cannot be empty
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeComment(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Nodes nodes0 = nodeFactory0.makeComment("");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 nu.xom.NodeFactory.makeCDATASection(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.makeText(Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Nodes nodes0 = nodeFactory0.makeCDATASection("*81Hc5)0");
      assertEquals(1, nodes0.size());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.startMakingDocument()Lnu/xom/Document;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Document document0 = nodeFactory0.startMakingDocument();
      assertNotNull(document0);
      assertEquals("<?xml version=\"1.0\"?>\n<root xmlns=\"http://www.xom.nu/fakeRoot\" />\n", document0.toXML());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeAttribute(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Lnu/xom/Attribute$Type;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.CDATA;
      attribute_Type0.toString();
      // Undeclared exception!
      try {
        nodeFactory0.makeAttribute("[Attribute.Type: CDATA]", "mj#UDcE]yCFw$4@9", "mj#UDcE]yCFw$4@9", attribute_Type0);
        fail("Expecting exception: IllegalNameException");
      
      } catch(IllegalNameException e) {
         //
         // NCNames cannot start with the character 20
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.insertChild(Lnu/xom/Element;Lnu/xom/Node;I)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.insertChild((Element) null, (Node) null, 209);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.makeProcessingInstruction(Ljava/lang/String;Ljava/lang/String;)Lnu/xom/Nodes;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      // Undeclared exception!
      try {
        nodeFactory0.makeProcessingInstruction("", "");
        fail("Expecting exception: IllegalTargetException");
      
      } catch(IllegalTargetException e) {
         //
         // NCNames cannot be empty
         //
      }
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.addAttribute(Lnu/xom/Element;Lnu/xom/Attribute;)V: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Attribute.Type attribute_Type0 = Attribute.Type.NMTOKEN;
      attribute_Type0.getName();
      Element element0 = new Element("NMTOKEN");
      // Undeclared exception!
      try {
        nodeFactory0.addAttribute(element0, (Attribute) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 nu.xom.NodeFactory.finishMakingDocument(Lnu/xom/Document;)V: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Comment comment0 = Comment.build("");
      comment0.getDocument();
      nodeFactory0.finishMakingDocument((Document) null);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 nu.xom.NodeFactory.finishMakingElement(Lnu/xom/Element;)Lnu/xom/Nodes;: root-Branch
   * 2 nu.xom.NodeFactory.<init>()V: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      NodeFactory nodeFactory0 = new NodeFactory();
      Element element0 = Element.build("", "", "");
      Nodes nodes0 = nodeFactory0.finishMakingElement(element0);
      assertEquals(1, nodes0.size());
  }
}
