/*
 * This file was automatically generated by EvoSuite
 */

package nu.xom;

import org.junit.Test;
import static org.junit.Assert.*;
import nu.xom.ParsingException;
import org.junit.BeforeClass;

public class ParsingExceptionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 nu.xom.ParsingException.<init>(Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   * 2 nu.xom.ParsingException.<init>(Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.ParsingException.initCause(Ljava/lang/Throwable;)Ljava/lang/Throwable;: I2 Branch 1 IFEQ L-1 - true
   * 4 nu.xom.ParsingException.initCause(Ljava/lang/Throwable;)Ljava/lang/Throwable;: I11 Branch 2 IF_ACMPNE L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ParsingException parsingException0 = new ParsingException(" at line ");
      ParsingException parsingException1 = new ParsingException(" at line ", " at line ", (Throwable) parsingException0);
      assertEquals(-1, parsingException1.getColumnNumber());
      assertEquals(-1, parsingException0.getColumnNumber());
      assertEquals(-1, parsingException1.getLineNumber());
      assertEquals(-1, parsingException0.getLineNumber());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 nu.xom.ParsingException.getURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ParsingException parsingException0 = new ParsingException(" at line ");
      parsingException0.getURI();
      assertEquals(-1, parsingException0.getLineNumber());
      assertEquals(-1, parsingException0.getColumnNumber());
      assertEquals("nu.xom.ParsingException:  at line ", parsingException0.toString());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 nu.xom.ParsingException.<init>(Ljava/lang/String;II)V: root-Branch
   * 2 nu.xom.ParsingException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ParsingException parsingException0 = new ParsingException("", 0, 0);
      assertEquals("nu.xom.ParsingException:  at line 0, column 0", parsingException0.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 nu.xom.ParsingException.getColumnNumber()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Throwable throwable0 = new Throwable(".w@<4a6#y^Q");
      ParsingException parsingException0 = new ParsingException(".w@<4a6#y^Q", ".w@<4a6#y^Q", 0, 0, throwable0);
      int int0 = parsingException0.getColumnNumber();
      assertEquals(0, int0);
      assertEquals(0, parsingException0.getLineNumber());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 nu.xom.ParsingException.getLineNumber()I: root-Branch
   * 2 nu.xom.ParsingException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Throwable throwable0 = new Throwable("");
      ParsingException parsingException0 = new ParsingException("", 699, 699, throwable0);
      int int0 = parsingException0.getLineNumber();
      assertEquals(699, parsingException0.getColumnNumber());
      assertEquals(699, int0);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 nu.xom.ParsingException.toString()Ljava/lang/String;: I8 Branch 3 IFLT L-1 - true
   * 2 nu.xom.ParsingException.toString()Ljava/lang/String;: I30 Branch 4 IFNULL L-1 - true
   * 3 nu.xom.ParsingException.<init>(Ljava/lang/String;Ljava/lang/Throwable;)V: root-Branch
   * 4 nu.xom.ParsingException.getCause()Ljava/lang/Throwable;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Throwable throwable0 = new Throwable("");
      ParsingException parsingException0 = new ParsingException("", throwable0);
      parsingException0.printStackTrace();
      assertEquals("nu.xom.ParsingException: ", parsingException0.toString());
      assertEquals(-1, parsingException0.getColumnNumber());
      assertEquals(-1, parsingException0.getLineNumber());
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 nu.xom.ParsingException.toString()Ljava/lang/String;: I8 Branch 3 IFLT L-1 - false
   * 2 nu.xom.ParsingException.<init>(Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   * 3 nu.xom.ParsingException.toString()Ljava/lang/String;: I30 Branch 4 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      Throwable throwable0 = new Throwable("");
      ParsingException parsingException0 = new ParsingException("", 699, 699, throwable0);
      String string0 = parsingException0.toString();
      assertNotNull(string0);
      assertEquals("nu.xom.ParsingException:  at line 699, column 699", string0);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 nu.xom.ParsingException.toString()Ljava/lang/String;: I30 Branch 4 IFNULL L-1 - false
   * 2 nu.xom.ParsingException.toString()Ljava/lang/String;: I8 Branch 3 IFLT L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Throwable throwable0 = new Throwable(".w@<4a6#y^Q");
      ParsingException parsingException0 = new ParsingException(".w@<4a6#y^Q", ".w@<4a6#y^Q", 0, 0, throwable0);
      Throwable throwable1 = new Throwable((Throwable) parsingException0);
      assertEquals("java.lang.Throwable: nu.xom.ParsingException: .w@<4a6#y^Q at line 0, column 0 in .w@<4a6#y^Q", throwable1.toString());
  }

  //Test case number: 8
  /*
   * 4 covered goals:
   * 1 nu.xom.ParsingException.initCause(Ljava/lang/Throwable;)Ljava/lang/Throwable;: I2 Branch 1 IFEQ L-1 - false
   * 2 nu.xom.ParsingException.<init>(Ljava/lang/String;Ljava/lang/String;II)V: root-Branch
   * 3 nu.xom.ParsingException.<init>(Ljava/lang/String;Ljava/lang/String;IILjava/lang/Throwable;)V: root-Branch
   * 4 nu.xom.ParsingException.initCause(Ljava/lang/Throwable;)Ljava/lang/Throwable;: I11 Branch 2 IF_ACMPNE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      ParsingException parsingException0 = new ParsingException("", "", 0, 0);
      // Undeclared exception!
      try {
        parsingException0.initCause((Throwable) parsingException0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Can't overwrite cause
         //
      }
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 nu.xom.ParsingException.initCause(Ljava/lang/Throwable;)Ljava/lang/Throwable;: I11 Branch 2 IF_ACMPNE L-1 - false
   * 2 nu.xom.ParsingException.<init>(Ljava/lang/String;)V: root-Branch
   * 3 nu.xom.ParsingException.initCause(Ljava/lang/Throwable;)Ljava/lang/Throwable;: I2 Branch 1 IFEQ L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      ParsingException parsingException0 = new ParsingException("W`L0!@x!V\".");
      // Undeclared exception!
      try {
        parsingException0.initCause((Throwable) parsingException0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Self-causation not permitted
         //
      }
  }
}
