/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.render;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Rectangle;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JMenu;
import javax.swing.text.DefaultCaret;
import org.junit.BeforeClass;
import org.xhtmlrenderer.css.style.CssContext;
import org.xhtmlrenderer.layout.SharedContext;
import org.xhtmlrenderer.render.BoxDimensions;
import org.xhtmlrenderer.render.MarginBox;
import org.xhtmlrenderer.render.RenderingContext;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;

public class MarginBoxEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getPaddingEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DefaultListCellRenderer defaultListCellRenderer0 = new DefaultListCellRenderer();
      Rectangle rectangle0 = defaultListCellRenderer0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      Rectangle rectangle1 = marginBox0.getChildrenClipEdge((RenderingContext) null);
      assertNotNull(rectangle1);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 org.xhtmlrenderer.render.MarginBox.copyOf()Lorg/xhtmlrenderer/render/BlockBox;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      MarginBox marginBox0 = new MarginBox((Rectangle) null);
      // Undeclared exception!
      try {
        marginBox0.copyOf();
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // cannot be copied
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.getHeight()I: root-Branch
   * 3 org.xhtmlrenderer.render.MarginBox.getContainingBlockWidth()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DefaultCaret defaultCaret0 = new DefaultCaret();
      MarginBox marginBox0 = new MarginBox((Rectangle) defaultCaret0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      marginBox0.isInline();
      // Undeclared exception!
      try {
        marginBox0.calcPaintingInfo((CssContext) renderingContext0, false);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getContentWidth()I: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.getHeight()I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      JMenu jMenu0 = new JMenu();
      Rectangle rectangle0 = jMenu0.getBounds();
      MarginBox marginBox0 = new MarginBox(rectangle0);
      BoxDimensions boxDimensions0 = marginBox0.getBoxDimensions();
      assertEquals(0, boxDimensions0.getContentWidth());
      assertEquals(0, boxDimensions0.getHeight());
      assertNotNull(boxDimensions0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.render.MarginBox.getContentAreaEdge(IILorg/xhtmlrenderer/css/style/CssContext;)Ljava/awt/Rectangle;: root-Branch
   * 2 org.xhtmlrenderer.render.MarginBox.<init>(Ljava/awt/Rectangle;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DefaultCaret defaultCaret0 = new DefaultCaret();
      MarginBox marginBox0 = new MarginBox((Rectangle) defaultCaret0);
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      SharedContext sharedContext0 = scalableXHTMLPanel0.getSharedContext();
      RenderingContext renderingContext0 = sharedContext0.newRenderingContextInstance();
      Rectangle rectangle0 = marginBox0.getContentAreaEdge(0, 0, (CssContext) renderingContext0);
      assertNotNull(rectangle0);
      assertEquals("java.awt.Rectangle[x=0,y=0,width=0,height=0]", rectangle0.toString());
  }
}
