/*
 * This file was automatically generated by EvoSuite
 */

package org.xhtmlrenderer.swing;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;
import java.io.InputStream;
import org.junit.BeforeClass;
import org.w3c.dom.Document;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.swing.NaiveUserAgent;
import org.xhtmlrenderer.swing.ScalableXHTMLPanel;
import org.xhtmlrenderer.util.XRRuntimeException;

public class ScalableXHTMLPanelEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.setScalePolicy(I)V: root-Branch
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      scalableXHTMLPanel0.setScalePolicy(33);
      assertEquals(33, scalableXHTMLPanel0.getScalePolicy());
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.setDocument(Ljava/io/InputStream;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.getScalePolicy()I: root-Branch
   * 3 org.xhtmlrenderer.swing.ScalableXHTMLPanel.resetScaleAccordingToPolicy()V: I4 Branch 1 IFEQ L105 - true
   * 4 org.xhtmlrenderer.swing.ScalableXHTMLPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      ClassLoader.getSystemResourceAsStream("Ys7~R8");
      try {
        scalableXHTMLPanel0.setDocument((InputStream) null, "Ys7~R8");
        fail("Expecting exception: XRRuntimeException");
      
      } catch(XRRuntimeException e) {
         //
         // Can't load the XML resource (using TRaX transformer). java.io.IOException: Stream closed
         //
      }
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.setDocument(Lorg/w3c/dom/Document;Ljava/lang/String;)V: root-Branch
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.getScalePolicy()I: root-Branch
   * 3 org.xhtmlrenderer.swing.ScalableXHTMLPanel.resetScaleAccordingToPolicy()V: I4 Branch 1 IFEQ L105 - true
   */

  @Test
  public void test2()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      // Undeclared exception!
      try {
        scalableXHTMLPanel0.setDocument((Document) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.find(II)Lorg/xhtmlrenderer/render/Box;: I15 Branch 2 IFNULL L117 - true
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.convertFromScaled(II)Ljava/awt/Point;: I6 Branch 17 IFGT L226 - false
   */

  @Test
  public void test3()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) scalableXHTMLPanel0, (-1289), (long) (-1289), (-1289), (-1289), (-1289), (-1289), (-1289), (-1289), false, (-1289), (-1289), (-1289));
      scalableXHTMLPanel0.find((MouseEvent) mouseWheelEvent0);
      assertEquals((-1.0), scalableXHTMLPanel0.getScale(), 0.01D);
      assertEquals(0, scalableXHTMLPanel0.getScalePolicy());
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.setScale(D)V: I5 Branch 3 IFGT L130 - true
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.scaleChanged()V: I18 Branch 4 IF_ICMPGE L152 - true
   * 3 org.xhtmlrenderer.swing.ScalableXHTMLPanel.<init>(Lorg/xhtmlrenderer/extend/UserAgentCallback;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      NaiveUserAgent naiveUserAgent0 = new NaiveUserAgent();
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel((UserAgentCallback) naiveUserAgent0);
      scalableXHTMLPanel0.setScale(65.58942240971136);
      assertEquals(65.58942240971136, scalableXHTMLPanel0.getScale(), 0.01D);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 org.xhtmlrenderer.swing.ScalableXHTMLPanel.setScale(D)V: I5 Branch 3 IFGT L130 - false
   * 2 org.xhtmlrenderer.swing.ScalableXHTMLPanel.<init>()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ScalableXHTMLPanel scalableXHTMLPanel0 = new ScalableXHTMLPanel();
      MouseWheelEvent mouseWheelEvent0 = new MouseWheelEvent((Component) scalableXHTMLPanel0, (-1289), (long) (-1289), (-1289), (-1289), (-1289), (-1289), (-1289), (-1289), false, (-1289), (-1289), (-1289));
      mouseWheelEvent0.getYOnScreen();
      try {
        scalableXHTMLPanel0.setScale((double) (-1289));
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Only positive scales are allowed.
         //
      }
  }
}
