/*
 * This file was automatically generated by EvoSuite
 */

package freedots.math;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.AbstractFraction;
import freedots.math.Fraction;
import freedots.math.PowerOfTwo;
import org.junit.BeforeClass;

public class AbstractFractionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 freedots.math.AbstractFraction.floatValue()F: root-Branch
   * 2 freedots.math.AbstractFraction.intValue()I: root-Branch
   * 3 freedots.math.AbstractFraction.doubleValue()D: root-Branch
   * 4 freedots.math.AbstractFraction.longValue()J: root-Branch
   * 5 freedots.math.AbstractFraction.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1));
      int int0 = powerOfTwo0.intValue();
      assertEquals(0, int0);
      assertEquals(0.5F, powerOfTwo0.floatValue(), 0.01F);
      
      Fraction fraction0 = new Fraction(0);
      float float0 = fraction0.floatValue();
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 freedots.math.AbstractFraction.multiply(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   * 2 freedots.math.AbstractFraction.greatestCommonDivisor()I: root-Branch
   * 3 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - true
   * 4 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1));
      int int0 = powerOfTwo0.intValue();
      assertEquals(1, powerOfTwo0.greatestCommonDivisor());
      assertEquals(0, int0);
      
      Fraction fraction0 = new Fraction(0);
      Fraction fraction1 = fraction0.multiply((AbstractFraction) fraction0);
      assertNotNull(fraction1);
      assertEquals(1, fraction0.greatestCommonDivisor());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.divide(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1));
      Fraction fraction0 = Fraction.ZERO;
      // Undeclared exception!
      try {
        powerOfTwo0.divide((AbstractFraction) fraction0);
        fail("Expecting exception: ArithmeticException");
      
      } catch(ArithmeticException e) {
         //
         // denominator is zero
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.reciprocal()Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1));
      Fraction fraction0 = powerOfTwo0.reciprocal();
      assertNotNull(fraction0);
      assertEquals(2.0F, fraction0.floatValue(), 0.01F);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.isDyadic()Z: I4 Branch 7 IF_ICMPNE L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1890));
      boolean boolean0 = powerOfTwo0.isDyadic();
      assertEquals(false, boolean0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.isDyadic()Z: I4 Branch 7 IF_ICMPNE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Fraction fraction0 = Fraction.ZERO;
      boolean boolean0 = fraction0.isDyadic();
      assertEquals(true, boolean0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 freedots.math.AbstractFraction.toString()Ljava/lang/String;: I3 Branch 8 IF_ICMPNE L-1 - true
   * 2 freedots.math.AbstractFraction.divide(Ljava/lang/Integer;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(1302);
      Fraction fraction0 = powerOfTwo0.divide((Integer) 1302);
      assertNotNull(fraction0);
      
      String string0 = fraction0.toString();
      assertNotNull(string0);
      assertEquals("2147483647/1302", string0);
      assertEquals("2147483647", powerOfTwo0.toString());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 freedots.math.AbstractFraction.toString()Ljava/lang/String;: I3 Branch 8 IF_ICMPNE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      String string0 = powerOfTwo0.toString();
      assertNotNull(string0);
      assertEquals("1", string0);
  }

  //Test case number: 8
  /*
   * 6 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - true
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - false
   * 3 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - true
   * 4 freedots.math.AbstractFraction.add(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   * 5 freedots.math.AbstractFraction.negate()Lfreedots/math/Fraction;: root-Branch
   * 6 freedots.math.AbstractFraction.subtract(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1));
      int int0 = powerOfTwo0.intValue();
      assertEquals(0, int0);
      
      Fraction fraction0 = new Fraction(0);
      Fraction fraction1 = powerOfTwo0.subtract((AbstractFraction) fraction0);
      assertNotNull(fraction1);
      
      boolean boolean0 = fraction1.equals((Object) fraction0);
      assertEquals(false, boolean0);
      assertEquals(1, fraction0.greatestCommonDivisor());
      assertEquals("1/2", fraction1.toString());
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - true
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - false
   * 3 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I38 Branch 6 IFNE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Byte byte0 = new Byte((byte) (-1));
      boolean boolean0 = powerOfTwo0.equals((Object) byte0);
      assertEquals(1.0, powerOfTwo0.doubleValue(), 0.01D);
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 6 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - false
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I21 Branch 4 IF_ICMPNE L-1 - false
   * 3 freedots.math.AbstractFraction.intValue()I: root-Branch
   * 4 freedots.math.AbstractFraction.multiply(Ljava/lang/Integer;)Lfreedots/math/Fraction;: root-Branch
   * 5 freedots.math.AbstractFraction.longValue()J: root-Branch
   * 6 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - false
   */

  @Test
  public void test10()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1));
      int int0 = powerOfTwo0.intValue();
      assertEquals(0, int0);
      assertEquals(1, powerOfTwo0.greatestCommonDivisor());
      
      Fraction fraction0 = new Fraction(0);
      Fraction fraction1 = fraction0.multiply((Integer) 0);
      assertNotNull(fraction1);
      
      boolean boolean0 = fraction1.equals((Object) fraction0);
      assertEquals(true, boolean0);
  }

  //Test case number: 11
  /*
   * 10 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I21 Branch 4 IF_ICMPNE L-1 - true
   * 2 freedots.math.AbstractFraction.greatestCommonDivisor()I: root-Branch
   * 3 freedots.math.AbstractFraction.add(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   * 4 freedots.math.AbstractFraction.negate()Lfreedots/math/Fraction;: root-Branch
   * 5 freedots.math.AbstractFraction.subtract(Lfreedots/math/AbstractFraction;)Lfreedots/math/Fraction;: root-Branch
   * 6 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - true
   * 7 freedots.math.AbstractFraction.gcd(II)I: I1 Branch 9 IFNE L-1 - false
   * 8 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - false
   * 9 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I16 Branch 3 IF_ICMPNE L-1 - false
   * 10 freedots.math.AbstractFraction.compareTo(Ljava/lang/Number;)I: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo((-1));
      int int0 = powerOfTwo0.compareTo((Number) (-1));
      assertEquals(1, int0);
      
      Fraction fraction0 = new Fraction(1);
      Fraction fraction1 = powerOfTwo0.subtract((AbstractFraction) fraction0);
      assertNotNull(fraction1);
      
      boolean boolean0 = fraction1.equals((Object) fraction0);
      assertEquals((-0.5F), fraction1.floatValue(), 0.01F);
      assertEquals(false, boolean0);
      assertFalse(fraction0.equals(fraction1));
      assertEquals(false, fraction1.isDyadic());
  }

  //Test case number: 12
  /*
   * 2 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - true
   * 2 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      Integer.toBinaryString(0);
      boolean boolean0 = powerOfTwo0.equals((Object) "0");
      assertEquals(false, boolean0);
  }

  //Test case number: 13
  /*
   * 7 covered goals:
   * 1 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I38 Branch 6 IFNE L-1 - false
   * 2 freedots.math.AbstractFraction.doubleValue()D: root-Branch
   * 3 freedots.math.AbstractFraction.compareTo(Ljava/lang/Number;)I: root-Branch
   * 4 freedots.math.AbstractFraction.<init>()V: root-Branch
   * 5 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I2 Branch 1 IF_ACMPNE L-1 - false
   * 6 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I8 Branch 2 IFEQ L-1 - true
   * 7 freedots.math.AbstractFraction.equals(Ljava/lang/Object;)Z: I31 Branch 5 IFEQ L-1 - false
   */

  @Test
  public void test13()  throws Throwable  {
      PowerOfTwo powerOfTwo0 = new PowerOfTwo(0);
      int int0 = powerOfTwo0.compareTo((Number) 0);
      assertEquals(1, int0);
      
      Float float0 = new Float((float) 1);
      boolean boolean0 = powerOfTwo0.equals((Object) float0);
      assertEquals(true, boolean0);
      assertEquals(1.0F, powerOfTwo0.floatValue(), 0.01F);
  }
}
