/*
 * This file was automatically generated by EvoSuite
 */

package freedots.music;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.Fraction;
import freedots.music.Clef;
import freedots.music.ClefChange;
import freedots.music.Event;
import freedots.music.GlobalKeyChange;
import freedots.music.KeySignature;
import freedots.music.StartBar;
import freedots.music.Voice;
import org.junit.BeforeClass;

public class VoiceEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.music.Voice.countEqualsAtEnd(Lfreedots/music/Voice;)I: root-Branch
   * 2 freedots.music.Voice.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Voice voice0 = new Voice("6");
      int int0 = voice0.countEqualsAtEnd(voice0);
      assertEquals(0, int0);
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 freedots.music.Voice.countEqualsAtBeginning(Lfreedots/music/Voice;)I: I13 Branch 1 IF_ICMPGE L-1 - false
   * 2 freedots.music.Voice.countEqualsAtBeginning(Lfreedots/music/Voice;)I: I22 Branch 2 IFNE L-1 - true
   * 3 freedots.music.Voice.countEqualsAtBeginning(Lfreedots/music/Voice;)I: I13 Branch 1 IF_ICMPGE L-1 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Voice voice0 = new Voice("+d?%V$;V>]L");
      Fraction fraction0 = Fraction.ZERO;
      ClefChange clefChange0 = new ClefChange(fraction0, (Clef) null, 9);
      voice0.add((Event) clefChange0);
      int int0 = voice0.countEqualsAtBeginning(voice0);
      assertEquals(1, int0);
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I12 Branch 10 IFEQ L-1 - true
   * 2 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I30 Branch 11 IFEQ L-1 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Voice voice0 = new Voice("'>OJOM{azbcr/*C^:CJo");
      voice0.swapPosition(voice0);
      assertEquals(true, voice0.restsOnly());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I12 Branch 10 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Voice voice0 = new Voice("'>OJOM{azbcr/*C^:CJo");
      Fraction fraction0 = new Fraction((-243));
      StartBar startBar0 = new StartBar(fraction0, (-243));
      voice0.add((Event) startBar0);
      // Undeclared exception!
      try {
        voice0.swapPosition(voice0);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // freedots.music.StartBar cannot be cast to freedots.music.VoiceElement
         //
      }
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I30 Branch 11 IFEQ L-1 - false
   * 2 freedots.music.Voice.swapPosition(Lfreedots/music/Voice;)V: I12 Branch 10 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Voice voice0 = new Voice("|~3");
      Fraction fraction0 = Fraction.ZERO;
      ClefChange clefChange0 = new ClefChange(fraction0, (Clef) null, 0);
      voice0.add((Event) clefChange0);
      Voice voice1 = new Voice("|~3");
      // Undeclared exception!
      try {
        voice0.swapPosition(voice1);
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // freedots.music.ClefChange cannot be cast to freedots.music.VoiceElement
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 freedots.music.Voice.restsOnly()Z: I6 Branch 3 IFEQ L-1 - false
   * 2 freedots.music.Voice.restsOnly()Z: I13 Branch 4 IFEQ L-1 - false
   * 3 freedots.music.Voice.restsOnly()Z: I17 Branch 5 IFNE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Voice voice0 = new Voice("+d?%V$;V>]L");
      Fraction fraction0 = Fraction.ZERO;
      ClefChange clefChange0 = new ClefChange(fraction0, (Clef) null, 9);
      voice0.add((Event) clefChange0);
      boolean boolean0 = voice0.restsOnly();
      assertEquals(false, voice0.restsOnly());
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 freedots.music.Voice.restsOnly()Z: I13 Branch 4 IFEQ L-1 - true
   * 2 freedots.music.Voice.averagePitch()I: I10 Branch 6 IFEQ L-1 - true
   * 3 freedots.music.Voice.averagePitch()I: I37 Branch 9 IFNE L-1 - false
   * 4 freedots.music.Voice.restsOnly()Z: I6 Branch 3 IFEQ L-1 - true
   * 5 freedots.music.Voice.restsOnly()Z: I6 Branch 3 IFEQ L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Voice voice0 = new Voice("6");
      int int0 = voice0.averagePitch();
      assertEquals(0, int0);
      
      Fraction fraction0 = Fraction.ZERO;
      GlobalKeyChange globalKeyChange0 = new GlobalKeyChange(fraction0, (KeySignature) null);
      voice0.add(0, (Event) globalKeyChange0);
      boolean boolean0 = voice0.restsOnly();
      assertEquals(true, boolean0);
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 freedots.music.Voice.averagePitch()I: I10 Branch 6 IFEQ L-1 - false
   * 2 freedots.music.Voice.averagePitch()I: I17 Branch 7 IFEQ L-1 - true
   * 3 freedots.music.Voice.<init>(Ljava/lang/String;)V: root-Branch
   * 4 freedots.music.Voice.averagePitch()I: I10 Branch 6 IFEQ L-1 - true
   * 5 freedots.music.Voice.averagePitch()I: I37 Branch 9 IFNE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      Voice voice0 = new Voice("wzh8q5{,e\"f$3DTQ.");
      Fraction fraction0 = new Fraction(0);
      StartBar startBar0 = new StartBar(fraction0, 0);
      voice0.add((Event) startBar0);
      int int0 = voice0.averagePitch();
      assertEquals(0, int0);
  }
}
