/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.DoubleBarSign;
import freedots.braille.HarmonyPart;
import freedots.braille.MusicHyphen;
import freedots.braille.NewLine;
import freedots.braille.SoloPart;
import freedots.braille.Space;
import freedots.braille.WordSign;
import org.junit.BeforeClass;

public class SignEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 6 covered goals:
   * 1 freedots.braille.Sign.clone()Lfreedots/braille/Sign;: root-Branch
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 4 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      SoloPart soloPart0 = new SoloPart();
      SoloPart soloPart1 = (SoloPart)soloPart0.clone();
      assertEquals("\u2810\u281C", soloPart1.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.getScoreObject()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      NewLine newLine0 = new NewLine();
      Object object0 = newLine0.getScoreObject();
      assertNull(object0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DoubleBarSign doubleBarSign0 = new DoubleBarSign();
      // Undeclared exception!
      try {
        doubleBarSign0.appendTo((StringBuilder) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SoloPart soloPart0 = new SoloPart();
      NewLine newLine0 = new NewLine();
      boolean boolean0 = newLine0.needsGuideDot((BrailleSequence) soloPart0);
      assertEquals(false, boolean0);
      assertEquals("\u2810\u281C", soloPart0.toString());
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.charAt(I)C: root-Branch
   * 2 freedots.braille.Sign.length()I: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SoloPart soloPart0 = new SoloPart();
      Space space0 = new Space();
      int int0 = space0.length();
      assertEquals(1, int0);
      
      char char0 = soloPart0.charAt(1);
      assertEquals('\u281C', char0);
      assertEquals("\u2810\u281C", soloPart0.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      HarmonyPart harmonyPart0 = new HarmonyPart();
      String string0 = harmonyPart0.toString();
      assertNotNull(string0);
      assertEquals("\u2812\u281C", string0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   * 2 freedots.braille.Sign.length()I: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Space space0 = new Space();
      int int0 = space0.length();
      assertEquals(1, int0);
      
      MusicHyphen musicHyphen0 = new MusicHyphen();
      // Undeclared exception!
      try {
        musicHyphen0.subSequence(1, 1215);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 1215
         //
      }
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 freedots.braille.Sign.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      WordSign wordSign0 = new WordSign();
      wordSign0.getParent();
      // Undeclared exception!
      try {
        wordSign0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 8 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 4 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   * 7 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 8 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      SoloPart soloPart0 = new SoloPart();
      BrailleList brailleList0 = new BrailleList();
      soloPart0.setParent(brailleList0);
      // Undeclared exception!
      try {
        brailleList0.add((BrailleSequence) soloPart0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }
}
