/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.AlternativeEnding;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.BrailleSyllable;
import freedots.braille.BrailleWords;
import freedots.braille.HarmonyPart;
import freedots.braille.LowerDigits;
import freedots.braille.LowerNumber;
import freedots.braille.LowerRange;
import freedots.braille.RepeatASign;
import freedots.braille.Sign;
import freedots.braille.UpperDigit;
import freedots.braille.UpperDigits;
import freedots.musicxml.Direction;
import org.junit.BeforeClass;

public class BrailleListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleList.getDescription()Ljava/lang/String;: root-Branch
   * 2 freedots.braille.BrailleList.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      BrailleList brailleList0 = new BrailleList();
      String string0 = brailleList0.getDescription();
      assertEquals("Groups several signs as a logical unit", string0);
  }

  //Test case number: 1
  /*
   * 9 covered goals:
   * 1 freedots.braille.BrailleList.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   * 2 freedots.braille.BrailleList.toString()Ljava/lang/String;: root-Branch
   * 3 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - true
   * 4 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - false
   * 5 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 7 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   * 8 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - true
   * 9 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      LowerNumber lowerNumber0 = new LowerNumber(0);
      String string0 = (String)lowerNumber0.subSequence(0, 0);
      assertNotNull(string0);
      assertEquals("\u283C\u2834", lowerNumber0.toString());
      assertEquals("", string0);
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 freedots.braille.BrailleList.charAt(I)C: root-Branch
   * 2 freedots.braille.BrailleList.toString()Ljava/lang/String;: root-Branch
   * 3 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - true
   * 4 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      AlternativeEnding alternativeEnding0 = new AlternativeEnding(6);
      // Undeclared exception!
      try {
        alternativeEnding0.charAt(6);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 6
         //
      }
  }

  //Test case number: 3
  /*
   * 8 covered goals:
   * 1 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - true
   * 2 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - true
   * 3 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - true
   * 4 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - false
   * 5 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I32 Branch 23 IF_ICMPEQ L-1 - true
   * 6 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - true
   * 7 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - false
   * 8 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      AlternativeEnding alternativeEnding0 = new AlternativeEnding(5);
      Class<BrailleSyllable> class0 = BrailleSyllable.class;
      int int0 = alternativeEnding0.lengthSince(class0);
      assertEquals((-1), int0);
      assertEquals(2, alternativeEnding0.length());
  }

  //Test case number: 4
  /*
   * 4 covered goals:
   * 1 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I32 Branch 23 IF_ICMPEQ L-1 - false
   * 2 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - true
   * 3 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - false
   * 4 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - false
   */

  @Test
  public void test4()  throws Throwable  {
      UpperDigits upperDigits0 = new UpperDigits(1299);
      UpperDigits upperDigits1 = new UpperDigits(1299);
      upperDigits0.add((BrailleSequence) upperDigits1);
      Class<UpperDigit> class0 = UpperDigit.class;
      int int0 = upperDigits0.lengthSince(class0);
      assertEquals(8, upperDigits0.length());
      assertEquals(0, int0);
  }

  //Test case number: 5
  /*
   * 6 covered goals:
   * 1 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - false
   * 2 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I19 Branch 5 IFNE L-1 - true
   * 3 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - true
   * 4 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - false
   * 5 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - false
   * 6 freedots.braille.BrailleList.addLast(Lfreedots/braille/BrailleSequence;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      BrailleWords brailleWords0 = new BrailleWords("*zDuaoqjI", (Direction) null);
      LowerNumber lowerNumber0 = new LowerNumber((-1));
      brailleWords0.add((BrailleSequence) lowerNumber0);
      lowerNumber0.add((BrailleSequence) brailleWords0);
      HarmonyPart harmonyPart0 = new HarmonyPart();
      brailleWords0.addLast((BrailleSequence) harmonyPart0);
      assertEquals(5, brailleWords0.size());
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - false
   * 3 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - false
   * 4 freedots.braille.BrailleList.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      UpperDigits upperDigits0 = new UpperDigits(1299);
      Class<UpperDigit> class0 = UpperDigit.class;
      upperDigits0.lengthSince(class0);
      RepeatASign repeatASign0 = new RepeatASign((Sign) null, 0);
      repeatASign0.getParent();
      // Undeclared exception!
      try {
        upperDigits0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 2 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - true
   * 3 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - false
   */

  @Test
  public void test7()  throws Throwable  {
      LowerRange lowerRange0 = new LowerRange(6, 6);
      LowerDigits lowerDigits0 = (LowerDigits)lowerRange0.getLast();
      // Undeclared exception!
      try {
        lowerRange0.add((BrailleSequence) lowerDigits0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }

  //Test case number: 8
  /*
   * 8 covered goals:
   * 1 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I1 Branch 15 IFNONNULL L-1 - true
   * 2 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I16 Branch 16 IFEQ L-1 - true
   * 3 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I16 Branch 16 IFEQ L-1 - false
   * 4 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I24 Branch 17 IF_ACMPNE L-1 - true
   * 5 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I30 Branch 18 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I30 Branch 18 IFEQ L-1 - false
   * 7 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I39 Branch 19 IFLT L-1 - true
   * 8 freedots.braille.BrailleList.getScoreObject()Ljava/lang/Object;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      AlternativeEnding alternativeEnding0 = new AlternativeEnding(5);
      Byte byte0 = new Byte((byte)18);
      byte0.toString();
      int int0 = alternativeEnding0.getIndexOfScoreObject((Object) "18");
      assertEquals((-1), int0);
      assertEquals(2, alternativeEnding0.length());
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I1 Branch 15 IFNONNULL L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      LowerNumber lowerNumber0 = new LowerNumber(0);
      lowerNumber0.getScoreObject();
      // Undeclared exception!
      try {
        lowerNumber0.getIndexOfScoreObject((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Trying to search for null
         //
      }
  }

  //Test case number: 10
  /*
   * 4 covered goals:
   * 1 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - true
   * 2 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - true
   * 3 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - false
   * 4 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      UpperDigits upperDigits0 = new UpperDigits(1299);
      Object object0 = upperDigits0.getScoreObjectAtIndex(1299);
      assertNull(object0);
  }

  //Test case number: 11
  /*
   * 7 covered goals:
   * 1 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - false
   * 2 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I11 Branch 14 IFNULL L-1 - true
   * 3 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - false
   * 4 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - true
   * 5 freedots.braille.BrailleList.getScoreObject()Ljava/lang/Object;: root-Branch
   * 6 freedots.braille.BrailleList.getParent()Lfreedots/braille/BrailleList;: root-Branch
   * 7 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      AlternativeEnding alternativeEnding0 = new AlternativeEnding(6);
      alternativeEnding0.getScoreObjectAtIndex(0);
      assertEquals(2, alternativeEnding0.length());
      assertEquals(2, alternativeEnding0.size());
  }

  //Test case number: 12
  /*
   * 12 covered goals:
   * 1 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - false
   * 2 freedots.braille.BrailleList.<init>()V: root-Branch
   * 3 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - true
   * 4 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - false
   * 5 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 7 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   * 8 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - true
   * 9 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - false
   * 10 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - false
   * 11 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - false
   * 12 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - true
   */

  @Test
  public void test12()  throws Throwable  {
      LowerNumber lowerNumber0 = new LowerNumber(0);
      lowerNumber0.removeFirst();
      lowerNumber0.getSignAtIndex(0);
      assertEquals("\u2834", lowerNumber0.toString());
      assertEquals(1, lowerNumber0.length());
  }
}
