/*
 * This file was automatically generated by EvoSuite
 */

package freedots.transcription;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.Options;
import freedots.braille.BrailleList;
import freedots.math.Fraction;
import freedots.math.PowerOfTwo;
import freedots.music.AugmentedPowerOfTwo;
import freedots.music.EndBar;
import freedots.music.Event;
import freedots.music.MusicList;
import freedots.music.TimeSignature;
import freedots.music.TimeSignatureChange;
import freedots.transcription.BrailleMeasure;
import freedots.transcription.Transcriber;
import org.junit.BeforeClass;

public class BrailleMeasureEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 11 covered goals:
   * 1 freedots.transcription.BrailleMeasure$State.append(Lfreedots/braille/BrailleSequence;)V: I8 Branch 1 IF_ICMPGE L-1 - true
   * 2 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I6 Branch 18 IFNULL L-1 - true
   * 3 freedots.transcription.BrailleMeasure$State.getTail()Lfreedots/braille/BrailleList;: root-Branch
   * 4 freedots.transcription.BrailleMeasure$State.<init>(Lfreedots/transcription/BrailleMeasure;ILfreedots/music/AbstractPitch;)V: root-Branch
   * 5 freedots.transcription.BrailleMeasure$State.getHead()Lfreedots/braille/BrailleList;: root-Branch
   * 6 freedots.transcription.BrailleMeasure.<init>(Lfreedots/transcription/Transcriber;)V: root-Branch
   * 7 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I18 Branch 19 IFEQ L-1 - true
   * 8 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I33 Branch 20 IF_ICMPGE L-1 - true
   * 9 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I265 Branch 34 IFNE L-1 - false
   * 10 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I282 Branch 35 IF_ICMPNE L-1 - true
   * 11 freedots.transcription.BrailleMeasure$1.<init>(Lfreedots/transcription/BrailleMeasure;Lfreedots/math/PowerOfTwo;I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      BrailleList brailleList0 = brailleMeasure0.head(0, false);
      assertNotNull(brailleList0);
      assertEquals(0, brailleList0.size());
  }

  //Test case number: 1
  /*
   * 10 covered goals:
   * 1 freedots.transcription.BrailleMeasure.getFinalPitch()Lfreedots/music/AbstractPitch;: root-Branch
   * 2 freedots.transcription.BrailleMeasure.<init>(Lfreedots/transcription/Transcriber;Lfreedots/transcription/BrailleMeasure;)V: root-Branch
   * 3 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I6 Branch 18 IFNULL L-1 - false
   * 4 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I18 Branch 19 IFEQ L-1 - true
   * 5 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I33 Branch 20 IF_ICMPGE L-1 - true
   * 6 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I265 Branch 34 IFNE L-1 - false
   * 7 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I282 Branch 35 IF_ICMPNE L-1 - true
   * 8 freedots.transcription.BrailleMeasure$1.<init>(Lfreedots/transcription/BrailleMeasure;Lfreedots/math/PowerOfTwo;I)V: root-Branch
   * 9 freedots.transcription.BrailleMeasure$State.append(Lfreedots/braille/BrailleSequence;)V: I8 Branch 1 IF_ICMPGE L-1 - false
   * 10 freedots.transcription.BrailleMeasure$State.append(Lfreedots/braille/BrailleSequence;)V: I11 Branch 2 IFNE L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      BrailleMeasure brailleMeasure1 = new BrailleMeasure((Transcriber) null, brailleMeasure0);
      BrailleList brailleList0 = brailleMeasure1.head(5, true);
      assertNotNull(brailleList0);
      assertEquals("\u2825", brailleList0.toString());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.transcription.BrailleMeasure.setTimeSignature(Lfreedots/music/TimeSignature;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Options options0 = Options.getInstance();
      Transcriber transcriber0 = new Transcriber(options0);
      BrailleMeasure brailleMeasure0 = new BrailleMeasure(transcriber0);
      TimeSignatureChange timeSignatureChange0 = new TimeSignatureChange((Fraction) null, (TimeSignature) null);
      timeSignatureChange0.getTimeSignature();
      brailleMeasure0.setTimeSignature((TimeSignature) null);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.transcription.BrailleMeasure.setVoiceDirection(I)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      brailleMeasure0.setVoiceDirection((-185));
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.transcription.BrailleMeasure.tail()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      BrailleList brailleList0 = brailleMeasure0.tail();
      assertNull(brailleList0);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 freedots.transcription.BrailleMeasure.unlinkPrevious()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      brailleMeasure0.unlinkPrevious();
  }

  //Test case number: 6
  /*
   * 12 covered goals:
   * 1 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I18 Branch 19 IFEQ L-1 - false
   * 2 freedots.transcription.BrailleMeasure$State.getTail()Lfreedots/braille/BrailleList;: root-Branch
   * 3 freedots.transcription.BrailleMeasure$State.<init>(Lfreedots/transcription/BrailleMeasure;ILfreedots/music/AbstractPitch;)V: root-Branch
   * 4 freedots.transcription.BrailleMeasure$State.getHead()Lfreedots/braille/BrailleList;: root-Branch
   * 5 freedots.transcription.BrailleMeasure$State.append(Lfreedots/braille/BrailleSequence;)V: I8 Branch 1 IF_ICMPGE L-1 - false
   * 6 freedots.transcription.BrailleMeasure$State.append(Lfreedots/braille/BrailleSequence;)V: I11 Branch 2 IFNE L-1 - false
   * 7 freedots.transcription.BrailleMeasure.getFinalPitch()Lfreedots/music/AbstractPitch;: root-Branch
   * 8 freedots.transcription.BrailleMeasure.head(IZ)Lfreedots/braille/BrailleList;: I6 Branch 18 IFNULL L-1 - false
   * 9 freedots.transcription.BrailleMeasure.process()V: I9 Branch 5 IFEQ L-1 - false
   * 10 freedots.transcription.BrailleMeasure.process()V: I16 Branch 6 IFNE L-1 - true
   * 11 freedots.transcription.BrailleMeasure.getEvents()Lfreedots/music/MusicList;: root-Branch
   * 12 freedots.transcription.BrailleMeasure.process()V: I2 Branch 4 IFNULL L-1 - false
   */

  @Test
  public void test6()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      BrailleMeasure brailleMeasure1 = new BrailleMeasure((Transcriber) null, brailleMeasure0);
      brailleMeasure1.process();
      BrailleList brailleList0 = brailleMeasure1.head(5, true);
      assertNotNull(brailleList0);
      assertEquals("\u2836", brailleList0.toString());
  }

  //Test case number: 7
  /*
   * 6 covered goals:
   * 1 freedots.transcription.BrailleMeasure.printNoteList(Lfreedots/music/MusicList;Lfreedots/transcription/BrailleMeasure$State;Ljava/lang/Object;)V: I6 Branch 37 IFEQ L-1 - false
   * 2 freedots.transcription.BrailleMeasure.printNoteList(Lfreedots/music/MusicList;Lfreedots/transcription/BrailleMeasure$State;Ljava/lang/Object;)V: I13 Branch 38 IFEQ L-1 - true
   * 3 freedots.transcription.BrailleMeasure.printNoteList(Lfreedots/music/MusicList;Lfreedots/transcription/BrailleMeasure$State;Ljava/lang/Object;)V: I50 Branch 42 IFEQ L-1 - true
   * 4 freedots.transcription.BrailleMeasure.printNoteList(Lfreedots/music/MusicList;Lfreedots/transcription/BrailleMeasure$State;Ljava/lang/Object;)V: I77 Branch 44 IFEQ L-1 - true
   * 5 freedots.transcription.BrailleMeasure.add(Lfreedots/music/Event;)V: root-Branch
   * 6 freedots.transcription.BrailleMeasure.printNoteList(Lfreedots/music/MusicList;Lfreedots/transcription/BrailleMeasure$State;Ljava/lang/Object;)V: I6 Branch 37 IFEQ L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      MusicList musicList0 = brailleMeasure0.getEvents();
      assertNotNull(musicList0);
      
      PowerOfTwo powerOfTwo0 = AugmentedPowerOfTwo.HEMIDEMISEMIQUAVER;
      Fraction fraction0 = new Fraction((-185));
      EndBar endBar0 = new EndBar(fraction0);
      brailleMeasure0.add((Event) endBar0);
      brailleMeasure0.printNoteList(musicList0, (BrailleMeasure.State) null, powerOfTwo0);
      assertEquals(false, musicList0.isEmpty());
      assertEquals(1, musicList0.size());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 freedots.transcription.BrailleMeasure.setChordDirection(I)V: I1 Branch 3 IFGE L-1 - true
   */

  @Test
  public void test8()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      brailleMeasure0.setChordDirection(0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 freedots.transcription.BrailleMeasure.setChordDirection(I)V: I1 Branch 3 IFGE L-1 - false
   */

  @Test
  public void test9()  throws Throwable  {
      Options options0 = Options.getInstance();
      Transcriber transcriber0 = new Transcriber(options0);
      BrailleMeasure brailleMeasure0 = new BrailleMeasure(transcriber0);
      brailleMeasure0.setChordDirection((-845));
  }

  //Test case number: 10
  /*
   * 5 covered goals:
   * 1 freedots.transcription.BrailleMeasure.process()V: I2 Branch 4 IFNULL L-1 - true
   * 2 freedots.transcription.BrailleMeasure.process()V: I16 Branch 6 IFNE L-1 - false
   * 3 freedots.transcription.BrailleMeasure.process()V: I39 Branch 7 IFLE L-1 - true
   * 4 freedots.transcription.BrailleMeasure.process()V: I183 Branch 16 IFLE L-1 - true
   * 5 freedots.transcription.BrailleMeasure.process()V: I193 Branch 17 IFLE L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      Options options0 = Options.getInstance();
      Transcriber transcriber0 = new Transcriber(options0);
      BrailleMeasure brailleMeasure0 = new BrailleMeasure(transcriber0);
      brailleMeasure0.process();
  }

  //Test case number: 11
  /*
   * 9 covered goals:
   * 1 freedots.transcription.BrailleMeasure.process()V: I9 Branch 5 IFEQ L-1 - true
   * 2 freedots.transcription.BrailleMeasure.<init>(Lfreedots/transcription/Transcriber;)V: root-Branch
   * 3 freedots.transcription.BrailleMeasure.<init>(Lfreedots/transcription/Transcriber;Lfreedots/transcription/BrailleMeasure;)V: root-Branch
   * 4 freedots.transcription.BrailleMeasure.getEvents()Lfreedots/music/MusicList;: root-Branch
   * 5 freedots.transcription.BrailleMeasure.process()V: I2 Branch 4 IFNULL L-1 - false
   * 6 freedots.transcription.BrailleMeasure.process()V: I16 Branch 6 IFNE L-1 - false
   * 7 freedots.transcription.BrailleMeasure.process()V: I39 Branch 7 IFLE L-1 - true
   * 8 freedots.transcription.BrailleMeasure.process()V: I183 Branch 16 IFLE L-1 - true
   * 9 freedots.transcription.BrailleMeasure.process()V: I193 Branch 17 IFLE L-1 - true
   */

  @Test
  public void test11()  throws Throwable  {
      BrailleMeasure brailleMeasure0 = new BrailleMeasure((Transcriber) null);
      BrailleMeasure brailleMeasure1 = new BrailleMeasure((Transcriber) null, brailleMeasure0);
      MusicList musicList0 = brailleMeasure0.getEvents();
      Fraction fraction0 = new Fraction((-231));
      EndBar endBar0 = new EndBar(fraction0);
      musicList0.add((Event) endBar0);
      brailleMeasure1.process();
      assertFalse(brailleMeasure1.equals(brailleMeasure0));
  }
}
