/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.AlternativeEnding;
import freedots.braille.BrailleList;
import freedots.braille.Dot;
import freedots.braille.DoubleBarSign;
import freedots.braille.MusicHyphen;
import freedots.braille.SoloPart;
import freedots.braille.TieSign;
import org.junit.BeforeClass;

public class SignEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 freedots.braille.Sign.clone()Lfreedots/braille/Sign;: root-Branch
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 4 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Dot dot0 = new Dot();
      Dot dot1 = (Dot)dot0.clone();
      assertEquals("\u2804", dot1.toString());
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 freedots.braille.Sign.getScoreObject()Ljava/lang/Object;: root-Branch
   * 2 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DoubleBarSign doubleBarSign0 = new DoubleBarSign();
      doubleBarSign0.getScoreObject();
      assertEquals("\u2823\u2805", doubleBarSign0.toString());
  }

  //Test case number: 2
  /*
   * 3 covered goals:
   * 1 freedots.braille.Sign.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: root-Branch
   * 2 freedots.braille.Sign.charAt(I)C: root-Branch
   * 3 freedots.braille.Sign.length()I: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      MusicHyphen musicHyphen0 = new MusicHyphen();
      StringBuilder stringBuilder0 = new StringBuilder((CharSequence) musicHyphen0);
      StringBuilder stringBuilder1 = musicHyphen0.appendTo(stringBuilder0);
      assertEquals("\u2810\u2810", stringBuilder0.toString());
      assertEquals("\u2810\u2810", stringBuilder1.toString());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.toString()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SoloPart soloPart0 = new SoloPart();
      String string0 = soloPart0.toString();
      assertNotNull(string0);
      assertEquals("\u2810\u281C", string0);
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.braille.Sign.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SoloPart soloPart0 = new SoloPart();
      // Undeclared exception!
      try {
        soloPart0.subSequence(125, 125);
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: 125
         //
      }
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 freedots.braille.Sign.braille(II)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      TieSign tieSign0 = new TieSign();
      tieSign0.getParent();
      // Undeclared exception!
      try {
        tieSign0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 8 covered goals:
   * 1 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 2 freedots.braille.Sign.braille(I)Ljava/lang/String;: root-Branch
   * 3 freedots.braille.Sign.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: root-Branch
   * 4 freedots.braille.Sign.<init>(Ljava/lang/String;)V: root-Branch
   * 5 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - true
   * 6 freedots.braille.Sign.dotsToBits(I)I: I6 Branch 3 IFLE L-1 - false
   * 7 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 8 freedots.braille.Sign.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      AlternativeEnding alternativeEnding0 = new AlternativeEnding(3);
      // Undeclared exception!
      try {
        alternativeEnding0.clone();
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }
}
