/*
 * This file was automatically generated by EvoSuite
 */

package freedots.musicxml;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.AbstractFraction;
import freedots.math.Fraction;
import freedots.math.PowerOfTwo;
import freedots.music.AugmentedPowerOfTwo;
import freedots.music.Event;
import freedots.music.Staff;
import freedots.musicxml.Direction;
import freedots.musicxml.Harmony;
import javax.imageio.metadata.IIOMetadataNode;
import org.junit.BeforeClass;
import org.w3c.dom.Node;

public class AbstractDirectionEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 freedots.musicxml.AbstractDirection.setStaff(Lfreedots/music/Staff;)V: root-Branch
   * 2 freedots.musicxml.AbstractDirection.getStaff()Lfreedots/music/Staff;: root-Branch
   * 3 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I28 Branch 1 IFNULL L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Fraction fraction0 = Fraction.ZERO;
      Harmony harmony0 = new Harmony(iIOMetadataNode0, (-1202), (-1202), fraction0);
      harmony0.getStaff();
      harmony0.setStaff((Staff) null);
      assertEquals(0, harmony0.getStaffNumber());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.AbstractDirection.equalsIgnoreOffset(Lfreedots/music/Event;)Z: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Fraction fraction0 = Fraction.ZERO;
      Direction direction0 = new Direction(iIOMetadataNode0, (-1202), (-1202), fraction0);
      Harmony harmony0 = new Harmony(iIOMetadataNode0, (-1202), (-1202), fraction0);
      boolean boolean0 = harmony0.equalsIgnoreOffset((Event) direction0);
      assertEquals(false, boolean0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.AbstractDirection.isRest()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Fraction fraction0 = Fraction.ZERO;
      Direction direction0 = new Direction(iIOMetadataNode0, 65, 65, fraction0);
      boolean boolean0 = direction0.isRest();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 5 covered goals:
   * 1 freedots.musicxml.AbstractDirection.getStaffNumber()I: I2 Branch 6 IFNULL L-1 - false
   * 2 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I28 Branch 1 IFNULL L-1 - false
   * 3 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I32 Branch 2 IF_ICMPNE L-1 - false
   * 4 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I40 Branch 3 IFLE L-1 - true
   * 5 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I50 Branch 4 IFLE L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      IIOMetadataNode iIOMetadataNode1 = new IIOMetadataNode("staff");
      Fraction fraction0 = Fraction.ZERO;
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode1);
      Direction direction0 = new Direction(iIOMetadataNode0, 65, 65, fraction0);
      // Undeclared exception!
      try {
        direction0.getStaffNumber();
        fail("Expecting exception: NumberFormatException");
      
      } catch(NumberFormatException e) {
         //
         // null
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 freedots.musicxml.AbstractDirection.getMoment()Lfreedots/math/Fraction;: I2 Branch 5 IFNULL L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Fraction fraction0 = Fraction.ZERO;
      Direction direction0 = new Direction(iIOMetadataNode0, 65, 65, fraction0);
      Fraction fraction1 = direction0.getMoment();
      assertEquals(0, fraction1.numerator());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 freedots.musicxml.AbstractDirection.getMoment()Lfreedots/math/Fraction;: I2 Branch 5 IFNULL L-1 - false
   * 2 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I40 Branch 3 IFLE L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("offset");
      PowerOfTwo powerOfTwo0 = AugmentedPowerOfTwo.SEMIBREVE;
      Fraction fraction0 = new Fraction((AbstractFraction) powerOfTwo0);
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      Harmony harmony0 = new Harmony(iIOMetadataNode0, 1476, 1476, fraction0);
      // Undeclared exception!
      try {
        harmony0.getMoment();
        fail("Expecting exception: NumberFormatException");
      
      } catch(NumberFormatException e) {
         //
         // null
         //
      }
  }

  //Test case number: 6
  /*
   * 6 covered goals:
   * 1 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I50 Branch 4 IFLE L-1 - true
   * 2 freedots.musicxml.AbstractDirection.getStaffNumber()I: I2 Branch 6 IFNULL L-1 - true
   * 3 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I28 Branch 1 IFNULL L-1 - true
   * 4 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I28 Branch 1 IFNULL L-1 - false
   * 5 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I32 Branch 2 IF_ICMPNE L-1 - false
   * 6 freedots.musicxml.AbstractDirection.<init>(Lorg/w3c/dom/Element;IILfreedots/math/Fraction;)V: I40 Branch 3 IFLE L-1 - true
   */

  @Test
  public void test6()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Fraction fraction0 = Fraction.ZERO;
      Harmony harmony0 = new Harmony(iIOMetadataNode0, (-1202), (-1202), fraction0);
      int int0 = harmony0.getStaffNumber();
      assertEquals(0, int0);
      
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      Direction direction0 = new Direction(iIOMetadataNode0, 0, 0, fraction0);
      assertEquals(0, direction0.getStaffNumber());
  }
}
