/*
 * This file was automatically generated by EvoSuite
 */

package freedots.braille;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.braille.AccidentalSign;
import freedots.braille.AlternativeEnding;
import freedots.braille.BrailleList;
import freedots.braille.BrailleSequence;
import freedots.braille.BrailleTimeSignature;
import freedots.braille.FullMeasureInAccordSign;
import freedots.braille.NumberSign;
import freedots.braille.RepeatASign;
import freedots.braille.Sign;
import freedots.braille.UpperDigits;
import freedots.music.TimeSignature;
import org.junit.BeforeClass;

public class BrailleListEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 9 covered goals:
   * 1 freedots.braille.BrailleList.getDescription()Ljava/lang/String;: root-Branch
   * 2 freedots.braille.BrailleList.<init>()V: root-Branch
   * 3 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - true
   * 4 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - false
   * 5 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 7 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   * 8 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - false
   * 9 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test0()  throws Throwable  {
      FullMeasureInAccordSign fullMeasureInAccordSign0 = new FullMeasureInAccordSign();
      RepeatASign repeatASign0 = new RepeatASign((Sign) fullMeasureInAccordSign0, 475);
      String string0 = repeatASign0.getDescription();
      assertEquals("Groups several signs as a logical unit", string0);
      assertEquals(6, repeatASign0.length());
  }

  //Test case number: 1
  /*
   * 5 covered goals:
   * 1 freedots.braille.BrailleList.subSequence(II)Ljava/lang/CharSequence;: root-Branch
   * 2 freedots.braille.BrailleList.toString()Ljava/lang/String;: root-Branch
   * 3 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - true
   * 4 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - true
   * 5 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - false
   */

  @Test
  public void test1()  throws Throwable  {
      TimeSignature timeSignature0 = new TimeSignature((-346), (-346));
      BrailleTimeSignature brailleTimeSignature0 = new BrailleTimeSignature(timeSignature0);
      // Undeclared exception!
      try {
        brailleTimeSignature0.subSequence((-346), (-346));
        fail("Expecting exception: StringIndexOutOfBoundsException");
      
      } catch(StringIndexOutOfBoundsException e) {
         //
         // String index out of range: -346
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 freedots.braille.BrailleList.addLast(Lfreedots/braille/BrailleSequence;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      UpperDigits upperDigits0 = new UpperDigits(1049);
      upperDigits0.offerLast((BrailleSequence) upperDigits0);
      assertEquals(5, upperDigits0.size());
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 freedots.braille.BrailleList.charAt(I)C: root-Branch
   * 2 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - false
   * 3 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I19 Branch 5 IFNE L-1 - true
   * 4 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - false
   * 5 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - false
   */

  @Test
  public void test3()  throws Throwable  {
      BrailleList brailleList0 = new BrailleList();
      AlternativeEnding alternativeEnding0 = new AlternativeEnding((-1934));
      brailleList0.add((BrailleSequence) alternativeEnding0);
      // Undeclared exception!
      try {
        brailleList0.add((BrailleSequence) alternativeEnding0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Parent already set
         //
      }
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - true
   * 2 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - false
   * 3 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - true
   * 4 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - true
   * 5 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I24 Branch 22 IFEQ L-1 - false
   * 6 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I32 Branch 23 IF_ICMPEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      FullMeasureInAccordSign fullMeasureInAccordSign0 = new FullMeasureInAccordSign();
      RepeatASign repeatASign0 = new RepeatASign((Sign) fullMeasureInAccordSign0, 475);
      Class<AccidentalSign> class0 = AccidentalSign.class;
      int int0 = repeatASign0.lengthSince(class0);
      assertEquals((-1), int0);
      assertEquals(6, repeatASign0.length());
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I18 Branch 21 IF_ACMPNE L-1 - false
   * 2 freedots.braille.BrailleList.lengthSince(Ljava/lang/Class;)I: I10 Branch 20 IFEQ L-1 - false
   */

  @Test
  public void test5()  throws Throwable  {
      BrailleList brailleList0 = new BrailleList();
      AlternativeEnding alternativeEnding0 = new AlternativeEnding((-1934));
      brailleList0.add((BrailleSequence) alternativeEnding0);
      Class<AlternativeEnding> class0 = AlternativeEnding.class;
      int int0 = brailleList0.lengthSince(class0);
      assertEquals(1, brailleList0.length());
      assertEquals(0, int0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - false
   * 2 freedots.braille.BrailleList.getParent()Lfreedots/braille/BrailleList;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      UpperDigits upperDigits0 = new UpperDigits((-1));
      upperDigits0.getParent();
      // Undeclared exception!
      try {
        upperDigits0.setParent((BrailleList) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 5 covered goals:
   * 1 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I1 Branch 15 IFNONNULL L-1 - false
   * 2 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - true
   * 3 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - true
   * 4 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - false
   * 5 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - true
   */

  @Test
  public void test7()  throws Throwable  {
      FullMeasureInAccordSign fullMeasureInAccordSign0 = new FullMeasureInAccordSign();
      RepeatASign repeatASign0 = new RepeatASign((Sign) fullMeasureInAccordSign0, 475);
      repeatASign0.getScoreObjectAtIndex(475);
      // Undeclared exception!
      try {
        repeatASign0.getIndexOfScoreObject((Object) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // Trying to search for null
         //
      }
  }

  //Test case number: 8
  /*
   * 5 covered goals:
   * 1 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - false
   * 2 freedots.braille.BrailleList.toString()Ljava/lang/String;: root-Branch
   * 3 freedots.braille.BrailleList.charAt(I)C: root-Branch
   * 4 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - true
   * 5 freedots.braille.BrailleList.appendTo(Ljava/lang/StringBuilder;)Ljava/lang/StringBuilder;: I6 Branch 8 IFEQ L-1 - false
   */

  @Test
  public void test8()  throws Throwable  {
      BrailleList brailleList0 = new BrailleList();
      AlternativeEnding alternativeEnding0 = new AlternativeEnding(743);
      brailleList0.add((BrailleSequence) alternativeEnding0);
      boolean boolean0 = brailleList0.needsGuideDot((BrailleSequence) alternativeEnding0);
      assertEquals(4, brailleList0.length());
      assertEquals("\u283C\u2836\u2832\u2812", brailleList0.toString());
      assertEquals(true, boolean0);
  }

  //Test case number: 9
  /*
   * 6 covered goals:
   * 1 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I6 Branch 13 IFNULL L-1 - false
   * 2 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I11 Branch 14 IFNULL L-1 - true
   * 3 freedots.braille.BrailleList.getScoreObjectAtIndex(I)Ljava/lang/Object;: I11 Branch 14 IFNULL L-1 - false
   * 4 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - false
   * 5 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - true
   * 6 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - true
   */

  @Test
  public void test9()  throws Throwable  {
      TimeSignature timeSignature0 = new TimeSignature((-346), (-346));
      BrailleTimeSignature brailleTimeSignature0 = new BrailleTimeSignature(timeSignature0);
      TimeSignature timeSignature1 = (TimeSignature)brailleTimeSignature0.getScoreObjectAtIndex((-346));
      assertNotNull(timeSignature1);
      assertEquals(1, brailleTimeSignature0.length());
      assertEquals("\u283C", brailleTimeSignature0.toString());
  }

  //Test case number: 10
  /*
   * 22 covered goals:
   * 1 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - false
   * 2 freedots.braille.BrailleList.getScoreObject()Ljava/lang/Object;: root-Branch
   * 3 freedots.braille.BrailleList.<init>()V: root-Branch
   * 4 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - true
   * 5 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 3 IFNE L-1 - false
   * 6 freedots.braille.BrailleList.add(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 4 IFEQ L-1 - true
   * 7 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I1 Branch 1 IFNONNULL L-1 - true
   * 8 freedots.braille.BrailleList.setParent(Lfreedots/braille/BrailleList;)V: I9 Branch 2 IFNULL L-1 - true
   * 9 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - true
   * 10 freedots.braille.BrailleList.length()I: I8 Branch 9 IFEQ L-1 - false
   * 11 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I1 Branch 15 IFNONNULL L-1 - true
   * 12 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I16 Branch 16 IFEQ L-1 - true
   * 13 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I16 Branch 16 IFEQ L-1 - false
   * 14 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I24 Branch 17 IF_ACMPNE L-1 - true
   * 15 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I30 Branch 18 IFEQ L-1 - true
   * 16 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I30 Branch 18 IFEQ L-1 - false
   * 17 freedots.braille.BrailleList.getIndexOfScoreObject(Ljava/lang/Object;)I: I39 Branch 19 IFLT L-1 - true
   * 18 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I2 Branch 6 IFNE L-1 - false
   * 19 freedots.braille.BrailleList.needsGuideDot(Lfreedots/braille/BrailleSequence;)Z: I8 Branch 7 IFEQ L-1 - true
   * 20 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I8 Branch 10 IFEQ L-1 - false
   * 21 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I20 Branch 11 IF_ICMPLE L-1 - false
   * 22 freedots.braille.BrailleList.getSignAtIndex(I)Lfreedots/braille/Sign;: I23 Branch 12 IFEQ L-1 - true
   */

  @Test
  public void test10()  throws Throwable  {
      FullMeasureInAccordSign fullMeasureInAccordSign0 = new FullMeasureInAccordSign();
      RepeatASign repeatASign0 = new RepeatASign((Sign) fullMeasureInAccordSign0, 475);
      int int0 = repeatASign0.getIndexOfScoreObject((Object) fullMeasureInAccordSign0);
      assertEquals((-1), int0);
      
      NumberSign numberSign0 = (NumberSign)repeatASign0.getSignAtIndex((-1));
      assertEquals(6, repeatASign0.length());
      assertNotNull(numberSign0);
  }
}
