/*
 * This file was automatically generated by EvoSuite
 */

package freedots.music;

import org.junit.Test;
import static org.junit.Assert.*;
import freedots.math.Fraction;
import freedots.music.Clef;
import freedots.music.ClefChange;
import freedots.music.EndBar;
import freedots.music.Event;
import freedots.music.KeyChange;
import freedots.music.KeySignature;
import freedots.music.Staff;
import org.junit.BeforeClass;

public class StaffEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 freedots.music.Staff.getClef(Lfreedots/math/Fraction;)Lfreedots/music/Clef;: root-Branch
   * 2 freedots.music.Staff.getClef()Lfreedots/music/Clef;: root-Branch
   * 3 freedots.music.Staff.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Staff staff0 = new Staff();
      Clef clef0 = staff0.getClef();
      assertNotNull(clef0);
      
      Fraction fraction0 = new Fraction(2);
      Clef clef1 = staff0.getClef(fraction0);
      assertEquals(true, clef1.isTreble());
      assertNotNull(clef1);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 freedots.music.Staff.getKeySignature(Lfreedots/math/Fraction;)Lfreedots/music/KeySignature;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Staff staff0 = new Staff();
      Clef clef0 = staff0.getClef();
      assertNotNull(clef0);
      assertEquals(true, clef0.isTreble());
      
      Fraction fraction0 = new Fraction(2);
      KeySignature keySignature0 = staff0.getKeySignature(fraction0);
      assertEquals(0, keySignature0.getType());
      assertNotNull(keySignature0);
  }

  //Test case number: 2
  /*
   * 4 covered goals:
   * 1 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I3 Branch 1 IFEQ L-1 - false
   * 2 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I6 Branch 2 IFEQ L-1 - false
   * 3 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I14 Branch 3 IFEQ L-1 - true
   * 4 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I30 Branch 4 IFEQ L-1 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Staff staff0 = new Staff();
      Clef clef0 = staff0.getClef();
      assertEquals(true, clef0.isTreble());
      assertNotNull(clef0);
      
      Fraction fraction0 = new Fraction(2);
      KeySignature keySignature0 = new KeySignature(2);
      KeyChange keyChange0 = new KeyChange(fraction0, keySignature0, 2);
      boolean boolean0 = staff0.add((Event) keyChange0);
      assertEquals(true, boolean0);
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 freedots.music.Staff.containsChords()Z: I6 Branch 5 IFEQ L-1 - false
   * 2 freedots.music.Staff.containsChords()Z: I13 Branch 6 IFEQ L-1 - true
   * 3 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I6 Branch 2 IFEQ L-1 - true
   * 4 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I14 Branch 3 IFEQ L-1 - true
   * 5 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I30 Branch 4 IFEQ L-1 - true
   * 6 freedots.music.Staff.containsChords()Z: I6 Branch 5 IFEQ L-1 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Staff staff0 = new Staff();
      Fraction fraction0 = Fraction.ZERO;
      EndBar endBar0 = new EndBar(fraction0);
      boolean boolean0 = staff0.add((Event) endBar0);
      boolean boolean1 = staff0.containsChords();
      assertFalse(boolean1 == boolean0);
  }

  //Test case number: 4
  /*
   * 8 covered goals:
   * 1 freedots.music.Staff.containsHarmony()Z: I6 Branch 7 IFEQ L-1 - false
   * 2 freedots.music.Staff.containsHarmony()Z: I13 Branch 8 IFEQ L-1 - true
   * 3 freedots.music.Staff.getClef()Lfreedots/music/Clef;: root-Branch
   * 4 freedots.music.Staff.<init>()V: root-Branch
   * 5 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I3 Branch 1 IFEQ L-1 - false
   * 6 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I6 Branch 2 IFEQ L-1 - false
   * 7 freedots.music.Staff.add(Lfreedots/music/Event;)Z: I14 Branch 3 IFEQ L-1 - false
   * 8 freedots.music.Staff.containsHarmony()Z: I6 Branch 7 IFEQ L-1 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Staff staff0 = new Staff();
      Fraction fraction0 = new Fraction((-52));
      Clef clef0 = staff0.getClef();
      assertNotNull(clef0);
      
      ClefChange clefChange0 = new ClefChange(fraction0, clef0, (-52));
      boolean boolean0 = staff0.add((Event) clefChange0);
      assertEquals("\u281C\u280C\u2807", clefChange0.toBrailleString());
      
      boolean boolean1 = staff0.containsHarmony();
      assertFalse(boolean1 == boolean0);
  }
}
