/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.generic;

import org.junit.Test;
import static org.junit.Assert.*;
import java.awt.Graphics2D;
import net.sourceforge.jeuclid.LayoutContext;
import net.sourceforge.jeuclid.context.InlineLayoutContext;
import net.sourceforge.jeuclid.context.LayoutContextImpl;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.layout.JEuclidView;
import net.sourceforge.jeuclid.layout.LayoutInfo;
import net.sourceforge.jeuclid.layout.LayoutInfoImpl;
import net.sourceforge.jeuclid.layout.LayoutStage;
import net.sourceforge.jeuclid.layout.LayoutView;
import org.apache.batik.dom.GenericDocumentType;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12DOMImplementation;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DocumentType;

public class DocumentElementEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.layoutStage2(Lnet/sourceforge/jeuclid/layout/LayoutView;Lnet/sourceforge/jeuclid/layout/LayoutInfo;Lnet/sourceforge/jeuclid/LayoutContext;)V: root-Branch
   * 2 net.sourceforge.jeuclid.elements.generic.DocumentElement.getChildrenToLayout()Ljava/util/List;: root-Branch
   * 3 net.sourceforge.jeuclid.elements.generic.DocumentElement.<init>()V: root-Branch
   * 4 net.sourceforge.jeuclid.elements.generic.DocumentElement.<init>(Lorg/w3c/dom/DocumentType;)V: root-Branch
   * 5 net.sourceforge.jeuclid.elements.generic.DocumentElement.getDefaultView()Lnet/sourceforge/jeuclid/layout/JEuclidView;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      JEuclidView jEuclidView0 = documentElement0.getDefaultView();
      assertNotNull(jEuclidView0);
      
      LayoutInfoImpl layoutInfoImpl0 = new LayoutInfoImpl();
      LayoutContextImpl layoutContextImpl0 = (LayoutContextImpl)LayoutContextImpl.getDefaultLayoutContext();
      documentElement0.layoutStage2((LayoutView) jEuclidView0, (LayoutInfo) layoutInfoImpl0, (LayoutContext) layoutContextImpl0);
      assertEquals(LayoutStage.STAGE2, layoutInfoImpl0.getLayoutStage());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.createElement(Ljava/lang/String;)Lorg/w3c/dom/Element;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      documentElement0.getPrefix();
      // Undeclared exception!
      try {
        documentElement0.createElement((String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.getReferrer()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      // Undeclared exception!
      try {
        documentElement0.getReferrer();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.getChildLayoutContext(ILnet/sourceforge/jeuclid/LayoutContext;)Lnet/sourceforge/jeuclid/LayoutContext;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVGDOMImplementation0.createDocumentType("repeatDur", "repeatDur", "repeatDur");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      InlineLayoutContext inlineLayoutContext0 = new InlineLayoutContext((LayoutContext) null, false);
      documentElement0.getChildLayoutContext(0, (LayoutContext) inlineLayoutContext0);
      assertEquals(true, documentElement0.getEventsEnabled());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.getDomain()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      // Undeclared exception!
      try {
        documentElement0.getDomain();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      documentElement0.getXmlStandalone();
      DocumentElement documentElement1 = (DocumentElement)documentElement0.cloneNode(false);
      assertEquals(true, documentElement1.getEventsEnabled());
  }

  //Test case number: 6
  /*
   * 5 covered goals:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.getChildrenToDraw()Ljava/util/List;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.generic.DocumentElement.layoutStage1(Lnet/sourceforge/jeuclid/layout/LayoutView;Lnet/sourceforge/jeuclid/layout/LayoutInfo;Lnet/sourceforge/jeuclid/layout/LayoutStage;Lnet/sourceforge/jeuclid/LayoutContext;)V: I18 Branch 1 IFNONNULL L126 - false
   * 3 net.sourceforge.jeuclid.elements.generic.DocumentElement.getChildrenToLayout()Ljava/util/List;: root-Branch
   * 4 net.sourceforge.jeuclid.elements.generic.DocumentElement.<init>()V: root-Branch
   * 5 net.sourceforge.jeuclid.elements.generic.DocumentElement.getDefaultView()Lnet/sourceforge/jeuclid/layout/JEuclidView;: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement();
      JEuclidView jEuclidView0 = documentElement0.getDefaultView();
      Graphics2D graphics2D0 = jEuclidView0.getGraphics();
      Object[] objectArray0 = new Object[1];
      documentElement0.createXPathException((short) (-1446), "", objectArray0);
      jEuclidView0.draw(graphics2D0, (float) (short) (-1446), (float) (short) (-1446));
      assertEquals(0.0F, jEuclidView0.getDescentHeight(), 0.01F);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.getURI()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      // Undeclared exception!
      try {
        documentElement0.getURI();
        fail("Expecting exception: UnsupportedOperationException");
      
      } catch(UnsupportedOperationException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.createElementNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I3 Branch 2 IFNULL L160 - false
   * 2 net.sourceforge.jeuclid.elements.generic.DocumentElement.createElementNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I6 Branch 3 IFNE L160 - false
   */

  @Test
  public void test8()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("", "", "");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      // Undeclared exception!
      try {
        documentElement0.createElementNS("", "");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"\") is an invalid XML name.
         //
      }
  }

  //Test case number: 9
  /*
   * 3 covered goals:
   * 1 net.sourceforge.jeuclid.elements.generic.DocumentElement.createElementNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I6 Branch 3 IFNE L160 - true
   * 2 net.sourceforge.jeuclid.elements.generic.DocumentElement.<init>(Lorg/w3c/dom/DocumentType;)V: root-Branch
   * 3 net.sourceforge.jeuclid.elements.generic.DocumentElement.createElementNS(Ljava/lang/String;Ljava/lang/String;)Lorg/w3c/dom/Element;: I3 Branch 2 IFNULL L160 - false
   */

  @Test
  public void test9()  throws Throwable  {
      SVG12DOMImplementation sVG12DOMImplementation0 = new SVG12DOMImplementation();
      GenericDocumentType genericDocumentType0 = (GenericDocumentType)sVG12DOMImplementation0.createDocumentType("c:OdxM1u# j9`rq", "c:OdxM1u# j9`rq", "c:OdxM1u# j9`rq");
      DocumentElement documentElement0 = new DocumentElement((DocumentType) genericDocumentType0);
      // Undeclared exception!
      try {
        documentElement0.createElementNS("c:OdxM1u# j9`rq", "c:OdxM1u# j9`rq");
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // The given name (\"c:OdxM1u# j9`rq\") is an invalid XML name.
         //
      }
  }
}
