/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.elements.presentation.script;

import org.junit.Test;
import static org.junit.Assert.*;
import net.sourceforge.jeuclid.elements.JEuclidElement;
import net.sourceforge.jeuclid.elements.generic.DocumentElement;
import net.sourceforge.jeuclid.elements.presentation.script.Msub;
import org.apache.batik.dom.AbstractDocument;
import org.apache.batik.dom.GenericDocument;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.apache.batik.dom.svg12.SVG12OMDocument;
import org.junit.BeforeClass;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;
import org.w3c.dom.mathml.MathMLElement;

public class MsubEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSubscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = (SVGDOMImplementation)SVGDOMImplementation.getDOMImplementation();
      SVG12OMDocument sVG12OMDocument0 = new SVG12OMDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      Msub msub0 = new Msub("KeyboardEvents", (AbstractDocument) sVG12OMDocument0);
      // Undeclared exception!
      try {
        msub0.getSubscript();
        fail("Expecting exception: ClassCastException");
      
      } catch(ClassCastException e) {
         //
         // org.apache.batik.dom.GenericElement cannot be cast to net.sourceforge.jeuclid.elements.JEuclidElement
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getSuperscript()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("k", (AbstractDocument) documentElement0);
      JEuclidElement jEuclidElement0 = msub0.getSuperscript();
      assertNull(jEuclidElement0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSuperscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("k", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msub0.setSuperscript((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // msub does not have superscript
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.newNode()Lorg/w3c/dom/Node;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      Msub msub0 = new Msub("k", (AbstractDocument) genericDocument0);
      Msub msub1 = (Msub)msub0.cloneNode(false);
      assertNull(msub1.getMathvariant());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setSubscript(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("KeyboardEvents", (AbstractDocument) documentElement0);
      // Undeclared exception!
      try {
        msub0.setSubscript((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.setBase(Lorg/w3c/dom/mathml/MathMLElement;)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SVGDOMImplementation sVGDOMImplementation0 = new SVGDOMImplementation();
      GenericDocument genericDocument0 = new GenericDocument((DocumentType) null, (DOMImplementation) sVGDOMImplementation0);
      Msub msub0 = new Msub("k", (AbstractDocument) genericDocument0);
      // Undeclared exception!
      try {
        msub0.setBase((MathMLElement) msub0);
        fail("Expecting exception: DOMException");
      
      } catch(DOMException e) {
         //
         // Cannot add a node as a child of its self (name: {1})
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.elements.presentation.script.Msub.getBase()Lnet/sourceforge/jeuclid/elements/JEuclidElement;: root-Branch
   * 2 net.sourceforge.jeuclid.elements.presentation.script.Msub.<init>(Ljava/lang/String;Lorg/apache/batik/dom/AbstractDocument;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      DocumentElement documentElement0 = new DocumentElement((DocumentType) null);
      Msub msub0 = new Msub("KeyboardEvents", (AbstractDocument) documentElement0);
      msub0.getBase();
      assertEquals(1, msub0.getChildElementCount());
      assertEquals(1, msub0.getMathElementCount());
  }
}
