/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid;

import org.junit.Test;
import static org.junit.Assert.*;
import com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderImpl;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.PushbackInputStream;
import javax.xml.parsers.ParserConfigurationException;
import net.sourceforge.jeuclid.MathMLParserSupport;
import org.junit.BeforeClass;
import org.w3c.dom.Document;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class MathMLParserSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.createDocumentBuilder()Ljavax/xml/parsers/DocumentBuilder;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentBuilderImpl documentBuilderImpl0 = (DocumentBuilderImpl)MathMLParserSupport.createDocumentBuilder();
      assertEquals(true, documentBuilderImpl0.isXIncludeAware());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseInputStreamODF(Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[9];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)0, (int) (byte)0);
      PushbackInputStream pushbackInputStream0 = new PushbackInputStream((InputStream) byteArrayInputStream0);
      Document document0 = MathMLParserSupport.parseInputStreamODF((InputStream) pushbackInputStream0);
      assertNull(document0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseString(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      try {
        MathMLParserSupport.parseString("D9.D");
        fail("Expecting exception: SAXParseException");
      
      } catch(SAXParseException e) {
         //
         // Content is not allowed in prolog.
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseFile(Ljava/io/File;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      File file0 = new File("1g;~=1Pg{", "1g;~=1Pg{");
      try {
        MathMLParserSupport.parseFile(file0);
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // 1g;~=1Pg{/1g;~=1Pg{ (No such file or directory)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseInputStreamXML(Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      // Undeclared exception!
      try {
        MathMLParserSupport.parseInputStreamXML((InputStream) null);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Bad StreamSource: javax.xml.transform.stream.StreamSource@620f61e2
         //
      }
  }
}
