/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid;

import org.junit.Test;
import static org.junit.Assert.*;
import com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderImpl;
import java.io.File;
import java.io.FileDescriptor;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import javax.xml.parsers.ParserConfigurationException;
import net.sourceforge.jeuclid.MathMLParserSupport;
import org.junit.BeforeClass;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class MathMLParserSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.createDocumentBuilder()Ljavax/xml/parsers/DocumentBuilder;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentBuilderImpl documentBuilderImpl0 = (DocumentBuilderImpl)MathMLParserSupport.createDocumentBuilder();
      assertEquals(true, documentBuilderImpl0.isXIncludeAware());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseInputStreamODF(Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      FileDescriptor fileDescriptor0 = new FileDescriptor();
      FileInputStream fileInputStream0 = new FileInputStream(fileDescriptor0);
      try {
        MathMLParserSupport.parseInputStreamODF((InputStream) fileInputStream0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Bad file descriptor
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseString(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      try {
        MathMLParserSupport.parseString("*zbRulToU,gwo");
        fail("Expecting exception: SAXParseException");
      
      } catch(SAXParseException e) {
         //
         // Content is not allowed in prolog.
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseFile(Ljava/io/File;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      File file0 = new File("", "");
      try {
        MathMLParserSupport.parseFile(file0);
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // / (Is a directory)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseInputStreamXML(Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      try {
        MathMLParserSupport.parseInputStreamXML((InputStream) pipedInputStream0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }
}
