/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import com.sun.org.apache.xerces.internal.dom.DocumentImpl;
import java.io.ByteArrayInputStream;
import java.io.CharArrayReader;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.Reader;
import javax.imageio.stream.ImageInputStream;
import javax.xml.transform.Source;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.stream.StreamSource;
import net.sourceforge.jeuclid.parser.Parser;
import org.apache.xmlgraphics.image.loader.ImageSource;
import org.junit.BeforeClass;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLFilterImpl;

public class ParserEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 12 covered goals:
   * 1 net.sourceforge.jeuclid.parser.Parser$UnclosableInputStream.<init>(Ljava/io/InputStream;)V: root-Branch
   * 2 net.sourceforge.jeuclid.parser.Parser.getInstance()Lnet/sourceforge/jeuclid/parser/Parser;: root-Branch
   * 3 net.sourceforge.jeuclid.parser.Parser.parseStreamSource(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I12 Branch 3 IFNULL L210 - false
   * 4 net.sourceforge.jeuclid.parser.Parser.parseStreamSource(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I17 Branch 4 IFNE L213 - false
   * 5 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I12 Branch 9 IFNULL L299 - true
   * 6 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I28 Branch 10 IFNONNULL L303 - false
   * 7 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I30 Branch 11 IFNULL L303 - false
   * 8 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I46 Branch 12 IFNONNULL L307 - true
   * 9 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I59 Branch 14 IFNONNULL L311 - true
   * 10 net.sourceforge.jeuclid.parser.Parser.getDocumentBuilder()Ljavax/xml/parsers/DocumentBuilder;: I17 Branch 15 IFNULL L337 - false
   * 11 net.sourceforge.jeuclid.parser.Parser.getDocumentBuilder()Ljavax/xml/parsers/DocumentBuilder;: I27 Branch 16 IFNULL L339 - false
   * 12 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I4 Branch 17 IFEQ L362 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Parser parser0 = Parser.getInstance();
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      StreamSource streamSource0 = new StreamSource((InputStream) pipedInputStream0, "GgHcHg{-mta");
      try {
        parser0.parse((Source) streamSource0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }

  //Test case number: 1
  /*
   * 8 covered goals:
   * 1 net.sourceforge.jeuclid.parser.Parser$LoggerErrorHandler.fatalError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   * 2 net.sourceforge.jeuclid.parser.Parser.parseStreamSource(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I17 Branch 4 IFNE L213 - true
   * 3 net.sourceforge.jeuclid.parser.Parser.parseStreamSource(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I86 Branch 5 IFNONNULL L246 - false
   * 4 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsOdf(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I8 Branch 6 IFNONNULL L266 - true
   * 5 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsOdf(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I42 Branch 7 IFNULL L273 - true
   * 6 net.sourceforge.jeuclid.parser.Parser$UnclosableInputStream.<init>(Ljava/io/InputStream;)V: root-Branch
   * 7 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I30 Branch 11 IFNULL L303 - false
   * 8 net.sourceforge.jeuclid.parser.Parser.parseStreamSource(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I12 Branch 3 IFNULL L210 - false
   */

  @Test
  public void test1()  throws Throwable  {
      Parser parser0 = Parser.getInstance();
      byte[] byteArray0 = new byte[8];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0, (int) (byte)0, (int) (byte)0);
      StreamSource streamSource0 = new StreamSource((InputStream) byteArrayInputStream0);
      try {
        parser0.parseStreamSource(streamSource0);
        fail("Expecting exception: SAXParseException");
      
      } catch(SAXParseException e) {
         //
         // Premature end of file.
         //
      }
  }

  //Test case number: 2
  /*
   * 5 covered goals:
   * 1 net.sourceforge.jeuclid.parser.Parser.parseStreamSource(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I12 Branch 3 IFNULL L210 - true
   * 2 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I12 Branch 9 IFNULL L299 - false
   * 3 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I28 Branch 10 IFNONNULL L303 - true
   * 4 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I46 Branch 12 IFNONNULL L307 - true
   * 5 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I4 Branch 17 IFEQ L362 - false
   */

  @Test
  public void test2()  throws Throwable  {
      Parser parser0 = Parser.getInstance();
      StreamSource streamSource0 = new StreamSource("5~~fz^L`[?2@t:'&M");
      try {
        parser0.parse((Source) streamSource0);
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         // /data/havrikov/evosuite/subjects/jeuclid/report8/5~~fz^L`[ (No such file or directory)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsOdf(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I8 Branch 6 IFNONNULL L266 - false
   */

  @Test
  public void test3()  throws Throwable  {
      Parser parser0 = Parser.getInstance();
      StreamSource streamSource0 = new StreamSource();
      // Undeclared exception!
      try {
        parser0.parseStreamSourceAsOdf(streamSource0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Bad StreamSource: javax.xml.transform.stream.StreamSource@45ecb204
         //
      }
  }

  //Test case number: 4
  /*
   * 8 covered goals:
   * 1 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I30 Branch 11 IFNULL L303 - true
   * 2 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I46 Branch 12 IFNONNULL L307 - false
   * 3 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I48 Branch 13 IFNULL L307 - true
   * 4 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I59 Branch 14 IFNONNULL L311 - false
   * 5 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I4 Branch 17 IFEQ L362 - true
   * 6 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I22 Branch 18 IFEQ L365 - false
   * 7 net.sourceforge.jeuclid.parser.Parser.parseStreamSource(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I12 Branch 3 IFNULL L210 - true
   * 8 net.sourceforge.jeuclid.parser.Parser.parseStreamSource(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I86 Branch 5 IFNONNULL L246 - false
   */

  @Test
  public void test4()  throws Throwable  {
      Parser parser0 = Parser.getInstance();
      ImageSource imageSource0 = new ImageSource((ImageInputStream) null, "", false);
      // Undeclared exception!
      try {
        parser0.parse((Source) imageSource0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Bad StreamSource: javax.xml.transform.stream.StreamSource@42ef71ba
         //
      }
  }

  //Test case number: 5
  /*
   * 9 covered goals:
   * 1 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I48 Branch 13 IFNULL L307 - false
   * 2 net.sourceforge.jeuclid.parser.Parser$LoggerErrorHandler.fatalError(Lorg/xml/sax/SAXParseException;)V: root-Branch
   * 3 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I12 Branch 9 IFNULL L299 - true
   * 4 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I28 Branch 10 IFNONNULL L303 - false
   * 5 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I30 Branch 11 IFNULL L303 - true
   * 6 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I46 Branch 12 IFNONNULL L307 - false
   * 7 net.sourceforge.jeuclid.parser.Parser.parseStreamSourceAsXml(Ljavax/xml/transform/stream/StreamSource;)Lorg/w3c/dom/Document;: I59 Branch 14 IFNONNULL L311 - true
   * 8 net.sourceforge.jeuclid.parser.Parser.getDocumentBuilder()Ljavax/xml/parsers/DocumentBuilder;: I17 Branch 15 IFNULL L337 - false
   * 9 net.sourceforge.jeuclid.parser.Parser.getDocumentBuilder()Ljavax/xml/parsers/DocumentBuilder;: I27 Branch 16 IFNULL L339 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Parser parser0 = Parser.getInstance();
      char[] charArray0 = new char[10];
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0);
      StreamSource streamSource0 = new StreamSource((Reader) charArrayReader0);
      try {
        parser0.parseStreamSourceAsXml(streamSource0);
        fail("Expecting exception: SAXParseException");
      
      } catch(SAXParseException e) {
         //
         // Content is not allowed in prolog.
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I22 Branch 18 IFEQ L365 - true
   * 2 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I48 Branch 19 IFEQ L370 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Parser parser0 = Parser.getInstance();
      DOMSource dOMSource0 = new DOMSource();
      DocumentImpl documentImpl0 = (DocumentImpl)parser0.parse((Source) dOMSource0);
      assertNull(documentImpl0);
  }

  //Test case number: 7
  /*
   * 4 covered goals:
   * 1 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I48 Branch 19 IFEQ L370 - true
   * 2 net.sourceforge.jeuclid.parser.Parser.getInstance()Lnet/sourceforge/jeuclid/parser/Parser;: root-Branch
   * 3 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I4 Branch 17 IFEQ L362 - true
   * 4 net.sourceforge.jeuclid.parser.Parser.parse(Ljavax/xml/transform/Source;)Lorg/w3c/dom/Node;: I22 Branch 18 IFEQ L365 - true
   */

  @Test
  public void test7()  throws Throwable  {
      Parser parser0 = Parser.getInstance();
      XMLFilterImpl xMLFilterImpl0 = new XMLFilterImpl();
      SAXSource sAXSource0 = new SAXSource((XMLReader) xMLFilterImpl0, (InputSource) null);
      // Undeclared exception!
      try {
        parser0.parse((Source) sAXSource0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Cannot handle Source: javax.xml.transform.sax.SAXSource@62e54251
         //
      }
  }
}
