/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid.xmlgraphics;

import org.junit.Test;
import static org.junit.Assert.*;
import java.io.File;
import java.io.IOException;
import java.util.Map;
import net.sourceforge.jeuclid.xmlgraphics.ImageLoaderMathML;
import org.apache.xmlgraphics.image.loader.ImageContext;
import org.apache.xmlgraphics.image.loader.ImageException;
import org.apache.xmlgraphics.image.loader.ImageFlavor;
import org.apache.xmlgraphics.image.loader.ImageInfo;
import org.apache.xmlgraphics.image.loader.ImageSessionContext;
import org.apache.xmlgraphics.image.loader.impl.DefaultImageSessionContext;
import org.junit.BeforeClass;

public class ImageLoaderMathMLEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.xmlgraphics.ImageLoaderMathML.getTargetFlavor()Lorg/apache/xmlgraphics/image/loader/ImageFlavor;: root-Branch
   * 2 net.sourceforge.jeuclid.xmlgraphics.ImageLoaderMathML.<init>(Lorg/apache/xmlgraphics/image/loader/ImageFlavor;)V: I9 Branch 1 IFNE L49 - true
   */

  @Test
  public void test0()  throws Throwable  {
      ImageFlavor imageFlavor0 = ImageFlavor.XML_DOM;
      ImageLoaderMathML imageLoaderMathML0 = new ImageLoaderMathML(imageFlavor0);
      ImageFlavor imageFlavor1 = imageLoaderMathML0.getTargetFlavor();
      assertSame(imageFlavor1, imageFlavor0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.xmlgraphics.ImageLoaderMathML.<init>(Lorg/apache/xmlgraphics/image/loader/ImageFlavor;)V: I9 Branch 1 IFNE L49 - false
   */

  @Test
  public void test1()  throws Throwable  {
      ImageFlavor imageFlavor0 = ImageFlavor.GRAPHICS2D;
      ImageLoaderMathML imageLoaderMathML0 = null;
      try {
        imageLoaderMathML0 = new ImageLoaderMathML(imageFlavor0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Unsupported target ImageFlavor: Graphics2DImage
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.xmlgraphics.ImageLoaderMathML.loadImage(Lorg/apache/xmlgraphics/image/loader/ImageInfo;Ljava/util/Map;Lorg/apache/xmlgraphics/image/loader/ImageSessionContext;)Lorg/apache/xmlgraphics/image/loader/Image;: I6 Branch 2 IFGT L66 - true
   * 2 net.sourceforge.jeuclid.xmlgraphics.ImageLoaderMathML.loadImage(Lorg/apache/xmlgraphics/image/loader/ImageInfo;Ljava/util/Map;Lorg/apache/xmlgraphics/image/loader/ImageSessionContext;)Lorg/apache/xmlgraphics/image/loader/Image;: I23 Branch 3 IFNE L71 - false
   */

  @Test
  public void test2()  throws Throwable  {
      ImageFlavor imageFlavor0 = ImageFlavor.XML_DOM;
      ImageLoaderMathML imageLoaderMathML0 = new ImageLoaderMathML(imageFlavor0);
      ImageInfo imageInfo0 = new ImageInfo("application/mathml+xml", "application/mathml+xml");
      Map<?, ?> map0 = imageInfo0.getCustomObjects();
      File file0 = new File("application/mathml+xml");
      DefaultImageSessionContext defaultImageSessionContext0 = new DefaultImageSessionContext((ImageContext) null, file0);
      // Undeclared exception!
      try {
        imageLoaderMathML0.loadImage(imageInfo0, (Map) map0, (ImageSessionContext) defaultImageSessionContext0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // ImageInfo was expected to contain the MathML document as DOM
         //
      }
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 net.sourceforge.jeuclid.xmlgraphics.ImageLoaderMathML.loadImage(Lorg/apache/xmlgraphics/image/loader/ImageInfo;Ljava/util/Map;Lorg/apache/xmlgraphics/image/loader/ImageSessionContext;)Lorg/apache/xmlgraphics/image/loader/Image;: I6 Branch 2 IFGT L66 - false
   * 2 net.sourceforge.jeuclid.xmlgraphics.ImageLoaderMathML.<init>(Lorg/apache/xmlgraphics/image/loader/ImageFlavor;)V: I9 Branch 1 IFNE L49 - true
   */

  @Test
  public void test3()  throws Throwable  {
      ImageFlavor imageFlavor0 = ImageFlavor.XML_DOM;
      imageFlavor0.getName();
      ImageLoaderMathML imageLoaderMathML0 = new ImageLoaderMathML(imageFlavor0);
      ImageInfo imageInfo0 = new ImageInfo("text/xml;form=dom", "text/xml;form=dom");
      // Undeclared exception!
      try {
        imageLoaderMathML0.loadImage(imageInfo0, (ImageSessionContext) null);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // ImageInfo must be from an MathML image
         //
      }
  }
}
