/*
 * This file was automatically generated by EvoSuite
 */

package net.sourceforge.jeuclid;

import org.junit.Test;
import static org.junit.Assert.*;
import com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderImpl;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.PipedInputStream;
import java.io.PushbackInputStream;
import javax.xml.parsers.ParserConfigurationException;
import net.sourceforge.jeuclid.MathMLParserSupport;
import org.junit.BeforeClass;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class MathMLParserSupportEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.createDocumentBuilder()Ljavax/xml/parsers/DocumentBuilder;: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      DocumentBuilderImpl documentBuilderImpl0 = (DocumentBuilderImpl)MathMLParserSupport.createDocumentBuilder();
      assertEquals(false, documentBuilderImpl0.isValidating());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseInputStreamODF(Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      byte[] byteArray0 = new byte[4];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      BufferedInputStream bufferedInputStream0 = new BufferedInputStream((InputStream) byteArrayInputStream0);
      MathMLParserSupport.parseInputStreamODF((InputStream) bufferedInputStream0);
      assertEquals(-1, bufferedInputStream0.read());
      assertEquals(0, bufferedInputStream0.available());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseString(Ljava/lang/String;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      try {
        MathMLParserSupport.parseString("'8|x^*&cCdK\"#F_x");
        fail("Expecting exception: SAXParseException");
      
      } catch(SAXParseException e) {
         //
         // Content is not allowed in prolog.
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseFile(Ljava/io/File;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      // Undeclared exception!
      try {
        MathMLParserSupport.parseFile((File) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // name can't be null
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 net.sourceforge.jeuclid.MathMLParserSupport.parseInputStreamXML(Ljava/io/InputStream;)Lorg/w3c/dom/Document;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      PushbackInputStream pushbackInputStream0 = new PushbackInputStream((InputStream) pipedInputStream0);
      try {
        MathMLParserSupport.parseInputStreamXML((InputStream) pushbackInputStream0);
        fail("Expecting exception: IOException");
      
      } catch(IOException e) {
         //
         // Pipe not connected
         //
      }
  }
}
