/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.feed.synd.SyndFeedImpl;
import com.sun.syndication.io.ParsingFeedException;
import com.sun.syndication.io.SyndFeedInput;
import java.io.File;
import java.io.PrintStream;
import java.io.Reader;
import java.io.StringReader;
import javax.swing.DebugGraphics;
import org.jdom.Document;
import org.junit.After;
import org.junit.Before;
import org.xml.sax.InputSource;

public class SyndFeedInputEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.SyndFeedInput.getXmlHealerOn()Z: root-Branch
   * 2 com.sun.syndication.io.SyndFeedInput.<init>(Z)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput(true);
      boolean boolean0 = syndFeedInput0.getXmlHealerOn();
      assertEquals(false, syndFeedInput0.isPreserveWireFeed());
      assertEquals(true, boolean0);
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.build(Ljava/io/Reader;)Lcom/sun/syndication/feed/synd/SyndFeed;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput(true);
      StringReader stringReader0 = new StringReader("");
      try {
        SyndFeedImpl syndFeedImpl0 = (SyndFeedImpl)syndFeedInput0.build((Reader) stringReader0);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML: Error on line 1: Premature end of file.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.isPreserveWireFeed()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput(false);
      boolean boolean0 = syndFeedInput0.isPreserveWireFeed();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.SyndFeedInput.build(Lorg/jdom/Document;)Lcom/sun/syndication/feed/synd/SyndFeed;: root-Branch
   * 2 com.sun.syndication.io.SyndFeedInput.<init>()V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      // Undeclared exception!
      try {
        SyndFeedImpl syndFeedImpl0 = (SyndFeedImpl)syndFeedInput0.build((Document) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.build(Ljava/io/File;)Lcom/sun/syndication/feed/synd/SyndFeed;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput(false);
      // Undeclared exception!
      try {
        SyndFeedImpl syndFeedImpl0 = (SyndFeedImpl)syndFeedInput0.build((File) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // name can't be null
         //
      }
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.SyndFeedInput.build(Lorg/xml/sax/InputSource;)Lcom/sun/syndication/feed/synd/SyndFeed;: root-Branch
   * 2 com.sun.syndication.io.SyndFeedInput.<init>()V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      InputSource inputSource0 = new InputSource("f5fb}M$Q43*<Vsmj8");
      try {
        SyndFeedImpl syndFeedImpl0 = (SyndFeedImpl)syndFeedInput0.build(inputSource0);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.setPreserveWireFeed(Z)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput(true);
      assertEquals(false, syndFeedInput0.isPreserveWireFeed());
      
      syndFeedInput0.setPreserveWireFeed(true);
      assertEquals(true, syndFeedInput0.isPreserveWireFeed());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.SyndFeedInput.setXmlHealerOn(Z)V: root-Branch
   * 2 com.sun.syndication.io.SyndFeedInput.<init>(Z)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput(true);
      syndFeedInput0.setXmlHealerOn(true);
      assertEquals(true, syndFeedInput0.getXmlHealerOn());
      assertEquals(false, syndFeedInput0.isPreserveWireFeed());
  }
}
