/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.feed.synd.SyndFeedImpl;
import com.sun.syndication.io.ParsingFeedException;
import com.sun.syndication.io.SyndFeedInput;
import java.io.CharArrayReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.LineNumberReader;
import java.io.PrintStream;
import java.io.Reader;
import javax.swing.DebugGraphics;
import org.jdom.Document;
import org.junit.After;
import org.junit.Before;
import org.xml.sax.InputSource;

public class SyndFeedInputEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.SyndFeedInput.getXmlHealerOn()Z: root-Branch
   * 2 com.sun.syndication.io.SyndFeedInput.<init>(Z)V: root-Branch
   * 3 com.sun.syndication.io.SyndFeedInput.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      boolean boolean0 = syndFeedInput0.getXmlHealerOn();
      assertEquals(true, boolean0);
      assertEquals(false, syndFeedInput0.isPreserveWireFeed());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.build(Ljava/io/Reader;)Lcom/sun/syndication/feed/synd/SyndFeed;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      char[] charArray0 = new char[7];
      CharArrayReader charArrayReader0 = new CharArrayReader(charArray0);
      LineNumberReader lineNumberReader0 = new LineNumberReader((Reader) charArrayReader0);
      try {
        SyndFeedImpl syndFeedImpl0 = (SyndFeedImpl)syndFeedInput0.build((Reader) lineNumberReader0);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML: Error on line 1: Content is not allowed in prolog.
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.isPreserveWireFeed()Z: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      boolean boolean0 = syndFeedInput0.isPreserveWireFeed();
      assertEquals(false, boolean0);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.build(Lorg/jdom/Document;)Lcom/sun/syndication/feed/synd/SyndFeed;: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput(false);
      Document document0 = new Document();
      // Undeclared exception!
      try {
        SyndFeedImpl syndFeedImpl0 = (SyndFeedImpl)syndFeedInput0.build(document0);
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // Root element not set
         //
      }
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.build(Ljava/io/File;)Lcom/sun/syndication/feed/synd/SyndFeed;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      File file0 = new File("");
      try {
        SyndFeedImpl syndFeedImpl0 = (SyndFeedImpl)syndFeedInput0.build(file0);
        fail("Expecting exception: FileNotFoundException");
      
      } catch(FileNotFoundException e) {
         //
         //  (No such file or directory)
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.build(Lorg/xml/sax/InputSource;)Lcom/sun/syndication/feed/synd/SyndFeed;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      InputSource inputSource0 = new InputSource();
      try {
        SyndFeedImpl syndFeedImpl0 = (SyndFeedImpl)syndFeedInput0.build(inputSource0);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML
         //
      }
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.SyndFeedInput.setPreserveWireFeed(Z)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      syndFeedInput0.setPreserveWireFeed(false);
      assertEquals(false, syndFeedInput0.isPreserveWireFeed());
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.SyndFeedInput.setXmlHealerOn(Z)V: root-Branch
   * 2 com.sun.syndication.io.SyndFeedInput.<init>(Z)V: root-Branch
   * 3 com.sun.syndication.io.SyndFeedInput.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      SyndFeedInput syndFeedInput0 = new SyndFeedInput();
      syndFeedInput0.setXmlHealerOn(false);
      assertEquals(false, syndFeedInput0.getXmlHealerOn());
  }
}
