/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.feed.atom;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.feed.atom.Content;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import org.junit.After;
import org.junit.Before;

public class ContentEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I18 Branch 3 IFLE L161 - true
   * 2 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I24 Branch 4 IFNE L161 - false
   * 3 com.sun.syndication.feed.atom.Content.<init>()V: root-Branch
   * 4 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I3 Branch 1 IFNULL L160 - false
   * 5 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I14 Branch 2 IFNULL L161 - false
   */

  @Test
  public void test0()  throws Throwable  {
      Content content0 = new Content();
      // Undeclared exception!
      try {
        content0.setMode("Content.value=null\nContent.src=null\nContent.type=null\nContent.mode=null\n");
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Invalid mode [content.value=null
         // content.src=null
         // content.type=null
         // content.mode=null
         // ]
         //
      }
  }

  //Test case number: 1
  /*
   * 4 covered goals:
   * 1 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I3 Branch 1 IFNULL L160 - false
   * 2 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I14 Branch 2 IFNULL L161 - false
   * 3 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I18 Branch 3 IFLE L161 - false
   * 4 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I24 Branch 4 IFNE L161 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Content content0 = new Content();
      content0.setMode("escaped");
      assertEquals("Content.value=null\nContent.src=null\nContent.type=null\nContent.mode=escaped\n", content0.toString());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I3 Branch 1 IFNULL L160 - true
   * 2 com.sun.syndication.feed.atom.Content.setMode(Ljava/lang/String;)V: I14 Branch 2 IFNULL L161 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Content content0 = new Content();
      // Undeclared exception!
      try {
        content0.setMode((String) null);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Invalid mode [null]
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.feed.atom.Content.setSrc(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      Content content0 = new Content();
      content0.setSrc("");
      assertEquals("Content.value=null\nContent.src=\nContent.type=null\nContent.mode=null\n", content0.toString());
  }

  //Test case number: 4
  /*
   * 5 covered goals:
   * 1 com.sun.syndication.feed.atom.Content.clone()Ljava/lang/Object;: root-Branch
   * 2 com.sun.syndication.feed.atom.Content.getType()Ljava/lang/String;: root-Branch
   * 3 com.sun.syndication.feed.atom.Content.getValue()Ljava/lang/String;: root-Branch
   * 4 com.sun.syndication.feed.atom.Content.getMode()Ljava/lang/String;: root-Branch
   * 5 com.sun.syndication.feed.atom.Content.getSrc()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Content content0 = new Content();
      Content content1 = (Content)content0.clone();
      assertEquals("Content.value=null\nContent.src=null\nContent.type=null\nContent.mode=null\n", content0.toString());
      assertNotNull(content1);
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.feed.atom.Content.equals(Ljava/lang/Object;)Z: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Content content0 = new Content();
      boolean boolean0 = content0.equals((Object) "");
      assertEquals(false, boolean0);
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.feed.atom.Content.setValue(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test6()  throws Throwable  {
      Content content0 = new Content();
      content0.setValue((String) null);
      assertEquals("Content.value=null\nContent.src=null\nContent.type=null\nContent.mode=null\n", content0.toString());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.feed.atom.Content.setType(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Content content0 = new Content();
      content0.setType("bOI,3b2?j9R");
      assertEquals("Content.value=null\nContent.src=null\nContent.type=bOI,3b2?j9R\nContent.mode=null\n", content0.toString());
  }

  //Test case number: 8
  /*
   * 7 covered goals:
   * 1 com.sun.syndication.feed.atom.Content.toString()Ljava/lang/String;: root-Branch
   * 2 com.sun.syndication.feed.atom.Content.getType()Ljava/lang/String;: root-Branch
   * 3 com.sun.syndication.feed.atom.Content.getValue()Ljava/lang/String;: root-Branch
   * 4 com.sun.syndication.feed.atom.Content.getMode()Ljava/lang/String;: root-Branch
   * 5 com.sun.syndication.feed.atom.Content.<init>()V: root-Branch
   * 6 com.sun.syndication.feed.atom.Content.hashCode()I: root-Branch
   * 7 com.sun.syndication.feed.atom.Content.getSrc()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test8()  throws Throwable  {
      Content content0 = new Content();
      int int0 = content0.hashCode();
      assertEquals((-1874924666), int0);
  }
}
