/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io.impl;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.io.FeedException;
import com.sun.syndication.io.impl.RSS090Generator;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import org.jdom.Content;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.Namespace;
import org.junit.After;
import org.junit.Before;

public class RSS090GeneratorEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 4 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkItemsConstraints(Lorg/jdom/Element;)V: I13 Branch 22 IF_ICMPLT L261 - true
   * 2 com.sun.syndication.io.impl.RSS090Generator.<init>()V: root-Branch
   * 3 com.sun.syndication.io.impl.RSS090Generator.<init>(Ljava/lang/String;)V: root-Branch
   * 4 com.sun.syndication.io.impl.RSS090Generator.getFeedNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test00()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      Element element0 = new Element("textInput", "textInput");
      try {
        rSS090Generator0.checkItemsConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid rss_0.9 feed, item count is 0 it must be between 1 an 15
         //
      }
  }

  //Test case number: 1
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I55 Branch 8 IF_ICMPLE L140 - true
   * 2 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 5 IFNULL L136 - false
   * 3 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I15 Branch 6 IFLE L137 - true
   */

  @Test
  public void test01()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("title");
      Element element0 = new Element("title", "title");
      Namespace namespace0 = rSS090Generator0.getFeedNamespace();
      Element element1 = new Element("title", namespace0);
      Element element2 = element0.setContent((Content) element1);
      rSS090Generator0.checkLength(element0, "title", (-1), (-1));
      assertEquals(false, element0.isRootElement());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I15 Branch 6 IFLE L137 - false
   * 2 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I20 Branch 7 IF_ICMPGE L137 - false
   */

  @Test
  public void test02()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("i");
      Element element0 = new Element("i", "i");
      Namespace namespace0 = rSS090Generator0.getFeedNamespace();
      Element element1 = new Element("i", namespace0);
      Element element2 = element0.setContent((Content) element1);
      try {
        rSS090Generator0.checkLength(element0, "i", 2, 2);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid i feed, i ishort of 2 length
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 5 IFNULL L136 - true
   */

  @Test
  public void test03()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("%.rkF8=nA\"co`s");
      Element element0 = new Element("mj", "mj");
      rSS090Generator0.checkLength(element0, "mj", (-8), (-8));
      assertEquals("", element0.getTextTrim());
  }

  //Test case number: 4
  /*
   * 7 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkNotNullAndLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 4 IFNONNULL L127 - true
   * 2 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 5 IFNULL L136 - false
   * 3 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I15 Branch 6 IFLE L137 - true
   * 4 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I55 Branch 8 IF_ICMPLE L140 - false
   * 5 com.sun.syndication.io.impl.RSS090Generator.checkLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I60 Branch 9 IF_ICMPLE L140 - true
   * 6 com.sun.syndication.io.impl.RSS090Generator.checkChannelConstraints(Lorg/jdom/Element;)V: root-Branch
   * 7 com.sun.syndication.io.impl.RSS090Generator.checkNotNullAndLength(Lorg/jdom/Element;Ljava/lang/String;II)V: I11 Branch 4 IFNONNULL L127 - false
   */

  @Test
  public void test04()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("title");
      Element element0 = new Element("title", "title");
      Namespace namespace0 = rSS090Generator0.getFeedNamespace();
      Element element1 = new Element("title", namespace0);
      Element element2 = element0.setContent((Content) element1);
      try {
        rSS090Generator0.checkChannelConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid title feed, missing title description
         //
      }
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.getContentNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test05()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("%.rkF8=nA\"co`s");
      Namespace namespace0 = rSS090Generator0.getContentNamespace();
      assertEquals("content", namespace0.getPrefix());
  }

  //Test case number: 6
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkTextInputConstraints(Lorg/jdom/Element;)V: root-Branch
   */

  @Test
  public void test06()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      // Undeclared exception!
      try {
        rSS090Generator0.checkTextInputConstraints((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.getRDFNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test07()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("i");
      Namespace namespace0 = rSS090Generator0.getRDFNamespace();
      assertEquals("http://www.w3.org/1999/02/22-rdf-syntax-ns#", namespace0.getURI());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.getTextInputLabel()Ljava/lang/String;: root-Branch
   */

  @Test
  public void test08()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      String string0 = rSS090Generator0.getTextInputLabel();
      assertEquals("textInput", string0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.generateSimpleElement(Ljava/lang/String;Ljava/lang/String;)Lorg/jdom/Element;: root-Branch
   */

  @Test
  public void test09()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("%.rkF8=nA\"co`s");
      Element element0 = rSS090Generator0.generateSimpleElement("mj", "mj");
      assertEquals("mj", element0.getTextTrim());
      assertEquals("[Element: <mj [Namespace: http://my.netscape.com/rdf/simple/0.9/]/>]", element0.toString());
  }

  //Test case number: 10
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.createDocument(Lorg/jdom/Element;)Lorg/jdom/Document;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator("i");
      Element element0 = new Element("i", "i");
      Document document0 = rSS090Generator0.createDocument(element0);
      assertEquals(true, document0.hasRootElement());
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkImageConstraints(Lorg/jdom/Element;)V: root-Branch
   */

  @Test
  public void test11()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator((String) null);
      // Undeclared exception!
      try {
        rSS090Generator0.checkImageConstraints((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 12
  /*
   * 4 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Generator.checkItemConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Generator.<init>()V: root-Branch
   * 3 com.sun.syndication.io.impl.RSS090Generator.<init>(Ljava/lang/String;)V: root-Branch
   * 4 com.sun.syndication.io.impl.RSS090Generator.getFeedNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test12()  throws Throwable  {
      RSS090Generator rSS090Generator0 = new RSS090Generator();
      // Undeclared exception!
      try {
        rSS090Generator0.checkItemConstraints((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
