/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io.impl;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.feed.WireFeed;
import com.sun.syndication.feed.rss.Image;
import com.sun.syndication.feed.rss.Item;
import com.sun.syndication.feed.rss.TextInput;
import com.sun.syndication.io.impl.RSS090Parser;
import java.io.PrintStream;
import java.util.List;
import javax.swing.DebugGraphics;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.Namespace;
import org.junit.After;
import org.junit.Before;

public class RSS090ParserEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 7 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Parser.parseItem(Lorg/jdom/Element;Lorg/jdom/Element;)Lcom/sun/syndication/feed/rss/Item;: I17 Branch 19 IFNULL L281 - true
   * 2 com.sun.syndication.io.impl.RSS090Parser.parseItem(Lorg/jdom/Element;Lorg/jdom/Element;)Lcom/sun/syndication/feed/rss/Item;: I35 Branch 20 IFNULL L285 - true
   * 3 com.sun.syndication.io.impl.RSS090Parser.parseItem(Lorg/jdom/Element;Lorg/jdom/Element;)Lcom/sun/syndication/feed/rss/Item;: I73 Branch 21 IFEQ L298 - true
   * 4 com.sun.syndication.io.impl.RSS090Parser.parseItem(Lorg/jdom/Element;Lorg/jdom/Element;)Lcom/sun/syndication/feed/rss/Item;: I104 Branch 24 IFLE L304 - true
   * 5 com.sun.syndication.io.impl.RSS090Parser.<init>()V: root-Branch
   * 6 com.sun.syndication.io.impl.RSS090Parser.getRSSNamespace()Lorg/jdom/Namespace;: root-Branch
   * 7 com.sun.syndication.io.impl.RSS090Parser.<init>(Ljava/lang/String;Lorg/jdom/Namespace;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Element element0 = new Element("R", "R", "R");
      RSS090Parser rSS090Parser0 = new RSS090Parser();
      Item item0 = rSS090Parser0.parseItem(element0, element0);
      assertEquals("Item.pubDate=null\nItem.expirationDate=null\nItem.link=null\nItem.foreignMarkup=[]\nItem.uri=null\nItem.enclosures=[]\nItem.content=null\nItem.guid=null\nItem.author=null\nItem.title=null\nItem.source=null\nItem.description=null\nItem.categories=[]\nItem.modules=[]\nItem.comments=null\n", item0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Parser.parse(Lorg/jdom/Document;Z)Lcom/sun/syndication/feed/WireFeed;: I3 Branch 7 IFEQ L78 - true
   */

  @Test
  public void test1()  throws Throwable  {
      RSS090Parser rSS090Parser0 = new RSS090Parser();
      // Undeclared exception!
      try {
        WireFeed wireFeed0 = rSS090Parser0.parse((Document) null, false);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS090Parser.getContentNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      RSS090Parser rSS090Parser0 = new RSS090Parser();
      Namespace namespace0 = rSS090Parser0.getContentNamespace();
      assertEquals("http://purl.org/rss/1.0/modules/content/", namespace0.getURI());
  }

  //Test case number: 3
  /*
   * 6 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Parser.getRDFNamespace()Lorg/jdom/Namespace;: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Parser.isMyType(Lorg/jdom/Document;)Z: I22 Branch 1 IFNULL L62 - false
   * 3 com.sun.syndication.io.impl.RSS090Parser.isMyType(Lorg/jdom/Document;)Z: I27 Branch 2 IFEQ L62 - true
   * 4 com.sun.syndication.io.impl.RSS090Parser.isMyType(Lorg/jdom/Document;)Z: I37 Branch 3 IFEQ L63 - true
   * 5 com.sun.syndication.io.impl.RSS090Parser.getItems(Lorg/jdom/Element;)Ljava/util/List;: root-Branch
   * 6 com.sun.syndication.io.impl.RSS090Parser.parseItems(Lorg/jdom/Element;)Ljava/util/List;: I20 Branch 18 IFEQ L261 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Element element0 = new Element("R", "R", "R");
      RSS090Parser rSS090Parser0 = new RSS090Parser();
      List<?> list0 = rSS090Parser0.parseItems(element0);
      Document document0 = new Document(list0);
      Document document1 = document0.setRootElement(element0);
      boolean boolean0 = rSS090Parser0.isMyType(document1);
      assertEquals(false, boolean0);
  }

  //Test case number: 4
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Parser.getTextInput(Lorg/jdom/Element;)Lorg/jdom/Element;: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Parser.parseTextInput(Lorg/jdom/Element;)Lcom/sun/syndication/feed/rss/TextInput;: I13 Branch 25 IFNULL L323 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Element element0 = new Element("R", "R", "R");
      RSS090Parser rSS090Parser0 = new RSS090Parser();
      TextInput textInput0 = rSS090Parser0.parseTextInput(element0);
      assertNull(textInput0);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Parser.getImage(Lorg/jdom/Element;)Lorg/jdom/Element;: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Parser.parseImage(Lorg/jdom/Element;)Lcom/sun/syndication/feed/rss/Image;: I13 Branch 14 IFNULL L228 - true
   * 3 com.sun.syndication.io.impl.RSS090Parser.<init>()V: root-Branch
   * 4 com.sun.syndication.io.impl.RSS090Parser.getRSSNamespace()Lorg/jdom/Namespace;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      Element element0 = new Element("R", "R", "R");
      RSS090Parser rSS090Parser0 = new RSS090Parser();
      Image image0 = rSS090Parser0.parseImage(element0);
      assertNull(image0);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.impl.RSS090Parser.validateFeed(Lorg/jdom/Document;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS090Parser.<init>(Ljava/lang/String;Lorg/jdom/Namespace;)V: root-Branch
   * 3 com.sun.syndication.io.impl.RSS090Parser.parse(Lorg/jdom/Document;Z)Lcom/sun/syndication/feed/WireFeed;: I3 Branch 7 IFEQ L78 - false
   */

  @Test
  public void test6()  throws Throwable  {
      Namespace namespace0 = Namespace.XML_NAMESPACE;
      RSS090Parser rSS090Parser0 = new RSS090Parser("B/Iu,-D", namespace0);
      // Undeclared exception!
      try {
        WireFeed wireFeed0 = rSS090Parser0.parse((Document) null, true);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
