/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.feed.WireFeed;
import com.sun.syndication.io.ParsingFeedException;
import com.sun.syndication.io.WireFeedInput;
import java.io.ByteArrayInputStream;
import java.io.FileDescriptor;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.io.Reader;
import java.util.List;
import javax.swing.DebugGraphics;
import org.jdom.DocType;
import org.jdom.Document;
import org.jdom.Element;
import org.junit.After;
import org.junit.Before;
import org.xml.sax.InputSource;

public class WireFeedInputEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 5 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.build(Lorg/jdom/Document;)Lcom/sun/syndication/feed/WireFeed;: I9 Branch 7 IFNONNULL L274 - false
   * 2 com.sun.syndication.io.WireFeedInput.<init>()V: root-Branch
   * 3 com.sun.syndication.io.WireFeedInput.<init>(Z)V: root-Branch
   * 4 com.sun.syndication.io.WireFeedInput.getFeedParsers()Lcom/sun/syndication/io/impl/FeedParsers;: I3 Branch 3 IFNONNULL L60 - true
   * 5 com.sun.syndication.io.WireFeedInput.getFeedParsers()Lcom/sun/syndication/io/impl/FeedParsers;: I26 Branch 4 IFNONNULL L63 - true
   */

  @Test
  public void test0()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput();
      Element element0 = new Element("e");
      Document document0 = new Document(element0, (DocType) null, "e");
      try {
        WireFeed wireFeed0 = wireFeedInput0.build(document0);
        fail("Expecting exception: IllegalArgumentException");
      
      } catch(IllegalArgumentException e) {
         //
         // Invalid document
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.build(Ljava/io/Reader;)Lcom/sun/syndication/feed/WireFeed;: I9 Branch 6 IFEQ L191 - false
   * 2 com.sun.syndication.io.WireFeedInput.createSAXBuilder()Lcom/sun/syndication/io/SAXBuilder;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput(false);
      try {
        WireFeed wireFeed0 = wireFeedInput0.build((Reader) null);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML
         //
      }
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.build(Ljava/io/Reader;)Lcom/sun/syndication/feed/WireFeed;: I9 Branch 6 IFEQ L191 - true
   * 2 com.sun.syndication.io.WireFeedInput.setXmlHealerOn(Z)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput();
      FileDescriptor fileDescriptor0 = FileDescriptor.err;
      wireFeedInput0.setXmlHealerOn(false);
      FileInputStream fileInputStream0 = new FileInputStream(fileDescriptor0);
      InputStreamReader inputStreamReader0 = new InputStreamReader((InputStream) fileInputStream0);
      try {
        WireFeed wireFeed0 = wireFeedInput0.build((Reader) inputStreamReader0);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.getSupportedFeedTypes()Ljava/util/List;: root-Branch
   * 2 com.sun.syndication.io.WireFeedInput.getFeedParsers()Lcom/sun/syndication/io/impl/FeedParsers;: I3 Branch 3 IFNONNULL L60 - true
   * 3 com.sun.syndication.io.WireFeedInput.getFeedParsers()Lcom/sun/syndication/io/impl/FeedParsers;: I26 Branch 4 IFNONNULL L63 - true
   */

  @Test
  public void test3()  throws Throwable  {
      List<?> list0 = WireFeedInput.getSupportedFeedTypes();
      assertEquals(false, list0.isEmpty());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.WireFeedInput.getXmlHealerOn()Z: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput();
      boolean boolean0 = wireFeedInput0.getXmlHealerOn();
      assertEquals(true, boolean0);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 com.sun.syndication.io.WireFeedInput.build(Lorg/xml/sax/InputSource;)Lcom/sun/syndication/feed/WireFeed;: root-Branch
   * 2 com.sun.syndication.io.WireFeedInput.<init>()V: root-Branch
   * 3 com.sun.syndication.io.WireFeedInput.createSAXBuilder()Lcom/sun/syndication/io/SAXBuilder;: root-Branch
   * 4 com.sun.syndication.io.WireFeedInput.<init>(Z)V: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      WireFeedInput wireFeedInput0 = new WireFeedInput();
      byte[] byteArray0 = new byte[8];
      ByteArrayInputStream byteArrayInputStream0 = new ByteArrayInputStream(byteArray0);
      InputSource inputSource0 = new InputSource((InputStream) byteArrayInputStream0);
      try {
        WireFeed wireFeed0 = wireFeedInput0.build(inputSource0);
        fail("Expecting exception: ParsingFeedException");
      
      } catch(ParsingFeedException e) {
         //
         // Invalid XML: Error on line 1: Content is not allowed in prolog.
         //
      }
  }
}
