/*
 * This file was automatically generated by EvoSuite
 */

package com.sun.syndication.io.impl;

import static org.junit.Assert.*;
import org.junit.Test;
import com.sun.syndication.io.FeedException;
import com.sun.syndication.io.impl.RSS10Generator;
import java.io.PrintStream;
import javax.swing.DebugGraphics;
import org.jdom.Element;
import org.junit.After;
import org.junit.Before;

public class RSS10GeneratorEvoSuiteTest {

  private PrintStream systemOut = null;
  private PrintStream systemErr = null;
  private PrintStream logStream = null;
  @Before 
  public void initTestCase(){ 
    systemErr = java.lang.System.err; 
    systemOut = java.lang.System.out; 
    logStream = DebugGraphics.logStream(); 
  } 

  @After 
  public void doneWithTestCase(){ 
    java.lang.System.setErr(systemErr); 
    java.lang.System.setOut(systemOut); 
    DebugGraphics.setLogStream(logStream); 
  } 

  public void setSystemProperties() {
 
    /*No java.lang.System property to set*/
  }

  //Test case number: 0
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.impl.RSS10Generator.checkTextInputConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS10Generator.getFeedNamespace()Lorg/jdom/Namespace;: root-Branch
   * 3 com.sun.syndication.io.impl.RSS10Generator.<init>(Ljava/lang/String;)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      RSS10Generator rSS10Generator0 = new RSS10Generator("dscription");
      Element element0 = rSS10Generator0.generateSimpleElement("dscription", "dscription");
      try {
        rSS10Generator0.checkTextInputConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid dscription feed, missing dscription title
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.sun.syndication.io.impl.RSS10Generator.checkImageConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS10Generator.<init>()V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      RSS10Generator rSS10Generator0 = new RSS10Generator();
      Element element0 = new Element("rv1H0", "rv1H0", "rv1H0");
      try {
        rSS10Generator0.checkImageConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid rss_1.0 feed, missing rv1H0 title
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS10Generator.checkItemsConstraints(Lorg/jdom/Element;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      RSS10Generator rSS10Generator0 = new RSS10Generator();
      Element element0 = new Element("items", "items");
      rSS10Generator0.checkItemsConstraints(element0);
      assertEquals("items", element0.getName());
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.sun.syndication.io.impl.RSS10Generator.checkItemConstraints(Lorg/jdom/Element;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      RSS10Generator rSS10Generator0 = new RSS10Generator();
      // Undeclared exception!
      try {
        rSS10Generator0.checkItemConstraints((Element) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 com.sun.syndication.io.impl.RSS10Generator.checkChannelConstraints(Lorg/jdom/Element;)V: root-Branch
   * 2 com.sun.syndication.io.impl.RSS10Generator.getFeedNamespace()Lorg/jdom/Namespace;: root-Branch
   * 3 com.sun.syndication.io.impl.RSS10Generator.<init>()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      RSS10Generator rSS10Generator0 = new RSS10Generator();
      Element element0 = new Element("items", "items");
      try {
        rSS10Generator0.checkChannelConstraints(element0);
        fail("Expecting exception: FeedException");
      
      } catch(FeedException e) {
         //
         // Invalid rss_1.0 feed, missing items title
         //
      }
  }
}
