/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.animation.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.animation.parser.ASTInteger;
import com.kitfox.svg.animation.parser.ASTNumber;
import com.kitfox.svg.animation.parser.ASTSum;
import com.kitfox.svg.animation.parser.ASTTerm;
import com.kitfox.svg.animation.parser.AnimTimeParser;
import com.kitfox.svg.animation.parser.Node;
import java.io.FileDescriptor;
import java.io.FileInputStream;
import java.io.InputStream;
import org.junit.BeforeClass;

public class SimpleNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtClose()V: root-Branch
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ASTNumber aSTNumber0 = new ASTNumber(0);
      aSTNumber0.jjtClose();
      assertEquals("Expr", aSTNumber0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetChild(I)Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      ASTNumber aSTNumber0 = new ASTNumber(0);
      // Undeclared exception!
      try {
        aSTNumber0.jjtGetChild(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtSetParent(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(58);
      aSTInteger0.jjtSetParent((Node) aSTInteger0);
      assertEquals(0, aSTInteger0.jjtGetNumChildren());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtOpen()V: root-Branch
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(Lcom/kitfox/svg/animation/parser/AnimTimeParser;I)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      FileDescriptor fileDescriptor0 = new FileDescriptor();
      FileInputStream fileInputStream0 = new FileInputStream(fileDescriptor0);
      AnimTimeParser animTimeParser0 = new AnimTimeParser((InputStream) fileInputStream0);
      ASTTerm aSTTerm0 = new ASTTerm(animTimeParser0, 0);
      aSTTerm0.jjtOpen();
      assertEquals("Expr", aSTTerm0.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetParent()Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(58);
      Node node0 = aSTInteger0.jjtGetParent();
      assertNull(node0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 3 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(58);
      aSTInteger0.jjtAddChild((Node) aSTInteger0, 58);
      aSTInteger0.jjtAddChild((Node) aSTInteger0, 58);
      assertEquals(59, aSTInteger0.jjtGetNumChildren());
  }

  //Test case number: 6
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - false
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - true
   * 3 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - false
   * 4 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(58);
      aSTInteger0.jjtGetNumChildren();
      aSTInteger0.jjtAddChild((Node) aSTInteger0, 0);
      aSTInteger0.jjtGetNumChildren();
      aSTInteger0.jjtAddChild((Node) aSTInteger0, 1);
      assertEquals(2, aSTInteger0.jjtGetNumChildren());
  }

  //Test case number: 7
  /*
   * 11 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   * 3 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 4 com.kitfox.svg.animation.parser.SimpleNode.<init>(Lcom/kitfox/svg/animation/parser/AnimTimeParser;I)V: root-Branch
   * 5 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 6 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 7 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - true
   * 8 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - false
   * 9 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - true
   * 10 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - false
   * 11 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - false
   */

  @Test
  public void test7()  throws Throwable  {
      ASTSum aSTSum0 = new ASTSum(0);
      String string0 = aSTSum0.toString();
      assertNotNull(string0);
      
      FileDescriptor fileDescriptor0 = new FileDescriptor();
      FileInputStream fileInputStream0 = new FileInputStream(fileDescriptor0);
      AnimTimeParser animTimeParser0 = new AnimTimeParser((InputStream) fileInputStream0);
      ASTTerm aSTTerm0 = new ASTTerm(animTimeParser0, 0);
      ASTNumber aSTNumber0 = new ASTNumber(0);
      aSTNumber0.jjtAddChild((Node) aSTTerm0, 8);
      aSTNumber0.dump("Expr");
      assertEquals(9, aSTNumber0.jjtGetNumChildren());
      assertEquals("Expr", aSTNumber0.toString());
  }
}
