/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.xml;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.app.data.Handler;
import com.kitfox.svg.xml.NumberWithUnits;
import com.kitfox.svg.xml.ReadableXMLElement;
import com.kitfox.svg.xml.XMLParseUtil;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLStreamHandler;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedList;
import javax.imageio.metadata.IIOMetadataNode;
import org.junit.BeforeClass;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class XMLParseUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;)Ljava/util/HashMap;: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;Ljava/util/HashMap;)Ljava/util/HashMap;: I31 Branch 76 IF_ICMPGE L799 - true
   */

  @Test
  public void test0()  throws Throwable  {
      HashMap<?, ?> hashMap0 = XMLParseUtil.parseStyle(";");
      assertEquals(true, hashMap0.isEmpty());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribInt(Lorg/w3c/dom/Element;Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Uata");
      int int0 = XMLParseUtil.getAttribInt((Element) iIOMetadataNode0, "Uata");
      assertEquals(0, int0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribDouble(Lorg/w3c/dom/Element;Ljava/lang/String;)D: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Uata");
      double double0 = XMLParseUtil.getAttribDouble((Element) iIOMetadataNode0, "Uata");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getAttribIntHex(Lorg/w3c/dom/Element;Ljava/lang/String;)I: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Cbase64,");
      int int0 = XMLParseUtil.getAttribIntHex((Element) iIOMetadataNode0, "Cbase64,");
      assertEquals(0, int0);
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseFloat(Ljava/lang/String;)F: root-Branch
   * 2 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I16 Branch 21 IFNE L247 - false
   */

  @Test
  public void test4()  throws Throwable  {
      float float0 = XMLParseUtil.parseFloat("in");
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 5
  /*
   * 4 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I33 Branch 2 IFEQ L64 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - true
   */

  @Test
  public void test5()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Cbase64,");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      String string0 = XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      assertNull(string0);
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I45 Branch 4 IFNONNULL L66 - false
   */

  @Test
  public void test6()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.removeChild((Node) iIOMetadataNode0);
      String string0 = XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      assertNull(string0);
  }

  //Test case number: 7
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I28 Branch 6 IFNE L82 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I41 Branch 7 IFLE L84 - false
   */

  @Test
  public void test7()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("base64,");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      IIOMetadataNode iIOMetadataNode1 = (IIOMetadataNode)XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "base64,");
      assertEquals(false, iIOMetadataNode1.hasAttributes());
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStringList(Ljava/lang/String;)[Ljava/lang/String;: I23 Branch 8 IFEQ L97 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseStringList(Ljava/lang/String;)[Ljava/lang/String;: I23 Branch 8 IFEQ L97 - false
   */

  @Test
  public void test8()  throws Throwable  {
      String[] stringArray0 = XMLParseUtil.parseStringList("s*[s](.*[^])?)s*");
      assertNotNull(stringArray0);
  }

  //Test case number: 9
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseDouble(Ljava/lang/String;)D: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      double double0 = XMLParseUtil.parseDouble((String) null);
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I16 Branch 10 IFNE L138 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - true
   */

  @Test
  public void test10()  throws Throwable  {
      double double0 = XMLParseUtil.findDouble("MRpb1>,*uq.Jn~8\u0006'o");
      assertEquals(1.0, double0, 0.01D);
  }

  //Test case number: 11
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseDoubleList(Ljava/lang/String;)[D: I3 Branch 17 IFNONNULL L201 - false
   */

  @Test
  public void test11()  throws Throwable  {
      double[] doubleArray0 = XMLParseUtil.parseDoubleList((String) null);
      assertNull(doubleArray0);
  }

  //Test case number: 12
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - false
   */

  @Test
  public void test12()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Cbase64,");
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      float float0 = XMLParseUtil.findFloat((String) null);
      assertEquals(0.0F, float0, 0.01F);
  }

  //Test case number: 13
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I3 Branch 23 IFNONNULL L266 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I22 Branch 24 IFEQ L271 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I58 Branch 25 IFEQ L280 - true
   */

  @Test
  public void test13()  throws Throwable  {
      float[] floatArray0 = XMLParseUtil.parseFloatList("Uata");
      assertArrayEquals(new float[] {}, floatArray0);
  }

  //Test case number: 14
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseFloatList(Ljava/lang/String;)[F: I3 Branch 23 IFNONNULL L266 - false
   */

  @Test
  public void test14()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Zyd:K");
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      float[] floatArray0 = XMLParseUtil.parseFloatList((String) null);
      assertNull(floatArray0);
  }

  //Test case number: 15
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseInt(Ljava/lang/String;)I: I3 Branch 26 IFNONNULL L290 - false
   */

  @Test
  public void test15()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Zyd:K");
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      int int0 = XMLParseUtil.parseInt((String) null);
      assertEquals(0, int0);
  }

  //Test case number: 16
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I3 Branch 27 IFNONNULL L306 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I16 Branch 28 IFNE L309 - false
   */

  @Test
  public void test16()  throws Throwable  {
      int int0 = XMLParseUtil.findInt("");
      assertEquals(0, int0);
  }

  //Test case number: 17
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.findInt(Ljava/lang/String;)I: I3 Branch 27 IFNONNULL L306 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I22 Branch 1 IF_ICMPGE L61 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getTagText(Lorg/w3c/dom/Element;)Ljava/lang/String;: I43 Branch 3 IF_ICMPEQ L66 - true
   */

  @Test
  public void test17()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("base64,");
      XMLParseUtil.getTagText((Element) iIOMetadataNode0);
      int int0 = XMLParseUtil.findInt((String) null);
      assertEquals(0, int0);
  }

  //Test case number: 18
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I3 Branch 29 IFNONNULL L324 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I22 Branch 30 IFEQ L329 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I57 Branch 31 IFEQ L338 - true
   */

  @Test
  public void test18()  throws Throwable  {
      int[] intArray0 = XMLParseUtil.parseIntList("cm");
      assertArrayEquals(new int[] {}, intArray0);
  }

  //Test case number: 19
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseIntList(Ljava/lang/String;)[I: I3 Branch 29 IFNONNULL L324 - false
   */

  @Test
  public void test19()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      iIOMetadataNode0.getLocalName();
      int[] intArray0 = XMLParseUtil.parseIntList((String) null);
      assertNull(intArray0);
  }

  //Test case number: 20
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I3 Branch 32 IFNULL L379 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I7 Branch 33 IFLE L379 - false
   */

  @Test
  public void test20()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio("");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 21
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I7 Branch 33 IFLE L379 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I20 Branch 34 IF_ICMPNE L381 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I16 Branch 10 IFNE L138 - false
   */

  @Test
  public void test21()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio("s*[s](.*[^])?)s*");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 22
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I20 Branch 34 IF_ICMPNE L381 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseDouble(Ljava/lang/String;)D: root-Branch
   * 3 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I3 Branch 9 IFNONNULL L133 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.findDouble(Ljava/lang/String;)D: I16 Branch 10 IFNE L138 - false
   * 5 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I3 Branch 32 IFNULL L379 - false
   * 6 com.kitfox.svg.xml.XMLParseUtil.parseRatio(Ljava/lang/String;)D: I7 Branch 33 IFLE L379 - true
   */

  @Test
  public void test22()  throws Throwable  {
      double double0 = XMLParseUtil.parseRatio("%");
      assertEquals(0.0, double0, 0.01D);
  }

  //Test case number: 23
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseNumberWithUnits(Ljava/lang/String;)Lcom/kitfox/svg/xml/NumberWithUnits;: I3 Branch 35 IFNONNULL L390 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I3 Branch 20 IFNONNULL L244 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.findFloat(Ljava/lang/String;)F: I16 Branch 21 IFNE L247 - false
   */

  @Test
  public void test23()  throws Throwable  {
      NumberWithUnits numberWithUnits0 = XMLParseUtil.parseNumberWithUnits("Uata");
      assertNotNull(numberWithUnits0);
      assertEquals(0.0F, numberWithUnits0.getValue(), 0.01F);
  }

  //Test case number: 24
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseNumberWithUnits(Ljava/lang/String;)Lcom/kitfox/svg/xml/NumberWithUnits;: I3 Branch 35 IFNONNULL L390 - false
   */

  @Test
  public void test24()  throws Throwable  {
      NumberWithUnits numberWithUnits0 = XMLParseUtil.parseNumberWithUnits((String) null);
      assertNull(numberWithUnits0);
  }

  //Test case number: 25
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I3 Branch 36 IFNONNULL L521 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I9 Branch 37 IFNONNULL L524 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I20 Branch 38 IFNE L524 - false
   */

  @Test
  public void test25()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Cbase64,");
      Class<Float> class0 = Float.class;
      ReadableXMLElement readableXMLElement0 = XMLParseUtil.getElement((Class) class0, (Element) iIOMetadataNode0, "Cbase64,", (URL) null);
      assertNull(readableXMLElement0);
  }

  //Test case number: 26
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElement(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Lcom/kitfox/svg/xml/ReadableXMLElement;: I3 Branch 36 IFNONNULL L521 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.parseInt(Ljava/lang/String;)I: I3 Branch 26 IFNONNULL L290 - true
   */

  @Test
  public void test26()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("'J\u0001/Z/?&uK/-b8\"y");
      XMLParseUtil.parseInt("'J\u0001/Z/?&uK/-b8\"y");
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "'J\u0001/Z/?&uK/-b8\"y");
      Class<Float> class0 = Float.class;
      Handler handler0 = new Handler();
      URL uRL0 = new URL("'J\u0001/Z/?&uK/-b8\"y", "'J\u0001/Z/?&uK/-b8\"y", 0, "'J\u0001/Z/?&uK/-b8\"y", (URLStreamHandler) handler0);
      ReadableXMLElement readableXMLElement0 = XMLParseUtil.getElement((Class) class0, (Element) null, "'J\u0001/Z/?&uK/-b8\"y", uRL0);
      assertNull(readableXMLElement0);
  }

  //Test case number: 27
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I3 Branch 43 IFNONNULL L559 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I9 Branch 44 IFNONNULL L562 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I20 Branch 45 IFNE L562 - false
   */

  @Test
  public void test27()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      Class<String> class0 = String.class;
      HashMap<?, ?> hashMap0 = XMLParseUtil.getElementHashMap((Class) class0, (Element) iIOMetadataNode0, "cm", "cm", (URL) null);
      assertNull(hashMap0);
  }

  //Test case number: 28
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashMap(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashMap;: I3 Branch 43 IFNONNULL L559 - false
   */

  @Test
  public void test28()  throws Throwable  {
      Class<Integer> class0 = Integer.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode();
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "'");
      HashMap<?, ?> hashMap0 = XMLParseUtil.getElementHashMap((Class) class0, (Element) null, "'", "'", (URL) null);
      assertNull(hashMap0);
  }

  //Test case number: 29
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I3 Branch 50 IFNONNULL L607 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I9 Branch 51 IFNONNULL L610 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I20 Branch 52 IFNE L610 - false
   */

  @Test
  public void test29()  throws Throwable  {
      Class<Float> class0 = Float.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("in");
      HashSet<?> hashSet0 = XMLParseUtil.getElementHashSet((Class) class0, (Element) iIOMetadataNode0, "in", (URL) null);
      assertNull(hashSet0);
  }

  //Test case number: 30
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementHashSet(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/HashSet;: I3 Branch 50 IFNONNULL L607 - false
   */

  @Test
  public void test30()  throws Throwable  {
      Class<Integer> class0 = Integer.class;
      Handler handler0 = new Handler();
      URL uRL0 = new URL("j3QSXx4J0KNf,H$~Y", "j3QSXx4J0KNf,H$~Y", 4, "j3QSXx4J0KNf,H$~Y", (URLStreamHandler) handler0);
      HashSet<?> hashSet0 = XMLParseUtil.getElementHashSet((Class) class0, (Element) null, "j3QSXx4J0KNf,H$~Y", uRL0);
      assertNull(hashSet0);
  }

  //Test case number: 31
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I3 Branch 57 IFNONNULL L655 - true
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I9 Branch 58 IFNONNULL L658 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I20 Branch 59 IFNE L658 - false
   */

  @Test
  public void test31()  throws Throwable  {
      Class<Float> class0 = Float.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("in");
      LinkedList<?> linkedList0 = XMLParseUtil.getElementLinkedList((Class) class0, (Element) iIOMetadataNode0, "in", (URL) null);
      assertNull(linkedList0);
  }

  //Test case number: 32
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementLinkedList(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)Ljava/util/LinkedList;: I3 Branch 57 IFNONNULL L655 - false
   */

  @Test
  public void test32()  throws Throwable  {
      Class<String> class0 = String.class;
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("Zyd:K");
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "Zyd:K");
      LinkedList<?> linkedList0 = XMLParseUtil.getElementLinkedList((Class) class0, (Element) null, "Zyd:K", (URL) null);
      assertNull(linkedList0);
  }

  //Test case number: 33
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArray(Ljava/lang/Class;Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/net/URL;)[Ljava/lang/Object;: I3 Branch 63 IFNONNULL L686 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseInt(Ljava/lang/String;)I: I3 Branch 26 IFNONNULL L290 - true
   */

  @Test
  public void test33()  throws Throwable  {
      XMLParseUtil.parseInt("s*[s](.*[^])?)s*");
      Class<Float> class0 = Float.class;
      Handler handler0 = new Handler();
      URL uRL0 = new URL("s*[s](.*[^])?)s*", "s*[s](.*[^])?)s*", 0, "s*[s](.*[^])?)s*", (URLStreamHandler) handler0);
      Object[] objectArray0 = XMLParseUtil.getElementArray((Class) class0, (Element) null, "s*[s](.*[^])?)s*", uRL0);
      assertNull(objectArray0);
  }

  //Test case number: 34
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - false
   */

  @Test
  public void test34()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("ba8e64,");
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "ba8e64,");
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) null, "ba8e64,", "ba8e64,");
      assertNull(intArray0);
  }

  //Test case number: 35
  /*
   * 9 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I40 Branch 68 IFNE L716 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I53 Branch 69 IFGT L718 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - false
   * 4 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I41 Branch 7 IFLE L84 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - true
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - true
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - false
   * 8 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I40 Branch 68 IFNE L716 - true
   * 9 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - true
   */

  @Test
  public void test35()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("base64,");
      IIOMetadataNode iIOMetadataNode1 = (IIOMetadataNode)iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      IIOMetadataNode iIOMetadataNode2 = (IIOMetadataNode)XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "}b,");
      assertNull(iIOMetadataNode2);
      
      iIOMetadataNode0.insertBefore((Node) iIOMetadataNode1, (Node) null);
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) iIOMetadataNode0, "base64,", "}b,");
      assertNotNull(intArray0);
      assertArrayEquals(new int[] {0}, intArray0);
  }

  //Test case number: 36
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I53 Branch 69 IFGT L718 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getAttribString(Lorg/w3c/dom/Element;Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I3 Branch 66 IFNONNULL L707 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I29 Branch 67 IF_ICMPGE L713 - false
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I40 Branch 68 IFNE L716 - true
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayInt(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[I: I106 Branch 70 IFEQ L731 - true
   */

  @Test
  public void test36()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("base64,");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      String string0 = XMLParseUtil.getAttribString((Element) iIOMetadataNode0, "base64,");
      assertNotNull(string0);
      
      int[] intArray0 = XMLParseUtil.getElementArrayInt((Element) iIOMetadataNode0, "}b,", "");
      assertArrayEquals(new int[] {}, intArray0);
      assertNotNull(intArray0);
  }

  //Test case number: 37
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I3 Branch 71 IFNONNULL L746 - false
   */

  @Test
  public void test37()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("'J\u0001/Z/?&uK/-b8\"y");
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "'J\u0001/Z/?&uK/-b8\"y");
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) null, "'J\u0001/Z/?&uK/-b8\"y", "'J\u0001/Z/?&uK/-b8\"y");
      assertNull(stringArray0);
  }

  //Test case number: 38
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I40 Branch 73 IFNE L755 - true
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I53 Branch 74 IFGT L757 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I89 Branch 75 IFEQ L767 - false
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I3 Branch 71 IFNONNULL L746 - true
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - true
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I89 Branch 75 IFEQ L767 - true
   */

  @Test
  public void test38()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("base64,");
      iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) iIOMetadataNode0, "base64,", "base64,");
      assertNotNull(stringArray0);
  }

  //Test case number: 39
  /*
   * 11 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I40 Branch 73 IFNE L755 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I53 Branch 74 IFGT L757 - false
   * 3 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I3 Branch 71 IFNONNULL L746 - true
   * 4 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - true
   * 5 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I29 Branch 72 IF_ICMPGE L752 - false
   * 6 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I40 Branch 73 IFNE L755 - true
   * 7 com.kitfox.svg.xml.XMLParseUtil.getElementArrayString(Lorg/w3c/dom/Element;Ljava/lang/String;Ljava/lang/String;)[Ljava/lang/String;: I89 Branch 75 IFEQ L767 - true
   * 8 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - true
   * 9 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I17 Branch 5 IF_ICMPGE L79 - false
   * 10 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I28 Branch 6 IFNE L82 - true
   * 11 com.kitfox.svg.xml.XMLParseUtil.getFirstChild(Lorg/w3c/dom/Element;Ljava/lang/String;)Lorg/w3c/dom/Element;: I41 Branch 7 IFLE L84 - true
   */

  @Test
  public void test39()  throws Throwable  {
      IIOMetadataNode iIOMetadataNode0 = new IIOMetadataNode("base64,");
      IIOMetadataNode iIOMetadataNode1 = (IIOMetadataNode)iIOMetadataNode0.appendChild((Node) iIOMetadataNode0);
      XMLParseUtil.getFirstChild((Element) iIOMetadataNode0, "}b,");
      iIOMetadataNode0.insertBefore((Node) iIOMetadataNode1, (Node) null);
      String[] stringArray0 = XMLParseUtil.getElementArrayString((Element) iIOMetadataNode0, "}b,", "}b,");
      assertNotNull(stringArray0);
  }

  //Test case number: 40
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;Ljava/util/HashMap;)Ljava/util/HashMap;: I31 Branch 76 IF_ICMPGE L799 - false
   * 2 com.kitfox.svg.xml.XMLParseUtil.parseStyle(Ljava/lang/String;)Ljava/util/HashMap;: root-Branch
   */

  @Test
  public void test40()  throws Throwable  {
      // Undeclared exception!
      try {
        XMLParseUtil.parseStyle("}Fj|W|zz`d8n.oBPc/");
        fail("Expecting exception: IllegalStateException");
      
      } catch(IllegalStateException e) {
         //
         // No match found
         //
      }
  }
}
