/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.Path;
import com.kitfox.svg.Polygon;
import com.kitfox.svg.SVGDiagram;
import com.kitfox.svg.SVGException;
import com.kitfox.svg.SVGLoaderHelper;
import com.kitfox.svg.SVGParseException;
import com.kitfox.svg.SVGUniverse;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.io.File;
import java.net.URI;
import java.util.Vector;
import javax.swing.JComboBox;
import javax.swing.table.DefaultTableModel;
import org.junit.BeforeClass;

public class PathEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Path.render(Ljava/awt/Graphics2D;)V: root-Branch
   * 2 com.kitfox.svg.Path.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Path path0 = new Path();
      // Undeclared exception!
      try {
        path0.render((Graphics2D) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.Path.getShape()Ljava/awt/Shape;: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      Path path0 = new Path();
      Shape shape0 = path0.getShape();
      assertNull(shape0);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.Path.getBoundingBox()Ljava/awt/geom/Rectangle2D;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      Path path0 = new Path();
      Vector<DefaultTableModel> vector0 = new Vector<DefaultTableModel>();
      JComboBox jComboBox0 = new JComboBox(vector0);
      Rectangle rectangle0 = jComboBox0.getVisibleRect();
      Polygon polygon0 = new Polygon();
      AffineTransform affineTransform0 = polygon0.cachedXform;
      // Undeclared exception!
      try {
        path0.pick(rectangle0, (AffineTransform) null, true, vector0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.Path.build()V: I17 Branch 1 IFEQ L78 - true
   * 2 com.kitfox.svg.Path.build()V: I31 Branch 2 IFLE L79 - true
   * 3 com.kitfox.svg.Path.build()V: I45 Branch 3 IFEQ L82 - true
   */

  @Test
  public void test3()  throws Throwable  {
      Path path0 = new Path();
      File file0 = new File("xMdY F|)0_4#%");
      URI uRI0 = file0.toURI();
      SVGUniverse sVGUniverse0 = new SVGUniverse();
      sVGUniverse0.getDiagram(uRI0, true);
      SVGLoaderHelper sVGLoaderHelper0 = new SVGLoaderHelper(uRI0, sVGUniverse0, (SVGDiagram) null);
      path0.loaderEndElement(sVGLoaderHelper0);
      assertNull(path0.getId());
  }

  //Test case number: 4
  /*
   * 6 covered goals:
   * 1 com.kitfox.svg.Path.updateTime(D)Z: I23 Branch 4 IFEQ L123 - true
   * 2 com.kitfox.svg.Path.updateTime(D)Z: I59 Branch 7 IFEQ L135 - true
   * 3 com.kitfox.svg.Path.updateTime(D)Z: I84 Branch 9 IFEQ L145 - true
   * 4 com.kitfox.svg.Path.updateTime(D)Z: I92 Branch 10 IFNE L152 - false
   * 5 com.kitfox.svg.Path.updateTime(D)Z: I94 Branch 11 IFEQ L152 - true
   * 6 com.kitfox.svg.Path.<init>()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      Path path0 = new Path();
      boolean boolean0 = path0.updateTime((-1681.8013480646343));
      assertEquals(false, boolean0);
  }
}
