/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.animation.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.animation.parser.ASTExpr;
import com.kitfox.svg.animation.parser.ASTInteger;
import com.kitfox.svg.animation.parser.ASTNumber;
import com.kitfox.svg.animation.parser.ASTSum;
import com.kitfox.svg.animation.parser.AnimTimeParser;
import com.kitfox.svg.animation.parser.Node;
import java.io.Reader;
import org.junit.BeforeClass;

public class SimpleNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtClose()V: root-Branch
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(0);
      aSTInteger0.jjtClose();
      assertEquals("Expr", aSTInteger0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.<init>(Lcom/kitfox/svg/animation/parser/AnimTimeParser;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      AnimTimeParser animTimeParser0 = new AnimTimeParser((Reader) null);
      ASTExpr aSTExpr0 = new ASTExpr(animTimeParser0, 1428);
      assertEquals(0, aSTExpr0.jjtGetNumChildren());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetChild(I)Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger((-1));
      // Undeclared exception!
      try {
        aSTInteger0.jjtGetChild((-1));
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtSetParent(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(0);
      aSTInteger0.jjtSetParent((Node) aSTInteger0);
      assertEquals("Expr", aSTInteger0.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtOpen()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ASTSum aSTSum0 = new ASTSum(0);
      aSTSum0.jjtOpen();
      assertEquals("Expr", aSTSum0.toString());
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 3 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - true
   */

  @Test
  public void test5()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(0);
      ASTSum aSTSum0 = new ASTSum(0);
      aSTInteger0.jjtAddChild((Node) aSTSum0, 0);
      aSTInteger0.jjtAddChild((Node) aSTSum0, 0);
      assertEquals(1, aSTInteger0.jjtGetNumChildren());
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - false
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(0);
      ASTSum aSTSum0 = new ASTSum(0);
      aSTInteger0.jjtAddChild((Node) aSTInteger0, 0);
      aSTInteger0.jjtAddChild((Node) aSTSum0, 1);
      assertEquals(2, aSTInteger0.jjtGetNumChildren());
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - true
   */

  @Test
  public void test7()  throws Throwable  {
      ASTSum aSTSum0 = new ASTSum((int) (byte)109);
      aSTSum0.jjtAddChild((Node) aSTSum0, (int) (byte)109);
      int int0 = aSTSum0.jjtGetNumChildren();
      assertEquals(110, aSTSum0.jjtGetNumChildren());
      assertEquals(110, int0);
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - false
   */

  @Test
  public void test8()  throws Throwable  {
      ASTNumber aSTNumber0 = new ASTNumber(0);
      int int0 = aSTNumber0.jjtGetNumChildren();
      assertEquals("Expr", aSTNumber0.toString());
      assertEquals(0, int0);
  }

  //Test case number: 9
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - false
   * 2 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - true
   * 3 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - false
   * 4 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - false
   * 5 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - true
   * 6 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 7 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test9()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(0);
      ASTSum aSTSum0 = new ASTSum(0);
      aSTInteger0.jjtAddChild((Node) aSTSum0, 0);
      aSTInteger0.dump("Vc,B<&o)~~#/2YK");
      assertEquals(1, aSTInteger0.jjtGetNumChildren());
  }

  //Test case number: 10
  /*
   * 9 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   * 3 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 4 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 5 com.kitfox.svg.animation.parser.SimpleNode.jjtGetParent()Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   * 6 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 7 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - false
   * 8 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - true
   * 9 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - false
   */

  @Test
  public void test10()  throws Throwable  {
      ASTInteger aSTInteger0 = new ASTInteger(0);
      ASTSum aSTSum0 = new ASTSum(0);
      aSTSum0.jjtGetParent();
      aSTInteger0.jjtAddChild((Node) null, 0);
      aSTInteger0.dump("Vc,B<&o)~~#/2YK");
      assertEquals(1, aSTInteger0.jjtGetNumChildren());
  }
}
