/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.batik;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.batik.GraphicsUtil;
import java.awt.image.BandedSampleModel;
import java.awt.image.ColorModel;
import java.awt.image.ComponentSampleModel;
import java.awt.image.DirectColorModel;
import java.awt.image.IndexColorModel;
import java.awt.image.SampleModel;
import java.awt.image.SinglePixelPackedSampleModel;
import java.awt.image.WritableRaster;
import java.math.BigInteger;
import org.junit.BeforeClass;

public class GraphicsUtilEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.batik.GraphicsUtil.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      GraphicsUtil graphicsUtil0 = new GraphicsUtil();
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.batik.GraphicsUtil.coerceColorModel(Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I5 Branch 1 IF_ICMPNE L64 - true
   */

  @Test
  public void test1()  throws Throwable  {
      DirectColorModel directColorModel0 = (DirectColorModel)ColorModel.getRGBdefault();
      DirectColorModel directColorModel1 = (DirectColorModel)GraphicsUtil.coerceColorModel((ColorModel) directColorModel0, true);
      assertEquals(true, directColorModel1.isAlphaPremultiplied());
      assertNotNull(directColorModel1);
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.batik.GraphicsUtil.coerceColorModel(Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I5 Branch 1 IF_ICMPNE L64 - false
   */

  @Test
  public void test2()  throws Throwable  {
      DirectColorModel directColorModel0 = (DirectColorModel)ColorModel.getRGBdefault();
      DirectColorModel directColorModel1 = (DirectColorModel)GraphicsUtil.coerceColorModel((ColorModel) directColorModel0, false);
      assertEquals(3, directColorModel1.getNumColorComponents());
  }

  //Test case number: 3
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.batik.GraphicsUtil.coerceData(Ljava/awt/image/WritableRaster;Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I4 Branch 2 IFNE L88 - true
   * 2 com.kitfox.svg.batik.GraphicsUtil.coerceData(Ljava/awt/image/WritableRaster;Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I14 Branch 3 IF_ICMPNE L92 - false
   */

  @Test
  public void test3()  throws Throwable  {
      DirectColorModel directColorModel0 = (DirectColorModel)ColorModel.getRGBdefault();
      DirectColorModel directColorModel1 = (DirectColorModel)GraphicsUtil.coerceData((WritableRaster) null, (ColorModel) directColorModel0, false);
      assertEquals(4, directColorModel1.getNumComponents());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.batik.GraphicsUtil.coerceData(Ljava/awt/image/WritableRaster;Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I4 Branch 2 IFNE L88 - false
   */

  @Test
  public void test4()  throws Throwable  {
      int[] intArray0 = new int[1];
      byte[] byteArray0 = new byte[5];
      BigInteger bigInteger0 = new BigInteger(byteArray0);
      IndexColorModel indexColorModel0 = new IndexColorModel(1, 1, intArray0, 0, 0, bigInteger0);
      IndexColorModel indexColorModel1 = (IndexColorModel)GraphicsUtil.coerceData((WritableRaster) null, (ColorModel) indexColorModel0, true);
      assertSame(indexColorModel0, indexColorModel1);
  }

  //Test case number: 5
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.batik.GraphicsUtil.coerceData(Ljava/awt/image/WritableRaster;Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I14 Branch 3 IF_ICMPNE L92 - true
   * 2 com.kitfox.svg.batik.GraphicsUtil.coerceData(Ljava/awt/image/WritableRaster;Ljava/awt/image/ColorModel;Z)Ljava/awt/image/ColorModel;: I4 Branch 2 IFNE L88 - true
   */

  @Test
  public void test5()  throws Throwable  {
      DirectColorModel directColorModel0 = (DirectColorModel)ColorModel.getRGBdefault();
      // Undeclared exception!
      try {
        GraphicsUtil.coerceData((WritableRaster) null, (ColorModel) directColorModel0, true);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 6
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.batik.GraphicsUtil.is_INT_PACK_Data(Ljava/awt/image/SampleModel;Z)Z: I4 Branch 19 IFNE L168 - true
   * 2 com.kitfox.svg.batik.GraphicsUtil.is_INT_PACK_Data(Ljava/awt/image/SampleModel;Z)Z: I12 Branch 20 IF_ICMPEQ L171 - false
   */

  @Test
  public void test6()  throws Throwable  {
      int[] intArray0 = new int[5];
      SinglePixelPackedSampleModel singlePixelPackedSampleModel0 = new SinglePixelPackedSampleModel(1, 1, 1, intArray0);
      boolean boolean0 = GraphicsUtil.is_INT_PACK_Data((SampleModel) singlePixelPackedSampleModel0, false);
      assertEquals(false, boolean0);
  }

  //Test case number: 7
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.batik.GraphicsUtil.is_INT_PACK_Data(Ljava/awt/image/SampleModel;Z)Z: I4 Branch 19 IFNE L168 - false
   */

  @Test
  public void test7()  throws Throwable  {
      boolean boolean0 = GraphicsUtil.is_INT_PACK_Data((SampleModel) null, false);
      assertEquals(false, boolean0);
  }

  //Test case number: 8
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.batik.GraphicsUtil.is_BYTE_COMP_Data(Ljava/awt/image/SampleModel;)Z: I4 Branch 37 IFNE L277 - true
   * 2 com.kitfox.svg.batik.GraphicsUtil.is_BYTE_COMP_Data(Ljava/awt/image/SampleModel;)Z: I11 Branch 38 IFEQ L280 - true
   */

  @Test
  public void test8()  throws Throwable  {
      int[] intArray0 = new int[2];
      BandedSampleModel bandedSampleModel0 = new BandedSampleModel(0, 1840, 1840, 0, intArray0, intArray0);
      boolean boolean0 = GraphicsUtil.is_BYTE_COMP_Data((SampleModel) bandedSampleModel0);
      assertEquals(true, boolean0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.batik.GraphicsUtil.is_BYTE_COMP_Data(Ljava/awt/image/SampleModel;)Z: I4 Branch 37 IFNE L277 - false
   */

  @Test
  public void test9()  throws Throwable  {
      boolean boolean0 = GraphicsUtil.is_BYTE_COMP_Data((SampleModel) null);
      assertEquals(false, boolean0);
  }

  //Test case number: 10
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.batik.GraphicsUtil.is_BYTE_COMP_Data(Ljava/awt/image/SampleModel;)Z: I11 Branch 38 IFEQ L280 - false
   * 2 com.kitfox.svg.batik.GraphicsUtil.is_BYTE_COMP_Data(Ljava/awt/image/SampleModel;)Z: I4 Branch 37 IFNE L277 - true
   */

  @Test
  public void test10()  throws Throwable  {
      int[] intArray0 = new int[6];
      ComponentSampleModel componentSampleModel0 = new ComponentSampleModel(1, 1, 1, 1, 1, intArray0);
      boolean boolean0 = GraphicsUtil.is_BYTE_COMP_Data((SampleModel) componentSampleModel0);
      assertEquals(false, boolean0);
  }
}
