/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.A;
import com.kitfox.svg.Ellipse;
import com.kitfox.svg.Group;
import com.kitfox.svg.Hkern;
import com.kitfox.svg.Line;
import com.kitfox.svg.SVGElement;
import com.kitfox.svg.SVGElementException;
import com.kitfox.svg.SVGException;
import com.kitfox.svg.SVGLoaderHelper;
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.geom.AffineTransform;
import java.awt.geom.Area;
import java.awt.geom.Rectangle2D;
import java.util.LinkedList;
import java.util.List;
import java.util.Vector;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import org.junit.BeforeClass;

public class GroupEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.loaderAddChild(Lcom/kitfox/svg/SVGLoaderHelper;Lcom/kitfox/svg/SVGElement;)V: root-Branch
   * 2 com.kitfox.svg.Group.<init>()V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      Group group0 = new Group();
      // Undeclared exception!
      try {
        group0.loaderAddChild((SVGLoaderHelper) null, (SVGElement) group0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 1
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I14 Branch 2 IFNULL L104 - true
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Point2D;ZLjava/util/List;)V: I45 Branch 3 IFEQ L117 - true
   */

  @Test
  public void test1()  throws Throwable  {
      Group group0 = new Group();
      JOptionPane jOptionPane0 = new JOptionPane();
      Point point0 = jOptionPane0.getLocation();
      DefaultTableModel defaultTableModel0 = new DefaultTableModel(0, 0);
      Vector<?> vector0 = defaultTableModel0.getDataVector();
      group0.pick(point0, true, vector0);
      assertEquals(0, vector0.capacity());
  }

  //Test case number: 2
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I4 Branch 5 IFNULL L131 - true
   * 2 com.kitfox.svg.Group.pick(Ljava/awt/geom/Rectangle2D;Ljava/awt/geom/AffineTransform;ZLjava/util/List;)V: I27 Branch 6 IFEQ L138 - true
   */

  @Test
  public void test2()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float((-543.54944F), (-543.54944F), (-543.54944F), (-543.54944F));
      Group group0 = new Group();
      Ellipse ellipse0 = new Ellipse();
      AffineTransform affineTransform0 = ellipse0.xform;
      Hkern hkern0 = new Hkern();
      Line line0 = new Line();
      LinkedList<?> linkedList0 = line0.contexts;
      List<?> list0 = hkern0.getChildren((List) linkedList0);
      group0.pick(rectangle2D_Float0, (AffineTransform) null, false, list0);
      assertEquals((-543.54944F), rectangle2D_Float0.width, 0.01F);
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.Group.render(Ljava/awt/Graphics2D;)V: I13 Branch 8 IFEQ L154 - true
   */

  @Test
  public void test3()  throws Throwable  {
      A a0 = new A();
      // Undeclared exception!
      try {
        a0.render((Graphics2D) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 4
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.Group.getShape()Ljava/awt/Shape;: I4 Branch 17 IFNONNULL L209 - true
   * 2 com.kitfox.svg.Group.getShape()Ljava/awt/Shape;: I4 Branch 17 IFNONNULL L209 - false
   * 3 com.kitfox.svg.Group.calcShape()V: I15 Branch 18 IFEQ L217 - true
   */

  @Test
  public void test4()  throws Throwable  {
      Group group0 = new Group();
      Area area0 = (Area)group0.getShape();
      assertNotNull(area0);
      
      Area area1 = (Area)group0.getShape();
      assertSame(area1, area0);
  }

  //Test case number: 5
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.Group.getBoundingBox()Ljava/awt/geom/Rectangle2D;: I4 Branch 21 IFNONNULL L240 - true
   * 2 com.kitfox.svg.Group.calcBoundingBox()V: I13 Branch 22 IFEQ L254 - true
   * 3 com.kitfox.svg.Group.calcBoundingBox()V: I58 Branch 26 IFNONNULL L276 - false
   */

  @Test
  public void test5()  throws Throwable  {
      Group group0 = new Group();
      group0.calcBoundingBox();
      Rectangle2D.Float rectangle2D_Float0 = (Rectangle2D.Float)group0.getBoundingBox();
      assertEquals(0.0, rectangle2D_Float0.getWidth(), 0.01D);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.Group.getBoundingBox()Ljava/awt/geom/Rectangle2D;: I4 Branch 21 IFNONNULL L240 - false
   * 2 com.kitfox.svg.Group.calcBoundingBox()V: I13 Branch 22 IFEQ L254 - true
   * 3 com.kitfox.svg.Group.calcBoundingBox()V: I58 Branch 26 IFNONNULL L276 - false
   */

  @Test
  public void test6()  throws Throwable  {
      A a0 = new A();
      Rectangle2D.Float rectangle2D_Float0 = (Rectangle2D.Float)a0.getBoundingBox();
      assertEquals(0.0, rectangle2D_Float0.getMaxX(), 0.01D);
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.Group.updateTime(D)Z: I16 Branch 27 IFEQ L287 - true
   * 2 com.kitfox.svg.Group.<init>()V: root-Branch
   */

  @Test
  public void test7()  throws Throwable  {
      Rectangle2D.Float rectangle2D_Float0 = new Rectangle2D.Float();
      Group group0 = new Group();
      boolean boolean0 = group0.updateTime((double) 0.0F);
      assertEquals(false, boolean0);
  }
}
