/*
 * This file was automatically generated by EvoSuite
 */

package com.kitfox.svg.animation.parser;

import org.junit.Test;
import static org.junit.Assert.*;
import com.kitfox.svg.animation.parser.ASTExpr;
import com.kitfox.svg.animation.parser.ASTIndefiniteTime;
import com.kitfox.svg.animation.parser.ASTInteger;
import com.kitfox.svg.animation.parser.ASTLiteralTime;
import com.kitfox.svg.animation.parser.ASTLookupTime;
import com.kitfox.svg.animation.parser.ASTNumber;
import com.kitfox.svg.animation.parser.ASTParamList;
import com.kitfox.svg.animation.parser.AnimTimeParser;
import com.kitfox.svg.animation.parser.Node;
import java.io.InputStream;
import java.io.PipedInputStream;
import org.junit.BeforeClass;

public class SimpleNodeEvoSuiteTest {

  @BeforeClass 
  public static void initEvoSuiteFramework(){ 
    org.evosuite.utils.LoggingUtils.setLoggingForJUnit(); 
  } 


  //Test case number: 0
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtClose()V: root-Branch
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   */

  @Test
  public void test0()  throws Throwable  {
      ASTParamList aSTParamList0 = new ASTParamList(0);
      aSTParamList0.jjtClose();
      assertEquals("Expr", aSTParamList0.toString());
  }

  //Test case number: 1
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.<init>(Lcom/kitfox/svg/animation/parser/AnimTimeParser;I)V: root-Branch
   */

  @Test
  public void test1()  throws Throwable  {
      PipedInputStream pipedInputStream0 = new PipedInputStream();
      AnimTimeParser animTimeParser0 = new AnimTimeParser((InputStream) pipedInputStream0);
      ASTExpr aSTExpr0 = new ASTExpr(animTimeParser0, 353);
      assertEquals(0, aSTExpr0.jjtGetNumChildren());
  }

  //Test case number: 2
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetChild(I)Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   */

  @Test
  public void test2()  throws Throwable  {
      ASTParamList aSTParamList0 = new ASTParamList(0);
      // Undeclared exception!
      try {
        aSTParamList0.jjtGetChild(0);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }

  //Test case number: 3
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtSetParent(Lcom/kitfox/svg/animation/parser/Node;)V: root-Branch
   */

  @Test
  public void test3()  throws Throwable  {
      ASTParamList aSTParamList0 = new ASTParamList(0);
      ASTNumber aSTNumber0 = new ASTNumber(0);
      aSTParamList0.jjtSetParent((Node) aSTNumber0);
      assertEquals("Expr", aSTParamList0.toString());
      assertEquals("Expr", aSTNumber0.toString());
  }

  //Test case number: 4
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtOpen()V: root-Branch
   */

  @Test
  public void test4()  throws Throwable  {
      ASTParamList aSTParamList0 = new ASTParamList(0);
      aSTParamList0.jjtOpen();
      assertEquals("Expr", aSTParamList0.toString());
  }

  //Test case number: 5
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetParent()Lcom/kitfox/svg/animation/parser/Node;: root-Branch
   */

  @Test
  public void test5()  throws Throwable  {
      ASTIndefiniteTime aSTIndefiniteTime0 = new ASTIndefiniteTime(92);
      Node node0 = aSTIndefiniteTime0.jjtGetParent();
      assertNull(node0);
  }

  //Test case number: 6
  /*
   * 3 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 3 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - true
   */

  @Test
  public void test6()  throws Throwable  {
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime(92);
      ASTLiteralTime aSTLiteralTime0 = new ASTLiteralTime(92);
      aSTLookupTime0.jjtAddChild((Node) aSTLiteralTime0, 92);
      ASTInteger aSTInteger0 = new ASTInteger(92);
      aSTLookupTime0.jjtAddChild((Node) aSTInteger0, 92);
      assertEquals(93, aSTLookupTime0.jjtGetNumChildren());
  }

  //Test case number: 7
  /*
   * 2 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I20 Branch 2 IF_ICMPLT L32 - false
   * 2 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - true
   */

  @Test
  public void test7()  throws Throwable  {
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime(92);
      ASTLiteralTime aSTLiteralTime0 = new ASTLiteralTime(92);
      aSTLookupTime0.jjtAddChild((Node) aSTLiteralTime0, 92);
      aSTLookupTime0.jjtAddChild((Node) aSTLiteralTime0, 24324);
      assertEquals(24325, aSTLookupTime0.jjtGetNumChildren());
  }

  //Test case number: 8
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - true
   */

  @Test
  public void test8()  throws Throwable  {
      ASTParamList aSTParamList0 = new ASTParamList(0);
      ASTNumber aSTNumber0 = new ASTNumber(0);
      aSTParamList0.jjtAddChild((Node) aSTNumber0, 0);
      int int0 = aSTParamList0.jjtGetNumChildren();
      assertEquals(1, aSTParamList0.jjtGetNumChildren());
      assertEquals(1, int0);
  }

  //Test case number: 9
  /*
   * 1 covered goal:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.jjtGetNumChildren()I: I4 Branch 3 IFNONNULL L45 - false
   */

  @Test
  public void test9()  throws Throwable  {
      ASTLiteralTime aSTLiteralTime0 = new ASTLiteralTime(92);
      int int0 = aSTLiteralTime0.jjtGetNumChildren();
      assertEquals(0, int0);
  }

  //Test case number: 10
  /*
   * 7 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - false
   * 2 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - true
   * 3 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - false
   * 4 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - false
   * 5 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - true
   * 6 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 7 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   */

  @Test
  public void test10()  throws Throwable  {
      ASTParamList aSTParamList0 = new ASTParamList(0);
      ASTNumber aSTNumber0 = new ASTNumber(0);
      aSTParamList0.jjtAddChild((Node) aSTNumber0, 0);
      aSTParamList0.dump("ParamList");
      assertEquals(1, aSTParamList0.jjtGetNumChildren());
      assertEquals("Expr", aSTParamList0.toString());
  }

  //Test case number: 11
  /*
   * 8 covered goals:
   * 1 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - true
   * 2 com.kitfox.svg.animation.parser.SimpleNode.<init>(I)V: root-Branch
   * 3 com.kitfox.svg.animation.parser.SimpleNode.toString()Ljava/lang/String;: root-Branch
   * 4 com.kitfox.svg.animation.parser.SimpleNode.toString(Ljava/lang/String;)Ljava/lang/String;: root-Branch
   * 5 com.kitfox.svg.animation.parser.SimpleNode.jjtAddChild(Lcom/kitfox/svg/animation/parser/Node;I)V: I4 Branch 1 IFNONNULL L30 - false
   * 6 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I11 Branch 4 IFNULL L62 - false
   * 7 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I21 Branch 5 IF_ICMPGE L63 - false
   * 8 com.kitfox.svg.animation.parser.SimpleNode.dump(Ljava/lang/String;)V: I33 Branch 6 IFNULL L65 - false
   */

  @Test
  public void test11()  throws Throwable  {
      ASTLookupTime aSTLookupTime0 = new ASTLookupTime(92);
      ASTIndefiniteTime aSTIndefiniteTime0 = new ASTIndefiniteTime(0);
      aSTIndefiniteTime0.jjtAddChild((Node) aSTLookupTime0, 92);
      // Undeclared exception!
      try {
        aSTIndefiniteTime0.dump(" ");
        fail("Expecting exception: ArrayIndexOutOfBoundsException");
      
      } catch(ArrayIndexOutOfBoundsException e) {
         //
         // no message in exception (getMessage() returned null)
         //
      }
  }
}
